<?php

namespace App\Http\Controllers\Seller;
use App\Http\Controllers\Controller;
use App\Models\TsinUpdateHistory;
use App\Models\WebHookCalls;
use App\Models\TakealotCompetitionHistory;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class RePricingHistoryController extends Controller
{

      public function index()
      {             
        return view('seller.re-pricing-history.index');
      }   
      public function deleteTsinHistory()
      {
        $oldDate=Carbon::now()->subDays(3)->toDateString();
        TsinUpdateHistory::whereDate('created_at','<',$oldDate)->delete();
       
      } 
      public function deleteTsinCompetitionHistory()
      {
        $oldDate=Carbon::now()->subDays(4)->toDateString();
        TakealotCompetitionHistory::where([['status','=','losser'],['last_status','=','losser']])->whereDate('created_at','<',$oldDate)->delete();
      }
      public function deleteWebhookHistory()
      {
        $oldDate=Carbon::now()->subDays(2)->toDateString();
        WebHookCalls::whereDate('created_at','<',$oldDate)->delete();
      }
      
}
