<?php

namespace App\Http\Livewire\Seller\Orders;

use Livewire\Component;
use Auth;
use Illuminate\Support\Carbon;
class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
   
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        //start check active shop
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }   
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey+1;
        return view('livewire.seller.orders.list-view',compact('item','key'));
    }
}
