<?php

namespace App\Http\Livewire\Seller\RePricing;

use Livewire\Component;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
use App\Models\TakealotRePricing;
use Auth;
use App\Http\Controllers\Seller\ManualRePricingController;

class Popupnew extends Component
{  
    
    protected $listeners = ['repricedata']; 
    public $repricingID; 
    public $data;  
    public $sellerID=null;
    public $active_shop_id=null;
    public $minPrice;
    public $maxPrice;
    public $my_soh;
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID = Auth::user()->id;
        $this->minPrice=null;
        $this->maxPrice=null;
        $this->my_soh=null;
        //start check active shop
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    } 
    public function repricedata()
    {
        $input['minPrice']=$this->minPrice;
        $input['maxPrice']=$this->maxPrice;
        $input['my_soh']=$this->my_soh;
        $input['updateFor']=$this->data->id;
        
        $this->updateOfferPrice($input);
    }
    // public function updateOfferPrice($input)
    // {
        
    //     Validator::make($input, [
    //         'minPrice'  => 'required|min:1|max:12',             
    //         'maxPrice'  => 'required|min:1|max:12',             
    //         'my_soh'    => 'required|min:1|max:12', 
    //         'updateFor' => 'required',            
    //     ])->validate();
    //     if(empty($input['my_soh']))
    //     {
    //         $input['my_soh']=0;
    //     }
    //     if(($input['minPrice']>0 && $input['maxPrice']>0) && $input['minPrice']<$input['maxPrice'])
    //     {
    //         $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
    //         if(!empty($updatePrice))
    //         {
    //             $oldOfferData=offerMap($updatePrice->offer);
    //             $updatePrice->min_price=$input['minPrice'];
    //             $updatePrice->max_price=$input['maxPrice'];
    //             $updatePrice->ip=getUserIp();
    //             $updatePrice->updated_through=1;
    //             $updatePrice->status=1;
    //             if($updatePrice->save())
    //             {
    //                 $this->data->min_price=$updatePrice->min_price;
    //                 $this->data->max_price=$updatePrice->max_price;
    //                 $this->data->status=$updatePrice->status;
    //                 $newData=repricingMap($updatePrice,1);                    
    //                 if($updatePrice->status==1)
    //                 {                  
                       
    //                         $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);
                          
    //                         if(!empty($leadtime_decode[0]) && ($input['my_soh']>$leadtime_decode[0]->quantity_available || $input['my_soh']<$leadtime_decode[0]->quantity_available))
    //                         {
                                
    //                             $leadtime_decode[0]->quantity_available=$input['my_soh'];
    //                             $leadtime_encode=json_encode($leadtime_decode);
    //                             $updatePrice->offer->leadtime_stock=$leadtime_encode;
    //                             $updatePrice->offer->ip=getUserIp();
    //                             if($updatePrice->offer->save())
    //                             { 
    //                                 $newOfferData=offerMap($updatePrice->offer,1);                                 
                                    

    //                             }
                                
                               
    //                         }
                        
                        

    //                     // if(($updatePrice->offer->selling_price<$updatePrice->min_price) || $updatePrice->offer->selling_price>$updatePrice->min_price)
    //                     if($updatePrice->offer->selling_price<$updatePrice->min_price)
    //                     {
    //                         //start update new price
    //                           $updatePrice->offer->selling_price=$updatePrice->min_price;                              
    //                           if($updatePrice->offer->save())
    //                           {

    //                             $updateOfferPrice=new ManualRePricingController();
    //                             $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->min_price,$updatePrice->takealotShopDetails,$updatePrice); 
                             
    //                           }
    //                         //end update new price 
    //                     }
    //                     else
    //                     {
    //                         //start update new price
    //                         $updatePrice->offer->selling_price= $updatePrice->offer->selling_price;                              
    //                         if($updatePrice->offer->save())
    //                         {

    //                           $updateOfferPrice=new OffersController();
    //                           $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->offer->selling_price,$updatePrice->takealotShopDetails,$updatePrice); 
                           
    //                         }
    //                       //end update new price 
    //                     }
                       

    //                     $repricing=new ManualRePricingController();
    //                     $repricing->repriceVariantParams(decrypt($input['updateFor']),'manual');
    //                     $this->data=$updatePrice;
    //                     $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Price Updated Successfully','move'=>0]);

    //                 }  
    //                 else
    //                 {

    //                     $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

    //                 }
    //             }
    //             else
    //             {
    //                 $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

    //             }
                
    //         }
    //         else
    //         {
    //             $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

    //         }
            
    //     }
    //     else       
    //     {
            
    //         $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Min and max price must be greater than 0','move'=>0]);

    //     }
         
        
    // }
    public function render()
    {
        $item=$this->data;
        $key= $this->dataKey;
        $this->dispatchBrowserEvent('popupopen');
        return view('livewire.seller.re-pricing.popupnew',compact('item','key'));
    }
}
