<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class IsUnbanned
{
    public function handle($request, Closure $next)
    {
       
        if (auth()->check() && (auth()->user()->status=='inactive' || auth()->user()->status=='banned')) {

            $redirect_to = "";
            if(auth()->user()->role == 'admin' || auth()->user()->role == 'seller'){
                $redirect_to = "login";
                
            }else{
                $redirect_to = "login";
            }
            $message = "You'r account is currently ".auth()->user()->status;
            auth()->logout();            
            session()->flash('message', $message);
            return redirect()->route($redirect_to)->with('message', $message);
        }

        return $next($request);
    }
}
