<!DOCTYPE html>
<html class="loading" lang="en" data-layout="semi-dark-layout" data-textdirection="ltr">
   <!-- BEGIN: Head-->
   <head>
      <meta name="csrf-token" content="{{ csrf_token() }}">
      <meta name="app-url" content="{{ getBaseURL() }}">
      <meta name="file-base-url" content="{{ getFileBaseURL() }}">
      <meta charset="UTF-8">
      <meta name="robots" content="noindex">
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=0,minimal-ui">
      <meta name="description" content="Vuexy admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
      <meta name="keywords" content="admin template, Vuexy admin template, dashboard template, flat admin template, responsive admin template, web app">
      <meta name="author" content="PIXINVENT">
      <title>Sales Up | Grow Your Business</title>
      <link rel="apple-touch-icon" href="{{static_asset('')}}uploads/logo/logo.png">
      <link rel="shortcut icon" type="image/x-icon" href="{{static_asset('')}}uploads/logo/logo.png">
      <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;1,400;1,500;1,600" rel="stylesheet">
      <!-- BEGIN: Vendor CSS-->
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/vendors/css/vendors.min.css">      
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/vendors/css/extensions/toastr.min.css">
      <!-- END: Vendor CSS-->
      <!-- BEGIN: Theme CSS-->
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/custom.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/bootstrap.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/bootstrap-extended.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/colors.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/components.css">      
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/themes/bordered-layout.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/themes/dark-layout.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/themes/semi-dark-layout.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/vendors/css/forms/select/select2.min.css">
      <!-- BEGIN: Page CSS-->
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/core/menu/menu-types/vertical-menu.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/plugins/extensions/ext-component-sliders.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/pages/app-ecommerce.css">
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/css/plugins/extensions/ext-component-toastr.css">
      <!-- END: Page CSS-->
      <!-- BEGIN: Custom CSS-->
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/assets/css/style.css">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">      <!-- END: Custom CSS-->
      @stack('styles')

      <script src="{{ static_asset('assets/js/jquery.min.js') }}" ></script>

      @livewireStyles
      @livewireScripts
      <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.8.2/dist/alpine.min.js" defer></script>
      <script src="https://cdn.jsdelivr.net/gh/livewire/sortable@v0.x.x/dist/livewire-sortable.js"></script>


      {{-- admin for meta data and blogs pics --}}
      {{-- @if(! Route::is('admin.categories')) --}}
      <link rel="stylesheet" href="{{ static_asset('assets/css/vendors.css') }}">
      <link rel="stylesheet" href="{{ static_asset('assets/css/aiz-core.css') }}">
     {{-- @endif --}}
     
{{--    
    
    <link rel="stylesheet" type="text/css" href="https://salesup.co.za/public/app-assets/vendors/css/forms/select/select2.min.css"> --}}

   <script src="https://salesup.co.za/public/assets/js/jquery.min.js" ></script>
   <script>


   var AIZ = AIZ || {};
      AIZ.local = {
          nothing_found: '{{ translate('Nothing found') }}',
          choose_file: '{{ translate('Choose file') }}',
          file_selected: '{{ translate('File selected') }}',
          files_selected: '{{ translate('Files selected') }}',
          add_more_files: '{{ translate('Add more files') }}',
          adding_more_files: '{{ translate('Adding more files') }}',
          drop_files_here_paste_or: '{{ translate('Drop files here, paste or') }}',
          browse: '{{ translate('Browse') }}',
          upload_complete: '{{ translate('Upload complete') }}',
          upload_paused: '{{ translate('Upload paused') }}',
          resume_upload: '{{ translate('Resume upload') }}',
          pause_upload: '{{ translate('Pause upload') }}',
          retry_upload: '{{ translate('Retry upload') }}',
          cancel_upload: '{{ translate('Cancel upload') }}',
          uploading: '{{ translate('Uploading') }}',
          processing: '{{ translate('Processing') }}',
          complete: '{{ translate('Complete') }}',
          file: '{{ translate('File') }}',
          files: '{{ translate('Files') }}',
      }
  </script>
  <script type="text/javascript">
      if (window.location.hash === "#_=_"){
          if (history.replaceState) {
              var cleanHref = window.location.href.split("#")[0];
              history.replaceState(null, null, cleanHref);
          } else {
              window.location.hash = "";
          }
      }
  </script>
   </head>
    <!-- END: Head-->
   <!-- BEGIN: Body-->
   <body class="vertical-layout vertical-menu-modern  navbar-floating footer-static  " data-open="click" data-menu="vertical-menu-modern" data-col="">
      <!-- BEGIN: Header-->
      <nav class="header-navbar navbar navbar-expand-lg align-items-center floating-nav navbar-light navbar-shadow">
         <div class="navbar-container d-flex content">
            <div class="bookmark-wrapper d-flex align-items-center">
               <ul class="nav navbar-nav d-xl-none">
                  <li class="nav-item"><a class="nav-link menu-toggle" href="javascript:void(0);"><i class="ficon" data-feather="menu"></i></a></li>
               </ul>
               <ul class="nav navbar-nav">
                  <li class="nav-item d-none d-lg-block"><a class="nav-link nav-link-style"><i class="ficon" data-feather="sun"></i></a></li>
               </ul>
            </div>
            <ul class="nav navbar-nav align-items-center ml-auto">
               <li class="nav-item dropdown dropdown-user">  
                  <a class="nav-link dropdown-toggle dropdown-user-link" id="dropdown-user" href="javascript:void(0);" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                     <div class="user-nav d-sm-flex d-none"><span class="user-name font-weight-bolder">{{Auth::user()->Userdetail->first_name}} {{Auth::user()->Userdetail->last_name}}</span><span class="user-status">Admin</span></div>
                     <span class="avatar"><img class="round" src="{{static_asset('')}}seller/images/portrait/small/avatar-s-11.jpg" alt="avatar" height="40" width="40"><span class="avatar-status-online"></span></span>
                  </a>
                  @livewire('admin.components.header.dropdown')
               </li>
            </ul>
         </div>
      </nav>
      <!-- END: Header-->
      <!-- BEGIN: Main Menu-->
      <div class="main-menu menu-fixed menu-light menu-accordion menu-shadow expanded" data-scroll-to-active="true">
         <div class="navbar-header">
            <ul class="nav navbar-nav flex-row">
               <li class="nav-item mr-auto">
                  <a class="navbar-brand" href="{{route('seller.dashboard')}}">
                     {{-- <span class="brand-logo"> --}}
                        <img src="{{static_asset('')}}front/assets/images/logo.png" alt="Logo" style="max-width:70% !important;">
                     {{-- </span> --}}
                     {{-- <h2 class="brand-text" style="color: #1f99b8 !important;">Sales Up</h2> --}}
                  </a>
               </li>
               <!-- <li class="nav-item nav-toggle"><a class="nav-link modern-nav-toggle pr-0" data-toggle="collapse"><i class="d-block d-xl-none text-primary toggle-icon font-medium-4" data-feather="x"></i><i class="d-none d-xl-block collapse-toggle-icon font-medium-4  text-primary" data-feather="disc" data-ticon="disc"></i></a></li> -->
            </ul>
         </div>
         <div class="shadow-bottom"></div>
         <div class="main-menu-content">
            <ul class="navigation navigation-main" id="main-menu-navigation" data-menu="menu-navigation">
               
               <li class=" navigation-header"><span data-i18n="Apps &amp; Pages">Menu</span><i data-feather="more-horizontal">Menu</i>
               </li>
               <li class="@if(Route::is('admin.dashboard') ) active @endif nav-item"><a class="d-flex align-items-center" href="{{route('admin.dashboard')}}" ><i data-feather="home"></i><span class="menu-title text-truncate" data-i18n="Home">Dashboard</span></a>
               </li>
               <li class="@if(Route::is('admin.sales') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.sales')}}" ><i data-feather='life-buoy'></i><span class="menu-title text-truncate" data-i18n="Home">Sales</span></a>
               </li>
               <li class="@if(Route::is('admin.offers') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.offers')}}" ><i data-feather='twitch'></i><span class="menu-title text-truncate" data-i18n="Home">Offers</span></a>
               </li>
               <li class="@if(Route::is('admin.topSelling') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.topSelling')}}" ><i data-feather='arrow-up'></i><span class="menu-title text-truncate" data-i18n="Home">Top Selling</span></a>
               </li>
               <li class="@if(Route::is('admin.repricing') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.repricing')}}" ><i data-feather='trending-up'></i><span class="menu-title text-truncate" data-i18n="Home">Re-Pricing</span></a>
               </li>
               <li class="@if(Route::is('admin.sellers') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.sellers')}}"><i data-feather='user'></i><span class="menu-title text-truncate" data-i18n="Home">Sellers</span></a>
               </li>
               <li class="@if(Route::is('admin.subs-list') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.subs-list')}}"><i data-feather='user'></i><span class="menu-title text-truncate" data-i18n="Sellers">Subscriptions Purchased</span></a>
               </li>
               <li class="nav-item">
                  <a class="d-flex align-items-center" href="#">
                  <i data-feather="grid"></i>
                  <span class="menu-title text-truncate" data-i18n="Settings">Marketing</span></a>
                  <ul class="menu-content">
                      <li class="@if(Route::is('admin.blogs') ) active @endif">
                        <a class="d-flex align-items-center" href="{{route('admin.blogs')}}">
                           <i data-feather="circle"></i>
                           <span class="menu-item text-truncate" data-i18n="Blogs">Blogs</span>
                        </a>
                      </li>
                      <li class="@if(Route::is('admin.blogs.categories') ) active @endif">
                        <a class="d-flex align-items-center" href="{{route('admin.blogs.categories')}}">
                           <i data-feather="circle"></i>
                           <span class="menu-item text-truncate" data-i18n="Blogs Category">Blogs Category</span>
                        </a>
                      </li>  
                      <li class="@if(Route::is('admin.meta-data') ) active @endif">
                        <a class="d-flex align-items-center" href="{{route('admin.meta-data')}}">
                           <i data-feather="circle"></i>
                           <span class="menu-item text-truncate" data-i18n="Meta Data">Meta Data</span>
                        </a>
                      </li>                       
                  </ul>
              </li>
               <li class="nav-item">
                  <a class="d-flex align-items-center" href="#">
                  <i data-feather="settings"></i>
                  <span class="menu-title text-truncate" data-i18n="Settings">Settings</span></a>
                  <ul class="menu-content">
                      <li class="@if(Route::is('admin.config') ) active @endif">
                        <a class="d-flex align-items-center" href="{{route('admin.config')}}">
                           <i data-feather="circle"></i>
                           <span class="menu-item text-truncate" data-i18n="Configurations">Configurations</span>
                        </a>
                      </li>                      
                  </ul>
              </li>
              <li class="@if(Route::is('admin.api-error-list') ) active @endif nav-item"><a class="d-flex align-items-center"  href="{{route('admin.api-error-list')}}"><i data-feather='user'></i><span class="menu-title text-truncate" data-i18n="Sellers">API Errors</span></a>
              </li>
            </ul>
         </div>
      </div>
      <!-- END: Main Menu-->
      <!-- BEGIN: Content-->
     
               @yield('content')

      <!-- END: Content-->
      <div class="sidenav-overlay"></div>
      <div class="drag-target"></div>
      <!-- BEGIN: Footer-->
      
         {{-- <footer class="footer footer-static footer-light">
            <p class="clearfix mb-0"><span class="float-md-left d-block d-md-inline-block mt-25">COPYRIGHT &copy; {{date('Y')}}<a class="ml-25" href="https://salesup.co.za" target="_blank">Salesup.co.za</a><span class="d-none d-sm-inline-block">, All rights Reserved</span></span><span class="float-md-right d-none d-md-block">Increase Your Sales<i data-feather="heart"></i></span></p>
         </footer> --}}
    
      
      <button class="btn btn-primary btn-icon scroll-top" type="button"><i data-feather="arrow-up"></i></button>
      <!-- END: Footer-->

          <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.8.2/dist/alpine.min.js" defer></script>
          @if(Route::is('admin.blogs.create') || Route::is('admin.blogs.edit') || Route::is('admin.meta-data') || Route::is('admin.meta-data-create') || Route::is('admin.meta-data-edit'))
<!--    <script src="https://salesup.co.za/public/app-assets/js/core/alpine.min.js" defer></script>-->
    <!--<script src="https://cdn.jsdelivr.net/gh/livewire/sortable@v0.x.x/dist/livewire-sortable.js"></script>-->
<script src="https://salesup.co.za/public/app-assets/js/core/livewire-sortable.js"></script>
    <script src="https://salesup.co.za/public/app-assets/vendors/js/vendors.min.js"></script>
<script src="https://salesup.co.za/public/app-assets/js/core/app.js"></script>
<script src="https://salesup.co.za/public/app-assets/js/sweetalert.js"></script>
<!--<script src="https://salesup.co.za/public/app-assets/js/scripts/extensions/ext-component-toastr.js"></script>
<script src="https://salesup.co.za/public/app-assets/js/scripts/extensions/toastr.min.js"></script>-->
<script src="https://salesup.co.za/public/app-assets/js/scripts/pages/app-email.js"></script>
<script src="https://salesup.co.za/public/app-assets/vendors/js/editors/quill/katex.min.js"></script>
<script src="https://salesup.co.za/public/app-assets/vendors/js/editors/quill/highlight.min.js"></script>
<script src="https://salesup.co.za/public/app-assets/vendors/js/editors/quill/quill.min.js"></script>
<script src="https://salesup.co.za/public/app-assets/vendors/js/forms/select/select2.full.min.js"></script>
<!--<script src="https://salesup.co.za/public/app-assets/vendors/js/ui/jquery.sticky.js"></script>-->
<script src="https://salesup.co.za/public/app-assets/js/core/app-menu.js"></script>
<script src="https://salesup.co.za/public/assets/js/aiz-core.js" ></script>
@endif
      <!-- BEGIN: Vendor JS-->
      <script src="{{static_asset('')}}seller/vendors/js/vendors.min.js"></script>
      <!-- BEGIN Vendor JS-->
      <!-- BEGIN: Page Vendor JS-->
      <script src="{{static_asset('')}}seller/vendors/js/extensions/wNumb.min.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/extensions/nouislider.min.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/extensions/toastr.min.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/forms/select/select2.full.min.js"></script>
      <script src="{{static_asset('')}}seller/js/scripts/forms/form-select2.js"></script>
      <!-- END: Page Vendor JS-->
      <!-- BEGIN: Theme JS-->
      <script src="{{static_asset('')}}seller/js/core/app-menu.js"></script>
      <script src="{{static_asset('')}}seller/js/core/app.js"></script>
      <!-- END: Theme JS-->
      <!-- BEGIN: Page JS-->
      <script src="{{static_asset('')}}seller/js/scripts/pages/app-ecommerce.js"></script>
      <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
      <link rel="stylesheet" type="text/css" href="{{static_asset('')}}seller/vendors/css/forms/select/select2.min.css">
      <script src="{{static_asset('')}}seller/vendors/js/forms/select/select2.full.min.js"></script>
       <!-- Latest compiled and minified JavaScript -->
      <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>      
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/metismenu/dist/metisMenu.min.css">   
      <script src="https://cdn.jsdelivr.net/npm/metismenu"></script>
      <script src="{{ static_asset('assets/js/aiz-core.js') }}" ></script>

      <script src="{{static_asset('')}}seller/vendors/js/pickers/pickadate/picker.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/pickers/pickadate/picker.date.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/pickers/pickadate/picker.time.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/pickers/pickadate/legacy.js"></script>
      <script src="{{static_asset('')}}seller/vendors/js/pickers/flatpickr/flatpickr.min.js"></script>







      <!-- END: Page JS-->
      <script>
         $(window).on('load', function() {
             if (feather) {
                 feather.replace({
                     width: 14,
                     height: 14
                 });
             }
         })
      </script>
      <script>
         window.addEventListener('notify', event => {
         
            if(event.detail.error=='success')
            {
               textColor='#28c76f';
            }
            else if(event.detail.error=='error')
            {
               textColor='#ea5455';
            }
            else if(event.detail.error=='warning')
            {
               textColor='#ff9f43';
            }
            else if(event.detail.error=='info')
            {
               textColor='#00cfe8';
            }
            else
            {
               textColor='#ffff';
            }
             const Toast = Swal.mixin({
                 toast: true,
                 position: 'top',
                 popup: 'swal2-hide',
                 showConfirmButton: false,
                 backdrop: 'swal2-backdrop-hide',
                 timer: 5000,
                 timerProgressBar: true,
                 didOpen: (toast) => {
                     toast.addEventListener('mouseenter', Swal.stopTimer)
                     toast.addEventListener('mouseleave', Swal.resumeTimer)
                 }
             })
             //Supported class =>  "success", "error", "warning", "info" or "question"
             Toast.fire({
                 icon: event.detail.error,
                 iconColor:'#ffff',
                 title: event.detail.msg,
                 background: textColor,
                 color: '#ffff',
                 width:'50%'
             })
             //AIZ.plugins.notify(event.detail.error,event.detail.msg);
     })
     </script>
     <script>
      function copyToClipboard(id) 
      {

         var r = document.createRange();
         r.selectNode(document.getElementById(id));
         window.getSelection().removeAllRanges();
         window.getSelection().addRange(r);
         document.execCommand('copy');
         window.getSelection().removeAllRanges();
      const Toast = Swal.mixin({
                 toast: true,
                 position: 'top',
                 popup: 'swal2-hide',
                 showConfirmButton: false,
                 backdrop: 'swal2-backdrop-hide',
                 timer: 5000,
                 timerProgressBar: true,
                 didOpen: (toast) => {
                     toast.addEventListener('mouseenter', Swal.stopTimer)
                     toast.addEventListener('mouseleave', Swal.resumeTimer)
                 }
             })
      Toast.fire({
                 icon: 'success',
                 iconColor:'#ffff',
                 title: 'Successfully Copied',
                 background: '#28c76f',
                 color: '#ffff',
                 width:'50%'
             });
      }
     </script>
     <script type="text/javascript">          
         window.addEventListener('reloadSelect2', event => {
                 $('.select2').select2();
         })
     </script>
     <script>
      $(document).on('click', '.moveOnTop', function (e) {
         $("html, body").animate({ scrollTop: 0 }, "slow");
         return false;
      });
     </script>
     
   <script type="text/javascript">

      window.addEventListener('load-modal', event => {

        document. getElementById(event.detail.modelID). style. display = "block";
       
      //   $('#'.event.detail.modelID).modal('show');
      });

      window.addEventListener('close-modal', event => {

         document. getElementById(event.detail.modelID). style. display = "none";
         // $('#'.event.detail.modelID).modal('hide');

      });

      
   </script>
     
     
      @stack('custom-scripts')
   </body>
   <!-- END: Body-->
</html>