@extends('front.layouts.app')
@section('content')

  <!--====== APPIE HERO PART START ======-->
    
  <section class="appie-hero-area appie-hero-4-area">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-5">
                <div class="appie-hero-content appie-hero-content-4">
                    <span>{{get_setting('trial_days')}} Days Free Trial</span>
                    <h2 class="appie-title">Boost your sales on Takealot.</h2>
                    <p>Join the ranks of successful Takealot entrepreneurs and take your business to new heights.</p>
                    <a class="main-btn" href="{{route('contactUs')}}">Let’s Talk</a>
                </div>
            </div>
            <div class="col-lg-7">
                <div class="appie-hero-thumb appie-hero-thumb-4">
                    <img src="{{static_asset('')}}front/assets/images/hero-thumb-5.png" alt="">
                    <div class="hero-dot">
                        <img src="{{static_asset('')}}front/assets/images/hero-dot.png" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="hero-shape-1">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-10.png" alt="">
    </div>
</section>

<!--====== APPIE HERO PART ENDS ======-->

<!--====== APPIE SERVICES PART START ======-->

<section class="appie-service-area appie-service-3-area pt-90 pb-100" id="service">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">What you can do</h3>
                    <p>Increased efficiency: By automating the price update process, you can save time and effort that would have been spent on manual updates.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 wow animated fadeInUp" data-wow-duration="500ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/1.png" alt="">
                    </div>
                    <h4 class="appie-title">Automation</h4>
                    <p>With automated price updates, you can easily adjust your prices to stay competitive in the marketucker</p>
                    <a href="#">Read More <i class="fal fa-arrow-right"></i></a>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-2 wow animated fadeInUp" data-wow-duration="500ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/2.png" alt="">
                    </div>
                    <h4 class="appie-title">Consistency</h4>
                    <p>An automated system ensures that all prices are updated uniformly and consistently, without any errors or oversights.</p>
                    <a href="#">Read More <i class="fal fa-arrow-right"></i></a>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-3 wow animated fadeInUp" data-wow-duration="500ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/3.png" alt="">
                    </div>
                    <h4 class="appie-title">Pricing strategy</h4>
                    <p>Overall Salesup system can help streamline your pricing and effort, and ultimately improve your profitability.</p>
                    <a href="#">Read More <i class="fal fa-arrow-right"></i></a>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-4 wow animated fadeInUp" data-wow-duration="500ms" data-wow-delay="800ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/4.png" alt="">
                    </div>
                    <h4 class="appie-title">Easy inventory</h4>
                    <p>Improved inventory management: An automated price update system can help you manage your inventory more efficiently automatically </p>
                    <a href="#">Read More <i class="fal fa-arrow-right"></i></a>
                </div>
            </div>
        </div>
    </div>
</section>

<!--====== APPIE SERVICES PART ENDS ======-->

<!--====== APPIE FEATURES 2 PART START ======-->

<section class="appie-features-area-2 pt-90 pb-100" id="features">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-12">
                <div class="appie-section-title appie-section-title-2 text-center">
                    <h3 class="appie-title">Real-time activity</h3>
                    <p>The system can provide real-time activity of any price changes, allowing you to stay informed and responsive to market changes.</p>
                </div>
            </div>
        </div>
        <div class="row mt-30 align-items-center">
            <div class="col-lg-6">
                    <div class="appie-features-boxes">
                        
                        <div class="appie-features-box-item">
                            <h4 class="title">Well Integrated</h4>
                            <p>Advanced algorithms and data analytics to ensure that pricing updates are accurate.</p>
                        </div>
                        <div class="appie-features-box-item item-2">
                            <h4 class="title">Grow sales and profit</h4>
                            <p>Stay competitive, efficient, and profitable</p>
                        </div>
                        <div class="appie-features-box-item item-3">
                            <h4 class="title">Easy to use</h4>
                            <p>An easy-to-use system can save time and effort, allowing you to focus on other aspects of your business. he bee's knees chancer car boot absolutely.</p>
                        </div>
                    </div>
            </div>
            <div class="col-lg-6">
                <div class="appie-features-thumb wow animated fadeInRight" data-wow-duration="500ms" data-wow-delay="200ms">
                    <img src="{{static_asset('')}}front/assets/images/features-thumb-2.png" alt="">
                </div>
            </div>
        </div>
    </div>
    <div class="features-shape-1">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-15.png" alt="">
    </div>
    <div class="features-shape-2">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-14.png" alt="">
    </div>
    <div class="features-shape-3">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-13.png" alt="">
    </div>
</section>

<!--====== APPIE FEATURES 2 PART ENDS ======-->

<!--====== APPIE DOWNLOAD 3 PART START ======-->

<section class="appie-download-3-area pt-90 pb-90" id="download">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">Get More Sales!</h3>
                    <p>Join salesupbot for increase your sales — it's free.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6">
                <div class="appie-download-3-box appie-download-5-box mt-30 mr-20 wow animated fadeInLeft" data-wow-duration="500ms" data-wow-delay="200ms">
                    <div class="content">
                        <h4 class="title">Dashboard</h4>
                        {{-- <p>Download app for Android today — it's free.</p> --}}
                        <a class="main-btn" href="{{route('register')}}"><i class="fas fa-user"></i>Join us with free starter account</a>
                    </div>
                    <div class="thumb text-center">
                        <img src="{{static_asset('')}}front/assets/images/download-thumb-1.png" alt="">
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="appie-download-3-box appie-download-5-box mt-30 ml-20 wow animated fadeInRight" data-wow-duration="500ms" data-wow-delay="50ms">
                    <div class="content">
                        <h4 class="title">Offers</h4>
                        {{-- <p>Download app for iOS today — it's free.</p> --}}
                        <a class="main-btn main-btn-2" href="{{route('register')}}"><i class="fas fa-credit-card"></i>Start Now</a>
                    </div>
                    <div class="thumb text-right">
                        <img src="{{static_asset('')}}front/assets/images/download-thumb-2.png" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!--====== APPIE DOWNLOAD 3 PART ENDS ======-->

<!--====== APPIE SHOWCASE PART START ======-->

<section class="appie-showcase-area ">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">Creative app showcase</h3>
                    <p>The app provides design and digital marketing.</p>
                </div>
            </div>
        </div>
        <div class="row appie-showcase-slider">
            <div class="col-lg-3">
                <div class="appie-showcase-item mt-30">
                    <a class="appie-image-popup" href="{{static_asset('')}}front/assets/images/showcase-1.png"><img src="{{static_asset('')}}front/assets/images/showcase-1.png" alt=""></a>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="appie-showcase-item mt-30">
                    <a class="appie-image-popup" href="{{static_asset('')}}front/assets/images/showcase-2.png"><img src="{{static_asset('')}}front/assets/images/showcase-2.png" alt=""></a>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="appie-showcase-item mt-30">
                    <a class="appie-image-popup" href="{{static_asset('')}}front/assets/images/showcase-3.png"><img src="{{static_asset('')}}front/assets/images/showcase-3.png" alt=""></a>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="appie-showcase-item mt-30">
                    <a class="appie-image-popup" href="{{static_asset('')}}front/assets/images/showcase-4.png"><img src="{{static_asset('')}}front/assets/images/showcase-4.png" alt=""></a>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="appie-showcase-item mt-30">
                    <a class="appie-image-popup" href="{{static_asset('')}}front/assets/images/showcase-2.png"><img src="{{static_asset('')}}front/assets/images/showcase-2.png" alt=""></a>
                </div>
            </div>
        </div>
    </div>
    <div class="showcase-shape-1">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-14.png" alt="">
    </div>
    <div class="showcase-shape-2">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-13.png" alt="">
    </div>
    <div class="showcase-shape-3">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-12.png" alt="">
    </div>
    <div class="showcase-shape-4">
        <img src="{{static_asset('')}}front/assets/images/shape/shape-15.png" alt="">
    </div>
</section>

<!--====== APPIE SHOWCASE PART ENDS ======-->

<!--====== APPIE TESTIMONIAL PART START ======-->

{{-- <section class="appie-testimonial-area pt-100 pb-160" id="testimonial">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="appie-testimonial-slider">
                    <div class="appie-testimonial-item text-center">
                        <div class="author-info">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user.png" alt="">
                            <h5 class="title">Jason Response</h5>
                            <span>April 14, 2022</span>
                        </div>
                        <div class="text">
                            <p>Why I say old chap that is spiffing lurgy Oxford cracking goal bleeder, bog-standard Harry brilliant mush a blinding shot starkers.</p>
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="appie-testimonial-item text-center">
                        <div class="author-info">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user.png" alt="">
                            <h5 class="title">Jason Response</h5>
                            <span>April 14, 2022</span>
                        </div>
                        <div class="text">
                            <p>Why I say old chap that is spiffing lurgy Oxford cracking goal bleeder, bog-standard Harry brilliant mush a blinding shot starkers.</p>
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="appie-testimonial-item text-center">
                        <div class="author-info">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user.png" alt="">
                            <h5 class="title">Jason Response</h5>
                            <span>April 14, 2022</span>
                        </div>
                        <div class="text">
                            <p>Why I say old chap that is spiffing lurgy Oxford cracking goal bleeder, bog-standard Harry brilliant mush a blinding shot starkers.</p>
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section> --}}

<!--====== APPIE TESTIMONIAL PART ENDS ======-->

@endsection