
@extends('front.layouts.app')
@section('content')

    <!--====== APPIE PAGE TITLE PART START ======-->
   
    <div class="appie-page-title-area breadcrumbs-bg-height" >
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="appie-page-title-item text-dark">
                        <nav aria-label="breadcrumb" >
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item "><a class="text-dark" href="{{route('index')}}">Home</a></li>
                                <li class="breadcrumb-item text-dark" aria-current="page">Term and conditions</li>
                            </ol>
                        </nav>
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/fun-fact-thumb.png" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--====== APPIE PAGE TITLE PART ENDS ======-->

    <!--====== APPIE SERVICE DETAILS PART ENDS ======-->

    <section class="appie-service-details-area pt-100 pb-100">
        <div class="container">
            <div class="row">               
                <div class="col-lg-12">
                    <div class="service-details-content">                       
                        <div class="content">
                            <h3 class="title">Terms</h3>
                            <p>When you visit the website at https://www.salesupbot.co.za, you are indicating your agreement to be legally bound by the terms of service, as well as all applicable laws and regulations. This means that you are responsible for ensuring compliance with any relevant local laws, and you must not use or access the site if you do not agree to these terms. Additionally, all materials contained within the website are subject to protection by relevant copyright and trademark laws. As such, you are not permitted to copy, reproduce, distribute, or otherwise use any of the materials without obtaining the express consent of the website's owner.</p>
                            <h3>USE License</h3>
                            <p>
                                <ul>
                                  <li>1. The website Salesupbot grants users permission to temporarily download one copy of the materials, including information or software, for personal, non-commercial use only. However, this permission constitutes a license and not a transfer of title, and comes with certain restrictions.</li> 
                                  <li>●	Users are not permitted to modify or copy the materials,</li>
                                  <li>●	use them for commercial purposes, or display them publicly in either commercial or non-commercial settings.</li>
                                  <li>●	Furthermore, attempting to decompile or reverse engineer any software contained on the website,</li>
                                  <li>●	removing any copyright or proprietary notations, or</li>
                                  <li>●	transferring the materials to another person or server is strictly prohibited.</li>
                                  <li>2.	Salesupbot reserves the right to terminate this license and access to the materials at any time, should a user violate any of these restrictions. In the event of termination, users must destroy any downloaded materials in their possession, whether in electronic or printed form.</li>
                                </ul>
                            </p>
                            <h3>Disclaimer</h3>
                            <p>
                                <ul>
                                    <li>1.	Salesupbot website provides materials on an "as is" basis. The company does not offer any warranties, either expressed or implied, and disclaims all other warranties, including but not limited to implied warranties or conditions of merchantability, fitness for a particular purpose, and non-infringement of intellectual property or other violations of rights.</li>
                                    <li>2.	In addition, Salesupbot does not guarantee or provide any assurances regarding the accuracy, probable outcomes, or dependability of the use of materials on its website, or any materials on linked sites, or otherwise relating to such materials.</li>
                                </ul>
                            </p>
                            <h3>Limitations:</h3>
                            <p>Salesupbot and its suppliers shall not be held liable for any damages, including but not limited to loss of data or profit, or business interruption, resulting from the use or inability to use the materials on Salesupbot's website, even if Salesupbot or its authorized representatives have been informed orally or in writing of the possibility of such damage. It is important to note that some jurisdictions do not allow limitations on implied warranties, or limitations of liability for consequential or incidental damages, and therefore, these limitations may not apply to you.</p>
                            <h3>Accuracy of matirials:</h3>
                            <p>Salesupbot's website may contain technical, typographical, or photographic errors in the materials presented. Salesupbot does not guarantee the accuracy, completeness, or timeliness of the materials on its website. Salesupbot reserves the right to modify, add, or remove any content or material on its website at any time without prior notice. Nevertheless, Salesupbot does not make any commitment to update the materials on a regular basis.</p>
                            <h3>Links:</h3>
                            <p>Salesupbot not liable for the content found on any websites linked to its own site and has not reviewed all such linked websites. The inclusion of any link does not imply endorsement by Salesupbot of the linked website. The user assumes full responsibility for using any linked websites at their own risk.</p>
                            <h3>Modification:</h3>
                            <p>Salesupbot reserves the right to modify or update these terms of service for its website at any time without prior notice. By continuing to access or use the website after any revisions have been made, you agree to be bound by the latest version of these terms of service.</p>
                            <h3>Governing Law:</h3>
                            <p>The laws of South Africa shall govern these terms and conditions and any disputes arising from them, and you consent to the exclusive jurisdiction of the courts in that state or location.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!--====== APPIE SERVICE DETAILS PART ENDS ======-->

@endsection