<div class="app-content content ">
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="px-15px px-lg-25px">
        <div class="row">
            <div class="content-header-left col-md-10 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Blog Category Edit</h2>
                        <div class="breadcrumb-wrapper">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                                <li class="breadcrumb-item active"><a href="{{route('admin.blogs.categories')}}">Blog Categories</a> </li>
                                <li class="breadcrumb-item active"><a href="javascript:void(0)">Blog Category Edit</a> </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8 mx-auto">
                <div class="card">
                    <div class="card-header">
                        <h5 class="mb-0 h6">Blog Category Information</h5>
                    </div>
                    <div class="card-body">
                        <form wire:submit.prevent="update(Object.fromEntries(new FormData($event.target)))" class="form-horizontal" method="POST">
                            @csrf
                            <div class="form-group row">
                                <label for="category_name" class="col-md-3 col-form-label">Name</label>
                                <div class="col-md-9">
                                    <input type="text"  id="category_name"  name="category_name" value="{{$category->category_name}}" class="form-control @error('category_name') invalid-feedback-div @enderror" placeholder="Name">
                                    @error('category_name')
                                    <div class="invalid-feedback">{{$message}}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group mb-0 text-right">
                                <button class="btn btn-outline-secondary btn-prev waves-effect" disabled="">
                                    <a href="{{route('admin.blogs.categories')}}">
                                        <span class="align-middle d-sm-inline-block d-none">Cancel</span></a>
                                </button>
                                <button class="btn btn-primary"><span wire:loading wire:target="update" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>Save</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
