<div> 
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-10 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">MetaData</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}"> Home</a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Marketing</a></li>
                                    <li class="breadcrumb-item active"><a href="javascript:void(0)">Blog</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.meta-data')}}">MetaData</a></li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-2">
                    <a href="{{route('admin.meta-data-create')}}" class="btn btn-primary btn-add-new">
                        <i class="la la-plus"></i>
                        <span class="add-to-cart">Add New</span>
                    </a>
                </div>
            </div>
            <div class="content-body">
                <!-- Add review Section Start-->
                <section class="mt-3 ">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card pt-3 table-card">
                                <div class="row">
                                    <div class="col-sm-3 col-lg-3 col-md-4 mb-3">
                                        <div class="d-flex align-items-center pl-2">
                                            <label> Show </label>
                                            <select class="form-control table-entries ml-1 mr-1"
                                                    wire:model.change.debounce.1000ms="entries">
                                                <option value="10">10</option>
                                                <option value="20">20</option>
                                                <option value="50">50</option>
                                                <option value="100">100</option>
                                            </select>
                                            <label> Per Page </label>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-lg-6 col-md-4 mb-3"></div>
                                    <div class="col-sm-3 col-lg-3 col-md-4 mb-3 search-col">
                                        <div class="input-group">
                                            <input type="text" class="form-control" placeholder="Enter Title to Search" style="border-right: none;" wire:model.change.debounce.2500ms="search" />
                                            @if(!empty($search))
                                                <div class="input-group-append">
                                                    <span  class="input-group-text cross-search" wire:click="clear_search"><i class="las la-times"></i></span>
                                                </div>
                                            @endif
                                            <div class="input-group-append">
                                                <span class="input-group-text">
                                                    <img src="{{ static_asset('') }}/app-assets/images/search.png" width="15px" height="15px">
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="table-responsive">
                                            <table class="datatables-basic table">
                                                <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Page Name</th>
                                                    <th>Title</th>
                                                    <th>Keyword</th>
                                                    <th>Description</th>
                                                    <th class="text-right ">Actions</th>
                                                </tr>
                                                </thead>
                                                <tbody wire:init="loadData">
                                                @if(count($metadata) > 0)
                                                    @foreach($metadata as $key => $data)
                                                        <tr >
                                                            <td class="text-left">{{ ($key+1) + ($metadata->currentPage() - 1)*$metadata->perPage() }}</td>
                                                            <td class="text-left"><a href="javascript:void(0)" class="text-reset">{{ $data->page_name}}</a></td>
                                                            <td class="text-left"><a href="javascript:void(0)" class="text-reset">{{ $data->title}}</a></td>
                                                            <td class="text-left">
                                                                @php
                                                                   $keyword = explode(',',$data->keywords);
                                                                    @endphp
                                                                @foreach($keyword as $value)
                                                                    <span class="badge badge-pill badge-light-primary">{{ $value}}</span>
                                                                @endforeach
                                                            </td>
                                                            <td class="text-left">
                                                                @php                   
                                                                echo strip_tags(substr($data->description, 0, 200));
                                                                @endphp
                                                                @if(strlen($data->description)>200)
                                                                <a href="javascript:void(0)">read more</a>
                                                                @endif
                                                            </td>
                                                            <td class="text-right">
                                                                <div class="dropdown">
                                                                    <button type="button" class="btn btn-sm dropdown-toggle hide-arrow" data-toggle="dropdown" aria-expanded="false">
                                                                        <i class="las la-ellipsis-v"></i>
                                                                    </button>
                                                                    <div class="dropdown-menu">
                                                                        <a class="dropdown-item" href="javascript:void(0);" wire:click="Meta_Delete('{{encrypt($data->id)}}')">
                                                                            <i class="las la-trash mr-50"></i>
                                                                            <span>Delete</span>
                                                                        </a>
                                                                        <a class="dropdown-item" href="{{route('admin.meta-data-edit',encrypt($data->id)) }}">
                                                                            <i class="las la-edit mr-50"></i>
                                                                            <span>Edit</span>
                                                                        </a>
                                                                    </div>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="5"><b style="font-size: large">Record not found</b></td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>
                                        </div>
                                        <section>
                                            @if(!empty($metadata))
                                                <div class="d-flex justify-content-center float-right mr-2 mt-2">
                                                    {{ $metadata->links() }}
                                                </div>
                                            @endif
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
</div>
