
<div>
    @if(!empty($item))
<div class="card ecommerce-card">
    @php                  

    $class="badge-light-primary";

    if($item->offer->status=='Buyable')
    {
    $class="badge-light-success";

    }
    else if($item->offer->status=='Not Buyable')
    {
    $class="badge-light-danger";
    }
    elseif($item->offer->status=='Disabled by Seller')
    {
    $class="badge-light-dark";
    } 
    elseif($item->offer->status=='Disabled by Takealot')
    {
    $class="badge badge-warning";
    }
    

@endphp
    @if($item->offer->status=='Buyable')
    <div class="arrow-right bg-{{($item->winner==1) ? 'success' : 'danger'}}">
        <span>{{($item->winner==1) ? 'Winner' : 'Loser'}}</span>
    </div>
    @endif
    <div class="item-img text-center">
        <a  href="{{$item->offer->offer_url}}" target="_blank" title="{{$item->offer->title}}">
            <img class="img-fluid card-img-top" src="{{$item->offer->image_url}}" alt="img-placeholder"></a>
    </div>
    <div class="card-body">
        <div class="item-wrapper">
            <div class="item-rating">
                <ul class="unstyled-list list-inline">
                    <li class="ratings-list-item"> 
                        <span class="badge badge-pill {{$class}}">{{$item->offer->status}}</span>  
                        @php
                            $leadtime_decode=null;
                            $leadtime_qty=null;
                            $leadtime_decode=json_decode($item->offer->leadtime_stock);
                            $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                        @endphp
                        @if($item->offer->leadtime_days!=null && !empty($leadtime_qty))                                              
                            <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status"> {{'My SOH :'}} {{$leadtime_qty}}</span></a>
                        @endif
                        @if($item->offer->stock_at_takealot_total>0)
                            <a href="javasecript:void()" class="badge badge-pill badge badge-info" title="Your Stock Status">{{'In Stock : '}} {{$item->offer->stock_at_takealot_total}}</span></a>
                        @endif
                        @if($item->offer->stock_at_takealot_total<=0 && $item->offer->leadtime_days==null)
                            <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out Of Stock</span></a>
                        @endif

                        @if(!empty($item->min_price) && $item->min_price==$item->offer->selling_price)<span class="badge badge-pill badge badge-danger">Min Price Reached</span>@endif
                        @if(!empty($item->max_price) && $item->max_price==$item->offer->selling_price)<span class="badge badge-pill badge badge-warning">Max Price Reached</span>@endif

                        </li>
                    @if(!empty($item->takealotOfferDetails->star_rating))<li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star filled-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>({{$item->takealotOfferDetails->star_rating}})</li>@endif
                    
                </ul>
            </div>                                        
            <div class="item-name  mb-1">
                <div class="fw-bold text-dark"><strong>Your Price:<span class="ml-1 fw-bold">R{{$item->offer->selling_price}}</span></strong></div>
                <div class="fw-bold text-dark"><strong>Wining Price:<span class="ml-1 fw-bold">R{{$item->winning_price}}</span></strong></div>
                <div class="fw-bold text-dark"><strong>Sellers:<span class="ml-1 fw-bold">{{!empty($item->offer->takealotOfferDetails->total_sellers) ? $item->offer->takealotOfferDetails->total_sellers : 0}}</span></strong> </div>
                @if(!empty($item->winner_account_name))<div class="fw-bold" ><strong class="text-success">Winner:</strong><span class="ml-1 fw-bold">{{$item->winner_account_name}}</span></div>@endif
                @if(!empty($item->stock_status) && $item->takealotShopDetails->takealot_account_name!=$item->winner_account_name)<div class="mb-1 text-dark" ><strong class="mr-1">Winner Stock:</strong>{{($item->stock_status=='Ship 5 to 7 work Days') ? 'Leadtime' : $item->stock_status }}</div>@endif
                @if(Auth::user()->id==1)<div class="fs-6 text-muted fw-light">Re-Checked At:<span class="ml-1">{{timeAgo($item->updated_at)}}</span></div>@endif
                @if(Auth::user()->id==1)<div class="fs-6 text-muted fw-light">Re-Price At:<span class="ml-1">{{timeAgo($item->price_updated_at)}}</span></div>@endif
            </div>
            <div class="mt-1">
                <div class="badge badge-dark mb-1">
                    <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->offer->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i>
                    <span id="sku_{{$key.$item->offer->tsin_id}}">{{$item->offer->sku}}</span></a>
                </div>
                <div class="badge badge-success mb-1">
                    <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->offer->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                    <span id="tsin_{{$key.$item->offer->tsin_id}}">{{$item->offer->tsin_id}}</span></a>
                    <a href="{{$item->offer->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                </div>
                {{-- <a wire:click="updatetakealotOffer('{{encrypt($item->offer->id)}}')" class="btn-sm btn btn-outline-success" title="Re-fetch offer latest data from takealot">
                    <i class="fa fa-refresh text-success"></i>
                </a>
                <a wire:click="reCheckWinner('{{encrypt($item->id)}}')" class="btn-sm btn btn-outline-success" title="Re-Check Winner">
                    <i class="fa fa-trophy text-success"></i>
                </a>                                             --}}
            </div>                                        
            <div>
                <h6 class="item-price">R{{$item->offer->selling_price}}</h6>
            </div>
        </div>
        <h6 class="item-name">
            <a class="text-body" href="{{$item->offer->offer_url}}" target="_blank" title="{{$item->offer->title}}">{{$item->offer->title}}</a>
            <span class="card-text item-company">By <a href="javascript:void(0)" class="company-name" title="Brand">{{ (!empty($item->offer->takealotOfferDetails->takealotBrands)) ? $item->offer->takealotOfferDetails->takealotBrands->name : 'None'}}</a></span>
        </h6>
        
    </div>
    <div class="item-options text-center">       
        <button type="button" class="btn btn-outline-primary mt-1" wire:click="$emitUp('getPlidHistory','{{encrypt($item->offer->tsin_id)}}')" >
            View History
        </button>
    </div>
</div>
@endif
</div>
