<div>
    <!-- BEGIN: Content-->
    <div class="app-content content ecommerce-application">
            <div class="content-overlay"></div>
            <div class="header-navbar-shadow"></div>
            <div class="content-wrapper container-xxl p-0">
            
                <div class="content-detached content-right">
                    <div class="content-body">
                        <!-- E-commerce Content Section Starts -->
                        <section id="ecommerce-header">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="ecommerce-header-items">
                                        <div class="result-toggler">
                                            <button class="navbar-toggler shop-sidebar-toggler" type="button" data-toggle="collapse">
                                                <span class="navbar-toggler-icon d-block d-lg-none"><i class="fa fa-settings"></i></span>
                                            </button>
                                            <div class="search-results">({{!empty($takealotOffers->total()) ? $takealotOffers->total() : 0 }}) results found</div>
                                        </div>
                                        <div class="view-options d-flex">
                                        
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="orderBy" name="orderBy" id="orderBy">
                                                 <option value="asc" {{($orderBy=='asc') ? 'selected' : ''}} >Ascending </option>
                                                 <option value="desc" {{($orderBy=='desc')  ? 'selected' : ''}}>Descending</option>
                                             </select>
                                         </div>
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="priceSort" name="priceSort" id="priceSort">
                                                 <option value="" >Sort By Price</option>
                                                 <option value="lowest">Lowest To Highest Price</option>
                                                 <option value="highest">Highest To Lowest Price</option>
                                             </select>
                                         </div>
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                                                 <option value="" >Show</option>
                                                 <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                                                 <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                                                 <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                                                 <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                                                 <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                                                 <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                                             </select>
                                         </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>
                        <!-- E-commerce Content Section Starts -->
    
                        <!-- background Overlay when sidebar is shown  starts-->
                        <div class="body-content-overlay"></div>
                        <!-- background Overlay when sidebar is shown  ends-->
    
                        <!-- E-commerce Search Bar Starts -->
                        <section id="ecommerce-searchbar" class="ecommerce-searchbar">
                            <div class="row mt-1">
                                <div class="col-sm-12">
                                    <div class="input-group input-group-merge">
                                        <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN" aria-label="Search..." aria-describedby="shop-search" />
                                         @if(isset($search) && !empty($search))
                                             <a href="javascript:void(0)" wire:click="$set('search','')">
                                                 <div class="input-group-append">
                                                     <span class="input-group-text"><i class="fa fa-close" class="text-muted"></i></span>
                                                 </div>
                                             </a>
                                         @else
                                             <div class="input-group-append">
                                                 <span class="input-group-text"><i class="fa fa-search" class="text-muted"></i></span>
                                             </div>
                                         @endif
                                    </div>
                                </div>
                            </div>
                        </section>
                        <!-- E-commerce Search Bar Ends -->
    
                        <!-- E-commerce Products Starts -->
                         {{-- listview started --}}
                         @if($view=='list')
                            <section id="ecommerce-products" class="list-view" wire:init="readyToLoad">
                                @if(!empty($takealotOffers) && count($takealotOffers)>0)
                            
                                @foreach($takealotOffers->chunk(10) as $chunk)
                                @foreach($chunk as $key=>$item)
    
                                @php                  
    
                                    $class="badge-light-primary";
                                
                                    if($item->status=='Buyable')
                                    {
                                    $class="badge-light-success";
    
                                    }
                                    else if($item->status=='Not Buyable')
                                    {
                                    $class="badge-light-danger";
                                    }
                                    elseif($item->status=='Disabled by Seller')
                                    {
                                    $class="badge-light-dark";
                                    } 
                                    elseif($item->status=='Disabled by Takealot')
                                    {
                                    $class="badge badge-warning";
                                    }
                                    
    
                                @endphp
                                <div class="card ecommerce-card">
                                   
                                    <div class="item-img text-center">
                                        <a  href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}">
                                            <img class="img-fluid card-img-top" src="{{$item->image_url}}" alt="img-placeholder"></a>
                                    </div>
                                    <div class="card-body">
                                        <div class="item-wrapper">
                                            <div class="item-rating">
                                                <ul class="unstyled-list list-inline">
                                                 
                                                    <li class="ratings-list-item"> 
                                                       @if(!empty($item->rePricing) && $item->rePricing->takealot_offers_id==$item->id)
                                                       <a href="javascript:void()" wire:click="removeFromRePricing('{{encrypt($item->id)}}')" title="Remove From Re-Pricing">
                                                       <div class="badge badge-primary mb-1">
                                                          <i class="fa fa-line-chart" aria-hidden="true" title="Remove From Re-Pricing"></i>
                                                       </div>
                                                       </a>
                                                       @endif
                                                    </li>
                                                    <li class="ratings-list-item">
                                                        <span class="badge badge-pill {{$class}}">{{$item->status}} <span>
                                                             @if($item->winner==1)
                         
                                                             <i class="fa fa-check-square-o text-success" style="font-size: 1rem;" aria-hidden="true" title="Winner Offer"></i>
                         
                                                             @else
                         
                                                             <i class="fa fa-window-close text-danger" style="font-size: 1rem;" aria-hidden="true" title="Loser Offer"></i>
                         
                                                             @endif
                                                       </span>
                                                       </span>
                                                   </li>
                                                   @if(!empty($item->takealotOfferDetails->star_rating))<li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star filled-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>({{$item->takealotOfferDetails->star_rating}})</li>@endif
 
                                               </ul>
                                            </div>
                                             @php
                                                 $leadtime_decode=null;
                                                 $leadtime_qty=null;
                                                 $leadtime_decode=json_decode($item->leadtime_stock);
                                                 $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                                             @endphp
                                            <div class="item-name">
                                             <span class="mb-1 text-dark" ><strong class="mr-1" >Price:</strong>R{{$item->selling_price}}</span><br/>
                                             <span class="mb-1 text-dark" ><strong class="mr-1" >Stock at Takealot:</strong>{{!empty($item->stock_at_takealot_total) ? $item->stock_at_takealot_total : 0}}</span><br/>
                                             <span class="mb-1 text-dark" ><strong class="mr-1" >Leadtime Stock:</strong>{{(!empty($item->leadtime_days) && !empty($leadtime_qty)) ? $leadtime_qty : 0}}</span><br/>
                                             <span class="mb-1 text-dark" ><strong class="mr-1" >Your Stock Status:</strong>@if($item->leadtime_days!=null && $item->stock_at_takealot_total<=0) {{'Ship 5 to 7 work Days'}} @elseif($item->stock_at_takealot_total>0 && $item->leadtime_days==null) {{'In Stock'}} @elseif($item->stock_at_takealot_total>0 && $item->leadtime_days!=null) {{'In Stock'}} @else <span class="text-danger">Out Of Stock</span> @endif </span><br/>
                                             <span class="mb-1 text-dark" ><strong class="mr-1">Sellers:</strong>{{(!empty($item->takealotOfferDetails->total_sellers)) ? $item->takealotOfferDetails->total_sellers : 0 }}</span>
                                             @if(!empty($item->rePricing->winner_account_name))<br/> <span class="mb-1" ><strong class="mr-1 text-success">Winner:</strong>{{$item->rePricing->winner_account_name}}</span>@endif
                                             @if(!empty($item->rePricing->stock_status))<br/> <span class="mb-1 text-dark" ><strong class="mr-1">Winner Stock:</strong>{{$item->rePricing->stock_status}}</span>@endif
 
                                         </div>
                                            
                                            <div class="mt-1">
                                                <div class="badge badge-dark mb-1">
                                                    <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25"  title="Copy SKU"></i>
                                                <span id="sku_{{$key.$item->tsin_id}}">{{$item->sku}}</span></a>
                                                </div>
                                                <div class="badge badge-success mb-1">
                                                <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25"  title="Copy TSIN"></i>
                                                <span id="tsin_{{$key.$item->tsin_id}}">{{$item->tsin_id}}</span></a>
                                                  <a href="{{$item->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                                                </div>
                                                
                                            </div>
                                            <div>
                                                <h6 class="item-price">R{{$item->selling_price}}</h6>
                                            </div>
                                        </div>
                                        <h6 class="item-name">
                                            <a class="text-body" href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}">{{$item->title}}</a>
                                            <span class="card-text item-company">By <a href="javascript:void(0)" class="company-name" title="Brand">{{!empty($item->takealotOfferDetails->takealotBrands) ? $item->takealotOfferDetails->takealotBrands->name : 'None'}}</a></span>
                                         </h6>
                                    </div>
                                   
                                </div>
                                @endforeach
                                @endforeach
                                @endif
                                @if(count($takealotOffers)<=0 && $readyToLoad == true)
                                <div class="col-md-12 d-flex justify-content-center">
                                     <span class="text-center">
                                     <strong>No Offers Found!</strong>
                                     </span>
                                </div>                                 
                                @endif 
                                @if($readyToLoad == false)
                                <div class="col-md-12 d-flex justify-content-center">
                                    <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                    </div>
                                </div>
                                @endif
                            </section>
                          @endif
                        {{-- listview ended --}}
    
    
                        <!-- E-commerce Products Ends -->
    
                        <!-- E-commerce Pagination Starts -->
                        @if(!empty($takealotOffers))                       
                         
                            <section id="ecommerce-pagination">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="d-flex justify-content-center mr-2 mt-2">
                                            {{ $takealotOffers->onEachSide(3)->links() }}
                                        </div>
                                    </div>
                                </div>
                           
                           </section>
    
                        @endif
                        <!-- E-commerce Pagination Ends -->
    
                    </div>
                </div>
                <div class="sidebar-detached sidebar-left">
                    <div class="sidebar">
                        <!-- Ecommerce Sidebar Starts -->
                        <div class="sidebar-shop filters-sidebar">

                            <div class="card">
                                <div class="card-body">
                                    <!-- Price Filter starts -->
                                    <div class="brands filter-list">
                                     <h6 class="filter-title">Sort By Status</h6>
                                    
                                     <ul class="list-unstyled brand-list">
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Buyable" class="custom-control-input" id="productBrand1" />
                                                 <label class="custom-control-label" for="productBrand1">Buyable</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Not Buyable" class="custom-control-input" id="productBrand2"  />
                                                 <label class="custom-control-label" for="productBrand2">Not Buyable</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Disabled by Seller" class="custom-control-input" id="productBrand3" />
                                                 <label class="custom-control-label" for="productBrand3">Disabled by Seller</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Disabled by Takealot" class="custom-control-input" id="productBrand4" />
                                                 <label class="custom-control-label" for="productBrand4">Disabled by Takealot</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         
                                     </ul>
                                 </div>
                                 <div id="product-categories" class="filter-list">
                                     <h6 class="filter-title">Buy Box</h6>
                                     <ul class="list-unstyled categories-list">
                                         <li>
                                             <div class="custom-control custom-radio">
                                                 <input type="radio"  value="winner"  wire:model="buybox" id="winner" name="buybox" class="custom-control-input" {{(!empty($buybox) && $buybox=="winner") ? 'checked' : ''}}  />
                                                 <label class="custom-control-label" for="winner">Winning</label>
                                             </div>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-radio">
                                                 <input type="radio" value="losser" wire:model="buybox"  id="losser" name="buybox" {{(!empty($buybox) && $buybox=="losser") ? 'checked' : ''}} class="custom-control-input" />
                                                 <label class="custom-control-label" for="losser">Lossing</label>
                                             </div>
                                         </li>
                                         
                                     </ul>
                                   </div>
                                     <div id="product-categories" class="filter-list">
                                         <h6 class="filter-title">By Repricing</h6>
                                         <ul class="list-unstyled categories-list">
 
                                             <li>
                                                 <div class="custom-control custom-radio">
                                                     <input type="radio" id="rePricingFilter1" wire:model="rePricingFilter" value="yes"  name="rePricingFilter" class="custom-control-input" {{(!empty($rePricingFilter) && $rePricingFilter=="yes") ? 'checked' : ''}} />
                                                     <label class="custom-control-label" for="rePricingFilter1">Yes</label>
                                                 </div>
                                             </li>
                                             <li>
                                                 <div class="custom-control custom-radio">
                                                     <input type="radio" id="rePricingFilter2" wire:model="rePricingFilter" value="no" name="rePricingFilter" class="custom-control-input" {{(!empty($rePricingFilter) && $rePricingFilter=="no") ? 'checked' : ''}} />
                                                     <label class="custom-control-label" for="rePricingFilter2">No</label>
                                                 </div>
                                             </li>
                                         
                                         </ul>
                                     </div>
                                     <div id="product-categories2" class="filter-list">
                                         <h6 class="filter-title">Stock</h6>
                                         <ul class="list-unstyled categories-list">
                                             <li>
                                                 <div class="custom-control custom-radio">
                                                     <input type="radio"  value="instock"  wire:model="stockFilter" id="instock" name="stockFilter" class="custom-control-input" {{(!empty($stockFilter) && $stockFilter=="instock") ? 'checked' : ''}}  />
                                                     <label class="custom-control-label" for="instock">In-Stock</label>
                                                 </div>
                                             </li>
                                             <li>
                                                 <div class="custom-control custom-radio">
                                                     <input type="radio" value="leadtime" wire:model="stockFilter"  id="leadtime" name="stockFilter" {{(!empty($stockFilter) && $stockFilter=="leadtime") ? 'checked' : ''}} class="custom-control-input" />
                                                     <label class="custom-control-label" for="leadtime">Leadtime</label>
                                                 </div>
                                             </li>
                                             <li>
                                                 <div class="custom-control custom-radio">
                                                     <input type="radio" value="outofstock" wire:model="stockFilter"  id="outofstock" name="stockFilter" {{(!empty($stockFilter) && $stockFilter=="outofstock") ? 'checked' : ''}} class="custom-control-input" />
                                                     <label class="custom-control-label" for="outofstock">Out Of Stock</label>
                                                 </div>
                                             </li>
                                         </ul>
                                       </div>
                                  
    
    
                                    <!-- Clear Filters Starts -->
                                    <div id="clear-filters">
                                        <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                                    </div>
                                    <!-- Clear Filters Ends -->
                                </div>
                            </div>
                        </div>
                        <!-- Ecommerce Sidebar Ends -->
    
                    </div>
                </div>
            </div>
        </div>
        <!-- END: Content-->
    
        <div class="sidenav-overlay"></div>
        <div class="drag-target"></div>
    </div>