<div >
   <style>
      tr::before 
      {
         content: none;
      }
   </style>
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
           <div class="content-header row">
              <div class="content-header-left col-md-9 col-12 mb-2">
                 <div class="row breadcrumbs-top">
                    <div class="col-12">
                       <h2 class="content-header-title float-left mb-0">Subscriptions List</h2>
                       <div class="breadcrumb-wrapper">
                          <ol class="breadcrumb">
                             <li class="breadcrumb-item">({{(!empty($PackageBuy) && !empty($PackageBuy->total())) ? $PackageBuy->total() : 0 }}) results found
                             </li>
                          </ol>
                       </div>
                    </div>
                 </div>
              </div>
              <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                 {{-- <button class="btn btn-relief-dark">Export to CSV</button> --}}
                 <div class="btn-group btn-group-toggle" >
                 </div>
              </div>
           </div>
           <div class="content-body">
            <div class="row mb-1">            
               <div class="col-5">
                  <div class="row">
                    
                    <div class="col-2" style="padding-right: 0.1rem;">
                        <select class="form-control bg-white" wire:model="entries" name="entries" id="entries">
                              <option value="" >Show</option>
                              <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                              <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                              <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                              <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                              <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                              <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                        </select>
                     </div>
                     <div class="col-3" style="padding-right: 0.1rem;  padding-left: 0.1rem;">
                        <select class="form-control bg-white" wire:model="orderBy" name="orderBy" id="orderBy">
                              <option value="asc" {{($orderBy=='asc') ? 'selected' : ''}} >Ascending </option>
                              <option value="desc" {{($orderBy=='desc')  ? 'selected' : ''}}>Descending</option>
                        </select>
                     </div>
                  </div>                  
               </div>
               <div class="col-7">                  
                  <div class="input-group input-group-merge">
                     <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="Email | Payment Email | Status" aria-label="Search..." aria-describedby="shop-search" />
                     @if(isset($search) && !empty($search))
                        <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                              <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                             
                        </a>
                     @else
                        <div class="input-group-append">
                           <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                        </div>
                     @endif
                  </div>
               </div>
            </div>
              
              <section>
                 <div class="row">
                    <div class="col-12">
                       <div class="card">
                          <div class="table-responsive">
                             <table class="table" id="listForm">
                                <thead>
                                   <tr>
                                      <th class="text-left font-size-12">Email</th>
                                      <th class="text-left font-size-12">Shops Active</th>
                                      <th class="text-left font-size-12">Package</th>
                                      <th class="text-left font-size-12">Expire Date</th>
                                      <th class="text-left font-size-12" >Payment Status</th>                                      
                                      <th class="text-left font-size-12">Payment Email</th>
                                      <th class="text-left font-size-12">Account Status</th>
                                      <th class="text-left font-size-12">Subscription Status</th>
                                      <th class="text-left font-size-12">Action</th>
                                   </tr>
                                </thead>
                                <tbody wire:init="readyToLoad" wire:loading.class="disabledHtml">
                                   @if(!empty($PackageBuy) && count($PackageBuy)>0)                        
                                       @foreach($PackageBuy->chunk(10) as $chunk)
                                           @foreach($chunk as $key=>$item) 
                                              @livewire('admin.subscriptions.list-view' ,['subs' =>$item,'key'=>$key],key($item->id))             
                                           @endforeach     
                                       @endforeach
                                   @endif                  
                                </tbody>  
                               
                                                           
                             </table>
                              @if($readyToLoad == true && empty($PackageBuy))
                              <div class="col-md-12 d-flex justify-content-center">
                                 <span class="text-center">
                                    <strong>No Subscription Found!</strong>
                                 </span>
                              </div>                                 
                              @endif 
                              @if($readyToLoad == false)
                                 <div class="col-md-12 d-flex justify-content-center">
                                    <div class="d-flex justify-content-center my-1">
                                       <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                    </div>
                                 </div>
                              @endif 
                             @if(!empty($PackageBuy))                       
                        
                             <section id="ecommerce-pagination">
                                 <div class="row">
                                     <div class="col-sm-12">
                                         <div class="d-flex justify-content-center mr-2 mt-2">
                                             {{ $PackageBuy->onEachSide(3)->links() }}
                                         </div>
                                     </div>
                                 </div>
                         
                             </section>
     
                         @endif
                          </div>
                       </div>
                    </div>
                 </div>
              </section>
           </div>
        </div>
     </div>
     <!-- END: Content-->







</div>