<div>
    <section class="blogpage-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-7">
                    <div class="single-post-area">
                        <h2 class="article-title"><a href="javascript:void(0)">{{$blog->title}}</a></h2>
                        <div class="post-thumb">
                            <img src="{{uploaded_asset($blog->banner)}}" alt="{{$blog->title}}">
                        </div>
                        {{-- <h4 class="article-title">
                            Logotype Masterclass with Jessica Hische
                        </h4> --}}
                        <div>
                            @php echo $blog->description @endphp
                        </div>
                        
                        <div class="post-tags">
                            <h5>Tags:</h5>
                            @php
                                $tags = explode (",",$blog->meta_keywords); 
                            @endphp
                            @foreach($tags as $tag)
                            <span class="mr-1 badge badge-secondary">{{$tag}}</span>
                            @endforeach
                        </div>
                        {{-- <div class="post-share">
                            <h5>Share:</h5>
                            <a class="fac" href="#"><i class="fab fa-facebook-f"></i></a>
                            <a class="twi" href="#"><i class="fab fa-twitter"></i></a>
                            <a class="goo" href="#"><i class="fab fa-google"></i></a>
                        </div> --}}
                    </div>
                    
                </div>
                @php $related_blog         = \App\Models\Blog::where('category_id',$blog->category_id)->whereNotIn('id',[$blog->id])->get(); @endphp
                @if(count($related_blog) > 0)
                <div class="col-lg-4 col-md-5">
                    <div class="blog-sidebar">                        
                        <aside class="widget widget-trend-post">
                            <h3 class="widget-title">Related Posts</h3>
                           
                                @foreach($related_blog as $related)
                                    <div class="popular-post">
                                        <a href="{{route('blogs-details',$blog->slug)}}"><img src="{{uploaded_asset($related->banner)}}" alt=""></a>
                                        <h5><a href="{{route('blogs-details',$blog->slug)}}">{{Str::limit($related->short_description, 30,'.....')}}</a></h5>
                                    </div>  
                                @endforeach 
                                                
                        </aside>
                    </div>
                </div>
                @endif    
            </div>
        </div>
    </section>
</div>
