<div>
   
 <section class="appie-pricing-area pt-90 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">Choose your plan</h3>
                    <p>Get Up-to 20% off with yearly subscription</p>
                </div>
                <ul class="list-inline justify-content-center  d-flex mb-4" >
                    <li>
                        <a wire:target="selectPackageType('monthly')" href="javascript:void(0)" class="btn btn-outline-primary m-1 {{$packageType}} {{($packageType=='monthly') ? 'active' : ''}}" wire:click="selectPackageType('monthly')">
                            <span wire:loading wire:target="selectPackageType('monthly')" class="fa fa-spinner fa-spin"></span> Monthly
                        </a>
                    </li>
                    <li>
                        <a wire:target="selectPackageType('annually')" href="javascript:void(0)" class="btn btn-outline-primary m-1 {{$packageType}} {{($packageType=='annually') ? 'active' : ''}}" wire:click="selectPackageType('annually')">
                            <span wire:loading wire:target="selectPackageType('annually')" class="fa fa-spinner fa-spin"></span> Annually
                        </a>
                    </li>
                    
                   

                </ul><!-- /.list-inline -->     
                @if(Session::has('success'))
                    <div class="alert alert-success mt-1 mb-4">
                        {{Session::get('success')}}
                    </div>
                @endif 
                @if(Session::has('error'))
                    <div class="alert alert-danger mt-1 mb-4">
                        {{Session::get('error')}}
                    </div>
                @endif               
            </div>
        </div>
      
            <div >
                <div class="row justify-content-center">
                    @foreach($package as $item)
                        
                    <div class="col-lg-4 col-md-6 ">
                        <div class="pricing-one__single">
                            <div class="pricig-heading">
                                <h6>{{$item->title}}</h6>
                                @if($item->price<=0)
                                  <div class="price-range"><span>Free</span></div>
                                    @if(!empty($item->plan_caption))
                                    <p>{{$item->plan_caption}}</p>
                                    @endif
                                @else
                                  <div class="price-range"><sup>R</sup> <span>{{round($item->price)}}</span>
                                    @if($item->duration==1)
                                    <p>Monthly</p>
                                    @else
                                    <p>Month x {{$item->duration}}</p>
                                    @endif
                                 </div>
                                  @if(!empty($item->plan_caption))
                                     <p>{{$item->plan_caption}}</p>
                                  @endif
                                @endif
                                <p><strong>{{$item->caption}}</strong></p>
                            </div>
                            <div class="pricig-body">
                                <ul>
                                    @foreach($packageDetails->where('order_type','=',$item->order_type) as $detail)
                                    <li><i class="{{($item->icon=='no') ? 'text-danger fal fa-times-circle' : 'fal fa-check'}}"></i> {{$detail->title}}</li>                                   
                                    @endforeach
                                </ul>

                                <div class="pricing-btn mt-35">
                                    @if(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id==$item->id)
                                    <a class="main-btn top-pricing-btn" style="background: #03b028 !important; border-color: #03b028 !important;" href="javascript:void(0)" >Active</a>
                                    @elseif(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id!=$item->id)
                                    <a wire:target="payNow" class="main-btn {{($item->tag_status=='active') ? 'top-pricing-btn' : ''}}" href="javascript:void(0)" wire:click="payNow('{{encrypt($item->id)}}')" >
                                        <span  wire:loading wire:target="payNow" class="fa fa-spinner fa-spin" ></span><span class="ml-1">Update Plan</span>
                                    </a>                                    
                                    @else
                                        <a wire:target="payNow"   class="main-btn {{($item->tag_status=='active') ? 'top-pricing-btn' : ''}}" href="javascript:void(0)" wire:click="payNow('{{encrypt($item->id)}}')">
                                            <span wire:loading wire:target="payNow" class="fa fa-spinner fa-spin" ></span><span class="ml-1">Choose plan</span>
                                        </a>
                                    @endif


                                </div>
                            </div>
                            @if($item->tag_status=='active')
                            <div class="pricing-rebon">
                                <span>{{$item->tagline}}</span>
                            </div>
                            @endif
                        </div>
                    </div>
                    @endforeach
                </div>
            </div><!-- /#month -->
            
    </div>
</section>
</div>
