  <div class="app-content content " >
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="card" wire:init="readyToLoad">
                <div class="card-header">
                    <h5 class="mb-0 h5">{{!empty($apiData->takealot_account_name) ? $apiData->takealot_account_name : ''}} Takealot Api</h5>
                </div>
                <div class="card-body">

                        <form class="form-horizontal" wire:submit.prevent="updateTakealotApi(Object.fromEntries(new FormData($event.target)))" method="POST">
                        @csrf                      
                      
                        <div id="smtp">
                            {{-- <div class="form-group row">
                                <div class="col-md-3">
                                        <label class="col-from-label">Shop Name</label>
                                </div>
                                <div class="col-md-9">

                                        <input type="text" {{($api_edit==false) ? 'disabled' : ''}} class="form-control @error('takealot_shop_name') is-invalid @enderror" name="takealot_shop_name" id="takealot_shop_name" value="{{!empty($apiData->takealot_account_name) ? $apiData->takealot_account_name : ''}}" placeholder="Please Put Here Your Takealot Shop Name">
                                        @error('takealot_shop_name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror                                     
                                </div>
                            </div>  --}}
                             <div class="form-group row">
                                <div class="col-md-3">
                                        <label class="col-from-label">Takealot API Key</label>
                                </div>
                                <div class="col-md-9">

                                        <input type="text" {{($api_edit==false) ? 'disabled' : ''}} class="form-control @error('takealot_api_key') is-invalid @enderror" name="takealot_api_key" id="takealot_api_key" value="{{!empty($apiData->takealot_api_key) ? $apiData->takealot_api_key : ''}}" placeholder="Please Paste Here Takealot API Key">
                                        @error('takealot_api_key')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror                                
                                </div>
                            </div>                            
                        </div>
                         
                       @if($api_edit==false)
                        <div class="form-group mb-0 text-right">
                            <a href="javascript:void(0)" wire:click="$set('api_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        </div>
                      @else
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('api_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                            <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                            
                        </div>
                      @endif
                    </form>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Webhook</h5>
                </div>
                <div class="card-body">
                    <form class="form-horizontal" wire:submit.prevent="updateTakealotApiWebHook(Object.fromEntries(new FormData($event.target)))" method="POST">
                        @csrf                      
                      
                        <div id="webhook">
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Webhook URL</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" class="form-control" readonly name="webhook_url" id="webhook_url" value="{{env('APP_URL')}}/takealot-events/{{!empty($apiData->webhook_uuid) ? $apiData->webhook_uuid : ''}}" placeholder="Webhook Url">
                                                                        
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Webhook Secret</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" {{($webhook_edit==false) ? 'disabled' : ''}} autofocus class="form-control @error('webhook_secret_key') is-invalid @enderror" name="webhook_secret_key" id="webhook_secret_key" value="{{!empty($apiData->takealot_webhook_secreet) ? $apiData->takealot_webhook_secreet : ''}}" placeholder="Paste in Takealot Webhook Secret Key">
                                    @error('webhook_secret_key')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror                               
                                </div>
                            </div>
                            
                        </div>
                        
                        @if($webhook_edit==false)
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('webhook_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        
                        </div>
                        @else
                            <div class="form-group mb-0 text-right">

                                <a href="javascript:void(0)" wire:click="$set('webhook_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                                <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                                
                            </div>
                        @endif
                    </form>
                </div>
            </div> 
            @if (Auth::user()->id == 1)
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Set Percenateg For Leadtime Offers</h5>
                </div>
                <div class="card-body">
                    <form class="form-horizontal" wire:submit.prevent="updateLeadTimePercentage(Object.fromEntries(new FormData($event.target)))" method="POST">
                        @csrf                      
                      
                        <div id="webhook">
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Percentage</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" class="form-control @error('leadtime_percentage') is-invalid @enderror" {{($leadtime_edit==false) ? 'disabled' : ''}} name="leadtime_percentage" id="leadtime_percentage" value="{{!empty($apiData->leadtime_percentage) ? $apiData->leadtime_percentage : 0}}" placeholder="Leadtime Percenateg">
                                    @error('leadtime_percentage')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror                           
                                </div>
                            </div>
                          
                            
                        </div>
                        
                        @if($leadtime_edit==false)
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('leadtime_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        
                        </div>
                        @else
                            <div class="form-group mb-0 text-right">

                                <a href="javascript:void(0)" wire:click="$set('leadtime_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                                <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                                
                            </div>
                        @endif
                    </form>
                </div>
            </div>
            @endif
        </div>
        <div class="col-md-6">
           
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Instruction</h5>
                </div>
                <div class="card-body">
                    <p class="text-danger">Please be carefull when you are configuring API. For incorrect
                        configuration you will get error at the time of fetching your products from takealot.</p>
                    <h6 class="text-muted">Webhook</h6>
                    <ul class="list-group">
                        <li class="list-group-item text-dark">Receive near real-time updates for orders and offers when you setup a webhook.</li>
                        
                    </ul>
                    <br>
                    <h6 class="text-muted">Supported events</h6>
                    <ul class="list-group mar-no">
                        <li class="list-group-item text-dark">Sale Status Changed</li>
                        <li class="list-group-item text-dark">Offer Updated</li>
                        <li class="list-group-item text-dark">Offer Created</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
