<tr class="text-center">
    <style>
        .listForm td:hover {
            background-color: transparent !important;
        }

        .listForm tr::before {
            background-color: transparent !important;
            opacity: 10 !important;
            transition: none !important;
        }

        .listForm th,
        .table td {
            padding: 0rem;
            vertical-align: middle;
            border-top: none;
        }
    </style>
    @if (!empty($item))
        @php
            $class = '<span class="avatar-status-offline" title="Unknown Status"></span>';
            if ($item['status'] == 'Buyable') {
                $class = '<span class="avatar-status-online" title="Buyable"></span>';
            } elseif ($item['status'] == 'Not Buyable') {
                $class = '<span class="avatar-status-busy" title="Not Buyable"></span>';
            } elseif ($item['status'] == 'Disabled by Seller') {
                $class = '<span class="avatar-status-away" title="Disabled by Seller"></span>';
            } elseif ($item['status'] == 'Disabled by Takealot') {
                $class = '<span class="avatar-status-offline" title="Disabled by Takealot"></span>';
            } else {
                $class = '<span class="avatar-status-other" title="Unknown Status"></span>';
            }
        @endphp
        <td class="font-size-13  text-center">
            <div class="avatar">
                @php
                    echo $class;
                @endphp
            </div>
        </td>
        <td>
            <img src="{{ $item['image_url'] }}" height="75" width="75" alt="{{ $item['title'] }}" />
        </td>
        <td class="font-size-13" style="width: 25%;">
            <div class="text-left d-block">
                <a href="{{ $item['offer_url'] }}" target="_blank" title="{{ $item['title'] }}"><span
                        class="text-left font-weight-bolder">{{ $item['title'] }}</span></a>

               
                    <div class="badge badge-dark mb-1">
                        <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{ $key . $item['tsin_id'] }}')"><i
                                class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i><span
                                id="sku_{{ $key . $item['tsin_id'] }}">{{ $item['sku'] }}</span></a>
                        
                    </div>
                    <div class="badge badge-success mb-1">
                        <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item['tsin_id']}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i><span id="tsin_{{$key.$item['tsin_id']}}">{{$item['tsin_id']}}</span></a>
                        <a href="{{$item['offer_url']}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View on takealot"></i></a>
                    </div>
                    <div class="badge badge-secondary mb-1">
                        <a href="javascript:void(0)" wire:click="importOffer('{{encrypt($item['offer_id'])}}')"><i  class="fa fa-download mr-25" aria-hidden="true" title="Import Offer"></i><span id="tsin_{{$key.$item['tsin_id']}}">Import Offer</span></a>
                    </div>
                
            </div>
        </td>
        <td class="text-center">
            @php
                $leadtime_decode = null;
                $leadtime_qty = null;
                $leadtime_decode = $item['leadtime_stock'];
               
                $leadtime_qty = !empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) ? $leadtime_decode[0]->quantity_available : 0;
            @endphp
            @if ($item['leadtime_days'] != null && !empty($leadtime_qty))
                <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status">
                    {{ 'My SOH :' }} {{ $leadtime_qty }}</span></a> <br />
            @endif
            @if ($item['stock_at_takealot_total'] > 0)
                <a href="javasecript:void()" class="badge badge-pill badge badge-info"
                    title="Your Stock Status">{{ 'In Stock : ' }} {{ $item['stock_at_takealot_total'] }}</span></a>
            @endif
            @if ($item['stock_at_takealot_total'] <= 0 && $item['leadtime_days'] == null)
                <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out
                    Of Stock</span></a>
            @endif
        </td>
        {{-- <td>
            @if (isset($takealotRePricing->status) && (!empty($takealotRePricing->min_price) && !empty($takealotRePricing->max_price)))
                <div class="custom-control custom-switch custom-switch-success d-flex justify-content-center">
                    <input type="checkbox"
                        {{ empty($takealotRePricing->min_price) || empty($takealotRePricing->max_price) ? 'disabled' : '' }}
                        class="custom-control-input" value="{{ $takealotRePricing->status == 1 ? 0 : 1 }}"
                        wire:change="updateOfferStatus('{{ encrypt($takealotRePricing->id) }}',$event.target.value)"
                        id="customSwitchh{{ $key }}" @if (!empty($takealotRePricing->status) && $takealotRePricing->status == 1) checked @endif />
                    <label class="custom-control-label " for="customSwitchh{{ $key }}">
                        <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                        <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                    </label>
                </div>
            @endif
        </td> --}}
        <td class="text-center">
            R{{ $item['selling_price'] }}
        </td> 
        <td class="text-center">
            R{{ $item['rrp'] }}
        </td>
        <td class="text-center">
            {{ $item['discount'] }}
        </td>
        {{-- <td class="text-center">
            <form id="form{{ $key }}" class="text-center" >
                <table class="listForm">
                    <tr>
                        <td class="text-center" style="padding: 0rem 0.3rem !important;">

                            <div class="input-group input-group-sm justify-content-center">
                                <div class="input-group-prepend">
                                    <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Min R</a>
                                </div>
                                <input type="number" name="minPrice"
                                    class="form-control @error('minPrice') is-invalid @enderror"
                                    value="{{ !empty($takealotRePricing->min_price) && $takealotRePricing->min_price > 0 ? $takealotRePricing->min_price : null }}"
                                    placeholder="R0">
                                @error('minPrice')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                        </td>
                        <td class="text-center" style="padding: 0rem 0.3rem !important;">
                            <div class="input-group input-group-sm justify-content-center">
                                <div class="input-group-prepend">
                                    <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Max R</a>
                                </div>
                                <input type="number" name="maxPrice"
                                    class="form-control @error('maxPrice') is-invalid @enderror"
                                    value="{{ !empty($takealotRePricing->max_price) && $takealotRePricing->max_price > 0 ? $takealotRePricing->max_price : null }}"
                                    placeholder="R0">
                                @error('maxPrice')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </td>
                        <td class="text-center" style="padding: 0rem 0.3rem !important;">
                            @php
                                $leadtime_decode = null;
                                $leadtime_qty = 0;
                                $leadtime_decode = $item['leadtime_stock'];
                                $leadtime_qty = !empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) ? $leadtime_decode[0]->quantity_available : 0;
                            @endphp

                            <div class="input-group input-group-sm justify-content-center">
                                <div class="input-group-prepend">
                                    <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Qty</a>
                                </div>
                                <input type="number" name="my_soh"
                                    class="form-control @error('my_soh') is-invalid @enderror"
                                    value="{{ $leadtime_qty > 0 ? $leadtime_qty : 0 }}" placeholder="Quantity">
                                @error('my_soh')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <input type="text" name="updateFor" value="{{ encrypt($item['offer_id']) }}" hidden>
                        </td>
                        <td style="width: 5%;" style="padding: 0rem 0rem !important;">
                            <button stype="submit" class="btn btn-outline-success btn-block btn-sm"><span wire:loading
                                    wire:target="updateOfferPrice"
                                    style="vertical-align: top;!important;margin-right: 5px;!important;"
                                    class="spinner-border spinner-border-sm  text-success" role="status"
                                    aria-hidden="true"></span><i wire:loading.remove wire:target="updateOfferPrice"
                                    class="fa fa-check text-success"></i></button>
                        </td>
                    </tr>
                </table>
            </form>
        </td> --}}
        {{-- <td class="text-center p-1">
            <button type="button" class="btn btn-outline-primary btn-block btn-sm"
                wire:click="editPricing('{{ encrypt($item['offer_id']) }}')">
                <span wire:loading wire:target="editPricing"
                    style="vertical-align: top;!important;margin-right: 5px;!important;"
                    class="spinner-border spinner-border-sm  text-primary" role="status"
                    aria-hidden="true"></span><i wire:loading.remove wire:target="editPricing"
                    class="fa fa-money text-primary"></i>
            </button>
        </td> --}}

    @endif
</tr>
