<div >
     <!-- BEGIN: Content-->
     <div class="app-content content ">
         <div class="content-overlay"></div>
         <div class="header-navbar-shadow"></div>
         <div class="content-wrapper">
            <div class="content-header row">
               <div class="content-header-left col-md-9 col-12 mb-2">
                  <div class="row breadcrumbs-top">
                     <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Offers</h2>
                        <div class="breadcrumb-wrapper">
                           <ol class="breadcrumb">
                              <li class="breadcrumb-item">({{(!empty($takealotOffers) && !empty($takealotOffers->total())) ? $takealotOffers->total() : 0 }}) results found
                              </li>
                           </ol>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                  {{-- <button class="btn btn-relief-dark">Export to CSV</button> --}}
                  <div class="btn-group btn-group-toggle" >
                  </div>
               </div>
            </div>
            <div class="content-body">
             <div class="row mb-1">            
                <div class="col-5">
                   <div class="row">
                     
                     <div class="col-2" style="padding-right: 0.1rem;">
                         <select class="form-control bg-white" wire:model="entries" name="entries" id="entries">
                               <option value="" >Show</option>
                               <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                               <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                               <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                               <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                               <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                               <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem;  padding-left: 0.1rem;">
                         <select class="form-control bg-white" wire:model="orderBy" name="orderBy" id="orderBy">
                               <option value="asc" {{($orderBy=='asc') ? 'selected' : ''}} >Ascending </option>
                               <option value="desc" {{($orderBy=='desc')  ? 'selected' : ''}}>Descending</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem; padding-left: 0.1rem;">
                            <select class="form-control bg-white" wire:model="priceSort" name="priceSort" id="priceSort">
                               <option value="" >Sort By Price</option>
                               <option value="lowest">Lowest To Highest Price</option>
                               <option value="highest">Highest To Lowest Price</option>
                            </select>
                      </div>
                   </div>                  
                </div>
                <div class="col-5">                  
                   <div class="input-group input-group-merge">
                      <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN" aria-label="Search..." aria-describedby="shop-search" />
                      @if(isset($search) && !empty($search))
                         <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                               <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                              
                         </a>
                      @else
                         <div class="input-group-append">
                            <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                         </div>
                      @endif
                   </div>
                </div>
                <div class="col-2">   
                   <button class="btn btn-outline-primary btn-block waves-effect waves-float waves-light bg-white" data-toggle="modal" data-target="#filtters"><i class="fa fa-filter"></i> Filters</button>
                               
                </div>
             </div>
               
               <section>
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="table-responsive">
                              <table class="table" id="offers">
                                 <thead>
                                    <tr>
                                       <th class="text-center font-size-12" style="width: 3%;">Status</th>
                                       <th class="text-center font-size-12" style="width: 8%;"></th>
                                       <th class="font-size-12" style="width: 25%;">Product</th>
                                       <th class="text-center font-size-12">Stock</th>
                                       <th class="text-center font-size-12" style="width: 10%;">Repricing</th>
                                       <th class="text-center font-size-12" style="width: 10%;">Current Price</th>
                                       <th class="text-center font-size-12" style="width: 40%;">Update Min & Max Price</th>
                                       <th class="text-center font-size-12" style="width: 5%;">Action</th>
                                    </tr>
                                 </thead>
                                 <tbody wire:init="readyToLoad" wire:loading.class="disabledHtml">
                                    @if(!empty($takealotOffers) && count($takealotOffers)>0)                        
                                        @foreach($takealotOffers->chunk(10) as $chunk)
                                            @foreach($chunk as $key=>$item)                                             
                                                @livewire('seller.offers.list-view' ,['offer' =>$item,'key'=>$key],key($item->id))             
                                            @endforeach     
                                        @endforeach
                                    @endif                  
                                 </tbody>  
                                
                                                            
                              </table>
                               @if($readyToLoad == true && empty($takealotOffers))
                               <div class="col-md-12 d-flex justify-content-center">
                                  <span class="text-center">
                                     <strong>No Offers Found!</strong>
                                  </span>
                               </div>                                 
                               @endif 
                               @if($readyToLoad == false)
                                  <div class="col-md-12 d-flex justify-content-center">
                                     <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                     </div>
                                  </div>
                               @endif 
                              @if(!empty($takealotOffers))                       
                         
                              <section id="ecommerce-pagination">
                                  <div class="row">
                                      <div class="col-sm-12">
                                          <div class="d-flex justify-content-center mr-2 mt-2">
                                              {{ $takealotOffers->onEachSide(3)->links() }}
                                          </div>
                                      </div>
                                  </div>
                          
                              </section>
      
                          @endif
                           </div>
                        </div>
                     </div>
                  </div>
               </section>
            </div>
         </div>
      </div>
      <!-- END: Content-->
 
 
 
 
 
 
 
 
<!-- Filters-->  
@include('livewire.seller.offers.popUpFilters')
<!-- Edits Repricing popup-->  
@include('livewire.seller.offers.popUpRepricing');
<!--Start Edit selling prices-->
@include('livewire.seller.offers.popUpEditPrices');
<!--End Edit selling prices-->
 @push('custom-scripts')
 <script>
     document.addEventListener('setInputFocus', event => {
         alert(event.details.id);
     });
     </script>
     <script>
         window.addEventListener('popupnew', event => {
             $('#'+event.detail.id).modal('show')
         })
         </script>
 @endpush
 </div>