<div>
    <!-- header media -->
    <!--  <div class="media">
        <form wire:submit.prevent="image_update(Object.fromEntries(new FormData($event.target)))">
            <div class="d-flex align-items-start align-items-sm-center gap-2"  >
                <div class="button-wrapper">
                    <label for="upload" tabindex="0">
                        <img src="@if(!empty($user->user_detail->profile_image) && empty($image)) {{uploaded_asset($user->user_detail->profile_image)}} @elseif(!empty($image)) {{$image->temporaryUrl()}} @else {{static_asset('')}}uploads/user/avatar.png @endif" alt="user-avatar" class="d-block w-px-100 h-px-100 rounded" height="80" width="80" id="image" />
                        <input type="file" id="upload" wire:model="image" class="account-file-input" hidden accept="image/png, image/jpg, image/jpeg" />
                    </label>
                </div>
                <span wire:loading>
                    <button type="button" class="btn btn-primary me-2 mb-6">
                        <div class="spinner-border text-light" role="status">
                            {{-- <span  style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> --}}
                        </div>
                    </button>
                </span>
                {{-- <span wire:loading.remove>
                    <button type="submit" class="btn btn-primary me-2 mb-6"><span  class="d-none d-sm-block">Upload new photo</span></button>
                </span> --}}
                {{-- @if(!empty($image)) --}}
                    <a type="button" wire:click="resetImage()" class="btn btn-label-secondary account-image-reset mb-6">
                        <i class="ti ti-refresh-dot d-block d-sm-none"></i>
                        <span class="d-none d-sm-block">Reset</span>
                    </a>
                {{-- @endif --}}
            
            </div>
            
               
               
        </form>
      
    </div>-->
    <!--/ header media -->

    <!-- form -->
    @if((!isset(Auth::user()->Userdetail->phone) || !isset(Auth::user()->Userdetail->first_name))) 
    <div class="demo-spacing-0">
        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert">
            <div class="alert-body">
                <i data-feather="info" class="mr-50 align-middle"></i>
                <span>Please complete your profile. After completing profile
                    <a href="{{ route('seller.dashboard') }}">
                   <span style="color: #7367f0;">click here </span></a> for next step.
               </span>
            </div>
        </div>
    </div>
   @endif
    <form class="validate-form mt-2"  wire:submit.prevent="profile_edit(Object.fromEntries(new FormData($event.target)))">
        
        <div class="row">
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="firstname">First Name</label>
                    <input type="text" class="form-control @error('first_name') is-invalid @enderror" id="firstname" name="first_name" placeholder="First Name" value="{{(!empty(Auth::user()->Userdetail->first_name)) ? Auth::user()->Userdetail->first_name : null }}" />
                    @error('first_name')
                    <div class="invalid-feedback">{{$message}}</div>
                    @enderror
                </div>
            </div>
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="lastname">Last Name</label>
                    <input type="text" class="form-control @error('last_name') is-invalid @enderror" id="lastname" name="last_name" placeholder="Last Name" value="{{(!empty(Auth::user()->Userdetail->last_name)) ? Auth::user()->Userdetail->last_name : null }}" />
                    @error('last_name')
                    <div class="invalid-feedback">{{$message}}</div>
                    @enderror
                </div>
            </div>
            
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="phone-number">Phone Number</label>
                    <input type="text" class="form-control @error('phone') is-invalid @enderror" id="phone-number" name="phone" placeholder="Phone" value="{{(!empty(Auth::user()->Userdetail->phone)) ? Auth::user()->Userdetail->phone : null }}" />
                    @error('phone')
                    <div class="invalid-feedback">{{$message}}</div>
                    @enderror
                </div>
            </div>
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="account-e-mail">E-mail</label>
                    <input type="email" disabled class="form-control" id="account-e-mail" name="email" placeholder="Email" value="{{(!empty(Auth::user()->email)) ? Auth::user()->email : null }}" />
                </div>
            </div>
            <div class="col-12">
                <button type="submit" class="btn btn-primary mt-2 mr-1">Save changes</button>
            </div>
        </div>
    </form>
    <!--/ form -->
</div>
