<div>
    <style>
        .inputPrice {
            display: none;
        }

        tr:hover .inputPrice {
            display: inline-block;
        }

        tr:hover .priceText {
            display: none;
        }
    </style>
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Re-Pricing</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item">({{(!empty($takealotRePricing) && !empty($takealotRePricing->total())) ? $takealotRePricing->total() : 0 }}) results found
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                {{-- <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none"> --}}
                {{-- <button class="btn btn-relief-dark">Export to CSV</button> --}}
                {{-- <div class="btn-group btn-group-toggle" >
                  @if(Auth::user()->id==1)
                  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                      <div class="form-group">
                          <div class="dropdown">
                              <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-bars"></i></button>
                              <div class="dropdown-menu dropdown-menu-right">
                                  <a class="dropdown-item" href="javascript:void(0)" wire:click="importAllBuyable">
                                      <i class="mr-1" data-feather="check-square"></i>
                                      <span class="align-middle">Import all buyable to re-pricing</span>
                                  </a>
                                  <a class="dropdown-item" href="javascript:void(0)" wire:click="removeInActive">
                                      <i class="mr-1" data-feather="check-square"></i>
                                      <span class="align-middle">Remove all inactive to offers</span>
                                  </a>                                  
                              </div>
                          </div>
                      </div>
                  </div>
                  @endif
              </div> --}}
                {{-- </div> --}}
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                    <div class="btn-group btn-group-toggle">
                        @if(Auth::user()->id==1)
                        <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                            <div class="form-group">
                                <div class="dropdown">
                                    <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-bars"></i></button>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="/check-losser-offers" target="_blank">
                                            <i class="mr-1" data-feather="check-square"></i>
                                            <span class="align-middle">Losser Offers Re-Check</span>
                                        </a>
                                        <a class="dropdown-item" href="/check-winner" target="_blank">
                                            <i class="mr-1" data-feather="check-square"></i>
                                            <span class="align-middle">Winner Offers Re-Check</span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endif
                    </div>
                </div>
            </div>
            <div class="content-body">
                <div class="row mb-1">
                    <div class="col-5">
                        <div class="row">

                            <div class="col-2" style="padding-right: 0.1rem;">
                                <select class="form-control bg-white" wire:model="entries" name="entries" id="entries">
                                    <option value="">Show</option>
                                    <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                                    <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                                    <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                                    <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                                    <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                                    <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                                </select>
                            </div>
                            <div class="col-3" style="padding-right: 0.1rem;  padding-left: 0.1rem;">
                                <select class="form-control bg-white" wire:model="orderBy" name="orderBy" id="orderBy">
                                    <option value="asc" {{($orderBy=='asc') ? 'selected' : ''}}>Ascending </option>
                                    <option value="desc" {{($orderBy=='desc')  ? 'selected' : ''}}>Descending</option>
                                </select>
                            </div>
                            <div class="col-3" style="padding-right: 0.1rem; padding-left: 0.1rem;">
                                <select class="form-control bg-white" wire:model="priceSort" name="priceSort" id="priceSort">
                                    <option value="">Sort By Price</option>
                                    <option value="min">Min Price </option>
                                    <option value="max">Max Price</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-5">
                        <div class="input-group input-group-merge">
                            <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN" aria-label="Search..." aria-describedby="shop-search" />
                            @if(isset($search) && !empty($search))
                            <a href="javascript:void(0)" class="input-group-append" wire:click="$set('search','')">
                                <span class="input-group-text"><span wire:loading wire:target="search" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>

                            </a>
                            @else
                            <div class="input-group-append">
                                <span class="input-group-text"><span wire:loading wire:target="search" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                            </div>
                            @endif
                        </div>
                    </div>
                    <div class="col-2">
                        <button class="btn btn-outline-primary btn-block waves-effect waves-float waves-light bg-white" data-toggle="modal" data-target="#filtters"><i class="fa fa-filter"></i> Filters</button>

                    </div>
                </div>

                <section>
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="table-responsive">
                                    <table class="table table-sm" id="offers">
                                        <thead>
                                            <tr>
                                                <th class="text-center font-size-12">Status</th>
                                                <th class="text-center font-size-12"></th>
                                                <th class="font-size-12" style="width: 25%;">Product</th>
                                                <th class="text-center font-size-12">Re-Pricing Status</th>
                                                <th class="text-center font-size-12">Buybox Status</th>
                                                <th class="text-center font-size-12">Sellers</th>
                                                <th class="text-center font-size-12">Buybox Price</th>
                                                <th class="text-center font-size-12">Current Price</th>
                                                <th class="text-center font-size-12">Min Price</th>
                                                <th class="text-center font-size-12">Max Price</th>
                                                <th class="text-center font-size-12">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody wire:init="readyToLoad" wire:loading.class="disabledHtml">
                                            @if(!empty($takealotRePricing) && count($takealotRePricing)>0)
                                            @foreach($takealotRePricing->chunk(10) as $chunk)
                                            @foreach($chunk as $key=>$item)
                                            @livewire('seller.re-pricing.list-view' ,['offer' =>$item,'key'=>$key],key($item->id))

                                            @endforeach
                                            @endforeach
                                            @endif
                                        </tbody>


                                    </table>
                                    @if($readyToLoad == true && empty($takealotRePricing))
                                    <div class="col-md-12 d-flex justify-content-center">
                                        <span class="text-center">
                                            <strong>No Offers Found!</strong>
                                        </span>
                                    </div>
                                    @endif
                                    @if($readyToLoad == false)
                                    <div class="col-md-12 d-flex justify-content-center">
                                        <div class="d-flex justify-content-center my-1">
                                            <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                        </div>
                                    </div>
                                    @endif
                                    @if(!empty($takealotRePricing))

                                    <section id="ecommerce-pagination">
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <div class="d-flex justify-content-center mr-2 mt-2">
                                                    {{ $takealotRePricing->onEachSide(3)->links() }}
                                                </div>
                                            </div>
                                        </div>

                                    </section>

                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
    <!-- END: Content-->








    <!-- Filters-->
    <div class="modal modal-slide-in fade" id="filtters" aria-hidden="true" wire:ignore.self>
        <div class="modal-dialog sidebar-lg">
            <div class="modal-content p-0">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">×</button>
                <div class="modal-header mb-1">
                    <h5 class="modal-title">
                        <span class="align-middle">Filters</span>
                    </h5>
                </div>
                <div class="modal-body flex-grow-1">

                    <!-- Price Filter starts -->
                    <div class="brands filter-list">
                        <h6 class="filter-title">Sort By Status</h6>

                        <ul class="list-unstyled brand-list">
                            <li>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" wire:model="status" value="Buyable" class="custom-control-input" id="productBrand1" />
                                    <label class="custom-control-label" for="productBrand1">Buyable</label>
                                </div>
                                <span></span>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" wire:model="status" value="Not Buyable" class="custom-control-input" id="productBrand2" />
                                    <label class="custom-control-label" for="productBrand2">Not Buyable</label>
                                </div>
                                <span></span>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" wire:model="status" value="Disabled by Seller" class="custom-control-input" id="productBrand3" />
                                    <label class="custom-control-label" for="productBrand3">Disabled by Seller</label>
                                </div>
                                <span></span>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" wire:model="status" value="Disabled by Takealot" class="custom-control-input" id="productBrand4" />
                                    <label class="custom-control-label" for="productBrand4">Disabled by Takealot</label>
                                </div>
                                <span></span>
                            </li>

                        </ul>
                    </div>
                    <div id="product-categories" class="filter-list">
                        <h6 class="filter-title">Buy Box</h6>
                        <ul class="list-unstyled categories-list">
                            <li>
                                <div class="custom-control custom-radio">
                                    <input type="radio" value="winner" wire:model="buybox" id="winner" name="buybox" class="custom-control-input" {{(!empty($buybox) && $buybox=="winner") ? 'checked' : ''}} />
                                    <label class="custom-control-label" for="winner">Winning</label>
                                </div>
                            </li>
                            <li>
                                <div class="custom-control custom-radio">
                                    <input type="radio" value="losser" wire:model="buybox" id="losser" name="buybox" {{(!empty($buybox) && $buybox=="losser") ? 'checked' : ''}} class="custom-control-input" />
                                    <label class="custom-control-label" for="losser">Lossing</label>
                                </div>
                            </li>

                        </ul>
                    </div>
                    <div id="product-categories" class="filter-list">
                        <h6 class="filter-title">By Pricing</h6>
                        <ul class="list-unstyled categories-list">
                            <li>
                                <div class="custom-control custom-radio">
                                    <input type="radio" value="min" wire:model="byPricingFilter" id="minreached" name="minreached" class="custom-control-input" {{(!empty($minreached)  && $byPricingFilter=='min') ? 'checked' : ''}} />
                                    <label class="custom-control-label" for="minreached">Min Reached</label>
                                </div>
                            </li>
                            <li>
                                <div class="custom-control custom-radio">
                                    <input type="radio" value="max" wire:model="byPricingFilter" id="maxreached" name="maxreached" {{(!empty($byPricingFilter) && $byPricingFilter=='max') ? 'checked' : ''}} class="custom-control-input" />
                                    <label class="custom-control-label" for="maxreached">Max Reached</label>
                                </div>
                            </li>

                        </ul>
                    </div>
                    {{-- <div id="product-categories2" class="filter-list">
                   <h6 class="filter-title">Re-Pricing Status</h6>
                   <ul class="list-unstyled categories-list">
                       <li>
                           <div class="custom-control custom-radio">
                               <input type="radio"  value="enabled"  wire:model="rePricingStatus" id="enabled" name="rePricingStatus" class="custom-control-input" {{(!empty($rePricingStatus) && $rePricingStatus=="enabled") ? 'checked' : ''}} />
                    <label class="custom-control-label" for="enabled">Active</label>
                </div>
                </li>
                <li>
                    <div class="custom-control custom-radio">
                        <input type="radio" value="disabled" wire:model="rePricingStatus" id="disabled" name="rePricingStatus" {{(!empty($rePricingStatus) && $rePricingStatus=="disabled") ? 'checked' : ''}} class="custom-control-input" />
                        <label class="custom-control-label" for="disabled">In-Active</label>
                    </div>
                </li>

                </ul>
            </div> --}}
            <div id="product-categories2" class="filter-list">
                <h6 class="filter-title">Stock</h6>
                <ul class="list-unstyled categories-list">
                    <li>
                        <div class="custom-control custom-radio">
                            <input type="radio" value="instock" wire:model="stockFilter" id="instock" name="stockFilter" class="custom-control-input" {{(!empty($stockFilter) && $stockFilter=="instock") ? 'checked' : ''}} />
                            <label class="custom-control-label" for="instock">In-Stock</label>
                        </div>
                    </li>
                    <li>
                        <div class="custom-control custom-radio">
                            <input type="radio" value="leadtime" wire:model="stockFilter" id="leadtime" name="stockFilter" {{(!empty($stockFilter) && $stockFilter=="leadtime") ? 'checked' : ''}} class="custom-control-input" />
                            <label class="custom-control-label" for="leadtime">Leadtime</label>
                        </div>
                    </li>
                    <li>
                        <div class="custom-control custom-radio">
                            <input type="radio" value="outofstock" wire:model="stockFilter" id="outofstock" name="stockFilter" {{(!empty($stockFilter) && $stockFilter=="outofstock") ? 'checked' : ''}} class="custom-control-input" />
                            <label class="custom-control-label" for="outofstock">Out Of Stock</label>
                        </div>
                    </li>
                </ul>
            </div>
            <!-- Clear Filters Starts -->
            <div id="clear-filters">
                <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
            </div>
            <!-- Clear Filters Ends -->

        </div>
    </div>
</div>
</div>

<!-- Edits-->
<div wire:ignore.self class="modal modal-slide-in fade" data-backdrop="static" id="updateRow" aria-hidden="true">
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" wire:click="closeModel" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Update Offer Details</span>
                </h5>
            </div>
            @if(!empty($rePricingDetails))
            <div class="modal-body flex-grow-1">
                <h5 class="modal-title">
                    <span class="align-middle">{{$rePricingDetails->offer->title}}</span>
                </h5>
                <h2 class="modal-title">
                    <span class="align-middle">Buy Box</span>
                </h2>
                <hr />
                <form id="popup1" class="form-horizontal" wire:submit.prevent="updateOfferDetails(Object.fromEntries(new FormData($event.target)))">
                    @csrf
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Repricing</label>
                        <div class="col-sm-7">
                            <div class="custom-control custom-switch custom-switch-success d-flex justify-content-left">
                                <input type="checkbox" {{(empty($rePricingDetails->min_price) || empty($rePricingDetails->max_price)) ? 'disabled' : ''}} class="custom-control-input" value="{{($rePricingDetails->status== 1) ? 0 : 1}}" wire:change="updateOfferStatus('{{encrypt($rePricingDetails->id)}}',$event.target.value)" id="customSwitchh1" @if($rePricingDetails->status==1) checked @endif />
                                <label class="custom-control-label " for="customSwitchh1">
                                    <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                                    <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Current Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">R</span>
                                </div>
                                <input type="number" disabled class="form-control" value="{{($rePricingDetails->offer->selling_price>0 ? $rePricingDetails->offer->selling_price : null)}}" placeholder="R0">
                            </div>
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Min Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">R</span>
                                </div>
                                <input type="number" name="minPrice" class="form-control @error('minPrice') is-invalid @enderror" value="{{($rePricingDetails->min_price>0 ? $rePricingDetails->min_price : null)}}" placeholder="R0">
                            </div>

                            @error('minPrice')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Max Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">R</span>
                                </div>
                                <input type="number" name="maxPrice" class="form-control @error('maxPrice') is-invalid @enderror" value="{{($rePricingDetails->max_price>0 ? $rePricingDetails->max_price : null)}}" placeholder="R0">
                            </div>
                            @error('maxPrice')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        @php
                        $leadtime_decode=null;
                        $leadtime_qty=0;
                        $leadtime_decode=json_decode($rePricingDetails->offer->leadtime_stock);
                        $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                        @endphp
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Leadtime SOH</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">SOH</span>
                                </div>
                                <input type="number" name="my_soh" class="form-control @error('my_soh') is-invalid @enderror" value="{{$leadtime_qty}}" placeholder="0">
                            </div>
                            @error('my_soh')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <input type="text" name="updateFor" value="{{encrypt($rePricingDetails->id)}}" hidden>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="form-group d-flex flex-wrap mb-0">
                        {{-- <button type="submit" wire:click="repricedata('{{encrypt($item->id)}}')" class="btn btn-primary mr-1" >Update Repricing</button> --}}
                        <button type="submit" class="btn btn-outline-primary btn-wishlist waves-effect waves-float waves-light  mr-1">
                            Update Repricing
                        </button>
                        <button type="button" class="btn btn-outline-secondary" wire:click="closeModel" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
            @endif
        </div>
    </div>
</div>



@push('custom-scripts')
<script>
    document.addEventListener('setInputFocus', event => {
        alert(event.details.id);
    });
</script>
<script>
    window.addEventListener('popupnew', event => {
        $('#updateRow').modal('show')
    })
</script>
@endpush
</div>