    <!-- Filters-->  
    <div  class="modal modal-slide-in fade" id="filtters" aria-hidden="true" wire:ignore.self>
        <div class="modal-dialog sidebar-lg">
            <div class="modal-content p-0">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">×</button>
                <div class="modal-header mb-1">
                    <h5 class="modal-title">
                        <span class="align-middle">Filters</span>
                    </h5>
                </div>
                <div class="modal-body flex-grow-1">
                   
                        <!-- Price Filter starts -->
                        <div class="brands">
                            <h6 class="filter-title">Sort By Status</h6>
                           
                            <ul class="list-unstyled brand-list">
                                <li>
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" wire:model="status" value="Buyable" class="custom-control-input" id="productBrand1" />
                                        <label class="custom-control-label" for="productBrand1">Buyable</label>
                                    </div>
                                    <span></span>
                                </li>
                                <li>
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" wire:model="status" value="Not Buyable" class="custom-control-input" id="productBrand2"  />
                                        <label class="custom-control-label" for="productBrand2">Not Buyable</label>
                                    </div>
                                    <span></span>
                                </li>
                                <li>
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" wire:model="status" value="Disabled by Seller" class="custom-control-input" id="productBrand3" />
                                        <label class="custom-control-label" for="productBrand3">Disabled by Seller</label>
                                    </div>
                                    <span></span>
                                </li>
                                <li>
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" wire:model="status" value="Disabled by Takealot" class="custom-control-input" id="productBrand4" />
                                        <label class="custom-control-label" for="productBrand4">Disabled by Takealot</label>
                                    </div>
                                    <span></span>
                                </li>
                                
                            </ul>
                        </div>
                        <div id="product-categories">
                            <h6 class="filter-title">Buy Box</h6>
                            <ul class="list-unstyled categories-list">
                                <li>
                                    <div class="custom-control custom-radio">
                                        <input type="radio"  value="winner"  wire:model="buybox" id="winner" name="buybox" class="custom-control-input" {{(!empty($buybox) && $buybox=="winner") ? 'checked' : ''}}  />
                                        <label class="custom-control-label" for="winner">Winning</label>
                                    </div>
                                </li>
                                <li>
                                    <div class="custom-control custom-radio">
                                        <input type="radio" value="losser" wire:model="buybox"  id="losser" name="buybox" {{(!empty($buybox) && $buybox=="losser") ? 'checked' : ''}} class="custom-control-input" />
                                        <label class="custom-control-label" for="losser">Lossing</label>
                                    </div>
                                </li>
                                
                            </ul>
                          </div>
                            <div id="product-categories">
                                <h6 class="filter-title">By Repricing</h6>
                                <ul class="list-unstyled categories-list">

                                    <li>
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="rePricingFilter1" wire:model="rePricingFilter" value="yes"  name="rePricingFilter" class="custom-control-input" {{(!empty($rePricingFilter) && $rePricingFilter=="yes") ? 'checked' : ''}} />
                                            <label class="custom-control-label" for="rePricingFilter1">Yes</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="rePricingFilter2" wire:model="rePricingFilter" value="no" name="rePricingFilter" class="custom-control-input" {{(!empty($rePricingFilter) && $rePricingFilter=="no") ? 'checked' : ''}} />
                                            <label class="custom-control-label" for="rePricingFilter2">No</label>
                                        </div>
                                    </li>
                                
                                </ul>
                            </div>
                          
                           <!-- Clear Filters Starts -->
                           <div id="clear-filters">
                               <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                           </div>
                           <!-- Clear Filters Ends -->
                    
                </div>
            </div>
        </div>
     </div>