<div >
<!-- BEGIN: Content-->
{{-- <style>
   .table th, .table td {
    padding: 0.6rem 1.1rem;
    vertical-align: middle;
}
.table thead th, .table tfoot th {
    font-size: 1rem;
}
</style> --}}
<div class="app-content content ">
   <div class="content-overlay"></div>
   <div class="header-navbar-shadow"></div>
   <div class="content-wrapper">
     
      <div class="content-body">
        <!-- E-commerce Search Bar Starts -->
        <section id="ecommerce-searchbar" class="ecommerce-searchbar mb-2">
            <div class="row mt-1">
               <div class="col-sm-8">
                     <div class="ecommerce-header-items">
                        
                        <div class="view-options d-flex">
                        <div class=" mr-1">
                              <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                                 <option value="" >Show</option>
                                 <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                                 <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                                 <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                                 <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                                 <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                                 <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                              </select>
                        </div>
                           
                        </div>
                     </div>
               </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-merge">
                        <input type="text" wire:model.change="search" class="form-control search-product" id="shop-search" placeholder="TSIN | Title" aria-label="Search..." aria-describedby="shop-search" />
                        @if(isset($search) && !empty($search))
                        <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                              <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                             
                        </a>
                        @else
                           <div class="input-group-append">
                              <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                           </div>
                        @endif
                    </div>
                </div>
            </div>
        </section>
        <!-- E-commerce Search Bar Ends -->
         <section>
            <div class="row" id="table-hover-row">
               <div class="col-12">
                  <div class="card">
                     <div class="table-responsive">
                        <table class="table table-hover" id="order">
                           <thead>
                              <tr>
                                 <!-- <th>id</th> -->
                                 <th>Title</th>
                                 <th>Updated Record</th>
                                 <th>Status</th>
                                 <th>Source</th>
                                 <th>Log created at</th>
                              </tr>
                           </thead>
                           <tbody  wire:loading.class="disabledHtml">
                               @if(!empty($logHistory))
                               @foreach($logHistory as $key=>$item)
                               
                              <tr>                                  
                                 <!-- <td>{{$item->th_id}}</td> -->
                                 <td>
                                    <a href="{{$item->offer_url}}" target="_blank">{{$item->title}}</a><br><span class="badge badge-success">
                                    <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->tsin}}')">
                                       <i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN">
                                          </i><span id="tsin_{{$key.$item->tsin}}">{{$item->tsin}}</span>
                                       </a></span>
                                 </td>
                                 @if($item->type=='repricing')
                                 @php
                                     $data=json_decode($item->data);
                                     $old=$data->old;
                                     $new=$data->new;
                                 @endphp
                                 <td>
                                   <span>Min R: <strong class="{{($old->min_price==$new->min_price) ? '' : 'text-danger' }}">{{$old->min_price}}</strong> to <strong class="{{($old->min_price==$new->min_price) ? '' : 'text-success' }}">{{$new->min_price}}</strong></span><br/>
                                   <span>Max R: <strong class="{{($old->max_price==$new->max_price) ? '' : 'text-danger' }}">{{$old->max_price}}</strong> to <strong class="{{($old->max_price==$new->max_price) ? '' : 'text-success' }}">{{$new->max_price}}</strong></span><br/>
                                   <span>Status: <strong class="{{($old->status==$new->status) ? '' : 'text-danger' }}">{{($old->status==1) ? 'Active' : 'In-Active'}}</strong> to <strong class="{{($old->status==$new->status) ? '' : 'text-success' }}">{{($new->status==1) ? 'Active' : 'In-Active'}}</strong></span><br/>
                                   {{-- <span>Competition Status: <strong class="{{($old->winner==$new->winner) ? '' : 'text-danger' }}">{{($old->winner==1) ? 'Winner' : 'Losser'}}</strong> to <strong class="{{($old->winner==$new->winner) ? '' : 'text-success' }}">{{($new->winner==1) ? 'Winner' : 'Losser'}}</strong></span><br/> --}}
                                 </td>
                                 <td>                                 
                                 </td>
                                 @endif   
                                 @if($item->type=='webhook' || $item->type=='Re-Pricing' )
                                 @php
                                     $data=json_decode($item->data);                                    
                                     $stock=[];
                                     $keyName=null;
                                      if(!empty($data) && !empty($data->selling_price))
                                      {
                                        $keyName='Selling Price';
                                        $newValue=$data->selling_price->new_value;
                                        $oldValue=$data->selling_price->old_value;
                                      }
                                      if(!empty($data) && !empty($data->rrp))
                                      {
                                        $keyName='RRP';
                                        $newValue=$data->rrp->new_value;
                                        $oldValue=$data->rrp->old_value;
                                      }
                                      if(!empty($data) && !empty($data->status->new_value->description))
                                      {
                                        $keyName='Status';
                                        $newValue=$data->status->old_value->description->new_value;
                                        $oldValue=$data->status->old_value->description->old_value;
                                      }
                                      if(!empty($data) && isset($data->repricing_status))
                                      {
                                      
                                        $keyName='Re-Pricing';
                                        $newValue=$data->repricing_status->new_status;
                                        $oldValue=$data->repricing_status->old_status;
                                        
                                      }
                                      if(!empty($data) && !empty($data->stock->takealot_warehouse))
                                      {
                                          foreach($data->stock->takealot_warehouse as $stockkey=>$stockItem)
                                          {
                                             if((!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)))
                                             {
                                                $stock[$stockkey]=[
                                                                     'name'=>'Stock at Takealot',
                                                                     'wearhouse'=>(!empty($stockItem->name)) ? $stockItem->name : (($stockItem->takealot_warehouse_id==1) ? 'CPT' : (($stockItem->takealot_warehouse_id==3) ? 'JHB' : null) ),
                                                                     'newValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)) ? $stockItem->quantity->new_value : 0,
                                                                     'oldValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->old_value)) ? $stockItem->quantity->old_value : 0
                                                                  ];
                                             }
                                             
                                          }                                    
                                      }
                                      if(!empty($data) && !empty($data->stock->merchant_warehouse))
                                      {
                                          $stock=[];
                                          foreach($data->stock->merchant_warehouse as $stockkey=>$stockItem)
                                          {
                                             
                                             if((!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)))
                                             {
                                                
                                                $stock[$stockkey]=[
                                                                     'name'=>'Leadtime Stock',
                                                                     'wearhouse'=>(!empty($stockItem->name)) ? $stockItem->name  : null,
                                                                     'newValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)) ? $stockItem->quantity->new_value : 0,
                                                                     'oldValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->old_value)) ? $stockItem->quantity->old_value : 0
                                                                  ];
                                             }
                                             
                                          }  
                                                                        
                                      }
                                 @endphp
                                  <td>
                                    @if(!empty($keyName) && ($keyName=='Selling Price' || $keyName=='RRP'))   
                                     <span><span class="text-capitalize">{{$keyName}}</span>: <strong>R{{$oldValue}} to <span {{($newValue>$oldValue) ? 'text-success' : 'text-danger'}}></span> R{{$newValue}}</strong></span>
                                    @endif
                                    @if(!empty($keyName) && ($keyName=='Status'))   
                                     <p><span class="text-capitalize">{{$keyName}}</span>: <strong>{{$oldValue}} to <span class="{{($newValue=='Buyable') ? 'text-success' : 'text-danger'}}">{{$newValue}}</span></strong></p>                                    
                                    @endif
                                    @if(!empty($keyName) && ($keyName=='Re-Pricing'))   
                                     <p><span class="text-capitalize">{{$keyName}}</span>: <strong>{{$oldValue}} to <span class="{{($newValue=='Winner') ? 'text-success' : 'text-danger'}}">{{$newValue}}</span></strong></p>                                    
                                    @endif
                                    @if(!empty($stock))   
                                    @foreach($stock as $stItem)                                    
                                    <p><span class="text-capitalize">{{$stItem['name']}}</span>: <strong>{{$stItem['wearhouse']}}: {{$stItem['oldValue']}} to <span class="{{($stItem['newValue']>=$stItem['oldValue']) ? 'text-success' : 'text:danger'}}">{{$stItem['newValue']}}</span></strong></p>                                   
                                    @endforeach
                                    @endif
                                 </td>                                
                                 <td>   
                                    @if((!empty($keyName) && ($keyName=='Selling Price' || $keyName=='RRP')))   
                                      <li class="{{($newValue>$oldValue) ? 'fa fa-arrow-up text-success ml-1' : 'fa fa-arrow-down text-danger ml-1'}}"></li>                         
                                    @else
                                      <span></span>
                                    @endif
                                 </td>                                
                                 @endif
                                 @if($item->type=='offer')
                                 @php
                                   $data=json_decode($item->data);
                                   $old=$data->old;
                                   $new=$data->new;                                      
                                 @endphp
                                 <td>
                                   <span>Selling Price: <strong class="{{($old->selling_price==$new->selling_price) ? '' : 'text-danger' }}">{{$old->selling_price}}</strong> to <strong class="{{($old->selling_price==$new->selling_price) ? '' : 'text-success' }}">{{$new->selling_price}}</strong></span><br/>
                                   <span>Status: <strong class="{{($old->status==$new->status) ? '' : 'text-danger' }}">{{$old->status}}</strong> to <strong class="{{($old->status==$new->status) ? '' : 'text-success' }}">{{$new->status}}</strong></span><br/>
                                 </td>    
                                 <td>                                 
                                 </td>                              
                                 @endif
                                 <td>{{$item->type}}</td>
                                 <td>
                                     @php
                                      $data=dateTimeSpliteFormate($item->created_at);
                                     @endphp
                                    <span><strong>{{$data['time']}}</strong> - {{$data['date']}}</span>
                                 </td>                                 
                              </tr>
                              @endforeach
                             @else

                             @endif
                           </tbody>
                        
                        </table>
                      
                     </div>
                     @if(!empty($logHistory))                       
                     
                        <section >
                           <div class="row">
                              <div class="col-sm-12">
                                    <div class="d-flex justify-content-center mr-2 mt-2">
                                       {{ $logHistory->links() }}
                                    </div>
                              </div>
                           </div>                  
                        </section>

                      @endif
                  </div>
               </div>
            </div>
         </section>
      </div>
   </div>
</div>
<!-- END: Content-->
</div>

