<div>
    <!-- BEGIN: Content-->
    <div class="app-content content ecommerce-application">
            <div class="content-overlay"></div>
            <div class="header-navbar-shadow"></div>
            <div class="content-wrapper container-xxl p-0">
             
                <div class="content-detached content-right">
                    <div class="content-body">
                        <!-- E-commerce Content Section Starts -->
                        <section id="ecommerce-header">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="ecommerce-header-items">
                                        <div class="result-toggler">
                                            <button class="navbar-toggler shop-sidebar-toggler" type="button" data-toggle="collapse">
                                                <span class="navbar-toggler-icon d-block d-lg-none"><i class="fa fa-settings"></i></span>
                                            </button>
                                            <div class="search-results">(<?php echo e((!empty($takealotRePricing) && !empty($takealotRePricing->total())) ? $takealotRePricing->total() : 0); ?>) results found</div>
                                        </div>
                                        <div class="view-options d-flex">
                                        
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="orderBy" name="orderBy" id="orderBy">
                                                 <option value="asc" <?php echo e(($orderBy=='asc') ? 'selected' : ''); ?> >Ascending </option>
                                                 <option value="desc" <?php echo e(($orderBy=='desc')  ? 'selected' : ''); ?>>Descending</option>
                                             </select>
                                         </div>
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="priceSort" name="priceSort" id="priceSort">
                                                 <option value="" >Sort By Re-Pricing Price</option>
                                                 <option value="min">Min Price </option>
                                                 <option value="max">Max Price</option>
                                             </select>
                                         </div>
                                         <div class=" mr-1">
                                             <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                                                 <option value="" >Show</option>
                                                 <option value="10" <?php echo e(($entries=='10')   ? 'selected' : ''); ?>>10</option>
                                                 <option value="20" <?php echo e(($entries=='20')   ? 'selected' : ''); ?>>20</option>
                                                 <option value="30" <?php echo e(($entries=='30')   ? 'selected' : ''); ?>>30</option>
                                                 <option value="40" <?php echo e(($entries=='40')   ? 'selected' : ''); ?>>40</option>
                                                 <option value="50" <?php echo e(($entries=='50')   ? 'selected' : ''); ?>>50</option>
                                                 <option value="100" <?php echo e(($entries=='100') ? 'selected' : ''); ?>>100</option>
                                             </select>
                                         </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>
                        <!-- E-commerce Content Section Starts -->
    
                        <!-- background Overlay when sidebar is shown  starts-->
                        <div class="body-content-overlay"></div>
                        <!-- background Overlay when sidebar is shown  ends-->
    
                        <!-- E-commerce Search Bar Starts -->
                        <section id="ecommerce-searchbar" class="ecommerce-searchbar">
                            <div class="row mt-1">
                                <div class="col-sm-12">
                                    <div class="input-group input-group-merge">
                                        <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN" aria-label="Search..." aria-describedby="shop-search" />
                                        <?php if(isset($search) && !empty($search)): ?>
                                        <a href="javascript:void(0)" wire:click="$set('search','')">
                                            <div class="input-group-append">
                                                <span class="input-group-text"><i class="fa fa-close" class="text-muted"></i></span>
                                            </div>
                                        </a>
                                        <?php else: ?>
                                            <div class="input-group-append">
                                                <span class="input-group-text"><i class="fa fa-search" class="text-muted"></i></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </section>
                        <!-- E-commerce Search Bar Ends -->
    
                        <!-- E-commerce Products Starts -->
                         
                         <?php if($view=='list'): ?>
                            <section id="ecommerce-products" class="list-view" wire:init="readyToLoad">
                                <?php if(!empty($takealotRePricing) && count($takealotRePricing)>0): ?>                        
                                <?php $__currentLoopData = $takealotRePricing->chunk(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chunk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $__currentLoopData = $chunk; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                      <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('admin.re-pricing.list-view' ,['offer' =>$item,'key'=>$key])->html();
} elseif ($_instance->childHasBeenRendered($item->id)) {
    $componentId = $_instance->getRenderedChildComponentId($item->id);
    $componentTag = $_instance->getRenderedChildComponentTagName($item->id);
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild($item->id);
} else {
    $response = \Livewire\Livewire::mount('admin.re-pricing.list-view' ,['offer' =>$item,'key'=>$key]);
    $html = $response->html();
    $_instance->logRenderedChild($item->id, $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
            
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                                <?php if($readyToLoad == true && empty($takealotRePricing)): ?>
                                <div class="col-md-12 d-flex justify-content-center">
                                    <span class="text-center">
                                        <strong>No Offers Found!</strong>
                                    </span>
                                </div>                                 
                                <?php endif; ?> 
                                <?php if($readyToLoad == false): ?>
                                <div class="col-md-12 d-flex justify-content-center">
                                    <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                    </div>
                                </div>
                                    
                                
                                <?php endif; ?>
                            </section>
                          <?php endif; ?>
                        
    
    
    
                        <!-- E-commerce Products Ends -->
    
                        <!-- E-commerce Pagination Starts -->
                        <?php if(!empty($takealotRePricing)): ?>                       
                         
                            <section id="ecommerce-pagination">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="d-flex justify-content-center mr-2 mt-2">
                                            <?php echo e($takealotRePricing->onEachSide(3)->links()); ?>

                                        </div>
                                    </div>
                                </div>
                           
                           </section>
    
                        <?php endif; ?>
                        <!-- E-commerce Pagination Ends -->
    
                    </div>
                </div>
                <div class="sidebar-detached sidebar-left">
                    <div class="sidebar">
                        <!-- Ecommerce Sidebar Starts -->
                        <div class="sidebar-shop filters-sidebar">
    <!--                        <div class="row">-->
    <!--                            <div class="col-sm-12">-->
    <!--                                <h6 class="filter-heading d-none d-lg-block">Filters</h6>-->
    <!--                            </div>-->
    <!--                        </div>-->
                            <div class="card">
                                <div class="card-body">
                                    <!-- Price Filter starts -->
                                    <div class="brands filter-list">
                                     <h6 class="filter-title">Sort By Status</h6>
                                    
                                     <ul class="list-unstyled brand-list">
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Buyable" class="custom-control-input" id="productBrand1" />
                                                 <label class="custom-control-label" for="productBrand1">Buyable</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Not Buyable" class="custom-control-input" id="productBrand2"  />
                                                 <label class="custom-control-label" for="productBrand2">Not Buyable</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Disabled by Seller" class="custom-control-input" id="productBrand3" />
                                                 <label class="custom-control-label" for="productBrand3">Disabled by Seller</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-checkbox">
                                                 <input type="checkbox" wire:model="status" value="Disabled by Takealot" class="custom-control-input" id="productBrand4" />
                                                 <label class="custom-control-label" for="productBrand4">Disabled by Takealot</label>
                                             </div>
                                             <span></span>
                                         </li>
                                         
                                     </ul>
                                 </div>
                                 <div id="product-categories" class="filter-list">
                                     <h6 class="filter-title">Buy Box</h6>
                                     <ul class="list-unstyled categories-list">
                                         <li>
                                             <div class="custom-control custom-radio">
                                                 <input type="radio"  value="winner"  wire:model="buybox" id="winner" name="buybox" class="custom-control-input" <?php echo e((!empty($buybox) && $buybox=="winner") ? 'checked' : ''); ?>  />
                                                 <label class="custom-control-label" for="winner">Winning</label>
                                             </div>
                                         </li>
                                         <li>
                                             <div class="custom-control custom-radio">
                                                 <input type="radio" value="losser" wire:model="buybox"  id="losser" name="buybox" <?php echo e((!empty($buybox) && $buybox=="losser") ? 'checked' : ''); ?> class="custom-control-input" />
                                                 <label class="custom-control-label" for="losser">Lossing</label>
                                             </div>
                                         </li>
                                         
                                     </ul>
                                   </div>
                                   <div id="product-categories2" class="filter-list">
                                    <h6 class="filter-title">Re-Pricing Status</h6>
                                    <ul class="list-unstyled categories-list">
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio"  value="enabled"  wire:model="rePricingStatus" id="enabled" name="rePricingStatus" class="custom-control-input" <?php echo e((!empty($rePricingStatus) && $rePricingStatus=="enabled") ? 'checked' : ''); ?>  />
                                                <label class="custom-control-label" for="enabled">Active</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" value="disabled" wire:model="rePricingStatus"  id="disabled" name="rePricingStatus" <?php echo e((!empty($rePricingStatus) && $rePricingStatus=="disabled") ? 'checked' : ''); ?> class="custom-control-input" />
                                                <label class="custom-control-label" for="disabled">In-Active</label>
                                            </div>
                                        </li>
                                        
                                    </ul>
                                  </div>
                                  <div id="product-categories2" class="filter-list">
                                    <h6 class="filter-title">Stock</h6>
                                    <ul class="list-unstyled categories-list">
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio"  value="instock"  wire:model="stockFilter" id="instock" name="stockFilter" class="custom-control-input" <?php echo e((!empty($stockFilter) && $stockFilter=="instock") ? 'checked' : ''); ?>  />
                                                <label class="custom-control-label" for="instock">In-Stock</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" value="leadtime" wire:model="stockFilter"  id="leadtime" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="leadtime") ? 'checked' : ''); ?> class="custom-control-input" />
                                                <label class="custom-control-label" for="leadtime">Leadtime</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" value="outofstock" wire:model="stockFilter"  id="outofstock" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="outofstock") ? 'checked' : ''); ?> class="custom-control-input" />
                                                <label class="custom-control-label" for="outofstock">Out Of Stock</label>
                                            </div>
                                        </li>
                                    </ul>
                                  </div>
                                    <!-- Clear Filters Starts -->
                                    <div id="clear-filters">
                                        <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                                    </div>
                                    <!-- Clear Filters Ends -->
                                </div>
                            </div>
                        </div>
                        <!-- Ecommerce Sidebar Ends -->
    
                    </div>
                </div>
            </div>
        </div>
        <!-- END: Content-->
    
        <div class="sidenav-overlay"></div>
        <div class="drag-target"></div>
        <div class="modal" style="background-color: #000000c4;"  id="exampleModalScrollable" >
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalScrollableTitle">Offer History</h5>
                        <button type="button" class="close" wire:click="closeModel">
                            <span >&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                      
                        <?php if(!empty($plidHistory)): ?>
                            <?php $__currentLoopData = $plidHistory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $history): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <p class="card-text item-description">
                                                
                                <strong class="ml-1">Your Price:<?php echo e($history->your_price); ?></strong>
                                <strong class="ml-1">Comp Price:<?php echo e($history->competitor_price); ?></strong>
                                <strong class="ml-1">Percentage:<?php echo e($history->percentage); ?></strong>
                                <strong class="ml-1">Current Status:<?php echo e($history->status); ?></strong>
                                <strong class="ml-1">Last Status:<?php echo e($history->status); ?></strong>
                                <strong class="ml-1">Updated At:<?php echo e(dateFormate($history->updated_at)); ?></strong>
                            
                        
                            </p>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        <?php else: ?>
                            <p class="card-text item-description">
                              <h1>History Not Found!</h1>
                            </p>
                        <?php endif; ?>                  
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" wire:click="closeModel">Close</button>
                    </div>
                </div>
            </div>
        </div>
    
    
    </div><?php /**PATH /home/salesu7/public_html/resources/views/livewire/admin/re-pricing/index.blade.php ENDPATH**/ ?>