
<tr class="text-center">  
    <style>
        .listForm td:hover {
          background-color: transparent !important;
        }
        .listForm tr::before 
        {
            background-color: transparent !important;
            opacity: 10 !important;
            transition: none !important;
        }
        .listForm th, .table td 
        {
            padding: 0rem;
            vertical-align: middle;
            border-top: none;
        }
    </style> 
    <?php if(!empty($item)): ?>
        <?php                 
            $class='<span class="avatar-status-offline" title="Unknown Status"></span>';
            if($item->status=='Buyable')
            {
                $class='<span class="avatar-status-online" title="Buyable"></span>';
            }
            else if($item->status=='Not Buyable')
            {
                $class='<span class="avatar-status-busy" title="Not Buyable"></span>';
            }
            elseif($item->status=='Disabled by Seller')
            {
                $class='<span class="avatar-status-away" title="Disabled by Seller"></span>';
            } 
            elseif($item->status=='Disabled by Takealot')
            {
                $class='<span class="avatar-status-offline" title="Disabled by Takealot"></span>';
            }
            else 
            {
                $class='<span class="avatar-status-other" title="Unknown Status"></span>';
            }
        ?>
            <td class="font-size-13  text-center">
                <div class="avatar">        
                    <?php
                        echo $class;
                    ?>
                </div>
            </td>
            <td>
                <img src="<?php echo e($item->image_url); ?>" height="75" width="75" alt="<?php echo e($item->title); ?>" />
            </td>
            <td class="font-size-13" style="width: 25%;">                       
                <div class="text-left" >
                    <a href="<?php echo e($item->offer_url); ?>" target="_blank" title="<?php echo e($item->title); ?>"><span class="text-left font-weight-bolder"><?php echo e($item->title); ?></span></a>
                   
                    <?php if(empty($skuEdit)): ?>
                        <div class="badge badge-dark mb-1" >
                            <a href="javascript:void(0)" onclick="copyToClipboard('sku_<?php echo e($key.$item->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i><span id="sku_<?php echo e($key.$item->tsin_id); ?>"><?php echo e($item->sku); ?></span></a>
                            <a href="javascript:void(0)" wire:click="$set('skuEdit','<?php echo e(encrypt($item->id)); ?>')"><i  class="fa fa-edit mr-25" aria-hidden="true" title="Edit SKU"></i></a>
                        </div>
                    <?php else: ?>
                      <?php if(decrypt($skuEdit)==$item->id): ?>
                        <form class="inputPrice text-center mb-1" wire:submit.prevent="editSku(Object.fromEntries(new FormData($event.target)))">
                            <div class="input-group input-group-sm justify-content-center">                   
                                <div class="input-group-prepend">
                                        <button tabindex="-1" type="submit" class="input-group-text" >
                                            <span wire:loading wire:target="editSku" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editSku" class="fa fa-check text-success"></i>
                                        </button>
                                </div>
                                <input type="text" id="skuedit<?php echo e($key); ?>" name="skuUpdate" autofocus class="form-control <?php $__errorArgs = ['skuUpdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e((!empty($item->sku) ? $item->sku : null)); ?>" placeholder="SKU">
                                <div class="input-group-append">
                                    <button  tabindex="-1" wire:click="$set('skuEdit',null)"  class="input-group-text" type="button"><i class="fa fa-close text-danger"></i></button>
                                </div>
                            </div>
                            <?php $__errorArgs = ['skuUpdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                            <input type="text"  id="updateFor<?php echo e($key); ?>" name="updateFor" class="hidden" value="<?php echo e((!empty($item->id) ? encrypt($item->id) : null)); ?>">
                        </form> 
                      <?php endif; ?>
                    <?php endif; ?>
                    <div class="badge badge-success mb-1">
                        <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key.$item->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i><span id="tsin_<?php echo e($key.$item->tsin_id); ?>"><?php echo e($item->tsin_id); ?></span></a>
                        <a href="<?php echo e($item->offer_url); ?>" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View on takealot"></i></a>
                    </div>
                    <div class="badge badge-light-primary mb-1">
                        <a wire:click="updatetakealotOffer('<?php echo e(encrypt($item->id)); ?>')" title="Fetch offer latest details from takealot">
                            <span wire:loading wire:target="updatetakealotOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="updatetakealotOffer" class="fa fa-refresh text-primary"></i>
                        </a>
                    </div>
                </div>
            </td>
            <td class="text-center">
                <?php
                    $leadtime_decode=null;
                    $leadtime_qty=null;
                    $leadtime_decode=json_decode($item->leadtime_stock);
                    $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                ?>
                <?php if($item->leadtime_days!=null && !empty($leadtime_qty)): ?>                                              
                    <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status"> <?php echo e('My SOH :'); ?> <?php echo e($leadtime_qty); ?></span></a> <br/>
                <?php endif; ?>
                <?php if($item->stock_at_takealot_total>0): ?>
                    <a href="javasecript:void()" class="badge badge-pill badge badge-info" title="Your Stock Status"><?php echo e('In Stock : '); ?> <?php echo e($item->stock_at_takealot_total); ?></span></a>
                <?php endif; ?>
                <?php if($item->stock_at_takealot_total<=0 && $item->leadtime_days==null): ?>
                    <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out Of Stock</span></a>
                <?php endif; ?>               
            </td>
            <td>
                
                <?php if(isset($item->re_status) && (!empty($item->re_min_price) && !empty($item->re_max_price))): ?>                
                <div class="custom-control custom-switch custom-switch-success d-flex justify-content-center">
                    <input type="checkbox" <?php echo e((empty($item->re_min_price) || empty($item->re_max_price)) ? 'disabled' : ''); ?> class="custom-control-input" value="<?php echo e(($item->re_status== 1) ? 0 : 1); ?>" wire:change="updateOfferStatus('<?php echo e(encrypt($item->re_id)); ?>',$event.target.value)" id="customSwitchh<?php echo e($key); ?>"
                    <?php if(!empty($item->re_status) && $item->re_status==1): ?> checked <?php endif; ?> />
                    <label class="custom-control-label " for="customSwitchh<?php echo e($key); ?>"> 
                        <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                        <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                    </label>
                </div>
                <?php endif; ?>
            </td>
            <td class="text-center">
                R<?php echo e($item->selling_price); ?>

            </td>
            <td class="text-center">
                <form id="form<?php echo e($key); ?>" class="text-center" wire:submit.prevent="updateOfferPrice(Object.fromEntries(new FormData($event.target)))">
                    <table class="listForm">
                        <tr>
                            <td class="text-center" style="padding: 0rem 0.3rem !important;">
                                
                                    <div class="input-group input-group-sm justify-content-center">                   
                                        <div class="input-group-prepend">    
                                            <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Min R</a>
                                        </div>
                                        <input type="number"  name="minPrice" class="form-control <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e((!empty($item->re_min_price) && $item->re_min_price>0) ? $item->re_min_price : null); ?>" placeholder="R0">
                                        <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    </div>
                                
                            </td>
                            <td class="text-center" style="padding: 0rem 0.3rem !important;">                            
                                <div class="input-group input-group-sm justify-content-center">                    
                                    <div class="input-group-prepend">    
                                        <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Max R</a>
                                    </div>
                                    <input type="number"  name="maxPrice" class="form-control <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e((!empty($item->re_max_price) && $item->re_max_price>0) ? $item->re_max_price : null); ?>" placeholder="R0">
                                    <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                </div>
                            </td> 
                            <td class="text-center" style="padding: 0rem 0.3rem !important;">
                                <?php
                                $leadtime_decode=null;
                                $leadtime_qty=0;
                                $leadtime_decode=json_decode($item->leadtime_stock);
                                $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                                ?>
                                
                                    <div class="input-group input-group-sm justify-content-center">                   
                                        <div class="input-group-prepend">    
                                                <a tabindex="-1" href="javascript:void(0)" class="input-group-text">Qty</a>
                                        </div>
                                        <input type="number"  name="my_soh"  class="form-control <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(($leadtime_qty>0 ? $leadtime_qty : 0)); ?>" placeholder="Quantity">
                                        <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    </div>
                                    <input type="text" name="updateFor" value="<?php echo e(encrypt($item->id)); ?>" hidden>
                            </td>            
                            <td  style="width: 5%;" style="padding: 0rem 0rem !important;">
                                <button stype="submit" class="btn btn-outline-success btn-block btn-sm"><span wire:loading wire:target="updateOfferPrice" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm  text-success" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="updateOfferPrice" class="fa fa-check text-success"></i></button>
                            </td>  
                        </tr>
                    </table>           
                </form>
            </td>   
            <td class="text-center p-1">
                <button type="button" class="btn btn-outline-primary btn-block btn-sm" wire:click="editPricing('<?php echo e(encrypt($item->id)); ?>')" >
                    <span wire:loading wire:target="editPricing" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm  text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editPricing" class="fa fa-money text-primary"></i>
                </button>
            </td>
         
    <?php endif; ?>    
</tr><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/offers/list-view.blade.php ENDPATH**/ ?>