<div> 
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-10 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">All Post</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>"> Home</a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Marketing</a></li>
                                    <li class="breadcrumb-item active"><a href="javascript:void(0)">Blog</a></li>
                                    <li class="breadcrumb-item active"><a href="<?php echo e(route('admin.blogs')); ?>">Post</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-2">
                    <a href="<?php echo e(route('admin.blogs.create')); ?>" class="btn btn-primary btn-add-new">
                        <i class="la la-plus"></i>
                        <span class="add-to-cart">Add New</span>
                    </a>
                </div>
            </div>
            <div class="content-body">
                <!-- Add review Section Start-->
                <section class="mt-3 ">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card pt-3 table-card">
                                <div class="row">
                                    <div class="col-sm-3 col-lg-3 col-md-4 mb-3">
                                        <div class="d-flex align-items-center pl-2">
                                            <label> Show </label>
                                            <select class="form-control table-entries ml-1 mr-1"
                                                wire:model.change.debounce.1000ms="entries">
                                                <option value="10">10</option>
                                                <option value="20">20</option>
                                                <option value="50">50</option>
                                                <option value="100">100</option>
                                            </select>
                                            <label> Per Page </label>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-lg-6 col-md-4 mb-3"></div>
                                    <div class="col-sm-3 col-lg-3 col-md-4 mb-3 search-col">
                                        <div class="input-group">
                                            <input type="text" class="form-control" placeholder="Search" style="border-right: none;"
                                                wire:model.change.debounce.2500ms="search" />
                                            <?php if(!empty($search)): ?>
                                                <div class="input-group-append">
                                                    <span  class="input-group-text cross-search" wire:click="clear_search"><i class="las la-times"></i></span>
                                                </div>
                                            <?php endif; ?>
                                            <div class="input-group-append">
                                                <span class="input-group-text">
                                                    <img src="<?php echo e(static_asset('')); ?>/app-assets/images/search.png" width="15px" height="15px">
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="table-responsive">
                                            <table class="datatables-basic table text-center">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th class="text-center">Name</th>
                                                        <th class="text-center">KeyWord</th>
                                                        <th class="text-center">Actions</th>
                                                    </tr>
                                                </thead>
                                                <tbody wire:init="loadBlogs">
                                                    <?php if(count($blogs) > 0): ?>
                                                        <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <tr>
                                                                <td><?php echo e(($key+1) + ($blogs->currentPage() - 1)*$blogs->perPage()); ?></td>
                                                                <td><a href="javascript:void(0)" class="text-reset"><?php echo e($blog->title); ?></a></td>
                                                                <?php
                                                                    $keyword = explode(',',$blog->meta_keywords);
                                                                ?>
                                                                <td>
                                                                    <?php $__currentLoopData = $keyword; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <span class="badge badge-pill badge-light-primary"><?php echo e($value); ?></span>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </td>
                                                                <td class="text-center">                                                                  
                                                                       
                                                                    <a class="text-danger" href="javascript:void(0);" wire:click="blogDelete('<?php echo e(encrypt($blog->id)); ?>')">
                                                                        <i class="fa fa-trash"></i><span class="ml-1">Delete</span>
                                                                    </a>
                                                                    <br/>
                                                                    <a class="text-success" href="<?php echo e(route('admin.blogs.edit',encrypt($blog->id))); ?>" >
                                                                        <i class="fa fa-edit"></i><span class="ml-1">Edit</span>
                                                                    </a>                                                                 
                                                                   
                                                                </td>
                                                            </tr>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php else: ?>
                                                        <tr>
                                                            <td colspan="4"><b style="font-size: large">Record not found</b></td>
                                                        </tr>
                                                    <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <section>
                                            <?php if(!empty($blogs)): ?>
                                                <div class="d-flex justify-content-center float-right mr-2 mt-2">
                                                    <?php echo e($blogs->links()); ?>

                                                </div>
                                            <?php endif; ?>
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/admin/blogs/blogs.blade.php ENDPATH**/ ?>