<div  wire:loading.class="disabledHtml">
    <!-- BEGIN: Content-->
    <div class="app-content content ecommerce-application">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
        <!-- BEGIN: Content-->
        <div class="ecommerce-application">
            <div class="content-wrapper p-0">
              
                <div class="content-detached">
                    <div class="content-body">
                        <section>
                            <div class="row">
                                <div class="col-lg-12 mx-auto">
                                    <div class="aiz-main-content">
                                        <div class="px-15px px-lg-25px">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <h5 class="mb-0 h6">Upload file</h5>
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="form-group row">
                                                                <div class="col-lg-3">
                                                                    <label class="control-label">Upload file</label>
                                                                </div>
                                                                <div class="col-lg-9">
                                                                    <div class="custom-file b-form-file " data-v-aa799a9e="" id="__BVID__826__BV_file_outer_">
                                                                            <input type="file" class="custom-file-input" style="z-index: -5;" id="__BVID__826" name="file_record" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" wire:model="file_record">
                                                                                <label data-browse="Browse" class="custom-file-label"  for="__BVID__826">
                                                                                  <span class="d-block form-file-text" style="pointer-events: none;">Choose a file ...</span>
                                                                            </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="content-body">
                                <!-- Add review Section Start-->
                                <section class="mt-3 ">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="card pt-3 table-card">
                                                <div class="row">
                                                    <div class="col-sm-3 col-lg-3 col-md-3 mb-3">
                                                        <div class="d-flex align-items-center pl-2">
                                                            <label> Show </label>
                                                            <select class="form-control table-entries ml-1 mr-1"  wire:model.change.debounce.1000ms="entries">
                                                                <option value="10">10</option>
                                                                <option value="20">20</option>
                                                                <option value="50">50</option>
                                                                <option value="100">100</option>
                                                                <option value="200">200</option>
                                                                <option value="500">500</option>
                                                            </select>
                                                            <label> Per Page </label>
                                                            
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4 col-lg-4 col-md-4 mb-3">
                                                        <div class="btn-group">
                                                            <button type="button" class="btn btn-outline-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                Print
                                                            </button>
                                                            <div class="dropdown-menu">
                                                                <a class="dropdown-item" href="<?php echo e(route('seller.generate-leadtime-stock-pdf')); ?>" ><i class="fa fa-print mr-1" class="font-medium-3"></i>All</a>
                                                                <a class="dropdown-item" href="<?php echo e(route('seller.generate-leadtime-stock-pdf',['warehouse'=>'JHB'])); ?>" ><i class="fa fa-print mr-1" class="font-medium-3"></i>JHB</a>
                                                                <a class="dropdown-item" href="<?php echo e(route('seller.generate-leadtime-stock-pdf',['warehouse'=>'CPT'])); ?>" ><i class="fa fa-print mr-1" class="font-medium-3"></i>CPT</a>                                                          
                                                            </div>
                                                        </div>
                                                        <a class="btn btn-outline-danger waves-effect" href="javascript:void(0)" wire:click="deleteAll"><span wire:loading wire:target="deleteAll"  style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" ></span><i class="fa fa-trash mr-1" class="font-medium-3"></i>Delete All</a>
                                                    </div>
                                                    <div class="col-sm-5 col-lg-5 col-md-5 mb-5 search-col">
                                                        <div class="" style="width: 95% !important;">
                                                            <input type="text" class="form-control" placeholder="Search" wire:model.change="search"/>
                                                            <?php if(!empty($search)): ?>
                                                                <div class="input-group-append">
                                                                    <span  class="input-group-text cross-search" wire:click="clear_search"><i class="las la-times"></i></span>
                                                                </div>                                                                
                                                            <?php endif; ?>
                                                            
                                                        </div>
                                                        
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="table-responsive">
                                                            <table class="table">
                                                                <thead>
                                                                <tr>
                                                                    
                                                                    <th>Image</th>
                                                                    <th>Title</th>
                                                                    <th>SKU</th>
                                                                    <th>TSIN</th>
                                                                    <th>Quantity</th>
                                                                    <th>Warehouse</th>
                                                                    <th class="text-right">Options</th>
                                                                </tr>
                                                                </thead>

                                                                <tbody wire:init="loadOrders">
                                                                <?php if(count($order_lists) > 0): ?>
                                                                <?php $__currentLoopData = $order_lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $order_list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <tr class="<?php if($order_list->status == '2'): ?> change-back <?php endif; ?>">
                                                                    
                                                                    <td><img src="<?php echo e((!empty($order_list->offer->image_url) && !empty($order_list->offer)) ? $order_list->offer->image_url : static_asset('').'uploads/not-found.jpg'); ?>" width="72px" height="55px"></td>
                                                                    <td ><?php echo e((!empty($order_list->offer->title) && !empty($order_list->offer)) ? $order_list->offer->title : 'N/A'); ?></td>
                                                                    <td><?php echo e($order_list->sku); ?></td>
                                                                    <td><?php echo e($order_list->tsin); ?></td>
                                                                    <td><?php echo e($order_list->quantity); ?></td>
                                                                    <td><?php echo e($order_list->warehouse); ?></td>
                                                                    <td class="text-center">                                                                       
                                                                        <a class="text-danger" href="javascript:void(0)" wire:click="delete_order('<?php echo e(encrypt($order_list->id)); ?>')" >
                                                                            <i class="text-danger fa fa-trash mr-50"></i>
                                                                            <span>Delete</span>
                                                                        </a>                                                                          
                                                                    </td>
                                                                </tr>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                <?php else: ?>
                                                                    <tr>
                                                                        <td colspan="7">
                                                                            <strong style="margin-left: 42%; font-size: large;">Record not found</strong>
                                                                        </td>
                                                                    </tr>
                                                                <?php endif; ?>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <section>
                                                            <?php if(!empty($order_lists)): ?>
                                                                <div class="d-flex justify-content-center float-right mr-2 mt-2">
                                                                    <?php echo e($order_lists->links()); ?>

                                                                </div>
                                                            <?php endif; ?>
                                                        </section>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </div>
                        </section>
                    </div>
                </div>
            </div>
        </div>    
</div>
</div>
<!-- END: Content-->

<div class="sidenav-overlay"></div>
<div class="drag-target"></div>
<?php $__env->startPush('custom-scripts'); ?>
    <script type="text/javascript">
        function validate(evt) {
            var theEvent = evt || window.event;

            // Handle paste
            if (theEvent.type === 'paste') {
                key = event.clipboardData.getData('text/plain');
            } else {
                // Handle key press
                var key = theEvent.keyCode || theEvent.which;
                key = String.fromCharCode(key);
            }
            var regex = /[0-9]|\./;
            if( !regex.test(key) ) {
                theEvent.returnValue = false;
                if(theEvent.preventDefault) theEvent.preventDefault();
            }
        }
    </script>
<?php $__env->stopPush(); ?>
</div>

<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/leadtime/leadtime-stock.blade.php ENDPATH**/ ?>