<div>
    <!-- BEGIN: Content-->
    <div class="app-content content ecommerce-application">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-detached content-right">
                <div class="content-body">
                    <!-- E-commerce Content Section Starts -->
                    <section id="ecommerce-header">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="ecommerce-header-items">
                                    <div class="result-toggler">
                                        <button class="navbar-toggler shop-sidebar-toggler" type="button"
                                            data-toggle="collapse">
                                            <span class="navbar-toggler-icon d-block d-lg-none"><i
                                                    class="fa fa-settings"></i></span>
                                        </button>
                                        <div class="search-results">
                                            (<?php echo e(!empty($takealotOffers) && !empty($takealotOffers->total()) ? $takealotOffers->total() : 0); ?>)
                                            results found</div>
                                    </div>
                                    <div class="view-options d-flex">

                                        <div class="mr-1">
                                            <select class="form-control selectBorder" id="sortOptions">
                                                <option value="">Select Stock Print</option>
                                                <option value="asc">ASC Send Stock Print</option>
                                                <option value="desc">DESC Send Stock Print</option>
                                            </select>
                                        </div>
                                        <div class="mr-1">
                                            <a href="<?php echo e(route('seller.replenishment-pdf', ['otherStatus' => $other_status])); ?>"
                                                target="_blank" class="btn btn-outline-success waves-effect"><i
                                                    class="fa fa-print mr-1" class="font-medium-3"></i>Print</a>
                                        </div>
                                        
                                        <div class=" mr-1">
                                            <a href="javascript:void()" title="Re-Fetch all latest sales and stock"
                                                class="btn btn-outline-primary waves-effect"
                                                wire:click="allrefetchoncurrentPage"><span wire:loading
                                                    wire:target="allrefetchoncurrentPage"
                                                    style="vertical-align: top;!important;margin-right: 5px;!important;"
                                                    class="spinner-border spinner-border-sm"></span><i
                                                    class="fa fa-undo mr-1" class="font-medium-3"></i>Sales / Stock</a>
                                        </div>
                                        <div class=" mr-1">
                                            <select class="form-control selectBorder" wire:model="other_status"
                                                name="other_status" id="other_status">
                                                <option value="0" <?php echo e($other_status == 0 ? 'selected' : ''); ?>>View
                                                    All</option>
                                                <option value="1" <?php echo e($other_status == 2 ? 'selected' : ''); ?>>
                                                    Archived</option>
                                                <option value="2" <?php echo e($other_status == 2 ? 'selected' : ''); ?>>Hunt
                                                </option>
                                                <option value="3" <?php echo e($other_status == 3 ? 'selected' : ''); ?>>Low
                                                    Margin</option>
                                            </select>
                                        </div>
                                        <div class=" mr-1">
                                            <select class="form-control selectBorder" wire:model="orderBy"
                                                name="orderBy" id="orderBy">
                                                <option value="asc" <?php echo e($orderBy == 'asc' ? 'selected' : ''); ?>>
                                                    Ascending </option>
                                                <option value="desc" <?php echo e($orderBy == 'desc' ? 'selected' : ''); ?>>
                                                    Descending</option>
                                            </select>
                                        </div>
                                        <div class=" mr-1">
                                            <select class="form-control selectBorder" wire:model="entries"
                                                name="entries" id="entries">
                                                <option value="">Show</option>
                                                <option value="10" <?php echo e($entries == '10' ? 'selected' : ''); ?>>10
                                                </option>
                                                <option value="20" <?php echo e($entries == '20' ? 'selected' : ''); ?>>20
                                                </option>
                                                <option value="30" <?php echo e($entries == '30' ? 'selected' : ''); ?>>30
                                                </option>
                                                <option value="40" <?php echo e($entries == '40' ? 'selected' : ''); ?>>40
                                                </option>
                                                <option value="50" <?php echo e($entries == '50' ? 'selected' : ''); ?>>50
                                                </option>
                                                <option value="100" <?php echo e($entries == '100' ? 'selected' : ''); ?>>100
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- E-commerce Content Section Starts -->

                    <!-- background Overlay when sidebar is shown  starts-->
                    <div class="body-content-overlay"></div>
                    <!-- background Overlay when sidebar is shown  ends-->

                    <!-- E-commerce Search Bar Starts -->
                    <section id="ecommerce-searchbar" class="ecommerce-searchbar">
                        <div class="row mt-1">
                            <div class="col-sm-12">
                                <div class="input-group input-group-merge">
                                    <input type="text" wire:model.change.debounce.500ms="search"
                                        class="form-control search-product" id="shop-search"
                                        placeholder="TITLE | SKU | TSIN" aria-label="Search..."
                                        aria-describedby="shop-search" />
                                    <?php if(isset($search) && !empty($search)): ?>
                                        <a href="javascript:void(0)" wire:click="$set('search','')">
                                            <div class="input-group-append">
                                                <span class="input-group-text"><i class="fa fa-close"
                                                        class="text-muted"></i></span>
                                            </div>
                                        </a>
                                    <?php else: ?>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fa fa-search"
                                                    class="text-muted"></i></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- E-commerce Search Bar Ends -->
                    <!-- E-commerce Products Starts -->
                    
                    <?php if($view == 'list'): ?>
                        <section id="ecommerce-products" class="list-view" wire:init="readyToLoad"
                            wire:loading.class="disabledHtml">
                            <?php if(!empty($takealotOffers) && count($takealotOffers) > 0): ?>
                                <?php $__currentLoopData = $takealotOffers->chunk(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chunk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $__currentLoopData = $chunk; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.replenishment-offers.list-view', ['offer' => $item, 'key' => $key])->html();
} elseif ($_instance->childHasBeenRendered(uniqid())) {
    $componentId = $_instance->getRenderedChildComponentId(uniqid());
    $componentTag = $_instance->getRenderedChildComponentTagName(uniqid());
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild(uniqid());
} else {
    $response = \Livewire\Livewire::mount('seller.replenishment-offers.list-view', ['offer' => $item, 'key' => $key]);
    $html = $response->html();
    $_instance->logRenderedChild(uniqid(), $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <?php if(count($takealotOffers) <= 0 && $readyToLoad == true): ?>
                                <div class="col-md-12 d-flex justify-content-center">
                                    <span class="text-center">
                                        <strong>Replenishment Record Not Found!</strong>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <?php if($readyToLoad == false): ?>
                                <div class="col-md-12 d-flex justify-content-center">
                                    <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true">
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </section>
                    <?php endif; ?>
                    


                    <!-- E-commerce Products Ends -->

                    <!-- E-commerce Pagination Starts -->
                    <?php if(!empty($takealotOffers)): ?>
                        <section id="ecommerce-pagination">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="d-flex justify-content-center mr-2 mt-2">
                                        <?php echo e($takealotOffers->onEachSide(3)->links()); ?>

                                    </div>
                                </div>
                            </div>

                        </section>
                    <?php endif; ?>
                    <!-- E-commerce Pagination Ends -->

                </div>
            </div>
            <div class="sidebar-detached sidebar-left">
                <div class="sidebar">
                    <!-- Ecommerce Sidebar Starts -->
                    <div class="sidebar-shop">
                        <div class="row">
                            <div class="col-sm-12">
                                <h6 class="filter-heading d-none d-lg-block">Filters</h6>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <!-- Price Filter starts -->
                                <div class="brands">
                                    <h6 class="filter-title">Sort By Status</h6>

                                    <ul class="list-unstyled brand-list">
                                        <li>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" wire:model="status" value="Buyable"
                                                    class="custom-control-input" id="productBrand1" />
                                                <label class="custom-control-label"
                                                    for="productBrand1">Buyable</label>
                                            </div>
                                            <span></span>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" wire:model="status" value="Not Buyable"
                                                    class="custom-control-input" id="productBrand2" />
                                                <label class="custom-control-label" for="productBrand2">Not
                                                    Buyable</label>
                                            </div>
                                            <span></span>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" wire:model="status" value="Disabled by Seller"
                                                    class="custom-control-input" id="productBrand3" />
                                                <label class="custom-control-label" for="productBrand3">Disabled by
                                                    Seller</label>
                                            </div>
                                            <span></span>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" wire:model="status"
                                                    value="Disabled by Takealot" class="custom-control-input"
                                                    id="productBrand4" />
                                                <label class="custom-control-label" for="productBrand4">Disabled by
                                                    Takealot</label>
                                            </div>
                                            <span></span>
                                        </li>

                                    </ul>
                                </div>
                                <div id="product-categories">
                                    <h6 class="filter-title">Buy Box</h6>
                                    <ul class="list-unstyled categories-list">
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" value="winner" wire:model="buybox"
                                                    id="winner" name="buybox" class="custom-control-input"
                                                    <?php echo e(!empty($buybox) && $buybox == 'winner' ? 'checked' : ''); ?> />
                                                <label class="custom-control-label" for="winner">Winning</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" value="losser" wire:model="buybox"
                                                    id="losser" name="buybox"
                                                    <?php echo e(!empty($buybox) && $buybox == 'losser' ? 'checked' : ''); ?>

                                                    class="custom-control-input" />
                                                <label class="custom-control-label" for="losser">Lossing</label>
                                            </div>
                                        </li>

                                    </ul>
                                </div>
                                <div id="product-categories">
                                    <h6 class="filter-title">By Repricing</h6>
                                    <ul class="list-unstyled categories-list">

                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" id="rePricingFilter1"
                                                    wire:model="rePricingFilter" value="yes"
                                                    name="rePricingFilter" class="custom-control-input"
                                                    <?php echo e(!empty($rePricingFilter) && $rePricingFilter == 'yes' ? 'checked' : ''); ?> />
                                                <label class="custom-control-label" for="rePricingFilter1">Yes</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                <input type="radio" id="rePricingFilter2"
                                                    wire:model="rePricingFilter" value="no"
                                                    name="rePricingFilter" class="custom-control-input"
                                                    <?php echo e(!empty($rePricingFilter) && $rePricingFilter == 'no' ? 'checked' : ''); ?> />
                                                <label class="custom-control-label" for="rePricingFilter2">No</label>
                                            </div>
                                        </li>

                                    </ul>
                                </div>

                                <!-- Clear Filters Starts -->
                                <div id="clear-filters">
                                    <button type="button" wire:click="clearFilter"
                                        class="btn btn-block btn-primary">Clear All Filters</button>
                                </div>
                                <!-- Clear Filters Ends -->
                            </div>
                        </div>
                    </div>
                    <!-- Ecommerce Sidebar Ends -->

                </div>
            </div>
        </div>
    </div>
    <!-- END: Content-->

    <div class="sidenav-overlay"></div>
    <div class="drag-target"></div>
    <?php if(!empty($rePricingDetails)): ?>
        <div class="modal" style="background-color: #000000c4;" id="exampleModalScrollable">
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content">
                    <form class="form-horizontal"
                        wire:submit.prevent="updateOfferPrice(Object.fromEntries(new FormData($event.target)))"
                        method="POST">

                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalScrollableTitle">Re-Pricing</h5>
                            <button type="button" class="close" wire:click="closeModel">
                                <span>&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <div class="item-wrapper  mt-1 mb-1">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-md-4 text-left"
                                        style="padding-right: 0.4rem;padding-left: 0.4rem;">
                                        <span class="mr-2">Min R</span>
                                        <input type="text" value="<?php echo e($rePricingDetails->min_price); ?>"
                                            name="minPrice"
                                            class="form-control <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                            placeholder="Min Price">
                                        <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <div class="col-md-4 text-left"
                                        style="padding-right: 0.4rem;padding-left: 0.4rem;">
                                        <span class="mr-2">Max R</span>
                                        <input type="text" value="<?php echo e($rePricingDetails->max_price); ?>"
                                            name="maxPrice"
                                            class="form-control <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                            placeholder="Max Price">
                                        <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <?php

                                        $leadtime_decode = null;
                                        $leadtime_qty = 0;
                                        $leadtime_decode = json_decode($rePricingDetails->offer->leadtime_stock);
                                        $leadtime_qty = !empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) ? $leadtime_decode[0]->quantity_available : 0;

                                    ?>
                                    <div class="col-md-4 text-left"
                                        style="padding-right: 0.4rem;padding-left: 0.4rem;">
                                        <span class="mr-2">SOH</span>
                                        <input type="text" value="<?php echo e($leadtime_qty); ?>" name="my_soh"
                                            class="form-control <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                            placeholder="My Soh" />
                                        <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <input type="text" name="updateFor"
                                        value="<?php echo e(encrypt($rePricingDetails->id)); ?>" hidden>
                                </div>
                                

                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" wire:click="closeModel">Close</button>
                            <button type="submit"
                                class="btn btn-primary btn-wishlist waves-effect waves-float waves-light"> UPDATE
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <script>
        document.getElementById('sortOptions').addEventListener('change', function() {
            var selectedOption = this.value;
            var link = '';
            if (selectedOption) {

                if (selectedOption === 'asc') {
                    link = "<?php echo e(route('seller.send-stock-pdf')); ?>?sort=asc";
                } else if (selectedOption === 'desc') {
                    link = "<?php echo e(route('seller.send-stock-pdf')); ?>?sort=desc";
                }
                window.open(link, '_blank');
            }
        });
    </script>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/replenishment-offers/all-list.blade.php ENDPATH**/ ?>