<!DOCTYPE html>
<html class="loading" lang="en" data-layout="semi-dark-layout" data-textdirection="ltr">
<!-- BEGIN: Head-->

<head>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="app-url" content="<?php echo e(getBaseURL()); ?>">
    <meta name="file-base-url" content="<?php echo e(getFileBaseURL()); ?>">
    <meta charset="UTF-8">
    <meta name="robots" content="noindex">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=0,minimal-ui">
    <meta name="description"
        content="Vuexy admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, Vuexy admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="PIXINVENT">
    <title>Sales Up | Grow Your Business</title>
    <link rel="apple-touch-icon" href="<?php echo e(static_asset('')); ?>uploads/logo/logo.png">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(static_asset('')); ?>uploads/logo/logo.png">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;1,400;1,500;1,600"
        rel="stylesheet">
    <!-- BEGIN: Vendor CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/vendors/css/vendors.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/vendors/css/extensions/toastr.min.css">
    <!-- END: Vendor CSS-->
    <!-- BEGIN: Theme CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/custom.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/bootstrap-extended.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/colors.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/components.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/bordered-layout.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/dark-layout.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/semi-dark-layout.css">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(static_asset('')); ?>seller/vendors/css/forms/select/select2.min.css">
    <!-- BEGIN: Page CSS-->
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(static_asset('')); ?>seller/css/core/menu/menu-types/vertical-menu.css">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(static_asset('')); ?>seller/css/plugins/extensions/ext-component-sliders.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/pages/app-ecommerce.css">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(static_asset('')); ?>seller/css/plugins/extensions/ext-component-toastr.css">
    <!-- END: Page CSS-->
    <!-- BEGIN: Custom CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/assets/css/style.css">
    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">

    
    <!-- END: Custom CSS-->
    <?php echo $__env->yieldPushContent('styles'); ?>
    <?php echo \Livewire\Livewire::styles(); ?>

    <?php echo \Livewire\Livewire::scripts(); ?>

    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.8.2/dist/alpine.min.js" defer></script>
    <script src="https://cdn.jsdelivr.net/gh/livewire/sortable@v0.x.x/dist/livewire-sortable.js"></script>
    <style>
        /* .font-size-12{
            font-size: 12px !important;
        } */
        /* .avatar [class*='avatar-status-']{
            width: 25px !important;
            height: 25px !important;
        } */
    </style>
</head>
<!-- END: Head-->
<!-- BEGIN: Body-->
<?php if(!Route::is('seller.profile') && (!isset(Auth::user()->Userdetail->phone) || !isset(Auth::user()->Userdetail->first_name))): ?> 
<script type="text/javascript">
    window.location = "<?php echo e(url('/seller/profile')); ?>";
</script>
<?php endif; ?>
<body class="vertical-layout vertical-menu-modern  navbar-floating footer-static  " data-open="click"
    data-menu="vertical-menu-modern" data-col="">
    <!-- BEGIN: Header-->
    <nav class="header-navbar navbar navbar-expand-lg align-items-center floating-nav navbar-light navbar-shadow">
        <div class="navbar-container d-flex content">
            <div class="bookmark-wrapper d-flex align-items-center">
                <ul class="nav navbar-nav d-xl-none">
                    <li class="nav-item"><a class="nav-link menu-toggle" href="javascript:void(0);"><i class="ficon"
                                data-feather="menu"></i></a></li>
                </ul>
                <ul class="nav navbar-nav">
                    <li class="nav-item d-none d-lg-block"><a class="nav-link nav-link-style"><i class="ficon"
                                data-feather="sun"></i></a></li>
                </ul>
            </div>
            <ul class="nav navbar-nav align-items-center ml-auto">
                <li class="nav-item dropdown dropdown-user">
                    <a class="nav-link dropdown-toggle dropdown-user-link" id="dropdown-user"
                        href="javascript:void(0);" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                        <div class="user-nav d-sm-flex d-none"><span
                                class="user-name font-weight-bolder"><?php echo e(Auth::user()->Userdetail->first_name); ?>

                                <?php echo e(Auth::user()->Userdetail->last_name); ?></span><span
                                class="user-status"><?php echo e(currentShop(session('active_shop_id'))->takealot_account_name); ?></span>
                        </div>
                        <span class="avatar"><img class="round"
                                src="<?php if(!empty($user->user_detail->profile_image) && empty($image)): ?> <?php echo e(uploaded_asset($user->user_detail->profile_image)); ?> <?php elseif(!empty($image)): ?> <?php echo e($image->temporaryUrl()); ?> <?php else: ?> <?php echo e(static_asset('')); ?>uploads/user/avatar.png <?php endif; ?>"
                                alt="avatar" height="40" width="40"><span
                                class="avatar-status-online"></span></span>
                    </a>
                    <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.components.header.dropdown')->html();
} elseif ($_instance->childHasBeenRendered('hkrOgtb')) {
    $componentId = $_instance->getRenderedChildComponentId('hkrOgtb');
    $componentTag = $_instance->getRenderedChildComponentTagName('hkrOgtb');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('hkrOgtb');
} else {
    $response = \Livewire\Livewire::mount('seller.components.header.dropdown');
    $html = $response->html();
    $_instance->logRenderedChild('hkrOgtb', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                </li>
            </ul>
        </div>
    </nav>
    <!-- END: Header-->

    <!-- BEGIN: Main Menu-->
    <div class="main-menu menu-fixed menu-light menu-accordion menu-shadow expanded" data-scroll-to-active="true">
        <div class="navbar-header">
            <ul class="nav navbar-nav flex-row">
                <li class="nav-item mr-auto">
                    <a class="navbar-brand" href="<?php echo e(route('seller.dashboard')); ?>">
                        
                        <img src="<?php echo e(static_asset('')); ?>front/assets/images/logo.png" alt="Logo"
                            style="max-width:70% !important;">
                        
                        
                    </a>
                </li>
                <!-- <li class="nav-item nav-toggle"><a class="nav-link modern-nav-toggle pr-0" data-toggle="collapse"><i class="d-block d-xl-none text-primary toggle-icon font-medium-4" data-feather="x"></i><i class="d-none d-xl-block collapse-toggle-icon font-medium-4  text-primary" data-feather="disc" data-ticon="disc"></i></a></li> -->
            </ul>
        </div>
        <div class="shadow-bottom"></div>
        <div class="main-menu-content">
            <ul class="navigation navigation-main" id="main-menu-navigation" data-menu="menu-navigation">

                <li class=" navigation-header"><span data-i18n="Apps &amp; Pages">Menu</span><i
                        data-feather="more-horizontal">Menu</i>
                </li>
                <li class="<?php if(Route::is('seller.dashboard')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.dashboard')); ?>" <?php endif; ?>><i
                            data-feather="home"></i><span class="menu-title text-truncate"
                            data-i18n="Home">Dashboard</span></a>
                </li>
                <li class="<?php if(Route::is('seller.orders')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.orders')); ?>" <?php endif; ?>><i
                            data-feather='life-buoy'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Orders</span></a>
                </li>
                <?php if(Auth::user()->id == 1 || Auth::user()->id == 73): ?>
                    <li class="<?php if(Route::is('seller.leadtime-stock')): ?> active <?php endif; ?> nav-item"><a
                            class="d-flex align-items-center"
                            <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.leadtime-stock')); ?>" <?php endif; ?>><i
                                data-feather='clock'></i><span class="menu-title text-truncate"
                                data-i18n="Home">Leadtime Stock</span></a>
                    </li>
                <?php endif; ?>
                <li class="<?php if(Route::is('seller.inventory')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.inventory')); ?>" <?php endif; ?>><i
                            data-feather='folder-plus'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Inventory</span></a>
                </li>
                <?php if(Auth::user()->id == 1 || Auth::user()->id == 72 || Auth::user()->id == 73): ?>
                    <li class="<?php if(Route::is('seller.replenishment-offers')): ?> active <?php endif; ?> nav-item"><a
                            class="d-flex align-items-center"
                            <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.replenishment-offers')); ?>" <?php endif; ?>><i
                                data-feather='git-pull-request'></i><span class="menu-title text-truncate"
                                data-i18n="Home">SKU Replenishment</span></a>
                    </li>
                <?php else: ?>
                    
                <?php endif; ?>
                <li class="<?php if(Route::is('seller.replenishment')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.replenishment')); ?>" <?php endif; ?>><i
                            data-feather='git-pull-request'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Replenishment</span></a>
                </li>
                <li class="<?php if(Route::is('seller.offers')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.offers')); ?>" <?php endif; ?>><i
                            data-feather='twitch'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Offers</span></a>
                </li>
                <?php if(Auth::user()->id == 1): ?>
                    <li class="<?php if(Route::is('seller.live-offers')): ?> active <?php endif; ?> nav-item"><a
                            class="d-flex align-items-center"
                            <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.live-offers')); ?>" <?php endif; ?>><i
                                data-feather='twitch'></i><span class="menu-title text-truncate"
                                data-i18n="Home">Live Offers</span></a>
                    </li>
                <?php endif; ?>
                <li class="<?php if(Route::is('seller.repricing')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.repricing')); ?>" <?php endif; ?>><i
                            data-feather='trending-up'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Re-Pricing</span></a>
                </li>
                <li class="<?php if(Route::is('seller.tsinHistory')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.tsinHistory')); ?>" <?php endif; ?>><i
                            data-feather='activity'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Activity Log</span></a>
                </li>
                
                <li class=" navigation-header"><span data-i18n="Apps &amp; Pages">Configurations</span><i
                        data-feather="more-horizontal">Menu</i>
                </li>
                <li class="<?php if(Route::is('seller.billing')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.billing')); ?>" <?php endif; ?>><i
                            data-feather='credit-card'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Billing</span></a>
                </li>
                <li class="<?php if(Route::is('seller.takealot-api')): ?> active <?php endif; ?> nav-item"><a
                        class="d-flex align-items-center"
                        <?php if(!Route::is('seller.account-config')): ?> href="<?php echo e(route('seller.takealot-api')); ?>" <?php endif; ?>><i
                            data-feather='settings'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Settings</span></a>
                </li>
                
            </ul>
        </div>
    </div>
    <!-- END: Main Menu-->
    <!-- BEGIN: Content-->
    <!-- BEGIN: Content-->
    
    

    <?php
        if (!Route::is('seller.account-config')) {
            if (!empty(session('active_shop_id'))) {
                $shopRegistered = Auth::user()->AllTakealotShops->where('id', '=', session('active_shop_id'))->first();
        
                if (!Route::is('seller.profile') && ((empty($shopRegistered->tk_seller_id) && empty($shopRegistered->takealot_account_name) && empty($shopRegistered->takealot_account_name) && empty($shopRegistered->takealot_api_key)) || empty($shopRegistered->takealot_webhook_secreet))) {
                    header('Location: ' . route('seller.account-config'));
                    exit();
                }
            }
        }
    ?>
    <?php echo $__env->yieldContent('content'); ?>



    
    
    <!-- END: Content-->
    <!-- END: Content-->
    <div class="sidenav-overlay"></div>
    <div class="drag-target"></div>
    <!-- BEGIN: Footer-->

    


    <button class="btn btn-primary btn-icon scroll-top" type="button"><i data-feather="arrow-up"></i></button>
    <!-- END: Footer-->
    <!-- BEGIN: Vendor JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/vendors.min.js"></script>
    <!-- BEGIN Vendor JS-->
    <!-- BEGIN: Page Vendor JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/extensions/wNumb.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/extensions/nouislider.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/extensions/toastr.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/forms/select/select2.full.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/js/scripts/forms/form-select2.js"></script>
    <!-- END: Page Vendor JS-->
    <!-- BEGIN: Theme JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/js/core/app-menu.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/js/core/app.js"></script>
    <!-- END: Theme JS-->

    <!-- BEGIN: Page JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/js/scripts/pages/app-ecommerce.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <!-- END: Page JS-->
    <script>
        $(window).on('load', function() {
            if (feather) {
                feather.replace({
                    width: 14,
                    height: 14
                });
            }
        })
    </script>
    <script>
        window.addEventListener('notify', event => {

            if (event.detail.error == 'success') {
                textColor = '#28c76f';
            } else if (event.detail.error == 'error') {
                textColor = '#ea5455';
            } else if (event.detail.error == 'warning') {
                textColor = '#ff9f43';
            } else if (event.detail.error == 'info') {
                textColor = '#00cfe8';
            } else {
                textColor = '#ffff';
            }
            const Toast = Swal.mixin({
                toast: true,
                position: 'top',
                popup: 'swal2-hide',
                showConfirmButton: false,
                backdrop: 'swal2-backdrop-hide',
                timer: 5000,
                timerProgressBar: true,
                didOpen: (toast) => {
                    toast.addEventListener('mouseenter', Swal.stopTimer)
                    toast.addEventListener('mouseleave', Swal.resumeTimer)
                }
            })
            //Supported class =>  "success", "error", "warning", "info" or "question"
            Toast.fire({
                icon: event.detail.error,
                iconColor: '#ffff',
                title: event.detail.msg,
                background: textColor,
                color: '#ffff',
                width: '50%'
            })
            //AIZ.plugins.notify(event.detail.error,event.detail.msg);
        })
    </script>
    <script>
        function copyToClipboard(id) {

            var r = document.createRange();
            r.selectNode(document.getElementById(id));
            window.getSelection().removeAllRanges();
            window.getSelection().addRange(r);
            document.execCommand('copy');
            window.getSelection().removeAllRanges();
            const Toast = Swal.mixin({
                toast: true,
                position: 'top',
                popup: 'swal2-hide',
                showConfirmButton: false,
                backdrop: 'swal2-backdrop-hide',
                timer: 5000,
                timerProgressBar: true,
                didOpen: (toast) => {
                    toast.addEventListener('mouseenter', Swal.stopTimer)
                    toast.addEventListener('mouseleave', Swal.resumeTimer)
                }
            })
            Toast.fire({
                icon: 'success',
                iconColor: '#ffff',
                title: 'Successfully Copied',
                background: '#28c76f',
                color: '#ffff',
                width: '50%'
            });
        }
    </script>
    <script type="text/javascript">
        window.addEventListener('reloadSelect2', event => {
            $('.select2').select2();
        })
    </script>
    <script>
        $(document).on('click', '.moveOnTop', function(e) {
            $("html, body").animate({
                scrollTop: 0
            }, "slow");
            return false;
        });
    </script>

    <script type="text/javascript">
        window.addEventListener('load-modal', event => {

            document.getElementById(event.detail.modelID).style.display = "block";

            //   $('#'.event.detail.modelID).modal('show');
        });

        window.addEventListener('close-modal', event => {

            document.getElementById(event.detail.modelID).style.display = "none";
            // $('#'.event.detail.modelID).modal('hide');

            // if(event.details!='undefined')
            // {
            //    $("#".event.details.modelID).css("display", "none");
            // }
        });
    </script>


    <?php echo $__env->yieldPushContent('custom-scripts'); ?>
</body>
<!-- END: Body-->

</html>
<?php /**PATH /home/salesu7/public_html/resources/views/seller/layouts/app.blade.php ENDPATH**/ ?>