  <div class="app-content content " >
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="card" wire:init="readyToLoad">
                <div class="card-header">
                    <h5 class="mb-0 h5"><?php echo e(!empty($apiData->takealot_account_name) ? $apiData->takealot_account_name : ''); ?> Takealot Api</h5>
                </div>
                <div class="card-body">

                        <form class="form-horizontal" wire:submit.prevent="updateTakealotApi(Object.fromEntries(new FormData($event.target)))" method="POST">
                        <?php echo csrf_field(); ?>                      
                      
                        <div id="smtp">
                            
                             <div class="form-group row">
                                <div class="col-md-3">
                                        <label class="col-from-label">Takealot API Key</label>
                                </div>
                                <div class="col-md-9">

                                        <input type="text" <?php echo e(($api_edit==false) ? 'disabled' : ''); ?> class="form-control <?php $__errorArgs = ['takealot_api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="takealot_api_key" id="takealot_api_key" value="<?php echo e(!empty($apiData->takealot_api_key) ? $apiData->takealot_api_key : ''); ?>" placeholder="Please Paste Here Takealot API Key">
                                        <?php $__errorArgs = ['takealot_api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>                                
                                </div>
                            </div>                            
                        </div>
                         
                       <?php if($api_edit==false): ?>
                        <div class="form-group mb-0 text-right">
                            <a href="javascript:void(0)" wire:click="$set('api_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        </div>
                      <?php else: ?>
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('api_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                            <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                            
                        </div>
                      <?php endif; ?>
                    </form>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Webhook</h5>
                </div>
                <div class="card-body">
                    <form class="form-horizontal" wire:submit.prevent="updateTakealotApiWebHook(Object.fromEntries(new FormData($event.target)))" method="POST">
                        <?php echo csrf_field(); ?>                      
                      
                        <div id="webhook">
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Webhook URL</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" class="form-control" readonly name="webhook_url" id="webhook_url" value="<?php echo e(env('APP_URL')); ?>/takealot-events/<?php echo e(!empty($apiData->webhook_uuid) ? $apiData->webhook_uuid : ''); ?>" placeholder="Webhook Url">
                                                                        
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Webhook Secret</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" <?php echo e(($webhook_edit==false) ? 'disabled' : ''); ?> autofocus class="form-control <?php $__errorArgs = ['webhook_secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="webhook_secret_key" id="webhook_secret_key" value="<?php echo e(!empty($apiData->takealot_webhook_secreet) ? $apiData->takealot_webhook_secreet : ''); ?>" placeholder="Paste in Takealot Webhook Secret Key">
                                    <?php $__errorArgs = ['webhook_secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>                               
                                </div>
                            </div>
                            
                        </div>
                        
                        <?php if($webhook_edit==false): ?>
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('webhook_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        
                        </div>
                        <?php else: ?>
                            <div class="form-group mb-0 text-right">

                                <a href="javascript:void(0)" wire:click="$set('webhook_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                                <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                                
                            </div>
                        <?php endif; ?>
                    </form>
                </div>
            </div> 
            <?php if(Auth::user()->id == 1): ?>
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Set Percenateg For Leadtime Offers</h5>
                </div>
                <div class="card-body">
                    <form class="form-horizontal" wire:submit.prevent="updateLeadTimePercentage(Object.fromEntries(new FormData($event.target)))" method="POST">
                        <?php echo csrf_field(); ?>                      
                      
                        <div id="webhook">
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label class="col-from-label">Percentage</label>
                                </div>
                                <div class="col-md-9">

                                    <input type="text" class="form-control <?php $__errorArgs = ['leadtime_percentage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" <?php echo e(($leadtime_edit==false) ? 'disabled' : ''); ?> name="leadtime_percentage" id="leadtime_percentage" value="<?php echo e(!empty($apiData->leadtime_percentage) ? $apiData->leadtime_percentage : 0); ?>" placeholder="Leadtime Percenateg">
                                    <?php $__errorArgs = ['leadtime_percentage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>                           
                                </div>
                            </div>
                          
                            
                        </div>
                        
                        <?php if($leadtime_edit==false): ?>
                        <div class="form-group mb-0 text-right">

                            <a href="javascript:void(0)" wire:click="$set('leadtime_edit',true)" class="btn btn-success waves-effect waves-float waves-light">Edit</a>
                        
                        </div>
                        <?php else: ?>
                            <div class="form-group mb-0 text-right">

                                <a href="javascript:void(0)" wire:click="$set('leadtime_edit',false)" class="btn btn-danger waves-effect waves-float waves-light">Cancel</a>
                                <button type="submit" class="btn btn-primary waves-effect waves-float waves-light">Save</button>
                                
                            </div>
                        <?php endif; ?>
                    </form>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <div class="col-md-6">
           
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0 h6">Instruction</h5>
                </div>
                <div class="card-body">
                    <p class="text-danger">Please be carefull when you are configuring API. For incorrect
                        configuration you will get error at the time of fetching your products from takealot.</p>
                    <h6 class="text-muted">Webhook</h6>
                    <ul class="list-group">
                        <li class="list-group-item text-dark">Receive near real-time updates for orders and offers when you setup a webhook.</li>
                        
                    </ul>
                    <br>
                    <h6 class="text-muted">Supported events</h6>
                    <ul class="list-group mar-no">
                        <li class="list-group-item text-dark">Sale Status Changed</li>
                        <li class="list-group-item text-dark">Offer Updated</li>
                        <li class="list-group-item text-dark">Offer Created</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/configurations/settings/takealot-api.blade.php ENDPATH**/ ?>