<div>
     <!-- BEGIN: Content-->
     <div class="app-content content ">
         <div class="content-overlay"></div>
         <div class="header-navbar-shadow"></div>
         <div class="content-wrapper">
            <div class="content-header row">
               <div class="content-header-left col-md-9 col-12 mb-2">
                  <div class="row breadcrumbs-top">
                     <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Inventory</h2>
                        <div class="breadcrumb-wrapper">
                           <ol class="breadcrumb">
                              <li class="breadcrumb-item">(<?php echo e((!empty($takealotOffers) && !empty($takealotOffers->total())) ? $takealotOffers->total() : 0); ?>) results found</li>
                           </ol>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                  
                  <div class="btn-group btn-group-toggle" >
                  </div>
               </div>
            </div>
            <div class="content-body">
             <div class="row mb-1">            
                <div class="col-5">
                   <div class="row">
                     
                     <div class="col-2" style="padding-right: 0.1rem;">
                         <select class="form-control bg-white" wire:model="entries" name="entries" id="entries">
                               <option value="" >Show</option>
                               <option value="10" <?php echo e(($entries=='10')   ? 'selected' : ''); ?>>10</option>
                               <option value="20" <?php echo e(($entries=='20')   ? 'selected' : ''); ?>>20</option>
                               <option value="30" <?php echo e(($entries=='30')   ? 'selected' : ''); ?>>30</option>
                               <option value="40" <?php echo e(($entries=='40')   ? 'selected' : ''); ?>>40</option>
                               <option value="50" <?php echo e(($entries=='50')   ? 'selected' : ''); ?>>50</option>
                               <option value="100" <?php echo e(($entries=='100') ? 'selected' : ''); ?>>100</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem;  padding-left: 0.1rem;">
                         <select class="form-control bg-white" wire:model="orderBy" name="orderBy" id="orderBy">
                               <option value="asc" <?php echo e(($orderBy=='asc') ? 'selected' : ''); ?> >Ascending </option>
                               <option value="desc" <?php echo e(($orderBy=='desc')  ? 'selected' : ''); ?>>Descending</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem; padding-left: 0.1rem;">
                            <select class="form-control bg-white" wire:model="priceSort" name="priceSort" id="priceSort">
                               <option value="" >Sort By Price</option>
                               <option value="lowest">Lowest To Highest Price</option>
                               <option value="highest">Highest To Lowest Price</option>
                            </select>
                      </div>
                   </div>                  
                </div>
                <div class="col-5">                  
                   <div class="input-group input-group-merge">
                      <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN" aria-label="Search..." aria-describedby="shop-search" />
                      <?php if(isset($search) && !empty($search)): ?>
                         <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                               <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                              
                         </a>
                      <?php else: ?>
                         <div class="input-group-append">
                            <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                         </div>
                      <?php endif; ?>
                   </div>
                </div>
                <div class="col-2">   
                   <button class="btn btn-outline-primary btn-block waves-effect waves-float waves-light bg-white" data-toggle="modal" data-target="#filtters"><i class="fa fa-filter"></i> Filters</button>
                               
                </div>
             </div>
               
               <section>
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="table-responsive">
                              <table class="table" id="offers">
                                 <thead>
                                    <tr>
                                       <th class="text-center font-size-12" style="width: 8%;"></th>
                                       <th class="font-size-12" style="width: 25%;">Product</th>
                                       <th class="text-center font-size-12">Status</th>
                                       <th class="text-center font-size-12">In Stock</th>
                                       <th class="text-center font-size-12">Stock on way</th>
                                       <th class="text-center font-size-12">Sold</th>
                                       <th class="text-center font-size-12">Days</th>
                                       
                                    </tr>
                                 </thead>
                                 <tbody wire:init="readyToLoad"  wire:loading.class="disabledHtml">
                                    <?php if(!empty($takealotOffers) && count($takealotOffers)>0): ?>                        
                                        <?php $__currentLoopData = $takealotOffers->chunk(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chunk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php $__currentLoopData = $chunk; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                                             
                                                <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.inventory.list-view' ,['offer' =>$item,'key'=>$key])->html();
} elseif ($_instance->childHasBeenRendered($item->id)) {
    $componentId = $_instance->getRenderedChildComponentId($item->id);
    $componentTag = $_instance->getRenderedChildComponentTagName($item->id);
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild($item->id);
} else {
    $response = \Livewire\Livewire::mount('seller.inventory.list-view' ,['offer' =>$item,'key'=>$key]);
    $html = $response->html();
    $_instance->logRenderedChild($item->id, $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>             
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>                  
                                 </tbody>  
                                
                                                            
                              </table>
                               <?php if($readyToLoad == true && empty($takealotOffers)): ?>
                               <div class="col-md-12 d-flex justify-content-center">
                                  <span class="text-center">
                                     <strong>No Offers Found!</strong>
                                  </span>
                               </div>                                 
                               <?php endif; ?> 
                               <?php if($readyToLoad == false): ?>
                                  <div class="col-md-12 d-flex justify-content-center">
                                     <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                     </div>
                                  </div>
                               <?php endif; ?> 
                              <?php if(!empty($takealotOffers)): ?>                       
                         
                              <section id="ecommerce-pagination">
                                  <div class="row">
                                      <div class="col-sm-12">
                                          <div class="d-flex justify-content-center mr-2 mt-2">
                                              <?php echo e($takealotOffers->onEachSide(3)->links()); ?>

                                          </div>
                                      </div>
                                  </div>
                          
                              </section>
      
                          <?php endif; ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </section>
            </div>
         </div>
      </div>
      <!-- END: Content-->
 
 
 
 
 
 
 
 
<!-- Filters-->  
<?php echo $__env->make('livewire.seller.inventory.popUpFilters', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- Edits Repricing popup-->  

 <?php $__env->startPush('custom-scripts'); ?>
 <script>
     document.addEventListener('setInputFocus', event => {
         alert(event.details.id);
     });
     </script>
     <script>
         window.addEventListener('popupnew', event => {
             $('#'+event.detail.id).modal('show')
         })
         </script>
 <?php $__env->stopPush(); ?>
 </div><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/inventory/index.blade.php ENDPATH**/ ?>