<div  class="modal modal-slide-in fade" id="filtters" aria-hidden="true" wire:ignore.self>
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Filters</span>
                </h5>
            </div>
            <div class="modal-body flex-grow-1">
               
                    <!-- Price Filter starts -->
                    <div class="brands filter-list">
                     <h6 class="filter-title">Sort By Status</h6>
                    
                     <ul class="list-unstyled brand-list">
                         <li>
                             <div class="custom-control custom-checkbox">
                                 <input type="checkbox" wire:model="status" value="Buyable" class="custom-control-input" id="productBrand1" />
                                 <label class="custom-control-label" for="productBrand1">Buyable</label>
                             </div>
                             <span></span>
                         </li>
                         <li>
                             <div class="custom-control custom-checkbox">
                                 <input type="checkbox" wire:model="status" value="Not Buyable" class="custom-control-input" id="productBrand2"  />
                                 <label class="custom-control-label" for="productBrand2">Not Buyable</label>
                             </div>
                             <span></span>
                         </li>
                         <li>
                             <div class="custom-control custom-checkbox">
                                 <input type="checkbox" wire:model="status" value="Disabled by Seller" class="custom-control-input" id="productBrand3" />
                                 <label class="custom-control-label" for="productBrand3">Disabled by Seller</label>
                             </div>
                             <span></span>
                         </li>
                         <li>
                             <div class="custom-control custom-checkbox">
                                 <input type="checkbox" wire:model="status" value="Disabled by Takealot" class="custom-control-input" id="productBrand4" />
                                 <label class="custom-control-label" for="productBrand4">Disabled by Takealot</label>
                             </div>
                             <span></span>
                         </li>
                         
                     </ul>
                 </div>
                 
                   
                  <div id="product-categories2" class="filter-list">
                    <h6 class="filter-title">Stock</h6>
                    <ul class="list-unstyled categories-list">
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio"  value="instock"  wire:model="stockFilter" id="instock" name="stockFilter" class="custom-control-input" <?php echo e((!empty($stockFilter) && $stockFilter=="instock") ? 'checked' : ''); ?>  />
                                <label class="custom-control-label" for="instock">In-Stock</label>
                            </div>
                        </li>
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio" value="leadtime" wire:model="stockFilter"  id="leadtime" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="leadtime") ? 'checked' : ''); ?> class="custom-control-input" />
                                <label class="custom-control-label" for="leadtime">Leadtime</label>
                            </div>
                        </li>
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio" value="outofstock" wire:model="stockFilter"  id="outofstock" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="outofstock") ? 'checked' : ''); ?> class="custom-control-input" />
                                <label class="custom-control-label" for="outofstock">Out Of Stock</label>
                            </div>
                        </li>
                    </ul>
                  </div>
                    <!-- Clear Filters Starts -->
                    <div id="clear-filters">
                        <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                    </div>
                    <!-- Clear Filters Ends -->
                
            </div>
        </div>
    </div>
 </div>
 

<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/inventory/popUpFilters.blade.php ENDPATH**/ ?>