<div>
      <!-- form -->
      <form class="validate-form" wire:submit.prevent="change_password(Object.fromEntries(new FormData($event.target)))">
        <div class="row">
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="account-old-password">Old Password</label>
                    
                        <input type="password" class="form-control <?php $__errorArgs = ['old_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="old_password" id="old_password" autocomplete="off"   placeholder="Enter old password" />
                        <?php $__errorArgs = ['old_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        <br/>
                    
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="account-new-password">New Password</label>
                    
                        <input type="password"   class="form-control <?php $__errorArgs = ['new_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="new_password" id="new_password" onchange="CheckPassword()" onkeyup="CheckPassword()" onpaste="CheckPassword()" value="<?php echo e(old('new_password')); ?>" placeholder="Enter new Password" />
                        <?php $__errorArgs = ['new_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        <br/>
                        <p><strong id="validate-length"></strong></p>
                    
                </div>
            </div>
            <div class="col-12 col-sm-6">
                <div class="form-group">
                    <label for="account-retype-new-password">Retype New Password</label>
                    
                        <input type="password" class="form-control <?php $__errorArgs = ['confirmed'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="confirmed" id="confirmed" onkeyup="return validatePassword(event)" onpaste="return validatePassword(event)" onchange="return validatePassword(event)" value="<?php echo e(old('confirmed')); ?>" placeholder="Enter Confirm Password" />
                        <?php $__errorArgs = ['confirmed'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        <br/>
                        <p><strong id="validate-status"></strong></p>
                    
                </div>
            </div>
            <div class="col-12">
                <button class="btn btn-primary" id="sign_up"><span wire:loading wire:target="change_password" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>Update</button>
            </div>
        </div>
    </form>
    <!--/ form -->
    <?php $__env->startPush('custom-scripts'); ?>
    <script type="text/javascript">

        function checkEntry(e) {
            var k;
            document.all ? k = e.keyCode : k = e.which;
            return ((k > 64 && k < 91) || (k > 96 && k < 123) || k == 8 || k == 32 || (k >= 48 && k <= 57));
        }
        function CheckPassword() {
            pass = document.getElementById("new_password").value;
            regex = /(?=.*[!#$%&?^*@~()"])(?=.{8,})/;
            if (regex.exec(pass) == null) {
                //return false;
                $("#validate-length").text("Password Minimum 8 character and 0ne special character ");
                document.getElementById("validate-length").style.color = "#FF0000";
                document.getElementById("sign_up").style.cursor = "not-allowed";
                document.getElementById("sign_up").disabled = true;
                document. getElementById("validate-length"). style. display = "block";
            }
            else {
                document. getElementById("validate-length"). style. display = "none";
                document.getElementById("sign_up").removeAttribute('disabled');
                document.getElementById("sign_up").style.cursor = "pointer";
            }
        }
        $(document).ready(function() {
            $("#confirmed").keyup(validatePassword);
        });
        function validatePassword() {
            var password1 = $("#new_password").val();
            var password2 = $("#confirmed").val();
            if(password1 == password2) {
                $("#validate-status").text("Password Matched");
                document.getElementById("validate-status").style.color = "#52bb2a";
                document.getElementById("sign_up").removeAttribute('disabled');
                document.getElementById("sign_up").style.cursor = "pointer";
            }
            else {
                $("#validate-status").text("Password Not Matched");
                document.getElementById("validate-status").style.color = "#FF0000";
                document.getElementById("sign_up").style.cursor = "not-allowed";
                document.getElementById("sign_up").disabled = true;
            }
        }
    </script>
<?php $__env->stopPush(); ?>

</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/profile/security.blade.php ENDPATH**/ ?>