<tr class="text-center">
    <style>
        .listForm td:hover {
            background-color: transparent !important;
        }

        .listForm tr::before {
            background-color: transparent !important;
            opacity: 10 !important;
            transition: none !important;
        }

        .listForm th,
        .table td {
            padding: 0rem;
            vertical-align: middle;
            border-top: none;
        }
    </style>
    <?php if(!empty($item)): ?>
        <?php
            $class = '<span class="avatar-status-offline" title="Unknown Status"></span>';
            if ($item['status'] == 'Buyable') {
                $class = '<span class="avatar-status-online" title="Buyable"></span>';
            } elseif ($item['status'] == 'Not Buyable') {
                $class = '<span class="avatar-status-busy" title="Not Buyable"></span>';
            } elseif ($item['status'] == 'Disabled by Seller') {
                $class = '<span class="avatar-status-away" title="Disabled by Seller"></span>';
            } elseif ($item['status'] == 'Disabled by Takealot') {
                $class = '<span class="avatar-status-offline" title="Disabled by Takealot"></span>';
            } else {
                $class = '<span class="avatar-status-other" title="Unknown Status"></span>';
            }
        ?>
        <td class="font-size-13  text-center">
            <div class="avatar">
                <?php
                    echo $class;
                ?>
            </div>
        </td>
        <td>
            <img src="<?php echo e($item['image_url']); ?>" height="75" width="75" alt="<?php echo e($item['title']); ?>" />
        </td>
        <td class="font-size-13" style="width: 25%;">
            <div class="text-left d-block">
                <a href="<?php echo e($item['offer_url']); ?>" target="_blank" title="<?php echo e($item['title']); ?>"><span
                        class="text-left font-weight-bolder"><?php echo e($item['title']); ?></span></a>

               
                    <div class="badge badge-dark mb-1">
                        <a href="javascript:void(0)" onclick="copyToClipboard('sku_<?php echo e($key . $item['tsin_id']); ?>')"><i
                                class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i><span
                                id="sku_<?php echo e($key . $item['tsin_id']); ?>"><?php echo e($item['sku']); ?></span></a>
                        
                    </div>
                    <div class="badge badge-success mb-1">
                        <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key.$item['tsin_id']); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i><span id="tsin_<?php echo e($key.$item['tsin_id']); ?>"><?php echo e($item['tsin_id']); ?></span></a>
                        <a href="<?php echo e($item['offer_url']); ?>" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View on takealot"></i></a>
                    </div>
                    <div class="badge badge-secondary mb-1">
                        <a href="javascript:void(0)" wire:click="importOffer('<?php echo e(encrypt($item['offer_id'])); ?>')"><i  class="fa fa-download mr-25" aria-hidden="true" title="Import Offer"></i><span id="tsin_<?php echo e($key.$item['tsin_id']); ?>">Import Offer</span></a>
                    </div>
                
            </div>
        </td>
        <td class="text-center">
            <?php
                $leadtime_decode = null;
                $leadtime_qty = null;
                $leadtime_decode = $item['leadtime_stock'];
               
                $leadtime_qty = !empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) ? $leadtime_decode[0]->quantity_available : 0;
            ?>
            <?php if($item['leadtime_days'] != null && !empty($leadtime_qty)): ?>
                <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status">
                    <?php echo e('My SOH :'); ?> <?php echo e($leadtime_qty); ?></span></a> <br />
            <?php endif; ?>
            <?php if($item['stock_at_takealot_total'] > 0): ?>
                <a href="javasecript:void()" class="badge badge-pill badge badge-info"
                    title="Your Stock Status"><?php echo e('In Stock : '); ?> <?php echo e($item['stock_at_takealot_total']); ?></span></a>
            <?php endif; ?>
            <?php if($item['stock_at_takealot_total'] <= 0 && $item['leadtime_days'] == null): ?>
                <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out
                    Of Stock</span></a>
            <?php endif; ?>
        </td>
        
        <td class="text-center">
            R<?php echo e($item['selling_price']); ?>

        </td> 
        <td class="text-center">
            R<?php echo e($item['rrp']); ?>

        </td>
        <td class="text-center">
            <?php echo e($item['discount']); ?>

        </td>
        
        

    <?php endif; ?>
</tr>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/live/list-view.blade.php ENDPATH**/ ?>