<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Replanishment PDF</title>
</head>
<body>
    <style>
        #customers {
          font-family: Arial, Helvetica, sans-serif;
          border-collapse: collapse;
          width: 100%;
        }
        
        #customers td, #customers th {
          border: 1px solid #ddd;
          padding: 8px;
        }
        
        #customers tr:nth-child(even){background-color: #f2f2f2;}
        
        #customers tr:hover {background-color: #ddd;}
        
        #customers th {
          padding-top: 12px;
          padding-bottom: 12px;
          text-align: left;
          background-color: #283046;
          color: white;
        }
        </style>
    
                <table class="table" id="customers">
                    <thead>
                    <tr>
                        
                        <th>Title</th>
                        <th>Profit</th>
                        <th>Cost</th>
                        <th>90 Day Sales</th>
                    </tr>
                    </thead>

                    <tbody>

                    <?php $__currentLoopData = $offers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $getPricesku=explode("-",$item->sku);
                        $nintyDays=\Carbon\Carbon::now()->subDays(90)->toDateString();
                        $nintySales=$item->takealotOrders->where('order_date','>=',$nintyDays)->sum('quantity');
                    ?>
                    <tr class="">
                        
                        
                        <td>
                          <p><?php echo e($item->title); ?></p>
                          <p class="color:#7367f0;">TSIN:<?php echo e($item->tsin_id); ?></p>
                          <p class="color:#7367f0;">SKU:<?php echo e($item->sku); ?></p>
                        </td>
                        <td>R<?php echo e((!empty($getPricesku) && !empty($getPricesku[0]) && is_numeric($getPricesku[0])) ? ($item->selling_price-(int)trim($getPricesku[0])) : null); ?></td>
                        <td>R<?php echo e((!empty($getPricesku) && !empty($getPricesku[0])) ? ($getPricesku[0]) : null); ?></td>
                        <td><?php echo e($nintySales); ?></td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            
</body>
</html>
                                         <?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/replenishment/replenishment-pdf.blade.php ENDPATH**/ ?>