<div>
   
 <section class="appie-pricing-area pt-90 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">Choose your plan</h3>
                    <p>Get Up-to 20% off with yearly subscription</p>
                </div>
                <ul class="list-inline justify-content-center  d-flex mb-4" >
                    <li>
                        <a wire:target="selectPackageType('monthly')" href="javascript:void(0)" class="btn btn-outline-primary m-1 <?php echo e($packageType); ?> <?php echo e(($packageType=='monthly') ? 'active' : ''); ?>" wire:click="selectPackageType('monthly')">
                            <span wire:loading wire:target="selectPackageType('monthly')" class="fa fa-spinner fa-spin"></span> Monthly
                        </a>
                    </li>
                    <li>
                        <a wire:target="selectPackageType('annually')" href="javascript:void(0)" class="btn btn-outline-primary m-1 <?php echo e($packageType); ?> <?php echo e(($packageType=='annually') ? 'active' : ''); ?>" wire:click="selectPackageType('annually')">
                            <span wire:loading wire:target="selectPackageType('annually')" class="fa fa-spinner fa-spin"></span> Annually
                        </a>
                    </li>
                    
                   

                </ul><!-- /.list-inline -->     
                <?php if(Session::has('success')): ?>
                    <div class="alert alert-success mt-1 mb-4">
                        <?php echo e(Session::get('success')); ?>

                    </div>
                <?php endif; ?> 
                <?php if(Session::has('error')): ?>
                    <div class="alert alert-danger mt-1 mb-4">
                        <?php echo e(Session::get('error')); ?>

                    </div>
                <?php endif; ?>               
            </div>
        </div>
      
            <div >
                <div class="row justify-content-center">
                    <?php $__currentLoopData = $package; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                    <div class="col-lg-4 col-md-6 ">
                        <div class="pricing-one__single">
                            <div class="pricig-heading">
                                <h6><?php echo e($item->title); ?></h6>
                                <?php if($item->price<=0): ?>
                                  <div class="price-range"><span>Free</span></div>
                                    <?php if(!empty($item->plan_caption)): ?>
                                    <p><?php echo e($item->plan_caption); ?></p>
                                    <?php endif; ?>
                                <?php else: ?>
                                  <div class="price-range"><sup>R</sup> <span><?php echo e(round($item->price)); ?></span>
                                    <?php if($item->duration==1): ?>
                                    <p>Monthly</p>
                                    <?php else: ?>
                                    <p>Month x <?php echo e($item->duration); ?></p>
                                    <?php endif; ?>
                                 </div>
                                  <?php if(!empty($item->plan_caption)): ?>
                                     <p><?php echo e($item->plan_caption); ?></p>
                                  <?php endif; ?>
                                <?php endif; ?>
                                <p><strong><?php echo e($item->caption); ?></strong></p>
                            </div>
                            <div class="pricig-body">
                                <ul>
                                    <?php $__currentLoopData = $packageDetails->where('order_type','=',$item->order_type); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><i class="<?php echo e(($item->icon=='no') ? 'text-danger fal fa-times-circle' : 'fal fa-check'); ?>"></i> <?php echo e($detail->title); ?></li>                                   
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>

                                <div class="pricing-btn mt-35">
                                    <?php if(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id==$item->id): ?>
                                    <a class="main-btn top-pricing-btn" style="background: #03b028 !important; border-color: #03b028 !important;" href="javascript:void(0)" >Active</a>
                                    <?php elseif(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id!=$item->id): ?>
                                    <a wire:target="payNow" class="main-btn <?php echo e(($item->tag_status=='active') ? 'top-pricing-btn' : ''); ?>" href="javascript:void(0)" wire:click="payNow('<?php echo e(encrypt($item->id)); ?>')" >
                                        <span  wire:loading wire:target="payNow" class="fa fa-spinner fa-spin" ></span><span class="ml-1">Update Plan</span>
                                    </a>                                    
                                    <?php else: ?>
                                        <a wire:target="payNow"   class="main-btn <?php echo e(($item->tag_status=='active') ? 'top-pricing-btn' : ''); ?>" href="javascript:void(0)" wire:click="payNow('<?php echo e(encrypt($item->id)); ?>')">
                                            <span wire:loading wire:target="payNow" class="fa fa-spinner fa-spin" ></span><span class="ml-1">Choose plan</span>
                                        </a>
                                    <?php endif; ?>


                                </div>
                            </div>
                            <?php if($item->tag_status=='active'): ?>
                            <div class="pricing-rebon">
                                <span><?php echo e($item->tagline); ?></span>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div><!-- /#month -->
            
    </div>
</section>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/front/pricing/packages.blade.php ENDPATH**/ ?>