<div wire:ignore.self class="modal modal-slide-in fade" data-backdrop="static" id="updateRow" aria-hidden="true">
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" wire:click="closeModel" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Update Offer Details</span>
                </h5>
            </div>
            <?php if(!empty($rePricingDetails)): ?>
            <div class="modal-body flex-grow-1">
                <h5 class="modal-title">
                    <span class="align-middle"><?php echo e($rePricingDetails->title); ?></span>
                </h5>                
                <h2 class="modal-title">
                    <span class="align-middle">Buy Box</span>
                </h2>
                <hr/>
                <form id="popup1"  class="form-horizontal" wire:submit.prevent="updateOfferDetails(Object.fromEntries(new FormData($event.target)))" >
                    <?php echo csrf_field(); ?>                   
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Repricing</label>
                        <div class="col-sm-7">
                            <div class="custom-control custom-switch custom-switch-success d-flex justify-content-left">
                                <input type="checkbox" <?php echo e((empty($rePricingDetails->rePricing->min_price) || empty($rePricingDetails->rePricing->max_price)) ? 'disabled' : ''); ?> class="custom-control-input" value="<?php echo e(($rePricingDetails->rePricing->status== 1) ? 0 : 1); ?>" wire:change="updateOfferStatus('<?php echo e(encrypt($rePricingDetails->rePricing->id)); ?>',$event.target.value)" id="customSwitchh1"
                                <?php if($rePricingDetails->rePricing->status==1): ?> checked <?php endif; ?> />
                                <label class="custom-control-label " for="customSwitchh1"> 
                                    <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                                    <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Current Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center" >                   
                                <div class="input-group-prepend">      
                                  <span class="input-group-text">R</span>
                                </div>
                                <input type="number" disabled class="form-control" value="<?php echo e(($rePricingDetails->selling_price>0 ? $rePricingDetails->selling_price : null)); ?>" placeholder="R0">
                            </div>
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Min Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center" >                   
                                <div class="input-group-prepend">      
                                  <span class="input-group-text">R</span>
                                </div>
                                <input type="number"  name="minPrice"  class="form-control <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(($rePricingDetails->min_price>0 ? $rePricingDetails->min_price : null)); ?>" placeholder="R0">
                            </div>
                            
                            <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Max Price</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">                   
                                <div class="input-group-prepend">      
                                  <span class="input-group-text">R</span>
                                </div>
                                <input type="number"  name="maxPrice"  class="form-control <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(($rePricingDetails->max_price>0 ? $rePricingDetails->max_price : null)); ?>" placeholder="R0">
                            </div>
                            <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <?php
                            $leadtime_decode=null;
                            $leadtime_qty=0;
                            $leadtime_decode=json_decode($rePricingDetails->rePricing->leadtime_stock);
                            $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                        ?>
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Leadtime SOH</label>
                        <div class="col-sm-7">
                            <div class="input-group input-group justify-content-center">                   
                                <div class="input-group-prepend">      
                                    <span class="input-group-text">SOH</span>
                                </div>
                                <input type="number"  name="my_soh"  class="form-control <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($leadtime_qty); ?>" placeholder="0">
                            </div>
                            <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                        </div>                            
                        <input type="text" name="updateFor" value="<?php echo e(encrypt($rePricingDetails->rePricing->id)); ?>" hidden>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="form-group d-flex flex-wrap mb-0">
                        
                        <button type="submit" class="btn btn-outline-primary btn-wishlist waves-effect waves-float waves-light  mr-1" >
                            Update Repricing
                            </button>  
                        <button type="button" class="btn btn-outline-secondary" wire:click="closeModel" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/offers/popUpRepricing.blade.php ENDPATH**/ ?>