
<tr class="text-center">   
    <?php if(!empty($item)): ?>
            <?php                  

            $class="badge-light-primary";

            if($item->status=='Buyable')
            {
                $class="badge-light-success";
            }
            else if($item->status=='Not Buyable')
            {
                $class="badge-light-danger";
            }
            elseif($item->status=='Disabled by Seller')
            {
                $class="badge-light-dark";
            } 
            elseif($item->status=='Disabled by Takealot')
            {
                $class="badge badge-warning";
            }
            

            ?>
            <td>
                <img src="<?php echo e($item->image_url); ?>" height="75" width="75" alt="<?php echo e($item->title); ?>" />
            </td>
            <td class="font-size-13" style="width: 25%;">                       
                <div class="text-left" >
                    <a href="<?php echo e($item->offer_url); ?>" target="_blank" title="<?php echo e($item->title); ?>"><span class="text-left font-weight-bolder"><?php echo e($item->title); ?></span></a>
                    <div>
                        <div class="badge badge-dark mb-1" >
                            <a href="javascript:void(0)" onclick="copyToClipboard('sku_<?php echo e($key.$item->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i>
                                <span id="sku_<?php echo e($key.$item->tsin_id); ?>"><?php echo e($item->sku); ?></span></a>
                        </div>
                        <div class="badge badge-success mb-1">
                            <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key.$item->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                                <span id="tsin_<?php echo e($key.$item->tsin_id); ?>"><?php echo e($item->tsin_id); ?></span></a>
                                <a href="<?php echo e($item->offer_url); ?>" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View on takealot"></i></a>
                        </div>
                        <div class="badge badge-light-primary mb-1">
                            <a wire:click="updatetakealotOffer('<?php echo e(encrypt($item->id)); ?>')" title="Fetch offer latest details from takealot">
                                <span wire:loading wire:target="updatetakealotOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="updatetakealotOffer" class="fa fa-refresh text-primary"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </td>
            <td class="text-center">
                <span class="badge badge-pill <?php echo e($class); ?>"><?php echo e($item->status); ?></span>               
            </td>
            <td class="text-center">
                <?php
                    $totalStock=0;
                    $stockAtTakealot=json_decode($item->stock_at_takealot);
                    $cptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                    $cptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
                    $jhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                    $jhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
                    $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                ?>
                <div class="col-lg-12"> <?php echo e($totalStock); ?> <div class="muted" style="font-size: 10px;"><?php echo e((!empty($cptName) ) ? $cptName.':'.$cptQty : ''); ?> | <?php echo e((!empty($jhbName) ) ? $jhbName.':'.$jhbQty : ''); ?></div></div>   
            </td>
            <td class="text-center">
                <?php echo e($item->total_stock_on_way); ?>    
            </td>
            <td class="text-center">
                0     
            </td>
            <td class="text-center">
                0     
            </td>
            
         
    <?php endif; ?>    
</tr><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/inventory/list-view.blade.php ENDPATH**/ ?>