<div>
    <section class="blogpage-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-7">
                    <div class="single-post-area">
                        <h2 class="article-title"><a href="javascript:void(0)"><?php echo e($blog->title); ?></a></h2>
                        <div class="post-thumb">
                            <img src="<?php echo e(uploaded_asset($blog->banner)); ?>" alt="<?php echo e($blog->title); ?>">
                        </div>
                        
                        <div>
                            <?php echo $blog->description ?>
                        </div>
                        
                        <div class="post-tags">
                            <h5>Tags:</h5>
                            <?php
                                $tags = explode (",",$blog->meta_keywords); 
                            ?>
                            <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <span class="mr-1 badge badge-secondary"><?php echo e($tag); ?></span>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        
                    </div>
                    
                </div>
                <?php $related_blog         = \App\Models\Blog::where('category_id',$blog->category_id)->whereNotIn('id',[$blog->id])->get(); ?>
                <?php if(count($related_blog) > 0): ?>
                <div class="col-lg-4 col-md-5">
                    <div class="blog-sidebar">                        
                        <aside class="widget widget-trend-post">
                            <h3 class="widget-title">Related Posts</h3>
                           
                                <?php $__currentLoopData = $related_blog; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $related): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="popular-post">
                                        <a href="<?php echo e(route('blogs-details',$blog->slug)); ?>"><img src="<?php echo e(uploaded_asset($related->banner)); ?>" alt=""></a>
                                        <h5><a href="<?php echo e(route('blogs-details',$blog->slug)); ?>"><?php echo e(Str::limit($related->short_description, 30,'.....')); ?></a></h5>
                                    </div>  
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                                
                        </aside>
                    </div>
                </div>
                <?php endif; ?>    
            </div>
        </div>
    </section>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/front/blog/single-blog.blade.php ENDPATH**/ ?>