<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\App;

use App\Models\User;
class TakealotDisableFromRepricing extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'takealot:disableFromRepricing';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This job will disable those offers from repricing which is not buyable';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
       
        App::call('\App\Http\Controllers\Seller\RePricingController@disableFromRePricing');
       
    }
}
