<?php

namespace App\Http\Livewire\Admin\Blogs\BlogCategory;

use App\Models\BlogCategories;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Str;
use Livewire\Component;

class BlogcategoryCreate extends Component
{
    
    public function create($input){
        Validator::make($input, [
                                    'category_name'       => 'required',
                               ])->validate();
            $category                   = new BlogCategories();
            $category->category_name    = $input['category_name'];
            $category->slug             = Str::slug($input['category_name']);
            $category->save();
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Blog Category Created Successfully']);
        }
    public function render()
    {
        return view('livewire.admin.blogs.BlogCategory.blogcategory-create')->extends('admin.layouts.app');
    }
}
