<?php

namespace App\Http\Livewire\Admin\Subscriptions;

use Livewire\Component;
use App\Models\PackageBuy;
use Livewire\WithPagination;
use Auth;
class AllSubs extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $readyToLoad    = false;
    public $entries;    
    public $orderBy;
    public $search;
    public function mount()
    {
        
         $this->entries  = 30;
         $this->orderBy  = 'desc';
         $this->search   = null;
        //end active shop id
    }
    public function readyToLoad()
    {
        $this->readyToLoad = true;
    }
    public function render()
    {
        $PackageBuy = $this->readyToLoad ? PackageBuy::with('seller','shops','packageDetails')->orderBy('id', $this->orderBy)->paginate($this->entries) : [];
        return view('livewire.admin.subscriptions.all-subs',['PackageBuy'=>$PackageBuy])->extends('admin.layouts.app');
    }
}
