<?php

namespace App\Http\Livewire\Seller\Components\Header;

use Livewire\Component;
use App\Models\TakealotShops;
use App\Models\User;
use Illuminate\Support\Str;
use Auth;
class Dropdown extends Component
{
    public $shops=null;
    public $active_shop_id=null;
    public function mount()
    {
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
        $this->shops=(!empty(Auth::user()->AllTakealotShops)) ? Auth::user()->AllTakealotShops : null;
    }
    public function updateUserActiveShop($shopId)
    {       
        
        // Session::forget('active_shop_id');
        // Session::set('active_shop_id', (!empty($shopId) ? decrypt($shopId) : session('active_shop_id')));
        session(['active_shop_id' => (!empty($shopId) ? decrypt($shopId) : session('active_shop_id'))]);
        // dd(session('active_shop_id'));
        $this->active_shop_id=session('active_shop_id');
        return redirect()->route('seller.dashboard');
        // return redirect()->route('seller.dashboard');
    }
    public function addMoreShop($shops)
    {    
        
        if((isset(Auth::user()->AllTakealotShops->first()->takealot_api_key) && !empty((Auth::user()->AllTakealotShops->first()->takealot_api_key))) && isset(Auth::user()->PackageBuy) && (decrypt($shops)<Auth::user()->PackageBuy->packageDetails->seller_accounts))      
        {
            $webhookUid=Auth::user()->id*21;
            $takealotShops = new TakealotShops();
            $takealotShops->seller_id=Auth::user()->id;
            $takealotShops->takealot_account_name="Add Shop";
            $takealotShops->status="inactive";
            $takealotShops->webhook_uuid=(string) Str::uuid().'-'.$webhookUid;  
            if($takealotShops->save())
            {
                session(['active_shop_id' => (!empty($takealotShops->id) ? $takealotShops->id : session('active_shop_id'))]);
                $this->active_shop_id=session('active_shop_id');
                return redirect()->route('seller.account-config');
            }
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>"You don't have permission to add more shops",'move'=>0]);
        }
    }
    public function render()
    {
        return view('livewire.seller.components.header.dropdown',['shops' => $this->shops]);
    }
}
