<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PackageExpiryMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $expirydate;
    public function __construct($date)

    {

        $this->expirydate = $date;

    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $date=$this->expirydate;
        return $this->subject('Salesupbot subscription expiration notice')->view('emails.package-expiry-mail',compact('date'));
    }
}
