<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Auth;
class TakealotShops extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'takealot_shops';
    public static function updateApiRateLimits($newRateLimit)
    {
        // Update the api_rate_limit column for all shops
        self::query()->update(['api_rate_limit' => $newRateLimit]);
    }
    public function checkOrders()
    {
        return $this->hasMany(TakealotOrders::class,'takealot_shops_id','id');        
    }
    public function checkShopSubscription()
    {
        return $this->hasOne(PackageBuy::class,'seller_id','seller_id');
    }
    // public function checkShopSubscription()
    // {
    //     return $this->hasOne(Subscriptions::class,'takealot_shops_id','id')->where('current_status','=','active')->orWhere('current_status','=','trial');
    // }
    public function checkAndCreateUserShops($userId=null)
    {
          // $usrID=null;
          // if(empty($userId))
          // {
          //   $usrID=Auth::user()->id;
          // }
          // else
          // {
          //   $usrID=$userId;
          // }

          // $shops=TakealotShops::where('seller_id','=',$usrID)->get();
          // $PackageBuy=PackageBuy::with('packageDetails')->where('seller_id','=',$usrID)->get();
        
          // if(!empty($shops) && !empty($PackageBuy))
          // {
          //     if(count($shops)<$PackageBuy->packageDetails->seller_accounts)
          //     {
          //        $accounts=$PackageBuy->packageDetails->seller_accounts-count($shops);
          //        if($accounts>0)
          //        {
          //           for($i=0;$i<$accounts;$i++)
          //           {
          //             $shops=new TakealotShops();
          //             $shops->
          //           }
          //        }
          //     }
          // }
    }
    
}
