@extends('layouts.app-Auth')
@section('content')
<div class="auth-wrapper auth-v1 px-2">
    <div class="auth-inner py-2">
        <!-- Login v1 -->
        <div class="card mb-0">
            <div class="card-body">
                <a href="{{route('index')}}" class="brand-logo">
                <img id="auth_logo" src="{{static_asset('')}}front/assets/images/logo.png" alt="logo"  />
                </a>

                <h4 class="card-title mb-1 text-center">Email Verification 🔒</h4>
                @if(session('resent'))
                <div class="alert alert-success p-1" role="alert">
                    {{ __('A fresh verification link has been sent to your email address.') }}                    
                </div>
                @endif
                
                <div >
                    <a href="{{route('seller.dashboard')}}"  class="btn btn-primary btn-block mt-1">After verification please click here to open your dashboard</a>
                </div>
                <form class="auth-login-form mt-2" method="POST" action="{{ route('verification.resend') }}">
                    @csrf                  
                    <button class="btn btn-success btn-block" tabindex="1">{{ __('Click here to request another email') }}</button>
                </form>
                <p class="text-center mt-2">
                    <span>Click here to</span>
                    <a href="{{route('logout')}}">
                        <span>Logout</span>
                    </a>
                </p>

                <div class="divider my-2">
                    <div class="divider-text">or</div>
                </div>

                <div class="auth-footer-btn d-flex justify-content-center">
                    <a href="{{route('index')}}">
                        <span>Go to home</span>
                    </a>
                </div>
                
            </div>
        </div>
        <!-- /Login v1 -->
    </div>
</div>
@endsection