@extends('seller.layouts.app')
@section('content')
    <div class="app-content content ecommerce-application">
            <div class="content-overlay"></div>
            <div class="header-navbar-shadow"></div>
            <div class="content-wrapper container-xxl p-0">              
                <div class="content-detached content-right">
                    <div class="content-body">
                      
    
                         {{-- listview started --}}
                        
                            <section id="ecommerce-products" class="list-view" >
                                {{-- @if(!empty($takealotOffers) && count($takealotOffers)>0)                             --}}
                                    {{-- @foreach($takealotOffers->chunk(10) as $chunk) --}}
                                        @foreach($model as $key=>$item)
                                           
                                            @php                  
                                        
                                            $class="badge-light-primary";
                                        
                                            if($item->status=='Buyable')
                                            {
                                            $class="badge-light-success";
                                        
                                            }
                                            else if($item->status=='Not Buyable')
                                            {
                                            $class="badge-light-danger";
                                            }
                                            elseif($item->status=='Disabled by Seller')
                                            {
                                            $class="badge-light-dark";
                                            } 
                                            elseif($item->status=='Disabled by Takealot')
                                            {
                                            $class="badge badge-warning";
                                            }
                                           @endphp
                                        <div class="card ecommerce-card">
                                            
                                            <div class="item-img text-center">
                                                <a  href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}">
                                                    <img class="img-fluid card-img-top" src="{{$item->image_url}}" alt="img-placeholder"></a>
                                            </div>
                                            <div class="card-body">
                                                <div class="item-wrapper">
                                                    <div class="item-rating">
                                                        <ul class="unstyled-list list-inline">               
                                                            
                                                            <li class="ratings-list-item">
                                                                <span class="badge badge-pill {{$class}}">{{$item->status}}</span>
                                                            </li>
                                                            @if(!empty($item->takealotOfferDetails->star_rating))<li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star filled-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>({{$item->takealotOfferDetails->star_rating}})</li>@endif
                                        
                                                        </ul>
                                                    </div>                    
                                                    <div class="mt-1">
                                                        <div class="badge badge-dark mb-1">
                                                        <a href="javascript:void(0)"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i>
                                                        <span id="sku_{{$key}}">{{$item->sku}}</span></a>
                                                        </div>
                                                        <div class="badge badge-success mb-1">
                                                        <a href="javascript:void(0)" ><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                                                        <span id="tsin_{{$key}}">{{$item->tsin_id}}</span></a>
                                                            <a href="{{$item->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                                                        </div>
                                                        
                                                    </div>
                                                    <div>
                                                        <h6 class="item-price">R{{$item->selling_price}}</h6>
                                                    </div>
                                                </div>
                                                <h6 class="item-name">
                                                    <a class="text-body" href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}">{{$item->title}}</a>
                                                    <span class="card-text item-company">By <a href="javascript:void(0)" class="company-name" title="Brand">{{!empty($item->takealotOfferDetails->takealotBrands) ? $item->takealotOfferDetails->takealotBrands->name : 'None'}}</a></span>
                                                </h6>
                                            </div>
                                            @php
                                                $getPricesku=explode("-",$item->sku);
                                            @endphp
                                            <div class="item-options text-left">
                                                <div class="item-name">           
                                                    <span class="mb-1 text-dark" ><strong class="mr-1">Current Selling Price:</strong><span class="font-weight-bold">{{$item->selling_price}}</span></span><br/>
                                                    <span class="mb-1 text-dark" ><strong class="mr-1">Cost:</strong><span class="font-weight-bold">{{(!empty($getPricesku) && !empty($getPricesku[0])) ? ($getPricesku[0]) : null}}</span></span><br/>
                                                    {{-- <span class="mb-1 text-dark" ><strong class="mr-1">Profit:</strong><span class="font-weight-bold">{{(!empty($getPricesku) && !empty($getPricesku[0])) ? ($item->selling_price-$getPricesku[0]) : null}}</span></span><br/> --}}
                                                </div>                                            
                                            </div>
                                            {{-- <div class="row"> --}}
                                                {{-- <div class="col-md-12 d-flex"> --}}
                                                @php
                                                    //stock on takealot start
                                                    $totalStock=0;
                                                    $stockOnWay=json_decode($item->stock_on_way);
                                                    $stockOnWayCptName=!empty($stockOnWay[0]->warehouse->name) ? $stockOnWay[0]->warehouse->name : null;
                                                    $stockOnWayCptQty=!empty($stockOnWay[0]->quantity_available) ? $stockOnWay[0]->quantity_available : 0;
                                        
                                                    $stockOnWayJhbName=!empty($stockOnWay[1]->warehouse->name) ? $stockOnWay[1]->warehouse->name : null;
                                                    $stockOnWayJhbQty=!empty($stockOnWay[1]->quantity_available) ? $stockOnWay[1]->quantity_available : 0;
                                        
                                                    $totalStock=(!empty($stockOnWay[0]) && !empty($stockOnWay[1]) && !empty($stockOnWay[0]->quantity_available) && !empty($stockOnWay[1]->quantity_available)) ? $stockOnWay[0]->quantity_available+$stockOnWay[1]->quantity_available : 0;
                                                    //stock on takealot end
                                                @endphp
                                                @php
                                                //Stock Day cover takealot start
                                                $salesUnitCpt= $item->takealotOrders->where('dc','=','CPT')->sum('quantity');
                                                $salesUnitJhb= $item->takealotOrders->where('dc','=','JHB')->sum('quantity');
                                                //Stock Day cover takealot end
                                                    @endphp
                                                        <div class="item-options">
                                                            <div class="item-name">
                                                                <span class="mb-1 text-dark" ><strong class="mr-1" >Stock on the Way</strong></span><br/>
                                                                <span class="mb-1 text-dark" ><span class="font-weight-bold text-primary mr-1">{{(!empty($stockOnWayJhbName) ) ? $stockOnWayJhbName.':'.$stockOnWayJhbQty : 'JHB:0' }}</span><span class="font-weight-bold text-info">{{(!empty($stockOnWayCptName) ) ? $stockOnWayCptName.':'.$stockOnWayCptQty : 'CPT:0' }}</span></span><br/>
                                                                <span class="mb-1 text-dark" ><strong class="mr-1">Unit Sold 30 Days</strong></span><br/>
                                                                <span class="mb-1 text-dark" ><span class="font-weight-bold text-primary mr-1">{{(!empty($salesUnitJhb) ) ? 'JHB:'.$salesUnitJhb : 'JHB:0' }}</span><span class="font-weight-bold text-info">{{(!empty($salesUnitCpt) ) ? 'CPT:'.$salesUnitCpt : 'CPT:0' }}</span></span><br/>
                                                            </div> 
                                                        </div>
                                                        @php   //get sales % 
                                                            $percentageJhb = (!empty(($salesUnitCpt) && $salesUnitCpt>0) && (!empty($salesUnitJhb) && $salesUnitJhb>0)) ? ($salesUnitJhb / ($salesUnitJhb + $salesUnitCpt)) * 100 : ((!empty($salesUnitJhb) && $salesUnitJhb>0) ? 100 : 0);
                                                            $percentageCpt = ((!empty($salesUnitCpt) && $salesUnitCpt>0) && (!empty($salesUnitJhb) && $salesUnitJhb>0)) ? ($salesUnitCpt / ($salesUnitCpt + $salesUnitJhb)) * 100 : ((!empty($salesUnitCpt) && $salesUnitCpt>0) ? 100 : 0);
                                                            
                                                    @endphp
                                                    <div class="item-options">
                                                        <div class="row">
                                                            <div class="col-md-4">
                                                                <div class="item-name">
                                                                    <span class="mb-1 text-success" ><strong class="mr-1" >Sales % 30 Days</strong></span><br/>
                                                                    <span class="mb-1 text-dark" ><strong>JHB {{!empty($percentageJhb) ? round($percentageJhb) : 0 }}% CPT {{!empty($percentageCpt) ? round($percentageCpt) : 0 }}%</strong></span><br/>
                                                                </div> 
                                                                @php
                                                                    $sevenDays = \Carbon\Carbon::today()->subDays(7);
                                                                    $totalSales=$item->takealotOrders->where('order_date','>=',$sevenDays)->sum('quantity');              
                                                                @endphp
                                                                <div class="item-name">
                                                                    <span class="mb-1 text-success" ><strong class="mr-1" >7 Days Sales * 2</strong></span><br/>
                                                                    <span class="mb-1 text-dark" ><strong>Units: {{$totalSales*2}}</strong></span><br/>
                                                                </div> 
                                                            </div> 
                                                            <div class="col-md-4">
                                                                @php
                                                                    $sevenDays=\Carbon\Carbon::now()->subDays(7)->toDateString();
                                                                    $seven=$item->takealotOrders->where('order_date','>=',$sevenDays)->sum('quantity');
                                                                    $fifteenDays=\Carbon\Carbon::now()->subDays(15)->toDateString();
                                                                    $fifteen=$item->takealotOrders->where('order_date','>=',$fifteenDays)->sum('quantity');
                                                                    $thirtyDays=\Carbon\Carbon::now()->subDays(30)->toDateString();
                                                                    $thirty=$item->takealotOrders->where('order_date','>=',$thirtyDays)->sum('quantity');
                                                                @endphp
                                                                <div class="item-name">
                                                                    <span class="mb-1 text-success" ><strong class="mr-1" >Sales</strong></span><br/>
                                                                    <span class="mb-1 text-dark" ><strong>7 Days Sale : {{$seven}}</strong></span><br/>
                                                                    <span class="mb-1 text-dark" ><strong>15 Days Sale : {{$fifteen}}</strong></span><br/>
                                                                    <span class="mb-1 text-dark" ><strong>30 Days Sale : {{$thirty}}</strong></span><br/>
                                                                </div> 
                                                            </div>
                                                            <div class="col-md-4">
                                                                @php
                                                                //stock on takealot start
                                                                $totalStock=0;
                                                                $stockAtTakealot=json_decode($item->stock_at_takealot);
                                                
                                                                $stockAtTakealotCptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                                                                $stockAtTakealotCptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
                                                
                                                                $stockAtTakealotJhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                                                                $stockAtTakealotJhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
                                                
                                                                $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                                                                //stock on takealot end
                                                                @endphp
                                                                @php
                                                                //Stock Day cover takealot start
                                                                
                                                                $stockCover=json_decode($item->stock_cover);
                                                                $stockCoverCptName=(!empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id==1) ? 'CPT' : null;
                                                                $stockCoverCptDays=!empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;
                                                    
                                                                $stockCoverJhbName=(!empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id==3) ? 'JHB' : null;
                                                                $stockCoverJhbDays=!empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;
                                                    
                                                                //Stock Day cover takealot end
                                                                @endphp
                                                                <div class="item-options">
                                                                    <div class="item-name">
                                                                        <span class="mb-1 text-dark" ><strong class="mr-1" >Stock on DC </strong></span><br/>
                                                                        <span class="mb-1 text-dark" ><span class="font-weight-bold text-primary mr-1">{{(!empty($stockAtTakealotJhbName) ) ? $stockAtTakealotJhbName.':'.$stockAtTakealotJhbQty : 'JHB:0' }}</span><span class="font-weight-bold text-info">{{(!empty($stockAtTakealotCptName) ) ? $stockAtTakealotCptName.':'.$stockAtTakealotCptQty : 'CPT:0' }}</span></span><br/>
                                                                        <span class="mb-1 text-dark" ><strong class="mr-1">Stock Day cover </strong></span><br/>
                                                                        <span class="mb-1 text-dark" ><span class="font-weight-bold text-primary mr-1">{{(!empty($stockCoverJhbName) ) ? $stockCoverJhbName.':'.$stockCoverJhbDays : 'JHB:0' }}</span><span class="font-weight-bold text-info">{{(!empty($stockCoverCptName) ) ? $stockCoverCptName.':'.$stockCoverCptDays : 'CPT:0' }}</span></span><br/>
                                                                    </div> 
                                                                </div>
                                                            </div>
                                                        </div>            
                                                    </div>
                                                    @php
                                                        //stock on takealot start
                                                        $totalStock=0;
                                                        $stockAtTakealot=json_decode($item->stock_at_takealot);
                                        
                                                        $stockAtTakealotCptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                                                        $stockAtTakealotCptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
                                        
                                                        $stockAtTakealotJhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                                                        $stockAtTakealotJhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
                                        
                                                        $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                                                        //stock on takealot end
                                                    @endphp
                                                    @php
                                                    //Stock Day cover takealot start
                                                    
                                                    $stockCover=json_decode($item->stock_cover);
                                                    $stockCoverCptName=(!empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id==1) ? 'CPT' : null;
                                                    $stockCoverCptDays=!empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;
                                        
                                                    $stockCoverJhbName=(!empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id==3) ? 'JHB' : null;
                                                    $stockCoverJhbDays=!empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;
                                        
                                                    //Stock Day cover takealot end
                                                    @endphp
                                                    <div class="item-options">
                                                        <div class="item-name">
                                                            @php
                                                                $percentageJhb= round($percentageJhb); //53%
                                                                $percentageCpt= round($percentageCpt); //47%
                                                                $totalSendUnit=$totalSales*2; //492
                                                                $sendJhb=($totalSendUnit*($percentageJhb/100))-($stockOnWayJhbQty+$stockAtTakealotJhbQty);
                                                                $sendCpt=$totalSendUnit*($percentageCpt/100)-($stockOnWayCptQty+$stockAtTakealotCptQty);
                                                                $sendNewTotal=$sendJhb+$sendCpt;
                                                            @endphp
                                                            <span class="mb-1 text-dark" ><strong class="mr-1 h3" >Send Stock </strong></span><br/>
                                                            <span class="mb-1 text-dark" ><span class="font-weight-bold {{($sendJhb>=0 ? 'text-primary' : 'text-danger')}} mr-1 h2">JHB: {{!empty($sendJhb) ?  round($sendJhb) : 0}}</span><span class="font-weight-bold {{($sendCpt>=0 ? 'text-info' : 'text-danger')}} h2">CPT: {{!empty($sendCpt) ?  round($sendCpt) : 0}}</span></span><br/>
                                                            <span class="mb-1 {{($sendNewTotal>=0 ? 'text-primary' : 'text-danger')}}" ><strong class="mr-1 h3 ">Total: <span class="ml-1 {{($sendNewTotal>=0 ? 'text-primary' : 'text-danger')}}">{{round($sendNewTotal)}}</span></strong></span><br/>
                                                        </div> 
                                                    </div>
                                                {{-- </div> --}}
                                            {{-- </div> --}}
                                        </div>
                                                               
                                        @endforeach
                                    {{-- @endforeach --}}
                                {{-- @else
                                    <div class="col-md-12 d-flex justify-content-center">
                                        <span class="text-center">
                                            <strong>Offers Not Founded!</strong>
                                        </span>
                                    </div>                                 
                                @endif  --}}
                              
                            </section>
                        
                        {{-- listview ended --}}
    
    
                        <!-- E-commerce Products Ends -->
    
    
                    </div>
                </div>
               
            </div>
</div>

@endsection