
@extends('front.layouts.app')
@section('content')
 <!--====== APPIE PAGE TITLE PART START ======-->
    
 <div class="appie-page-title-area breadcrumbs-bg-height" >
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-page-title-item text-dark">
                    <nav aria-label="breadcrumb" >
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item "><a class="text-dark" href="{{route('index')}}">Home</a></li>
                            <li class="breadcrumb-item text-dark" aria-current="page">Contact Us</li>
                        </ol>
                    </nav>
                    <div class="thumb">
                        <img src="{{static_asset('')}}front/assets/images/signup-thumb.png" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--====== APPIE PAGE TITLE PART ENDS ======-->

    <!-- Contact Start -->
    <section class="contact-section">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <div class="contact--info-area">
                        <h3>Get in touch</h3>
                        <p>
                            Looking for help? Fill the form and start a new adventure.
                        </p>                        
                        <div class="single-info">
                            <h5>Support</h5>
                            <p>
                                <i class="fal fa-envelope"></i>
                                support@salesupbot.co.za<br>
                            </p>
                        </div>
                        <div class="ab-social">
                            <h5>Follow Us</h5>
                            <a class="fac" href="https://web.facebook.com/salesupbot"><i class="fab fa-facebook-f"></i></a>
                            <a class="twi" href="https://twitter.com/salesupbot"><i class="fab fa-twitter"></i></a>
                            <a class="you" href="https://www.instagram.com/salesupbot/"><i class="fab fa-instagram"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="contact-form">
                        <h4>Let’s Connect</h4>
                        <p>If you need any information related to Salesupbot, Takealot Marketplace, or have any other questions regarding e-commerce, you can use the form below to reach out to us. We assure you that we will respond to your query within six hours.</p>
                       <livewire:front.home.contact-us>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Contact End -->

@endsection