<div>
    <style>
        tr::before {
            content: none;
        }
    </style>
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Subscriptions List</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item">
                                        ({{ !empty($PackageBuy) && !empty($PackageBuy->total()) ? $PackageBuy->total() : 0 }})
                                        results found
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                    {{-- <button class="btn btn-relief-dark">Export to CSV</button> --}}
                    <div class="btn-group btn-group-toggle">
                    </div>
                </div>
            </div>
            <div class="content-body">
                <section>
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="table-responsive">
                                    <table class="table" id="listForm">
                                        <thead>
                                            <tr>
                                                <th class="text-left font-size-12">Error</th>
                                                <th class="text-left font-size-12">Date</th>
                                            </tr>
                                        </thead>
                                        <tbody wire:init="readyToLoad" wire:loading.class="disabledHtml">
                                            @if (!empty($apiErrorList) && count($apiErrorList) > 0)
                                                @foreach ($apiErrorList->chunk(10) as $chunk)
                                                    @foreach ($chunk as $key => $item)
                                                        <tr class="text-left">
                                                            @if (!empty($item))
                                                                <td>
                                                                    {{ $item->data }}
                                                                </td>
                                                                <td>
                                                                    {{ $item->created_at }}
                                                                </td>
                                                            @endif
                                                        </tr>
                                                    @endforeach
                                                @endforeach
                                            @endif
                                        </tbody>


                                    </table>
                                    @if ($readyToLoad == true && empty($apiErrorList))
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <span class="text-center">
                                                <strong>No Error Found!</strong>
                                            </span>
                                        </div>
                                    @endif
                                    @if ($readyToLoad == false)
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <div class="d-flex justify-content-center my-1">
                                                <div class="spinner-border text-primary" role="status"
                                                    aria-hidden="true"></div>
                                            </div>
                                        </div>
                                    @endif
                                    @if (!empty($apiErrorList))
                                        <section id="ecommerce-pagination">
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="d-flex justify-content-center mr-2 mt-2">
                                                        {{ $apiErrorList->onEachSide(3)->links() }}
                                                    </div>
                                                </div>
                                            </div>

                                        </section>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
    <!-- END: Content-->
</div>
