<div> 
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-10 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Blog Categories</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a> </li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Marketing</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.blogs')}}">BLog</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.blogs.categories')}}">Categories</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-2">
                    <a href="{{ route('admin.blogs.categories.create') }}"
                        class="btn btn-primary btn-add-new">
                        <i class="la la-plus"></i>
                        <span class="add-to-cart">Add New</span>
                    </a>
                </div>
            </div>
            <div class="content-detached">
                <div class="content-body">
                    <!-- Add review Section Start-->
                    <section class="mt-3 ">
                        <div class="row mt-1 mb-1">
                            <div class="col-md-12">
                                <div class="card pt-3 table-card">
                                    <div class="row">
                                        <div class="col-sm-3 col-lg-3 col-md-4 mb-3">
                                            <div class="d-flex align-items-center pl-2">
                                                <label> Show </label>
                                                <select class="form-control table-entries ml-1 mr-1"
                                                    wire:model.change.debounce.1000ms="entries">
                                                    <option value="10">10</option>
                                                    <option value="20">20</option>
                                                    <option value="50">50</option>
                                                    <option value="100">100</option>
                                                </select>
                                                <label> Per Page </label>
                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-lg-6 col-md-4 mb-3"></div>
                                        <div class="col-sm-3 col-lg-3 col-md-4 mb-3 search-col">
                                            <div class="input-group">
                                                <input type="text" class="form-control" placeholder="Search" style="border-right: none;" wire:model.change.debounce.2500ms="search" />
                                                @if(!empty($search))
                                                    <div class="input-group-append">
                                                        <span  class="input-group-text cross-search" wire:click="clear_search"><i class="las la-times"></i></span>
                                                    </div>
                                                @endif
                                                <div class="input-group-append">
                                                    <span class="input-group-text">
                                                        <img src="{{ static_asset('') }}/app-assets/images/search.png" width="15px" height="15px">
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-responsive">
                                        <table class="datatables-basic table text-center">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Name</th>
                                                    <th>URL</th>
                                                    <th class="text-right">Actions</th>
                                                </tr>
                                            </thead>
                                            <tbody wire:init="loadCategories">
                                            @if(count($categories) > 0)
                                                @foreach($categories as $key => $category)
                                                    <tr>
                                                        <td>{{ ($key+1) + ($categories->currentPage() - 1)*$categories->perPage() }}</td>
                                                        <td>{{ $category->category_name }}</td>
                                                        <td>{{ url('/').'/'.$category->slug }}</td>
                                                        <td class="text-right">
                                                            <div class="dropdown">
                                                                <button type="button" class="btn btn-sm dropdown-toggle hide-arrow" data-toggle="dropdown" aria-expanded="false">
                                                                    <i class="las la-ellipsis-v"></i>
                                                                </button>
                                                                <div class="dropdown-menu">
                                                                    <a class="dropdown-item" href="javascript:void(0);" wire:click="Categorydelete('{{encrypt($category->id)}}')">
                                                                        <i class="las la-trash mr-50"></i>
                                                                        <span>Delete</span>
                                                                    </a>
                                                                    <a class="dropdown-item" href="{{ route('admin.blogs.categories.edit',encrypt($category->id)) }}" >
                                                                        <i class="las la-edit mr-50"></i>
                                                                        <span>Edit</span>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="4"><b style="font-size: large">Record not found</b></td>
                                                    </tr>
                                                @endif
                                            </tbody>
                                        </table>
                                        <section>
                                            @if(!empty($categories))
                                                <div class="d-flex justify-content-center float-right mr-2 mt-2">
                                                    {{ $categories->links() }}
                                                </div>
                                            @endif
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>
</div>
