<div>
  <div id="revenueChart" ></div>  
  <a id="refreshgraphRevenue" href="javascript:void(0)" onCLick="revenueChart({{json_encode($revenueGraphData)}})"></a>
   @push('custom-scripts')   
   <script>
        function revenueChart(data) 
        {
          
           Highcharts.chart('revenueChart',{chart: {
               type: 'spline',
               alignTicks: true,
               zoomType: 'x'
           },
           title: {
               text: 'Takealot Revenue'
           },
           xAxis: {
               type: 'datetime',
               // tickInterval: 24 * 3600 * 1000
           },
           yAxis: {
               title: {
                   text: ''
               }
           },
           series: [{
               name: 'Revenue',
               data: data,
               dataGrouping: {
                   units: [
                       ['day', [1]],
                       ['week', [1]],
                       ['month', [1, 2, 3, 4, 6]]
                   ]
               },
               color : '#2ECC71'
           }]
        });
        }
       document.addEventListener('livewire:load', function () {
       Livewire.hook('message.processed', function () {
        // revenueChart(@json($revenueGraphData));
        $('#refreshgraphRevenue').trigger("click");
       });
       });
   </script>
   @endpush
</div>
