<div>
    
       <div id="salesGraph" ></div>  
       <a id="refreshgraph" href="javascript:void(0)" onCLick="salesGraph({{json_encode($graphData)}})"></a>
       @push('custom-scripts')   
        <script>
            // var a=0;
            // function increment(data){
            //     // var newData= @js($graphData);
            //     salesGraph(data);
            // }
             function salesGraph(data) 
             {
               
                Highcharts.chart('salesGraph',{chart: {
                    type: 'column',
                    alignTicks: true,
                    zoomType: 'x'
                },
                title: {
                    text: 'Takealot Units Sold'
                },
                xAxis: {
                    type: 'datetime',
                    // tickInterval: 24 * 3600 * 1000
                },
                yAxis: {
                    title: {
                        text: ''
                    }
                },
                series: [{
                    name: 'Units',
                    data: data,
                    dataGrouping: {
                        units: [
                            ['day', [1]],
                            ['week', [1]],
                            ['month', [1, 2, 3, 4, 6]]
                        ]
                    },
                    color: '#801f82'
                }]
             });
             }
            document.addEventListener('livewire:load', function () {
            Livewire.hook('message.processed', function () {
                // var newData= @js($graphData);
                // salesGraph(newData);
                // console.log(newData);
                $('#refreshgraph').trigger("click");
            });
            });
        </script>
       @endpush
</div>
