<div>
    <!-- BEGIN: Content-->
    <div class="app-content content ecommerce-application">
            <div class="content-overlay"></div>
            <div class="header-navbar-shadow"></div>
            <div class="content-wrapper container-xxl p-0">
             
                <div class="content-detached content-right">
                    <div class="content-body">
                        <!-- E-commerce Content Section Starts -->
                        <section id="ecommerce-header">
                         <div class="row">
                             <div class="col-sm-12">
                                 <div class="ecommerce-header-items">
                                     <div class="result-toggler">
                                         <button class="navbar-toggler shop-sidebar-toggler" type="button" data-toggle="collapse">
                                             <span class="navbar-toggler-icon d-block d-lg-none"><i class="fa fa-settings"></i></span>
                                         </button>
                                         <div class="search-results">({{(!empty($orders) && !empty($orders->total())) ? $orders->total() : 0 }}) results found</div>
                                     </div>
                                     <div class="view-options d-flex">
                                      
                                      <div class=" mr-1">
                                          <select class="form-control selectBorder" wire:model="orderBy" name="orderBy" id="orderBy">
                                              <option value="asc" {{($orderBy=='asc') ? 'selected' : ''}} >Ascending </option>
                                              <option value="desc" {{($orderBy=='desc')  ? 'selected' : ''}}>Descending</option>
                                          </select>
                                      </div>
                                      <div class=" mr-1">
                                          <select class="form-control selectBorder" wire:model="priceSort" name="priceSort" id="priceSort">
                                              <option value="" >Sort By Price</option>
                                              <option value="lowest">Lowest To Highest Price</option>
                                              <option value="highest">Highest To Lowest Price</option>
                                          </select>
                                      </div>
                                      <div class=" mr-1">
                                          <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                                              <option value="" >Show</option>
                                              <option value="10" {{($entries=='10')   ? 'selected' : ''}}>10</option>
                                              <option value="20" {{($entries=='20')   ? 'selected' : ''}}>20</option>
                                              <option value="30" {{($entries=='30')   ? 'selected' : ''}}>30</option>
                                              <option value="40" {{($entries=='40')   ? 'selected' : ''}}>40</option>
                                              <option value="50" {{($entries=='50')   ? 'selected' : ''}}>50</option>
                                              <option value="100" {{($entries=='100') ? 'selected' : ''}}>100</option>
                                          </select>
                                      </div>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </section>
                        <!-- E-commerce Content Section Starts -->
    
                        <!-- background Overlay when sidebar is shown  starts-->
                        <div class="body-content-overlay"></div>
                        <!-- background Overlay when sidebar is shown  ends-->
    
                        <!-- E-commerce Search Bar Starts -->
                        <section id="ecommerce-searchbar" class="ecommerce-searchbar">
                         <div class="row mt-1">
                             <div class="col-sm-12">
                                 <div class="input-group input-group-merge">
                                     <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN | ORDER ITEM ID | ORDER ID" aria-label="Search..." aria-describedby="shop-search" />
                                      @if(isset($search) && !empty($search))
                                          <a href="javascript:void(0)" wire:click="$set('search','')">
                                              <div class="input-group-append">
                                                  <span class="input-group-text"><i class="fa fa-close" class="text-muted"></i></span>
                                              </div>
                                          </a>
                                      @else
                                          <div class="input-group-append">
                                              <span class="input-group-text"><i class="fa fa-search" class="text-muted"></i></span>
                                          </div>
                                      @endif
                                 </div>
                             </div>
                         </div>
                        </section>
                        <!-- E-commerce Search Bar Ends -->
    
                        <!-- E-commerce Products Starts -->
                         {{-- listview started --}}
                         @if($view=='list')
                            <section id="ecommerce-products" class="list-view" wire:init="readyToLoad">
                              @if(!empty($orders) && count($orders)>0)
                         
                              @foreach($orders->chunk(10) as $chunk)
                              @foreach($chunk as $key=>$item)
      
                              @php
                                  $class="badge-light-primary";
                                  if($item->sale_status=='Shipped to Customer')
                                  {
                                    $class="badge-light-primary";
                                  }
                                  elseif($item->sale_status=='Preparing for Customer')
                                  {
                                    $class="badge-light-info";
                                  } 
                                  elseif($item->sale_status=='Inter DC Transfer')
                                  {
                                    $class="badge-light-dark";
                                  } 
                                  elseif($item->sale_status=='New Lead Time Order')
                                  {
                                    $class="badge-light-secondary";
                                  } 
                                  elseif($item->sale_status=='Draft Shipment')
                                  {
                                    $class="badge-light-warning";
                                  }
                                   elseif($item->sale_status=='Confirmed Shipment')
                                  {
                                    $class="badge-light-success";
                                  } 
                                  elseif($item->sale_status=='Shipped Shipment')
                                  {
                                    $class="badge badge-warning";
                                  }
                                  elseif($item->sale_status=='Checked In Shipment')
                                  {
                                    $class="badge badge-dark";
                                  }
                                  elseif($item->sale_status=='Received Shipment')
                                  {
                                    $class="badge badge-success";
                                  }
                                  elseif($item->sale_status=='Cancelled by Customer')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Cancelled by Seller')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Cancelled by Takealot')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Cancelled by Takealot - DC Stock Inquiry')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Cancelled - Inbound Exception (Short Supplied)')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Cancelled - Late')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='Returned')
                                  {
                                    $class="badge badge-danger";
                                  }
                                  elseif($item->sale_status=='New Drop Ship Order')
                                  {
                                    $class="badge badge-success";
                                  }
                                  elseif($item->sale_status=='In Progress Drop Ship Order')
                                  {
                                    $class="badge badge-info";
                                  }
                                  elseif($item->sale_status=='Ready To Collect Drop Ship Order')
                                  {
                                    $class="badge badge-info";
                                  }
                                  elseif($item->sale_status=='Collected Drop Ship Order')
                                  {
                                    $class="badge badge-secondary";
                                  }
      
      
                              @endphp
                                <div class="card ecommerce-card">
                                   
                                    <div class="item-img text-center">
                                        <a  href="{{$item->offer_url}}" target="_blank" title="{{$item->product_title}}"> <img class="img-fluid card-img-top" src="{{!empty($item->offer->image_url) ? $item->offer->image_url : static_asset('').'uploads/not-found.jpg' }}" alt="img-placeholder"></a>
                                    </div>
                                    <div class="card-body">
                                        <div class="item-wrapper">                                         
                                            <div>
                                              <h6 class="item-name text-dark"><strong>Customer: {{$item->customer}}</strong></h6>
                                            </div>                                         
                                            <div class="mt-1">
                                                <div class="badge badge-dark mb-1">
                                                    <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->tsin}}')"><i  class="fa fa-clone mr-25" title="Copy SKU"></i>
                                                    <span id="sku_{{$key.$item->tsin}}">{{$item->sku}}</span></a>
                                                </div>
                                                <div class="badge badge-success mb-1">
                                                  <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->tsin}}')"><i  class="fa fa-clone mr-25" title="Copy TSIN"></i>
                                                  <span id="tsin_{{$key.$item->tsin}}">{{$item->tsin}}</span></a>
                                                  <a href="{{$item->takealot_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                                                </div>                                              
                                            </div>
                                            
                                        </div>
                                        <h6 class="item-name">
                                            <a href="#">#{{$item->order_item_id}}</a>
                                            <a class="text-body" href="{{$item->takealot_url}}" target="_blank" title="{{$item->product_title}}">{{$item->product_title}}</a>
                                        </h6>
                                    </div>
                                    <div class="item-options text-left">
                                     
                                     <div class="item-name">
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Date:</strong><span class="mr-1">{{$item->order_date}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Quantity:</strong><span class="font-weight-bold">{{$item->quantity}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Price:</strong><span class="font-weight-bold">{{$item->selling_price}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Success fee:</strong><span class="font-weight-bold">{{$item->success_fee}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Fulfillment fee:</strong><span class="font-weight-bold">{{$item->fulfillment_fee}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Courier collection fee:</strong><span class="font-weight-bold">{{$item->courier_collection_fee}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Auto ibt fee:</strong><span class="font-weight-bold">{{$item->auto_ibt_fee}}</span></span><br/>
                                         <span class="mb-1 text-dark" ><strong class="mr-1">Total fee:</strong><span class="font-weight-bold">{{$item->total_fee}}</span></span><br/>
                                       
                                     </div>
                                     <div class="item-name">
                                      <ul class="unstyled-list list-inline">
                                        <li class="ratings-list-item">
                                              <span class="badge badge-pill {{$class}}">{{$item->sale_status}}</span>
                                         </li>
                                     </ul>
                                     </div>                                   
                                    </div>
                                </div>
                                @endforeach
                                @endforeach                                                           
                                @endif 
                                @if(count($orders)<=0 && $readyToLoad == true)
                                <div class="col-md-12 d-flex justify-content-center">
                                     <span class="text-center">
                                     <strong>Inventory Not Founded!</strong>
                                     </span>
                                </div>                                 
                                @endif 
                                @if($readyToLoad == false)
                                <div class="col-md-12 d-flex justify-content-center">
                                    <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                    </div>
                                </div>                                  
                                
                                @endif
                            </section>
                          @endif
                        {{-- listview ended --}}
    
    
                        
    
                        <!-- E-commerce Products Ends -->
    
                        <!-- E-commerce Pagination Starts -->
                        @if(!empty($orders))                       
                         
                            <section id="ecommerce-pagination">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="d-flex justify-content-center mr-2 mt-2">
                                            {{ $orders->onEachSide(3)->links() }}
                                        </div>
                                    </div>
                                </div>
                           
                           </section>
    
                        @endif
                        <!-- E-commerce Pagination Ends -->
    
                    </div>
                </div>
                <div class="sidebar-detached sidebar-left">
                    <div class="sidebar">
                        <!-- Ecommerce Sidebar Starts -->
                        <div class="sidebar-shop">
                         <div class="row">
                             <div class="col-sm-12">
                                 <h6 class="filter-heading d-none d-lg-block">Filters</h6>
                             </div>
                         </div>
                         <div class="card">
                             <div class="card-body">
                                 <!-- Price Filter starts -->
                                 <div class="brands">
                                  <h6 class="filter-title">Sort By Status</h6>
                                 
                                  <ul class="list-unstyled brand-list">
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Shipped to Customer" class="custom-control-input" id="productBrand1" />
                                              <label class="custom-control-label" for="productBrand1">Shipped to Customer</label>
                                          </div>
                                          <span></span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Preparing for Customer" class="custom-control-input" id="productBrand2"  />
                                              <label class="custom-control-label" for="productBrand2">Preparing for Customer</label>
                                          </div>
                                          <span></span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Inter DC Transfer" class="custom-control-input" id="productBrand3" />
                                              <label class="custom-control-label" for="productBrand3">Inter DC Transfer</label>
                                          </div>
                                          <span></span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="New Lead Time Order" class="custom-control-input" id="productBrand4" />
                                              <label class="custom-control-label" for="productBrand4">New Lead Time Order</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Draft Shipment" class="custom-control-input" id="productBrand5" />
                                              <label class="custom-control-label" for="productBrand5">Draft Shipment</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Confirmed Shipment" class="custom-control-input" id="productBrand6" />
                                              <label class="custom-control-label" for="productBrand6">Confirmed Shipment</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Shipped Shipment" class="custom-control-input" id="productBrand7" />
                                              <label class="custom-control-label" for="productBrand7">Shipped Shipment</label>
                                          </div>
                                          <span></span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Checked In Shipment" class="custom-control-input" id="productBrand8" />
                                              <label class="custom-control-label" for="productBrand8">Checked In Shipment</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Received Shipment" class="custom-control-input" id="productBrand9" />
                                              <label class="custom-control-label" for="productBrand9">Received Shipment</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Cancelled by Customer" class="custom-control-input" id="productBrand11" />
                                              <label class="custom-control-label" for="productBrand11">Cancelled by Customer</label>
                                          </div>
                                          <span></span>
                                      </li><li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Cancelled by Takealot - DC Stock Inquiry" class="custom-control-input" id="productBrand12" />
                                              <label class="custom-control-label" for="productBrand12">Cancelled by Takealot - DC Stock Inquiry</label>
                                          </div>
                                          <span></span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Cancelled - Inbound Exception (Short Supplied)" class="custom-control-input" id="productBrand13" />
                                              <label class="custom-control-label" for="productBrand13">Cancelled - Inbound Exception (Short Supplied)</label>
                                          </div>
                                          <span>
  
                                          </span>
                                      </li> <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Cancelled - Late" class="custom-control-input" id="productBrand14" />
                                              <label class="custom-control-label" for="productBrand14">Cancelled - Late</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li> <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Returned" class="custom-control-input" id="productBrand15" />
                                              <label class="custom-control-label" for="productBrand15">Returned</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li> <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="New Drop Ship Order" class="custom-control-input" id="productBrand16" />
                                              <label class="custom-control-label" for="productBrand16">New Drop Ship Order</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li> 
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="In Progress Drop Ship Order" class="custom-control-input" id="productBrand22" />
                                              <label class="custom-control-label" for="productBrand22">In Progress Drop Ship Order</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Collected Drop Ship Order" class="custom-control-input" id="productBrand23" />
                                              <label class="custom-control-label" for="productBrand23">Collected Drop Ship Order</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li>
                                      <li>
                                          <div class="custom-control custom-checkbox">
                                              <input type="checkbox" wire:model="status" value="Ready To Collect Drop Ship Order" class="custom-control-input" id="productBrand24" />
                                              <label class="custom-control-label" for="productBrand24">Ready To Collect Drop Ship Order</label>
                                          </div>
                                          <span>
                                            
                                          </span>
                                      </li>
                                      
                                  </ul>
                              </div>
                              
                                  
                                
                                 <!-- Clear Filters Starts -->
                                 <div id="clear-filters">
                                     <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                                 </div>
                                 <!-- Clear Filters Ends -->
                             </div>
                         </div>
                     </div>
                        <!-- Ecommerce Sidebar Ends -->
    
                    </div>
                </div>
            </div>
        </div>
        <!-- END: Content-->
    
        <div class="sidenav-overlay"></div>
        <div class="drag-target"></div>
    </div>