<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        
        <div wire:loading>
            <div class="main_div">
                <div class="la-ball-clip-rotate la-2x">
                    <div></div>
                </div>
            </div>
        </div>
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h1 >Subscription & Billing</h1>                        
                    </div>
                </div>
            </div>
        </div>
         <!-- Stats Horizontal Card -->
         <div class="row">
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0">
                                @if(!empty(Auth::user()->PackageBuy) && Auth::user()->PackageBuy->packageDetails->package_type=='free')
                                {{ Auth::user()->PackageBuy->packageDetails->title}} (Free)
                                @else
                                    {{(!empty(Auth::user()->PackageBuy)) ? Auth::user()->PackageBuy->packageDetails->title : 'N/A'}}
                                @endif
                            </h2>
                            <p class="card-text">Current Plan</p>
                        </div>
                        <div class="avatar bg-light-info p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="cpu" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0">{{(!empty(Auth::user()->PackageBuy)) ? \Carbon\Carbon::parse(Auth::user()->PackageBuy->renew_date)->format('d-m-Y') : 'N/A'}}</h2>
                            <p class="card-text">Next Billing Date</p>
                        </div>
                        <div class="avatar bg-light-danger p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="calendar" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0">
                                R{{(!empty(Auth::user()->PackageBuy) && Auth::user()->PackageBuy->packageDetails->price>0) ? Auth::user()->PackageBuy->packageDetails->price  : '0.00'}}</h2>
                            <p class="card-text">Billing Amount</p>
                        </div>
                        <div class="avatar bg-light-warning p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="activity" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h6 class="font-weight-bolder mb-0"><span class="text-capitalize text-{{(!empty($packageBuy->packageDetails) && $packageBuy->subscription_status=='enabled') ? 'success' : 'danger'}}"> {{(!empty($packageBuy)) ? $packageBuy->subscription_status  : 'Disabled' }}</span></h6>
                            <p class="card-text">Billing Status</p>
                        </div>
                        @if(!empty($packageBuy) && isset($packageBuy->packageDetails) && $packageBuy->packageDetails->plan_type!='basic' && $packageBuy->packageDetails->package_type!='free')
                        <div class="custom-control custom-switch custom-switch-success d-flex justify-content-center">
                            <input type="checkbox" {{(!empty($packageBuy) && isset($packageBuy->subscription_status) ) ? '' : 'disabled'}} class="custom-control-input" value="{{(!empty($packageBuy) && isset($packageBuy->subscription_status)) ? 'enabled' : 'disabled'}}" wire:change="billingStatus('{{encrypt($packageBuy->id)}}',$event.target.value)" id="customSwitchh"
                            @if($packageBuy->subscription_status=='enabled') checked @endif />
                            <label class="custom-control-label " for="customSwitchh"> 
                                <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                                <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                            </label>
                        </div>
                        @else
                            <div class="avatar bg-light-success p-50 m-0">
                                <div class="avatar-content"> 
                                    <i data-feather="credit-card" class="font-medium-5"></i>
                                </div>
                            </div>
                        @endif
                        
                    </div>
                </div>
            </div>
        </div> 
        <!--/ Stats Horizontal Card -->
        <div class="row">
            <!--/ Apply billing info -->
            <div class="col-lg-4 col-md-6 col-12">
                <div class="card card-apply-job">
                    <div class="card-body">
                        @if(!empty($packageBuy->packageDetails))
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <div class="media">
                                <div class="media-body">
                                    <h2 class="mb-1">Change Plan</h2>
                                </div>
                            </div>                           
                        </div>
                        <h5 class="apply-job-title">Current Plan</h5>
                        <strong class="card-text mb-1">
                           {{$packageBuy->packageDetails->title}}
                        </strong>
                        <h5 class="apply-job-title">Details</h5>
                        <p class="card-text mb-0"><strong>Shop Account:</strong> {{(!empty($packageBuy)) ? $packageBuy->packageDetails->seller_accounts : 0}}/{{(!empty(Auth::user()->AllTakealotShops)) ? count(Auth::user()->AllTakealotShops) : 0}}</p>
                        <p class="card-text mb-0"><strong>Users:</strong> {{(!empty($packageBuy)) ? $packageBuy->packageDetails->seller_accounts : 0}}/1</p>
                        <p class="card-text mb-0"><strong>Repriceable Offers:</strong> {{(!empty($packageBuy)) ? (($packageBuy->packageDetails->repricable_offers>=5000) ? 'Unlimited' : $packageBuy->packageDetails->repricable_offers) : 0}}</p>
                        <p class="card-text mb-2"><strong>Billing:</strong> {{$packageBuy->packageDetails->package_type}}</p>
                        @endif
                      <livewire:seller.billing.child.update-plan>
                    </div>
                </div>
            </div>
            <!--/ Apply billing info -->  
            <!--/ Apply billing info -->
            {{-- <div class="col-lg-4 col-md-6 col-12">
                <div class="card card-apply-job">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <div class="media">
                                <div class="media-body">
                                    <h2 class="mb-0">Billing Information</h2>
                                </div>
                            </div>                           
                        </div>
                        <h5 class="apply-job-title">Company Name</h5>
                        <p class="card-text mb-0">
                            Destiny Home
                        </p>
                        <h5 class="apply-job-title">Contact</h5>
                        <p class="card-text mb-0">Adeel Ahsan</p>
                        <p class="card-text mb-0">multijunctiontech@gmail.com</p>
                        <h5 class="apply-job-title">Address</h5>
                        <p class="card-text mb-2">
                            Design high-quality designs, graphics, mock-ups and layouts for both new and existing web sites/ web
                            applications / mobile applications.
                        </p>
                        <button type="button" class="btn btn-primary btn-block">Update Billing</button>
                    </div>
                </div>
            </div> --}}
            <!--/ Apply billing info -->
            <!--/ Apply billing info -->
            {{-- <div class="col-lg-4 col-md-6 col-12">
                <div class="card card-apply-job">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <div class="media">
                                <div class="media-body">
                                    <h2 class="mb-0">Payment Details</h2>
                                </div>
                            </div>                           
                        </div>
                        <h5 class="apply-job-title">Payment Method</h5>
                        <p class="card-text mb-0">Credit Card</p>
                        <p class="card-text mb-0">visa</p>
                        <p class="card-text mb-0">**** **** **** 3888</p>
                        <p class="card-text mb-2">Expires 7/2027</p>
                        <button type="button" class="btn btn-primary btn-block">Update  Credit Card Details</button>
                    </div>
                </div>
            </div> --}}
            <!--/ Apply billing info -->
        </div>
    </div>
</div>