
<tr class="text-center">   
    @if(!empty($item))
            @php                  

            $class="badge-light-primary";

            if($item->status=='Buyable')
            {
                $class="badge-light-success";
            }
            else if($item->status=='Not Buyable')
            {
                $class="badge-light-danger";
            }
            elseif($item->status=='Disabled by Seller')
            {
                $class="badge-light-dark";
            } 
            elseif($item->status=='Disabled by Takealot')
            {
                $class="badge badge-warning";
            }
            

            @endphp
            <td>
                <img src="{{$item->image_url}}" height="75" width="75" alt="{{$item->title}}" />
            </td>
            <td class="font-size-13" style="width: 25%;">                       
                <div class="text-left" >
                    <a href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}"><span class="text-left font-weight-bolder">{{$item->title}}</span></a>
                    <div>
                        <div class="badge badge-dark mb-1" >
                            <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i>
                                <span id="sku_{{$key.$item->tsin_id}}">{{$item->sku}}</span></a>
                        </div>
                        <div class="badge badge-success mb-1">
                            <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                                <span id="tsin_{{$key.$item->tsin_id}}">{{$item->tsin_id}}</span></a>
                                <a href="{{$item->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View on takealot"></i></a>
                        </div>
                        <div class="badge badge-light-primary mb-1">
                            <a wire:click="updatetakealotOffer('{{encrypt($item->id)}}')" title="Fetch offer latest details from takealot">
                                <span wire:loading wire:target="updatetakealotOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="updatetakealotOffer" class="fa fa-refresh text-primary"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </td>
            <td class="text-center">
                <span class="badge badge-pill {{$class}}">{{$item->status}}</span>               
            </td>
            <td class="text-center">
                @php
                    $totalStock=0;
                    $stockAtTakealot=json_decode($item->stock_at_takealot);
                    $cptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                    $cptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
                    $jhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                    $jhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
                    $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                @endphp
                <div class="col-lg-12"> {{$totalStock}} <div class="muted" style="font-size: 10px;">{{(!empty($cptName) ) ? $cptName.':'.$cptQty : '' }} | {{(!empty($jhbName) ) ? $jhbName.':'.$jhbQty : '' }}</div></div>   
            </td>
            <td class="text-center">
                {{$item->total_stock_on_way}}    
            </td>
            <td class="text-center">
                0     
            </td>
            <td class="text-center">
                0     
            </td>
            {{-- <td class="text-center p-1">
                <button type="button" class="btn btn-outline-primary btn-block btn-sm" wire:click="editPricing('{{encrypt($item->id)}}')" >
                    <span wire:loading wire:target="editPricing" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm  text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editOffer" class="fa fa-money text-primary"></i>
                </button>
                <button type="button" class="btn btn-dark btn-block btn-sm" wire:click="editOffer('{{encrypt($item->id)}}')" >
                    <span wire:loading wire:target="editOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-white" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editOffer" class="fa fa-chevron-right text-white"></i>
                </button>
            </td> --}}
         
    @endif    
</tr>