<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Leadtime Stock PDF</title>
</head>
<body>
    <style>
        #customers {
          font-family: Arial, Helvetica, sans-serif;
          border-collapse: collapse;
          width: 100%;
        }
        
        #customers td, #customers th {
          border: 1px solid #ddd;
          padding: 8px;
        }
        
        #customers tr:nth-child(even){background-color: #f2f2f2;}
        
        #customers tr:hover {background-color: #ddd;}
        
        #customers th {
          padding-top: 12px;
          padding-bottom: 12px;
          text-align: left;
          background-color: #283046;
          color: white;
        }
        </style>
    
                <table class="table" id="customers">
                    <thead>
                    <tr>
                        <th>Image</th>
                        <th>Title</th>
                        <th>SKU</th>
                        <th>TSIN</th>
                        <th>Quantity</th>
                        <th>Warehouse</th>
                    </tr>
                    </thead>

                    <tbody>

                    @foreach($order_lists as $key => $order_list)
                    <tr class="@if($order_list->status == '2') change-back @endif">
                        <td><img src="{{(!empty($order_list->offer->image_url) && !empty($order_list->offer)) ? $order_list->offer->image_url : static_asset('').'uploads/not-found.jpg'}}" width="72px" height="68px"></td>
                        <td >{{(!empty($order_list->offer->title) && !empty($order_list->offer)) ? $order_list->offer->title : 'N/A'}}</td>
                        <td >{{$order_list->sku}}</td>
                        <td>{{$order_list->tsin}}</td>
                        <td>{{$order_list->quantity}}</td>
                        <td>{{$order_list->warehouse}}</td>
                    </tr>
                    @endforeach
                    </tbody>
                </table>
            
</body>
</html>
                                         