
<tr class="text-center">   
    @if(!empty($item) && isset($item->offer))
        @php                 
            $class='<span class="avatar-status-offline" title="Unknown Status"></span>';
            if(!empty($item->offer->status) && isset($item->offer->status) && $item->offer->status=='Buyable')
            {
                $class='<span class="avatar-status-online" title="Buyable"></span>';
            }
            else if(!empty($item->offer->status) && isset($item->offer->status) && $item->offer->status=='Not Buyable')
            {
                $class='<span class="avatar-status-busy" title="Not Buyable"></span>';
            }
            elseif(!empty($item->offer->status) && isset($item->offer->status) && $item->offer->status=='Disabled by Seller')
            {
                $class='<span class="avatar-status-away" title="Disabled by Seller"></span>';
            } 
            elseif(!empty($item->offer->status) && isset($item->offer->status) && $item->offer->status=='Disabled by Takealot')
            {
                $class='<span class="avatar-status-offline" title="Disabled by Takealot"></span>';
            }
            else 
            {
                $class='<span class="avatar-status-other" title="Unknown Status"></span>';
            }
        @endphp
        
            <td class="font-size-13  text-center">
                <div class="avatar">        
                    @php
                        echo $class;
                    @endphp
                </div>
            </td>
            <td>
                <img src="{{$item->offer->image_url}}" class="ml-75 mr-75" height="75" width="75" alt="{{$item->offer->title}}" />
            </td>
            <td class="font-size-13" style="width: 25%;">
                {{-- <div class="d-flex " >     --}}
                       
                        <div class="text-left" >
                            <a href="{{$item->offer->offer_url}}" target="_blank" title="{{$item->offer->title}}"><span class="text-left font-weight-bolder">{{$item->offer->title}}</span></a>
                            <div>
                                @if(empty($skuEdit))
                                <div class="badge badge-dark mb-1" >
                                    <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->offer->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i><span id="sku_{{$key.$item->offer->tsin_id}}">{{$item->offer->sku}}</span></a>
                                    <a href="javascript:void(0)" wire:click="$set('skuEdit','{{encrypt($item->offer->id)}}')"><i  class="fa fa-edit mr-25" aria-hidden="true" title="Edit SKU"></i></a>
                                </div>
                                @else
                                @if(decrypt($skuEdit)==$item->offer->id)
                                    <form class="text-center mb-1" wire:submit.prevent="editSku(Object.fromEntries(new FormData($event.target)))">
                                        <div class="input-group input-group-sm justify-content-center">                   
                                            <div class="input-group-prepend">
                                                    <button tabindex="-1" type="submit" class="input-group-text" >
                                                        <span wire:loading wire:target="editSku" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editSku" class="fa fa-check text-success"></i>
                                                    </button>
                                            </div>
                                            <input type="text" id="skuedit{{$key}}" name="skuUpdate" autofocus class="form-control @error('skuUpdate') is-invalid @enderror" value="{{(!empty($item->offer->sku) ? $item->offer->sku : null)}}" placeholder="SKU">
                                            <div class="input-group-append">
                                                <button  tabindex="-1" wire:click="$set('skuEdit',null)"  class="input-group-text" type="button"><i class="fa fa-close text-danger"></i></button>
                                            </div>
                                        </div>
                                        @error('skuUpdate')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror                                        
                                        <input type="text" id="updateFor{{$key}}" name="updateFor" hidden  value="{{(!empty($item->offer->id) ? encrypt($item->offer->id) : null)}}">
                                    </form> 
                                @endif
                                @endif
                                <div class="badge badge-success">
                                    <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->offer->tsin_id}}')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                                        <span id="tsin_{{$key.$item->offer->tsin_id}}">{{$item->offer->tsin_id}}</span></a>
                                        <a href="{{$item->offer->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                                </div>
                                @if(!empty($item))
                                <div class="badge badge-light-danger">                                    
                                    <a href="javascript:void()" wire:click="removeFromRePricing('{{encrypt($item->id)}}')" title="Remove From Re-Pricing">
                                        <i class="fa fa-trash text-danger" aria-hidden="true" title="Remove From Re-Pricing"></i>
                                    </a>                                    
                                </div>
                                @endif
                                <div class="badge badge-light-primary">
                                    <a wire:click="updatetakealotOffer('{{encrypt($item->offer->id)}}')" title="Fetch offer latest details from takealot">
                                        <span wire:loading wire:target="updatetakealotOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="updatetakealotOffer" class="fa fa-refresh text-primary"></i>
                                    </a>
                                </div>
                                @if(Auth::user()->id==1)
                                <div class="badge badge-light-success">                   
                                    <a wire:click="reCheckWinner('{{encrypt($item->id)}}')" title="Re-Check BuyBox">
                                        <span wire:loading wire:target="reCheckWinner" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="reCheckWinner" class="fa fa-trophy text-success"></i>
                                    </a> 
                                </div>
                                @endif
                                @if (Auth::user()->id == 1 || Auth::user()->id == 73)
                                <p><small class="text-muted">{{timeAgo($item->price_updated_at)}}</small></p>
                                @endif
                            </div>
                           
                        </div>
                {{-- </div> --}}
                
            </td>
            <td class="text-center">
                <div class="custom-control custom-switch custom-switch-success d-flex justify-content-center">
                    <input type="checkbox" {{(empty($item->min_price) || empty($item->max_price)) ? 'disabled' : ''}} class="custom-control-input" value="{{($item->status== 1) ? 0 : 1}}" wire:change="updateOfferStatus('{{encrypt($item->id)}}',$event.target.value)" id="customSwitchh{{$key}}"
                    @if($item->status==1) checked @endif />
                    <label class="custom-control-label " for="customSwitchh{{$key}}"> 
                        <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                        <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                    </label>
                </div>
            </td>
            <td class="font-size-13  text-center"><a href="javascript:void(0)" title="{{($item->winner==1) ? 'Buy Box is owned by your offer' : 'Buy Box owned by a competitor'}}"><i class="{{($item->winner==1) ? 'fa fa-check-circle text-success' : 'fa fa-exclamation-circle text-danger'}}" style="font-size: 2rem;" title="{{($item->winner==1) ? 'Buy Box is owned by your offer' : 'Buy Box owned by a competitor'}}"></i></a></td>
            <td class="font-size-13  text-center">{{!empty($item->sellers) ? $item->sellers : 0}}</td>
            <td>R{{$item->winning_price}}</td>
            <td class="text-center">
                @if(!empty($item->min_price) && $item->min_price==$item->offer->selling_price) <div class="avatar"><a href="javascript:void(0)" title="Min price reached"><span class="avatar-status-away" ></span></a></div> @endif
                @if(!empty($item->max_price) && $item->max_price==$item->offer->selling_price) <div class="avatar"><a href="javascript:void(0)" title="Max price reached"><span class="avatar-status-online" ></span></a></div>@endif
                <span>R{{$item->offer->selling_price}}</span>                
            </td>
            <td class="text-center" style="width: 10%;">
               <span class="priceText">R{{$item->min_price}}</span>
                <form class="inputPrice text-center" wire:submit.prevent="minPriceUpdate(Object.fromEntries(new FormData($event.target)))">
                    <div class="input-group input-group-sm justify-content-center">                   
                        <div class="input-group-prepend">                       
                            @if($key!=$editMin)
                                <a tabindex="-1" href="javascript:void(0)" class="input-group-text" wire:click="$set('editMin',{{$key}})"><i class="fa fa-edit"></i></a>
                            @else
                                <button tabindex="-1" type="submit" class="input-group-text" >
                                    <span wire:loading wire:target="minPriceUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="minPriceUpdate" class="fa fa-check"></i>
                                </button>
                            @endif                                             
                        </div>
                        <input type="number" id="min{{$key}}" wire:click="$set('editMin',{{$key}})" name="minPrice" @if($key!=$editMin) readonly @else focus @endif class="form-control @error('minPrice') is-invalid @enderror" value="{{($item->min_price>0 ? $item->min_price : null)}}" placeholder="R0">
                    </div>
                </form>  
            </td>
            <td class="text-center" style="width: 10%;">
                <span class="priceText">R{{$item->max_price}}</span>
                <form class="inputPrice text-center" wire:submit.prevent="maxPriceUpdate(Object.fromEntries(new FormData($event.target)))">
                <div class="input-group input-group-sm justify-content-center">                    
                        <div class="input-group-prepend">
                            @if($key!=$editMax)
                                <a tabindex="-1" href="javascript:void(0)" class="input-group-text" wire:click="$set('editMax',{{$key}})"><i class="fa @if($key!=$editMax) fa-edit @else fa-check @endif"></i></a>
                            @else
                            <button tabindex="-1" type="submit" class="input-group-text" >
                                <span wire:loading wire:target="maxPriceUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="maxPriceUpdate" class="fa fa-check"></i>
                            </button>
                            @endif
                        </div>
                    <input type="number" wire:click="$set('editMax',{{$key}})" @if($key!=$editMax) readonly @else focus @endif name="maxPrice" class="form-control @error('maxPrice') is-invalid @enderror" value="{{($item->max_price>0 ? $item->max_price : null)}}" placeholder="R0">
                </div>
            </form> 
            </td>
            <td class="text-center p-1">
                <button type="button" class="btn btn-dark btn-block btn-sm" wire:click="editOffer('{{encrypt($item->id)}}')" >
                    <span wire:loading wire:target="editOffer" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-white" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editOffer" class="fa fa-chevron-right text-white"></i>
                </button>
            </td>
         
    @endif    
</tr>