<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Replanishment PDF</title>
</head>
<body>
    <style>
        #customers {
          font-family: Arial, Helvetica, sans-serif;
          border-collapse: collapse;
          width: 100%;
        }
        
        #customers td, #customers th {
          border: 1px solid #ddd;
          padding: 8px;
        }
        
        #customers tr:nth-child(even){background-color: #f2f2f2;}
        
        #customers tr:hover {background-color: #ddd;}
        
        #customers th {
          padding-top: 12px;
          padding-bottom: 12px;
          text-align: left;
          background-color: #283046;
          color: white;
        }
        </style>
    
                <table class="table" id="customers">
                    <thead>
                    <tr>
                        {{-- <th>Image</th> --}}
                        <th>Title</th>
                        <th>Profit</th>
                        <th>Cost</th>
                        <th>90 Day Sales</th>
                    </tr>
                    </thead>

                    <tbody>

                    @foreach($offers as $key =>$item)
                    @php
                        $getPricesku=explode("-",$item->sku);
                        $nintyDays=\Carbon\Carbon::now()->subDays(90)->toDateString();
                        $nintySales=$item->takealotOrders->where('order_date','>=',$nintyDays)->sum('quantity');
                    @endphp
                    <tr class="">
                        {{-- <td><img src="{{$item->image_url}}" width="72px" height="68px"></td> --}}
                        {{-- <td><img src="data:image/svg+xml;base64,'{{base64_encode(file_get_contents($item->image_url))}}'" width="72px" height="68px"></td> --}}
                        <td>
                          <p>{{$item->title}}</p>
                          <p class="color:#7367f0;">TSIN:{{$item->tsin_id}}</p>
                          <p class="color:#7367f0;">SKU:{{$item->sku}}</p>
                        </td>
                        <td>R{{(!empty($getPricesku) && !empty($getPricesku[0]) && is_numeric($getPricesku[0])) ? ($item->selling_price-(int)trim($getPricesku[0])) : null}}</td>
                        <td>R{{(!empty($getPricesku) && !empty($getPricesku[0])) ? ($getPricesku[0]) : null}}</td>
                        <td>{{$nintySales}}</td>
                    </tr>
                    @endforeach
                    </tbody>
                </table>
            
</body>
</html>
                                         