<div>
    @if(!empty($item))
    @php                  
    
    $class="badge-light-primary";

    if($item->status=='Buyable')
    {
    $class="badge-light-success";

    }
    else if($item->status=='Not Buyable')
    {
    $class="badge-light-danger";
    }
    elseif($item->status=='Disabled by Seller')
    {
    $class="badge-light-dark";
    } 
    elseif($item->status=='Disabled by Takealot')
    {
    $class="badge badge-warning";
    }
    

@endphp
@php
$remainingTotalDaysCover=0;
$deadCost=0;

$profitCheck=$item->selling_price-$item->offer_cost;
// $profitCheck=0;
if(!empty($item->takealotOrders) && isset($item->takealotOrders))
{
$sevenDays=\Carbon\Carbon::now()->subDays(7)->toDateString();
$seven=$item->takealotOrders->where('order_date','>=',$sevenDays)->sum('quantity');
$fifteenDays=\Carbon\Carbon::now()->subDays(15)->toDateString();
$fifteen=$item->takealotOrders->where('order_date','>=',$fifteenDays)->sum('quantity');
$thirtyDays=\Carbon\Carbon::now()->subDays(30)->toDateString();
$thirty=$item->takealotOrders->where('order_date','>=',$thirtyDays)->sum('quantity');
$thirtyDayRemainingPieces=$thirty/30;
$totalReturned= $item->takealotOrders->where('sale_status','=','Returned')->sum('quantity');



// $thirtydaysCost=(is_numeric($thirty) && is_numeric($item->offer_cost)) ? $thirty*$item->offer_cost : $thirty;  
// $thirtydaysCostReturned=$thirty-$totalReturned;
// $deadCost=(!empty($thirtydaysCost) && !empty($thirtydaysCostReturned)) ? $thirtydaysCost/$thirtydaysCostReturned : 0;

//Stock Day cover takealot start
$salesUnitCpt= $item->takealotOrders->where('dc','=','CPT')->sum('quantity');
$salesUnitJhb= $item->takealotOrders->where('dc','=','JHB')->sum('quantity');  
}
//Stock Day cover takealot end

//stock on dc start
// $totalStockDC=0;
$stockAtTakealot=json_decode($item->stock_at_takealot);  
$stockAtTakealotCptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
$stockAtTakealotCptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
$stockAtTakealotJhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
$stockAtTakealotJhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
$totalStockOnDc=$stockAtTakealotCptQty+$stockAtTakealotJhbQty;
// $totalStockDC=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
//stock on dc end

//stock on takealot start
// $totalStock=0;
$stockOnWay=json_decode($item->stock_on_way);
$stockOnWayCptName=!empty($stockOnWay[0]->warehouse->name) ? $stockOnWay[0]->warehouse->name : null;
$stockOnWayCptQty=!empty($stockOnWay[0]->quantity_available) ? $stockOnWay[0]->quantity_available : 0;

$stockOnWayJhbName=!empty($stockOnWay[1]->warehouse->name) ? $stockOnWay[1]->warehouse->name : null;
$stockOnWayJhbQty=!empty($stockOnWay[1]->quantity_available) ? $stockOnWay[1]->quantity_available : 0;
$stockOnWayTotal=$stockOnWayCptQty+$stockOnWayJhbQty;     
// $totalStock=(!empty($stockOnWay[0]) && !empty($stockOnWay[1]) && !empty($stockOnWay[0]->quantity_available) && !empty($stockOnWay[1]->quantity_available)) ? $stockOnWay[0]->quantity_available+$stockOnWay[1]->quantity_available : 0;
//stock on takealot end
$totalStockDcOnWay=$totalStockOnDc+$stockOnWayTotal;
$remainingTotalDaysCover=((!empty($totalStockDcOnWay) && $totalStockDcOnWay>0) && (!empty($thirtyDayRemainingPieces) && $thirtyDayRemainingPieces>0)) ? $totalStockDcOnWay/$thirtyDayRemainingPieces : 0;

@endphp
<div class="card mt-2">
    
    <div class="card-body pb-0">
        <div class="row">
           <div class="col-md-12">
            <div class="row">
                <div class="col-md-2">
                    <div class="item-img text-center">          
                        <a  href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}"><img width="100" height="100" src="{{$item->image_url}}" alt="img-placeholder"></a>
                    </div>
                </div>
                <div class="col-md-7">                    
                    <div class="item-wrapper">
                        <div class="item-rating">
                            <h6 class="item-name">
                                <a class="text-body" href="{{$item->offer_url}}" target="_blank" title="{{$item->title}}">{{$item->title}}</a>
                                <p class="card-text item-company">By <a href="javascript:void(0)" class="company-name" title="Brand">{{!empty($item->takealotOfferDetails->takealotBrands) ? $item->takealotOfferDetails->takealotBrands->name : 'None'}}</a></p>
                            </h6>
                            <ul class="unstyled-list list-inline">             
                               
                                <li class="ratings-list-item"><span class="badge badge-pill {{$class}}">{{$item->status}}</span>                    
                                @php
                                $leadtime_decode=null;
                                $leadtime_qty=null;
                                $leadtime_decode=json_decode($item->leadtime_stock);
                                $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                               
                                @endphp
                                @if($item->leadtime_days!=null && !empty($leadtime_qty))                                              
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status"> {{'My SOH :'}} {{$leadtime_qty}}</span></a>
                                @endif
                                @if($item->stock_at_takealot_total>0)
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-info" title="Your Stock Status">{{'In Stock : '}} {{$item->stock_at_takealot_total}}</span></a>
                                @endif
                                @if($item->stock_at_takealot_total<=0 && $item->leadtime_days==null)
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out Of Stock</span></a>
                                @endif
            
                                @if(!empty($item->rePricing->min_price) && $item->rePricing->min_price==$item->selling_price)<span class="badge badge-pill badge badge-danger">Min price reached</span>@endif
                                @if(!empty($item->rePricing->max_price) && $item->rePricing->max_price==$item->selling_price)<span class="badge badge-pill badge badge-warning">Max price reached</span>@endif
            
                                </li>
                        
                                @if(!empty($item->takealotOfferDetails->star_rating))<li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star filled-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>({{$item->takealotOfferDetails->star_rating}})</li>@endif
                              
                                @if($item->other_status==0)
                                   <li><a href="javascript:void(0)" wire:click="otherStatus('{{encrypt($item->id)}}','{{encrypt(1)}}','archived')" title="Add offer in archived list"><i class="fa fa-archive text-dark"></i></a></li>
                                   <li><a href="javascript:void(0)" wire:click="otherStatus('{{encrypt($item->id)}}','{{encrypt(2)}}','hunted')" title="Add offer in hunt list"><i class="fa fa-product-hunt text-primary"></i></a></li>
                                   <li><a href="javascript:void(0)" wire:click="otherStatus('{{encrypt($item->id)}}','{{encrypt(3)}}','low margin')" title="Add offer in low margin list"><i class="fa fa-pie-chart text-warning"></i></a></li>
                                @else
                                    @if($item->other_status==1)
                                         <li><a href="javascript:void(0)" wire:click="chnageOtherStatus('{{encrypt($item->id)}}','archived')" title="Remove offer from archived list"><i class="fa fa-archive text-danger"></i></a></li>
                                    @endif
                                    @if($item->other_status==2)
                                         <li><a href="javascript:void(0)" wire:click="chnageOtherStatus('{{encrypt($item->id)}}','hunted')" title="Remove offer from hunt list"><i class="fa fa-product-hunt text-danger"></i></a></li>
                                    @endif
                                    @if($item->other_status==3)
                                         <li><a href="javascript:void(0)" wire:click="chnageOtherStatus('{{encrypt($item->id)}}','low margin')" title="Remove offer from low margin list"><i class="fa fa-pie-chart text-danger"></i></a></li>
                                    @endif
                                @endif
                            </ul>
                        </div>                    
                        <div class="mt-1">
                            @if(!empty($editSkuItem) && decrypt($editSkuItem)==$item->id)
                            <form class="form-horizontal" wire:submit.prevent="editSku(Object.fromEntries(new FormData($event.target)))" method="POST">
                                <input type="text" name="skuUpdate" class="form-control" value="{{$item->sku}}" placeholder="Enter Sku"/>
                                <button type="submit" class="btn btn-primary mt-1"><i  class="fa fa-refresh" aria-hidden="true" title="Update Now"></i></button>
                                <a href="javascript:void(0)" wire:click="$set('editSkuItem',null)" class="btn btn-danger mt-1"><i  class="fa fa-close" aria-hidden="true" title="Close Now"></i></a>
                            </form>
                            @else
                            <div class="badge badge-dark mb-1">                  
                                <a href="javascript:void(0)" onclick="copyToClipboard('sku_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25"  title="Copy SKU"></i>
                                <span id="sku_{{$key.$item->tsin_id}}">{{$item->sku}}</span></a><a href="javascript:void(0)" wire:click="$set('editSkuItem','{{encrypt($item->id)}}')"><i  class="fa fa-edit ml-25" aria-hidden="true" title="Edit"></i></a>                  
                            </div>
                            @endif
                            <div class="badge badge-success mb-1">
                                <a href="javascript:void(0)" onclick="copyToClipboard('tsin_{{$key.$item->tsin_id}}')"><i  class="fa fa-clone mr-25"  title="Copy TSIN"></i>
                                <span id="tsin_{{$key.$item->tsin_id}}">{{$item->tsin_id}}</span></a>
                                <a href="{{$item->offer_url}}" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                            </div>
                            @if(!empty($item->rePricing->id))  
                            <div class="badge badge-light-primary mb-1">
                                <a href="javascript:void(0)" wire:click="$emitUp('updatetakealotOffer','{{encrypt($item->rePricing->id)}}')" title="Fetch offer latest details from takealot">
                                    <i class="fa fa-refresh text-primary"></i>
                                </a>
                            </div>
                            <div class="badge badge-light-primary mb-1">                 
                                @if(Auth::user()->id==1)
                                    <a href="javascript:void(0)" wire:click="$emitUp('reCheckWinner','{{encrypt($item->rePricing->id)}}')" title="Re-Check Winner">
                                        <i class="fa fa-trophy text-success"></i>
                                    </a> 
                                @endif
                            </div>
                            @endif
                            <div class="badge badge-light-primary mb-1"> 
                                <a class="text-dark" title="Fetch latest orders and offer details from Takealot" href="javascript:void()" wire:click="reFtechData('{{encrypt($item->tsin_id)}}','{{encrypt($item->offer_id)}}')"><span wire:loading wire:target="reFtechData"  style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" ></span><i class="fa fa-download text-dark mr-1"></i>Sales / Stock</a>
                            </div>
                            <br/>
                            {{-- @if(Auth::user()->id==1)<div class="fs-6 text-muted fw-light">Re-Checked At:<span class="ml-1">{{(!empty($item->rePricing->updated_at)) ?  timeAgo($item->rePricing->updated_at) : 'N/A'}}</span></div>@endif --}}
                            {{-- @if(Auth::user()->id==1)<div class="fs-6 text-muted fw-light">Re-Price At:<span class="ml-1">{{(!empty($item->rePricing->price_updated_at)) ?  timeAgo($item->rePricing->price_updated_at) : 'N/A'}}</span></div>@endif --}}
                          
                        </div>
                        @php
                            // dd($item->rePricing->winning_price);
                        @endphp
                        
                    </div>
                </div>
                <div class="col-md-3  text-left" style="justify-content: start !important;">
                {{-- <p class="mb-0">Dead Cost: {{(!empty($deadCost) && isset($deadCost)) ? round($deadCost) : 0}}</p>                           --}}
                 <div class="row">
                    <div class="col-6">
                        <p class="mb-0 @if($remainingTotalDaysCover<=6) text-danger @else text-primary @endif" >Day Cover:</p>
                     </div>
                     <div class="col-6">
                      <span>{{round($remainingTotalDaysCover)}}</span>
                     </div>
                 </div>
                 <div class="row">
                    <div class="col-6">
                        <p class="mb-0" >Selling Price:</p>
                     </div>
                     <div class="col-6">
                        {{$item->selling_price}}
                     </div>
                 </div>
                 <div class="row">
                    <div class="col-6">
                        <p class=" mb-0" >Cost:</p>

                     </div>
                     <div class="col-6">
                        <span class="mr-1">{{(!empty($item->offer_cost) ? $item->offer_cost : null)}}</span> <a href="javascript:void(0)" class="align-middle" wire:click="editPricing('{{encrypt($item->id)}}')"><span wire:loading wire:target="editPricing"  class="spinner-border spinner-border-sm  text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="editPricing" class="fa fa-edit text-primary " style="margin-top: 0.4rem;"></i> Edit Cost</a> 
                     </div>
                     @if(!empty($editID) && decrypt($editID)==$item->id)
                     @livewire('seller.replenishment.price-edit-model', ['repriceID' => encrypt($item->id),'newpopupkey' => $key+1], key($key+1))
                     @endif
                 </div>
                 <div class="row">
                    <div class="col-6">
                        <span  class="mb-0">Profit:</span>
                     </div>
                     <div class="col-6">
                        <span class="{{(!empty($profitCheck) && $profitCheck<50) ? 'text-danger' : 'text-success' }}">{{(!empty($item->offer_cost) && !empty($item->offer_cost) && is_numeric($item->offer_cost)) ? ($item->selling_price-(int)trim($item->offer_cost)) : 'N/A'}}</span>
                     </div>
                 </div>
                </div>
            </div>
           </div>           
          
        </div>
    </div>
    <div class="card-footer pt-1">
        <div class="col-md-12">
            <div class="row">
                 <div class="col-md-9 ">
                  @php   //get sales % 
                  $percentageJhb = (!empty(($salesUnitCpt) && $salesUnitCpt>0) && (!empty($salesUnitJhb) && $salesUnitJhb>0)) ? ($salesUnitJhb / ($salesUnitJhb + $salesUnitCpt)) * 100 : ((!empty($salesUnitJhb) && $salesUnitJhb>0) ? 100 : 0);
                  $percentageCpt = ((!empty($salesUnitCpt) && $salesUnitCpt>0) && (!empty($salesUnitJhb) && $salesUnitJhb>0)) ? ($salesUnitCpt / ($salesUnitCpt + $salesUnitJhb)) * 100 : ((!empty($salesUnitCpt) && $salesUnitCpt>0) ? 100 : 0);
                  @endphp
                   <div class="row">
                    <div class="col-md-3">
                        <div class="item-name">
                            <p class="mb-1 text-dark font-weight-bold "  style="line-height: 0.8rem;">Total Sales</p>
                          
                            
                           
                            {{-- <span class="mb-1 text-dark">30 Days Returned : {{$totalReturned}}</span><br/> --}}
                            <div class="row">
                                <div class="col-5">
                                    <p class="mb-0">07 Days:</p>
                                </div>
                                <div class="col-7">
                                    <span>{{($seven>0 && $seven<10) ? '0'.$seven : $seven}}</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-5">
                                    <p class="mb-0">15 Days:</p>
                                </div>
                                <div class="col-7">
                                   <span>{{($fifteen>0 && $fifteen<10) ? '0'.$fifteen : $fifteen}}</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-5">
                                    <p class="mb-0">30 Days:</p>
                                </div>
                                <div class="col-7">
                                    <span>{{($thirty>0 && $thirty<10) ? '0'.$thirty : $thirty}}</span>
                                </div>
                            </div>
                        </div> 
                       </div>                    
                       <div class="col-md-3">
                          @php
                          //stock on takealot start
                          // $totalStock=0;
                          $stockAtTakealot=json_decode($item->stock_at_takealot);
          
                          $stockAtTakealotCptName=!empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                          $stockAtTakealotCptQty=!empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
          
                          $stockAtTakealotJhbName=!empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                          $stockAtTakealotJhbQty=!empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
          
                          // $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                          //stock on takealot end
                          @endphp
                          @php
                          //Stock Day cover takealot start
                          
                          $stockCover=json_decode($item->stock_cover);
                          $stockCoverCptName=(!empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id==1) ? 'CPT' : null;
                          $stockCoverCptDays=!empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;
              
                          $stockCoverJhbName=(!empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id==3) ? 'JHB' : null;
                          $stockCoverJhbDays=!empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;
              
                          //Stock Day cover takealot end
                          @endphp
                          <div class="item-options">
                              <div class="item-name">
                                  <p class="mb-1 text-dark font-weight-bold "  style="line-height: 0.8rem;">Stock on DC</p>
                                  <span class="mb-1 text-dark" ><span class="  mr-1">{{(!empty($stockAtTakealotJhbName) ) ? $stockAtTakealotJhbName.': '.$stockAtTakealotJhbQty : 'JHB: 0' }}</span><span >{{(!empty($stockAtTakealotCptName) ) ? $stockAtTakealotCptName.': '.$stockAtTakealotCptQty : 'CPT: 0' }}</span></span><br/>
                                  <span class="mb-1 text-dark  font-weight-bold" >TAL Day cover</span><br/>
                                  <span class="mb-1 text-dark" ><span class="  mr-1">{{(!empty($stockCoverJhbName) ) ? $stockCoverJhbName.': '.$stockCoverJhbDays : 'JHB: 0' }}</span><span >{{(!empty($stockCoverCptName) ) ? $stockCoverCptName.': '.$stockCoverCptDays : 'CPT: 0' }}</span></span><br/>
                              </div> 
                          </div>
                      </div>
                      <div class="col-md-3">
                        <div class="item-name">
                            <p class="font-weight-bold text-dark" style="line-height: 0.8rem;" >Sales % 30 Days</p>
                            <p class="text-dark" >JHB: {{!empty($percentageJhb) ? round($percentageJhb) : 0 }}% CPT: {{!empty($percentageCpt) ? round($percentageCpt) : 0 }}%</p>
                        </div> 
                        @php
                            $sevenDays = \Carbon\Carbon::today()->subDays(7);
                            $totalSales=$item->takealotOrders->where('order_date','>=',$sevenDays)->sum('quantity');              
                        @endphp
                        {{-- <div class="item-name">
                            <p class="text-dark font-weight-bold" >7 Days Sales * 2</p>
                            <p class="text-dark" >Units: {{$totalSales*2}}</p>
                        </div>  --}}
                      </div>
                      <div class="col-md-3">
                        @php  
                            //Stock Day cover takealot start                      
                            $stockCover=json_decode($item->stock_cover);
                            $stockCoverCptName=(!empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id==1) ? 'CPT' : null;
                            $stockCoverCptDays=!empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;        
                            $stockCoverJhbName=(!empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id==3) ? 'JHB' : null;
                            $stockCoverJhbDays=!empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;        
                            //Stock Day cover takealot end
                        @endphp
                        <div class="item-options">
                            <div class="item-name">
                                @php
                                    $percentageJhb= round($percentageJhb); //53%
                                    $percentageCpt= round($percentageCpt); //47%
                                    $totalSendUnit=$totalSales*2; //492
                                    $sendJhb=($totalSendUnit*($percentageJhb/100))-($stockOnWayJhbQty+$stockAtTakealotJhbQty);
                                    $sendCpt=$totalSendUnit*($percentageCpt/100)-($stockOnWayCptQty+$stockAtTakealotCptQty);
                                    $sendNewTotal=$sendJhb+$sendCpt;    
                                @endphp
                                <p class="mb-1 text-dark  font-weight-bold"  style="line-height: 0.8rem;">Send Stock</p>
                                <span class="mb-1 text-dark" ><span class=" {{($sendJhb>=0 ? 'text-primary' : 'text-danger')}} mr-1">JHB: {{!empty($sendJhb) ?  round($sendJhb) : 0}}</span><span class=" {{($sendCpt>=0 ? 'text-info' : 'text-danger')}}">CPT: {{!empty($sendCpt) ?  round($sendCpt) : 0}}</span></span><br/>
                                <span class="mb-1  font-weight-bold {{($sendNewTotal>=0 ? 'text-primary' : 'text-danger')}}" >Total:<span class="ml-1 {{($sendNewTotal>=0 ? 'text-primary' : 'text-danger')}}">{{round($sendNewTotal)}}</span></span><br/>
                            </div> 
                        </div>
                      </div>
                   </div>
                 </div>
                 <div class="col-md-3">
                   @if(!empty($item->rePricing))
                    <div class="row">
                        <div class="col-6">
                            <p class="mb-0">Price Range:</p>
                        </div>  
                        <div class="col-6">
                            <span>R{{$item->rePricing->min_price}}-R{{$item->rePricing->max_price}} <a href="javascript:void(0)" class="ml-1"  wire:click="openPopup('{{encrypt($item->rePricing->id)}}')" title="Open Re-Pricing Pop Up">
                                <span wire:loading wire:target="openPopup" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="openPopup" class="fa fa-money text-success"></i>                                          
                            </a></span>
                        </div>    
                    </div>
                    @endif 
                    <div class="row">
                        <div class="col-6">
                            <p class="mb-0">Wining Price:</p>
                        </div>   
                        <div class="col-6">
                            <span >{{(!empty($item->rePricing->winning_price)) ? 'R'.$item->rePricing->winning_price : 'N/A'}}</span>
                        </div>    
                    </div>    
                    <div class="row">
                        <div class="col-6">                            
                            <p class="mb-0">Sellers:</p>
                        </div>  
                        <div class="col-6">
                            <span>{{!empty($item->takealotOfferDetails->total_sellers) ? $item->takealotOfferDetails->total_sellers : 0}}</span>
                        </div>    
                    </div> 
                    
                    @if(!empty($item->rePricing->winner_account_name))   
                    <div class="row">
                        <div class="col-6">
                            <p class="mb-0">Winner:</p>
                        </div>
                        <div class="col-6">
                            <span>{{$item->rePricing->winner_account_name}}</span>
                        </div>    
                    </div>
                    @endif    
                 </div>
            </div>
         </div>
    </div>
      
           
</div>
@endif
</div>
