<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Send Stock PDF</title>
</head>

<body>
    <style>
        #customers {
            font-family: Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        #customers td,
        #customers th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        #customers tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        #customers tr:hover {
            background-color: #ddd;
        }

        #customers th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #283046;
            color: white;
        }
    </style>

    <table class="table" id="customers">
        <thead>
            <tr>
                <th>#</th>
                <th>Image</th>
                <th>Title</th>
                {{-- <th>Profit</th> --}}
                <th>Send Stock</th>
                {{-- <th>Send CPT</th>
                <th>Send Total</th> --}}
                <th>Sales</th>
            </tr>
        </thead>

        <tbody>
             @php 
               $count=0;
             @endphp
            @foreach ($offers as $key => $item)
                    @php 
                      $sendStock=json_decode($item->send_stock);
                    @endphp 
                    <tr class="">
                        <td>{{ $count=$count+1 }}</td>
                        <td>
                            <img src="{{ $item->offer->image_url }}" width="72px" height="68px" loading="lazy">
                        </td>
                        <td >
                            <p>{{ $item->offer->title }}</p>
                            <p class="color:#7367f0;">TSIN:{{ $item->offer->tsin_id }}</p>
                            <p class="color:#7367f0;">SKU:{{ $item->offer->sku }}-{{round($item->profit)}}</p>
                        </td>
                        {{-- <td>{{$item->profit}}</td> --}}
                        <td>
                            <p>JHB: {{ round($sendStock->jhb) }}</p>
                            <p>CPT: {{ round($sendStock->cpt) }}</p>
                            <p>Total: {{ round($sendStock->total) }}</p>
                        </td>
                        {{-- <td>{{ round($sendStock->cpt) }}</td>  --}}
                        {{-- <td>{{ round($sendStock->total) }}</td> --}}
                        <td>
                            <p>7D: {{ round($sendStock->seven) }}</p>
                            <p>15D: {{ round($sendStock->fifteen) }}</p>
                            <p>30D: {{ round($sendStock->thirty) }}</p>
                            <p>90D: {{ round($sendStock->ninety) }}</p>
                        </td>
                    </tr>
            @endforeach
        </tbody>
    </table>

</body>

</html>
