<!DOCTYPE html>
<html class="loading" lang="en" data-layout="semi-dark-layout" data-textdirection="ltr">
<!-- BEGIN: Head-->

<head>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="app-url" content="{{ getBaseURL() }}">
    <meta name="file-base-url" content="{{ getFileBaseURL() }}">
    <meta charset="UTF-8">
    <meta name="robots" content="noindex">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=0,minimal-ui">
    <meta name="description"
        content="Vuexy admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, Vuexy admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="PIXINVENT">
    <title>Sales Up | Grow Your Business</title>
    <link rel="apple-touch-icon" href="{{ static_asset('') }}uploads/logo/logo.png">
    <link rel="shortcut icon" type="image/x-icon" href="{{ static_asset('') }}uploads/logo/logo.png">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;1,400;1,500;1,600"
        rel="stylesheet">
    <!-- BEGIN: Vendor CSS-->
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/vendors/css/vendors.min.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/vendors/css/extensions/toastr.min.css">
    <!-- END: Vendor CSS-->
    <!-- BEGIN: Theme CSS-->
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/custom.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/bootstrap-extended.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/colors.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/components.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/themes/bordered-layout.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/themes/dark-layout.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/themes/semi-dark-layout.css">
    <link rel="stylesheet" type="text/css"
        href="{{ static_asset('') }}seller/vendors/css/forms/select/select2.min.css">
    <!-- BEGIN: Page CSS-->
    <link rel="stylesheet" type="text/css"
        href="{{ static_asset('') }}seller/css/core/menu/menu-types/vertical-menu.css">
    <link rel="stylesheet" type="text/css"
        href="{{ static_asset('') }}seller/css/plugins/extensions/ext-component-sliders.css">
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/css/pages/app-ecommerce.css">
    <link rel="stylesheet" type="text/css"
        href="{{ static_asset('') }}seller/css/plugins/extensions/ext-component-toastr.css">
    <!-- END: Page CSS-->
    <!-- BEGIN: Custom CSS-->
    <link rel="stylesheet" type="text/css" href="{{ static_asset('') }}seller/assets/css/style.css">
    {{-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">    --}}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">

    {{-- <link rel="stylesheet" href="{{static_asset('')}}seller/css/font-awesome.min.css"> --}}
    <!-- END: Custom CSS-->
    @stack('styles')
    @livewireStyles
    @livewireScripts
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.8.2/dist/alpine.min.js" defer></script>
    <script src="https://cdn.jsdelivr.net/gh/livewire/sortable@v0.x.x/dist/livewire-sortable.js"></script>
    <style>
        /* .font-size-12{
            font-size: 12px !important;
        } */
        /* .avatar [class*='avatar-status-']{
            width: 25px !important;
            height: 25px !important;
        } */
    </style>
</head>
<!-- END: Head-->
<!-- BEGIN: Body-->
@if(!Route::is('seller.profile') && (!isset(Auth::user()->Userdetail->phone) || !isset(Auth::user()->Userdetail->first_name))) 
<script type="text/javascript">
    window.location = "{{ url('/seller/profile') }}";
</script>
@endif
<body class="vertical-layout vertical-menu-modern  navbar-floating footer-static  " data-open="click"
    data-menu="vertical-menu-modern" data-col="">
    <!-- BEGIN: Header-->
    <nav class="header-navbar navbar navbar-expand-lg align-items-center floating-nav navbar-light navbar-shadow">
        <div class="navbar-container d-flex content">
            <div class="bookmark-wrapper d-flex align-items-center">
                <ul class="nav navbar-nav d-xl-none">
                    <li class="nav-item"><a class="nav-link menu-toggle" href="javascript:void(0);"><i class="ficon"
                                data-feather="menu"></i></a></li>
                </ul>
                <ul class="nav navbar-nav">
                    <li class="nav-item d-none d-lg-block"><a class="nav-link nav-link-style"><i class="ficon"
                                data-feather="sun"></i></a></li>
                </ul>
            </div>
            <ul class="nav navbar-nav align-items-center ml-auto">
                <li class="nav-item dropdown dropdown-user">
                    <a class="nav-link dropdown-toggle dropdown-user-link" id="dropdown-user"
                        href="javascript:void(0);" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                        <div class="user-nav d-sm-flex d-none"><span
                                class="user-name font-weight-bolder">{{ Auth::user()->Userdetail->first_name }}
                                {{ Auth::user()->Userdetail->last_name }}</span><span
                                class="user-status">{{ currentShop(session('active_shop_id'))->takealot_account_name }}</span>
                        </div>
                        <span class="avatar"><img class="round"
                                src="@if (!empty($user->user_detail->profile_image) && empty($image)) {{ uploaded_asset($user->user_detail->profile_image) }} @elseif(!empty($image)) {{ $image->temporaryUrl() }} @else {{ static_asset('') }}uploads/user/avatar.png @endif"
                                alt="avatar" height="40" width="40"><span
                                class="avatar-status-online"></span></span>
                    </a>
                    @livewire('seller.components.header.dropdown')
                </li>
            </ul>
        </div>
    </nav>
    <!-- END: Header-->

    <!-- BEGIN: Main Menu-->
    <div class="main-menu menu-fixed menu-light menu-accordion menu-shadow expanded" data-scroll-to-active="true">
        <div class="navbar-header">
            <ul class="nav navbar-nav flex-row">
                <li class="nav-item mr-auto">
                    <a class="navbar-brand" href="{{ route('seller.dashboard') }}">
                        {{-- <span class="brand-logo"> --}}
                        <img src="{{ static_asset('') }}front/assets/images/logo.png" alt="Logo"
                            style="max-width:70% !important;">
                        {{-- </span> --}}
                        {{-- <h2 class="brand-text" style="color: #1f99b8 !important;">Sales Up</h2> --}}
                    </a>
                </li>
                <!-- <li class="nav-item nav-toggle"><a class="nav-link modern-nav-toggle pr-0" data-toggle="collapse"><i class="d-block d-xl-none text-primary toggle-icon font-medium-4" data-feather="x"></i><i class="d-none d-xl-block collapse-toggle-icon font-medium-4  text-primary" data-feather="disc" data-ticon="disc"></i></a></li> -->
            </ul>
        </div>
        <div class="shadow-bottom"></div>
        <div class="main-menu-content">
            <ul class="navigation navigation-main" id="main-menu-navigation" data-menu="menu-navigation">

                <li class=" navigation-header"><span data-i18n="Apps &amp; Pages">Menu</span><i
                        data-feather="more-horizontal">Menu</i>
                </li>
                <li class="@if (Route::is('seller.dashboard')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.dashboard') }}" @endif><i
                            data-feather="home"></i><span class="menu-title text-truncate"
                            data-i18n="Home">Dashboard</span></a>
                </li>
                <li class="@if (Route::is('seller.orders')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.orders') }}" @endif><i
                            data-feather='life-buoy'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Orders</span></a>
                </li>
                @if (Auth::user()->id == 1 || Auth::user()->id == 73)
                    <li class="@if (Route::is('seller.leadtime-stock')) active @endif nav-item"><a
                            class="d-flex align-items-center"
                            @if (!Route::is('seller.account-config')) href="{{ route('seller.leadtime-stock') }}" @endif><i
                                data-feather='clock'></i><span class="menu-title text-truncate"
                                data-i18n="Home">Leadtime Stock</span></a>
                    </li>
                @endif
                <li class="@if (Route::is('seller.inventory')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.inventory') }}" @endif><i
                            data-feather='folder-plus'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Inventory</span></a>
                </li>
                @if (Auth::user()->id == 1 || Auth::user()->id == 72 || Auth::user()->id == 73)
                    <li class="@if (Route::is('seller.replenishment-offers')) active @endif nav-item"><a
                            class="d-flex align-items-center"
                            @if (!Route::is('seller.account-config')) href="{{ route('seller.replenishment-offers') }}" @endif><i
                                data-feather='git-pull-request'></i><span class="menu-title text-truncate"
                                data-i18n="Home">SKU Replenishment</span></a>
                    </li>
                @else
                    {{-- <li class="@if (Route::is('seller.replenishment')) active @endif nav-item"><a class="d-flex align-items-center"  @if (!Route::is('seller.account-config')) href="{{route('seller.replenishment')}}" @endif><i data-feather='git-pull-request'></i><span class="menu-title text-truncate" data-i18n="Home">Replenishment</span></a>
               </li> --}}
                @endif
                <li class="@if (Route::is('seller.replenishment')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.replenishment') }}" @endif><i
                            data-feather='git-pull-request'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Replenishment</span></a>
                </li>
                <li class="@if (Route::is('seller.offers')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.offers') }}" @endif><i
                            data-feather='twitch'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Offers</span></a>
                </li>
                @if (Auth::user()->id == 1)
                    <li class="@if (Route::is('seller.live-offers')) active @endif nav-item"><a
                            class="d-flex align-items-center"
                            @if (!Route::is('seller.account-config')) href="{{ route('seller.live-offers') }}" @endif><i
                                data-feather='twitch'></i><span class="menu-title text-truncate"
                                data-i18n="Home">Live Offers</span></a>
                    </li>
                @endif
                <li class="@if (Route::is('seller.repricing')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.repricing') }}" @endif><i
                            data-feather='trending-up'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Re-Pricing</span></a>
                </li>
                <li class="@if (Route::is('seller.tsinHistory')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.tsinHistory') }}" @endif><i
                            data-feather='activity'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Activity Log</span></a>
                </li>
                {{-- <li class="@if (Route::is('seller.repricing-history')) active @endif nav-item"><a class="d-flex align-items-center" href="{{route('seller.repricing-history')}}"><i data-feather='trending-up'></i><span class="menu-title text-truncate" data-i18n="Home">Re-Pricing History</span></a>
               </li> --}}
                <li class=" navigation-header"><span data-i18n="Apps &amp; Pages">Configurations</span><i
                        data-feather="more-horizontal">Menu</i>
                </li>
                <li class="@if (Route::is('seller.billing')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.billing') }}" @endif><i
                            data-feather='credit-card'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Billing</span></a>
                </li>
                <li class="@if (Route::is('seller.takealot-api')) active @endif nav-item"><a
                        class="d-flex align-items-center"
                        @if (!Route::is('seller.account-config')) href="{{ route('seller.takealot-api') }}" @endif><i
                            data-feather='settings'></i><span class="menu-title text-truncate"
                            data-i18n="Home">Settings</span></a>
                </li>
                {{-- @if (Auth::user()->id == 1)
               <li class="@if (Route::is('telescope')) active @endif nav-item"><a class="d-flex align-items-center" href="{{route('telescope')}}" target="_blank"><i data-feather='target'></i><span class="menu-title text-truncate" data-i18n="Home">Telescope</span></a>
               </li>
               @endif --}}
            </ul>
        </div>
    </div>
    <!-- END: Main Menu-->
    <!-- BEGIN: Content-->
    <!-- BEGIN: Content-->
    {{-- <div class="app-content content ">
         <div class="content-overlay"></div>
         <div class="header-navbar-shadow"></div> --}}
    {{-- <div class="content-wrapper"> --}}

    @php
        if (!Route::is('seller.account-config')) {
            if (!empty(session('active_shop_id'))) {
                $shopRegistered = Auth::user()->AllTakealotShops->where('id', '=', session('active_shop_id'))->first();
        
                if (!Route::is('seller.profile') && ((empty($shopRegistered->tk_seller_id) && empty($shopRegistered->takealot_account_name) && empty($shopRegistered->takealot_account_name) && empty($shopRegistered->takealot_api_key)) || empty($shopRegistered->takealot_webhook_secreet))) {
                    header('Location: ' . route('seller.account-config'));
                    exit();
                }
            }
        }
    @endphp
    @yield('content')



    {{-- </div> --}}
    {{-- </div> --}}
    <!-- END: Content-->
    <!-- END: Content-->
    <div class="sidenav-overlay"></div>
    <div class="drag-target"></div>
    <!-- BEGIN: Footer-->

    {{-- <footer class="footer footer-static footer-light">
            <p class="clearfix mb-0"><span class="float-md-left d-block d-md-inline-block mt-25">COPYRIGHT &copy; {{date('Y')}}<a class="ml-25" href="https://salesup.co.za" target="_blank">Salesup.co.za</a><span class="d-none d-sm-inline-block">, All rights Reserved</span></span><span class="float-md-right d-none d-md-block">Increase Your Sales<i data-feather="heart"></i></span></p>
         </footer> --}}


    <button class="btn btn-primary btn-icon scroll-top" type="button"><i data-feather="arrow-up"></i></button>
    <!-- END: Footer-->
    <!-- BEGIN: Vendor JS-->
    <script src="{{ static_asset('') }}seller/vendors/js/vendors.min.js"></script>
    <!-- BEGIN Vendor JS-->
    <!-- BEGIN: Page Vendor JS-->
    <script src="{{ static_asset('') }}seller/vendors/js/extensions/wNumb.min.js"></script>
    <script src="{{ static_asset('') }}seller/vendors/js/extensions/nouislider.min.js"></script>
    <script src="{{ static_asset('') }}seller/vendors/js/extensions/toastr.min.js"></script>
    <script src="{{ static_asset('') }}seller/vendors/js/forms/select/select2.full.min.js"></script>
    <script src="{{ static_asset('') }}seller/js/scripts/forms/form-select2.js"></script>
    <!-- END: Page Vendor JS-->
    <!-- BEGIN: Theme JS-->
    <script src="{{ static_asset('') }}seller/js/core/app-menu.js"></script>
    <script src="{{ static_asset('') }}seller/js/core/app.js"></script>
    <!-- END: Theme JS-->

    <!-- BEGIN: Page JS-->
    <script src="{{ static_asset('') }}seller/js/scripts/pages/app-ecommerce.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <!-- END: Page JS-->
    <script>
        $(window).on('load', function() {
            if (feather) {
                feather.replace({
                    width: 14,
                    height: 14
                });
            }
        })
    </script>
    <script>
        window.addEventListener('notify', event => {

            if (event.detail.error == 'success') {
                textColor = '#28c76f';
            } else if (event.detail.error == 'error') {
                textColor = '#ea5455';
            } else if (event.detail.error == 'warning') {
                textColor = '#ff9f43';
            } else if (event.detail.error == 'info') {
                textColor = '#00cfe8';
            } else {
                textColor = '#ffff';
            }
            const Toast = Swal.mixin({
                toast: true,
                position: 'top',
                popup: 'swal2-hide',
                showConfirmButton: false,
                backdrop: 'swal2-backdrop-hide',
                timer: 5000,
                timerProgressBar: true,
                didOpen: (toast) => {
                    toast.addEventListener('mouseenter', Swal.stopTimer)
                    toast.addEventListener('mouseleave', Swal.resumeTimer)
                }
            })
            //Supported class =>  "success", "error", "warning", "info" or "question"
            Toast.fire({
                icon: event.detail.error,
                iconColor: '#ffff',
                title: event.detail.msg,
                background: textColor,
                color: '#ffff',
                width: '50%'
            })
            //AIZ.plugins.notify(event.detail.error,event.detail.msg);
        })
    </script>
    <script>
        function copyToClipboard(id) {

            var r = document.createRange();
            r.selectNode(document.getElementById(id));
            window.getSelection().removeAllRanges();
            window.getSelection().addRange(r);
            document.execCommand('copy');
            window.getSelection().removeAllRanges();
            const Toast = Swal.mixin({
                toast: true,
                position: 'top',
                popup: 'swal2-hide',
                showConfirmButton: false,
                backdrop: 'swal2-backdrop-hide',
                timer: 5000,
                timerProgressBar: true,
                didOpen: (toast) => {
                    toast.addEventListener('mouseenter', Swal.stopTimer)
                    toast.addEventListener('mouseleave', Swal.resumeTimer)
                }
            })
            Toast.fire({
                icon: 'success',
                iconColor: '#ffff',
                title: 'Successfully Copied',
                background: '#28c76f',
                color: '#ffff',
                width: '50%'
            });
        }
    </script>
    <script type="text/javascript">
        window.addEventListener('reloadSelect2', event => {
            $('.select2').select2();
        })
    </script>
    <script>
        $(document).on('click', '.moveOnTop', function(e) {
            $("html, body").animate({
                scrollTop: 0
            }, "slow");
            return false;
        });
    </script>

    <script type="text/javascript">
        window.addEventListener('load-modal', event => {

            document.getElementById(event.detail.modelID).style.display = "block";

            //   $('#'.event.detail.modelID).modal('show');
        });

        window.addEventListener('close-modal', event => {

            document.getElementById(event.detail.modelID).style.display = "none";
            // $('#'.event.detail.modelID).modal('hide');

            // if(event.details!='undefined')
            // {
            //    $("#".event.details.modelID).css("display", "none");
            // }
        });
    </script>


    @stack('custom-scripts')
</body>
<!-- END: Body-->

</html>
