<div>
    <!-- BEGIN: Content-->
    <div class="app-content content  mb-4">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                    
                    <div class="btn-group btn-group-toggle">
                    </div>
                </div>
            </div>
            <div class="content-body">
                <div class="row mb-1">
                    <div class="col-7">
                        <div class="row">

                            <div class="col-3" style="padding-right: 0.1rem;">
                                <select class="form-control bg-white" wire:model="sortKey" name="sortKey"
                                    id="sortKey">
                                    <option value="offer_id">offer_id</option>
                                    <option value="title">title</option>
                                    <option value="seller_stock">seller_stock</option>
                                    <option value="sales_units">sales_units</option>
                                    <option value="stock_cpt">stock_cpt</option>
                                    <option value="stock_jhb">stock_jhb</option>
                                    <option value="stock_total">stock_total</option>
                                    <option value="stock_cover_cpt">stock_cover_cpt</option>
                                    <option value="stock_cover_jhb">stock_cover_jhb</option>
                                    <option value="selling_price">selling_price</option>
                                    <option value="shipping_min">shipping_min</option>
                                    <option value="merchant_warehouse_id">merchant_warehouse_id</option>
                                    <option value="replen_block">replen_block</option>
                                </select>
                            </div>
                            <div class="col-3" style="padding-right: 0.1rem; padding-left: 0.1rem;">
                                <select class="form-control bg-white" wire:model="sortDir" name="sortDir"
                                    id="sortDir">
                                        <option value="asc">asc</option>
                                        <option value="desc">desc</option>
                                        <option value="ASC">ASC</option>
                                        <option value="DESC">DESC</option>
                                    </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-5">
                        <div class="input-group input-group-merge">
                            <input type="text" wire:model.change.debounce.500ms="search"
                                class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN"
                                aria-label="Search..." aria-describedby="shop-search" />
                            <?php if(isset($search) && !empty($search)): ?>
                                <a href="javascript:void(0)" class="input-group-append" wire:click="$set('search','')">
                                    <span class="input-group-text"><span wire:loading wire:target="search"
                                            class="spinner-border spinner-border-sm text-primary" role="status"
                                            aria-hidden="true"></span><i wire:loading.remove wire:target="search"
                                            class="fa fa-close" class="text-muted"></i></span>

                                </a>
                            <?php else: ?>
                                <div class="input-group-append">
                                    <span class="input-group-text"><span wire:loading wire:target="search"
                                            class="spinner-border spinner-border-sm text-primary" role="status"
                                            aria-hidden="true"></span><i wire:loading.remove wire:target="search"
                                            class="fa fa-search" class="text-muted"></i></span>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    
                </div>

                <section>
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="table-responsive">
                                    <table class="table" id="offers">
                                        <thead>
                                            <tr>
                                                <th class="text-center font-size-12" style="width: 3%;">Status</th>
                                                <th class="text-center font-size-12" style="width: 8%;"></th>
                                                <th class="font-size-12" style="width: 25%;">Product</th>
                                                <th class="text-center font-size-12">Stock</th>
                                                
                                                <th class="text-center font-size-12" style="width: 10%;">Selling Price
                                                </th>
                                                <th class="text-center font-size-12" style="width: 10%;">RRP</th>
                                                <th class="text-center font-size-12" style="width: 10%;">Discount</th>
                                                
                                                
                                            </tr>
                                        </thead>
                                        <tbody wire:init="readyToLoad" wire:loading.class="disabledHtml">
                                            <?php if(!empty($takealotLive) && count($takealotLive) > 0): ?>
                                                
                                                <?php $__currentLoopData = $takealotLive; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(!empty($item) && isset($item->tsin_id)): ?>
                                                        <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.live.list-view', ['offer' => $item, 'key' => $key])->html();
} elseif ($_instance->childHasBeenRendered($item->tsin_id)) {
    $componentId = $_instance->getRenderedChildComponentId($item->tsin_id);
    $componentTag = $_instance->getRenderedChildComponentTagName($item->tsin_id);
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild($item->tsin_id);
} else {
    $response = \Livewire\Livewire::mount('seller.live.list-view', ['offer' => $item, 'key' => $key]);
    $html = $response->html();
    $_instance->logRenderedChild($item->tsin_id, $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                
                                            <?php endif; ?>
                                        </tbody>


                                    </table>
                                    <?php if($readyToLoad == true && empty($takealotLive)): ?>
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <span class="text-center">
                                                <strong>(0) Offer Found!</strong>
                                            </span>
                                        </div>
                                    <?php endif; ?>
                                    <?php if($readyToLoad == false): ?>
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <div class="d-flex justify-content-center my-1">
                                                <div class="spinner-border text-primary" role="status"
                                                    aria-hidden="true"></div>
                                            </div>
                                        </div>
                                    <?php endif; ?>

                                </div>
                            </div>
                        </div>
                    </div>

                </section>
                <section id="ecommerce-pagination mb-4">
                    <div class="row">
                        <div class="col-sm-12">
                            <button type="button" <?php if($page_no <= 1): ?> disabled <?php endif; ?>
                                wire:click="previousPage"
                                class="btn btn-outline-primary mr-1 data-submit moveOnTop">Previous</button>
                            <button type="button" <?php if($page_no <= 0 || $total_results + 1 <= $page_no): ?> disabled <?php endif; ?>
                                wire:click="nextPage" class="btn btn-outline-primary mr-1 data-submit moveOnTop">Next</button>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
    <!-- END: Content-->








    <!-- Filters-->
    
    <!-- Edits Repricing popup-->
    
    <!--Start Edit selling prices-->
    
    <!--End Edit selling prices-->
    <?php $__env->startPush('custom-scripts'); ?>
        <script>
            document.addEventListener('setInputFocus', event => {
                alert(event.details.id);
            });
        </script>
        <script>
            window.addEventListener('popupnew', event => {
                $('#' + event.detail.id).modal('show')
            })
        </script>
    <?php $__env->stopPush(); ?>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/live/offers.blade.php ENDPATH**/ ?>