<div>
    <?php if(!empty($item)): ?>
        <?php

            $class = 'badge-light-primary';

            if ($item->status == 'Buyable') {
                $class = 'badge-light-success';
            } elseif ($item->status == 'Not Buyable') {
                $class = 'badge-light-danger';
            } elseif ($item->status == 'Disabled by Seller') {
                $class = 'badge-light-dark';
            } elseif ($item->status == 'Disabled by Takealot') {
                $class = 'badge badge-warning';
            }

        ?>
        <?php
            $remainingTotalDaysCover = 0;
            $deadCost = 0;
            $getPricesku = explode('-', $item->sku);
            $profitCheck = !empty($getPricesku) && !empty($getPricesku[0]) && is_numeric(trim($getPricesku[0])) ? $item->selling_price - (int) trim($getPricesku[0]) : 0;
            // $profitCheck=0;
            if (!empty($item->takealotOrders) && isset($item->takealotOrders)) {
                $sevenDays = \Carbon\Carbon::now()->subDays(7)->toDateString();
                $seven = $item->takealotOrders->where('order_date', '>=', $sevenDays)->sum('quantity');
                $fifteenDays = \Carbon\Carbon::now()->subDays(15)->toDateString();
                $fifteen = $item->takealotOrders->where('order_date', '>=', $fifteenDays)->sum('quantity');
                $thirtyDays = \Carbon\Carbon::now()->subDays(30)->toDateString();
                $thirty = $item->takealotOrders->where('order_date', '>=', $thirtyDays)->sum('quantity');
                $thirtyDayRemainingPieces = $thirty / 30;
                $totalReturned = $item->takealotOrders->where('sale_status', '=', 'Returned')->sum('quantity');

                $thirtydaysCost = is_numeric($thirty) && is_numeric($getPricesku[0]) ? $thirty * $getPricesku[0] : $thirty;
                $thirtydaysCostReturned = $thirty - $totalReturned;
                $deadCost = !empty($thirtydaysCost) && !empty($thirtydaysCostReturned) ? $thirtydaysCost / $thirtydaysCostReturned : 0;

                //Stock Day cover takealot start
                $salesUnitCpt = $item->takealotOrders->where('dc', '=', 'CPT')->sum('quantity');
                $salesUnitJhb = $item->takealotOrders->where('dc', '=', 'JHB')->sum('quantity');
            }
            //Stock Day cover takealot end

            //stock on dc start
            // $totalStockDC=0;
            $stockAtTakealot = json_decode($item->stock_at_takealot);
            $stockAtTakealotCptName = !empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
            $stockAtTakealotCptQty = !empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
            $stockAtTakealotJhbName = !empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
            $stockAtTakealotJhbQty = !empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
            $totalStockOnDc = $stockAtTakealotCptQty + $stockAtTakealotJhbQty;
            // $totalStockDC=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
            //stock on dc end

            //stock on takealot start
            // $totalStock=0;
            $stockOnWay = json_decode($item->stock_on_way);
            $stockOnWayCptName = !empty($stockOnWay[0]->warehouse->name) ? $stockOnWay[0]->warehouse->name : null;
            $stockOnWayCptQty = !empty($stockOnWay[0]->quantity_available) ? $stockOnWay[0]->quantity_available : 0;

            $stockOnWayJhbName = !empty($stockOnWay[1]->warehouse->name) ? $stockOnWay[1]->warehouse->name : null;
            $stockOnWayJhbQty = !empty($stockOnWay[1]->quantity_available) ? $stockOnWay[1]->quantity_available : 0;
            $stockOnWayTotal = $stockOnWayCptQty + $stockOnWayJhbQty;
            // $totalStock=(!empty($stockOnWay[0]) && !empty($stockOnWay[1]) && !empty($stockOnWay[0]->quantity_available) && !empty($stockOnWay[1]->quantity_available)) ? $stockOnWay[0]->quantity_available+$stockOnWay[1]->quantity_available : 0;
            //stock on takealot end
            $totalStockDcOnWay = $totalStockOnDc + $stockOnWayTotal;
            $remainingTotalDaysCover = !empty($totalStockDcOnWay) && $totalStockDcOnWay > 0 && (!empty($thirtyDayRemainingPieces) && $thirtyDayRemainingPieces > 0) ? $totalStockDcOnWay / $thirtyDayRemainingPieces : 0;

        ?>
        <div class="card ecommerce-card">
            <?php if($item->status == 'Buyable'): ?>
                <div
                    class="arrow-right bg-<?php echo e(!empty($item->rePricing->winner) && $item->rePricing->winner == 1 ? 'success' : 'danger'); ?>">
                    <span><?php echo e(!empty($item->rePricing->winner) && $item->rePricing->winner == 1 ? 'Winner' : 'Loser'); ?></span>
                </div>
            <?php endif; ?>
            <div class="item-img text-center">
                <a href="<?php echo e($item->offer_url); ?>" target="_blank" title="<?php echo e($item->title); ?>">
                    <img class="img-fluid card-img-top" src="<?php echo e($item->image_url); ?>" alt="img-placeholder"></a>
            </div>
            <div class="card-body">
                <div class="item-wrapper">
                    <div class="item-rating">
                        <ul class="unstyled-list list-inline">

                            <li class="ratings-list-item">
                                <span class="badge badge-pill <?php echo e($class); ?>"><?php echo e($item->status); ?></span>
                                <?php
                                    $leadtime_decode = null;
                                    $leadtime_qty = null;
                                    $leadtime_decode = json_decode($item->leadtime_stock);
                                    $leadtime_qty = !empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) ? $leadtime_decode[0]->quantity_available : 0;

                                ?>
                                <?php if($item->leadtime_days != null && !empty($leadtime_qty)): ?>
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-primary"
                                        title="Your Stock Status"> <?php echo e('My SOH :'); ?> <?php echo e($leadtime_qty); ?></span></a>
                                <?php endif; ?>
                                <?php if($item->stock_at_takealot_total > 0): ?>
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-info"
                                        title="Your Stock Status"><?php echo e('In Stock : '); ?>

                                        <?php echo e($item->stock_at_takealot_total); ?></span></a>
                                <?php endif; ?>
                                <?php if($item->stock_at_takealot_total <= 0 && $item->leadtime_days == null): ?>
                                    <a href="javasecript:void()" class="badge badge-pill badge badge-danger"
                                        title="Your Stock Status">Out Of Stock</span></a>
                                <?php endif; ?>

                                <?php if(!empty($item->rePricing->min_price) && $item->rePricing->min_price == $item->selling_price): ?>
                                    <span class="badge badge-pill badge badge-danger">Min price reached</span>
                                <?php endif; ?>
                                <?php if(!empty($item->rePricing->max_price) && $item->rePricing->max_price == $item->selling_price): ?>
                                    <span class="badge badge-pill badge badge-warning">Max price reached</span>
                                <?php endif; ?>

                            </li>

                            <?php if(!empty($item->takealotOfferDetails->star_rating)): ?>
                                <li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14"
                                        height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                        stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                        class="feather feather-star filled-star">
                                        <polygon
                                            points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2">
                                        </polygon>
                                    </svg>(<?php echo e($item->takealotOfferDetails->star_rating); ?>)</li>
                            <?php endif; ?>

                            <?php if($item->other_status == 0): ?>
                                <li><a href="javascript:void(0)"
                                        wire:click="otherStatus('<?php echo e(encrypt($item->id)); ?>','<?php echo e(encrypt(1)); ?>','archived')"
                                        title="Add offer in archived list"><i class="fa fa-archive text-dark"></i></a>
                                </li>
                                <li><a href="javascript:void(0)"
                                        wire:click="otherStatus('<?php echo e(encrypt($item->id)); ?>','<?php echo e(encrypt(2)); ?>','hunted')"
                                        title="Add offer in hunt list"><i
                                            class="fa fa-product-hunt text-primary"></i></a></li>
                                <li><a href="javascript:void(0)"
                                        wire:click="otherStatus('<?php echo e(encrypt($item->id)); ?>','<?php echo e(encrypt(3)); ?>','low margin')"
                                        title="Add offer in low margin list"><i
                                            class="fa fa-pie-chart text-warning"></i></a></li>
                            <?php else: ?>
                                <?php if($item->other_status == 1): ?>
                                    <li><a href="javascript:void(0)"
                                            wire:click="chnageOtherStatus('<?php echo e(encrypt($item->id)); ?>','archived')"
                                            title="Remove offer from archived list"><i
                                                class="fa fa-archive text-danger"></i></a></li>
                                <?php endif; ?>
                                <?php if($item->other_status == 2): ?>
                                    <li><a href="javascript:void(0)"
                                            wire:click="chnageOtherStatus('<?php echo e(encrypt($item->id)); ?>','hunted')"
                                            title="Remove offer from hunt list"><i
                                                class="fa fa-product-hunt text-danger"></i></a></li>
                                <?php endif; ?>
                                <?php if($item->other_status == 3): ?>
                                    <li><a href="javascript:void(0)"
                                            wire:click="chnageOtherStatus('<?php echo e(encrypt($item->id)); ?>','low margin')"
                                            title="Remove offer from low margin list"><i
                                                class="fa fa-pie-chart text-danger"></i></a></li>
                                <?php endif; ?>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <div class="mt-1">
                        <?php if(!empty($editSkuItem) && decrypt($editSkuItem) == $item->id): ?>
                            <form class="form-horizontal"
                                wire:submit.prevent="editSku(Object.fromEntries(new FormData($event.target)))"
                                method="POST">
                                <input type="text" name="skuUpdate" class="form-control" value="<?php echo e($item->sku); ?>"
                                    placeholder="Enter Sku" />
                                <button type="submit" class="btn btn-primary mt-1"><i class="fa fa-refresh"
                                        aria-hidden="true" title="Update Now"></i></button>
                                <a href="javascript:void(0)" wire:click="$set('editSkuItem',null)"
                                    class="btn btn-danger mt-1"><i class="fa fa-close" aria-hidden="true"
                                        title="Close Now"></i></a>
                            </form>
                        <?php else: ?>
                            <div class="badge badge-dark mb-1">
                                <a href="javascript:void(0)"
                                    onclick="copyToClipboard('sku_<?php echo e($key . $item->tsin_id); ?>')"><i
                                        class="fa fa-clone mr-25" title="Copy SKU"></i>
                                    <span id="sku_<?php echo e($key . $item->tsin_id); ?>"><?php echo e($item->sku); ?></span></a><a
                                    href="javascript:void(0)"
                                    wire:click="$set('editSkuItem','<?php echo e(encrypt($item->id)); ?>')"><i
                                        class="fa fa-edit ml-25" aria-hidden="true" title="Edit"></i></a>
                            </div>
                        <?php endif; ?>
                        <div class="badge badge-success mb-1">
                            <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key . $item->tsin_id); ?>')"><i
                                    class="fa fa-clone mr-25" title="Copy TSIN"></i>
                                <span id="tsin_<?php echo e($key . $item->tsin_id); ?>"><?php echo e($item->tsin_id); ?></span></a>
                            <a href="<?php echo e($item->offer_url); ?>" target="_blank"><i class="fa fa-external-link ml-25"
                                    aria-hidden="true" title="View On Takealot"></i></a>
                        </div>
                        <span class="ml-1"> <strong>Dead Cost:
                                <?php echo e(!empty($deadCost) && isset($deadCost) ? round($deadCost) : 0); ?></strong></span>
                    </div>
                    <?php
                        // dd($item->rePricing->winning_price);
                    ?>
                    <div class="item-name  mb-1">
                        <?php if(!empty($item->rePricing)): ?>
                            <div class="fw-bold text-dark d-flex">
                                <strong>Price Range:<span class="ml-1 fw-bold">R<?php echo e($item->rePricing->min_price); ?> -
                                        R<?php echo e($item->rePricing->max_price); ?> </span>
                                </strong>
                                <a href="javascript:void(0)" class="ml-1"
                                    wire:click="openPopup('<?php echo e(encrypt($item->rePricing->id)); ?>')"
                                    title="Open Re-Pricing Pop Up">
                                    <span wire:loading wire:target="openPopup"
                                        style="vertical-align: top;!important;margin-right: 5px;!important;"
                                        class="spinner-border spinner-border-sm text-primary" role="status"
                                        aria-hidden="true"></span><i wire:loading.remove wire:target="openPopup"
                                        class="fa fa-money text-success"></i>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="fw-bold text-dark"><strong>Your Price:<span
                                    class="ml-1 fw-bold">R<?php echo e($item->selling_price); ?></span></strong></div>
                        <div class="fw-bold text-dark"><strong>Wining Price:<span
                                    class="ml-1 fw-bold"><?php echo e(!empty($item->rePricing->winning_price) ? 'R' . $item->rePricing->winning_price : 'N/A'); ?></span></strong>
                        </div>
                        <div class="fw-bold text-dark"><strong>Sellers:<span
                                    class="ml-1 fw-bold"><?php echo e(!empty($item->takealotOfferDetails->total_sellers) ? $item->takealotOfferDetails->total_sellers : 0); ?></span></strong>
                        </div>
                        <?php if(!empty($item->rePricing->winner_account_name)): ?>
                            <div class="fw-bold"><strong class="text-success">Winner:</strong><span
                                    class="ml-1 fw-bold"><?php echo e($item->rePricing->winner_account_name); ?></span></div>
                        <?php endif; ?>
                        <?php if(
                            !empty($item->rePricing->stock_status) &&
                                $item->takealotShops->takealot_account_name != $item->rePricing->winner_account_name): ?>
                            <div class="mb-1 text-dark"><strong class="mr-1">Winner
                                    Stock:</strong><?php echo e($item->rePricing->stock_status == 'Ship 5 to 7 work Days' ? 'Leadtime' : $item->rePricing->stock_status); ?>

                            </div>
                        <?php endif; ?>
                        <?php if(Auth::user()->id == 1): ?>
                            <div class="fs-6 text-muted fw-light">Re-Checked At:<span
                                    class="ml-1"><?php echo e(!empty($item->rePricing->updated_at) ? timeAgo($item->rePricing->updated_at) : 'N/A'); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(Auth::user()->id == 1): ?>
                            <div class="fs-6 text-muted fw-light">Re-Price At:<span
                                    class="ml-1"><?php echo e(!empty($item->rePricing->price_updated_at) ? timeAgo($item->rePricing->price_updated_at) : 'N/A'); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($item->rePricing->id)): ?>
                            <div class="row  mt-1">
                                <div class="col-md-4">
                                    <a href="javascript:void(0)"
                                        wire:click="$emitUp('updatetakealotOffer','<?php echo e(encrypt($item->id)); ?>')"
                                        class="btn-sm btn btn-outline-success"
                                        title="Re-fetch offer latest data from takealot">
                                        <i class="fa fa-refresh text-success"></i>
                                    </a>
                                </div>
                                <div class="col-md-4">
                                    <a href="javascript:void(0)"
                                        wire:click="$emitUp('reCheckWinner','<?php echo e(encrypt($item->rePricing->id)); ?>')"
                                        class="btn-sm btn btn-outline-success" title="Re-Check Winner">
                                        <i class="fa fa-trophy text-success"></i>
                                    </a>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div>
                        <h6 class="item-price">R<?php echo e($item->selling_price); ?></h6>
                    </div>
                </div>
                <h6 class="item-name">
                    <a class="text-body" href="<?php echo e($item->offer_url); ?>" target="_blank"
                        title="<?php echo e($item->title); ?>"><?php echo e($item->title); ?></a>
                    <span class="card-text item-company">By <a href="javascript:void(0)" class="company-name"
                            title="Brand"><?php echo e(!empty($item->takealotOfferDetails->takealotBrands) ? $item->takealotOfferDetails->takealotBrands->name : 'None'); ?></a></span>
                </h6>
            </div>

            <div class="item-options text-left" style="justify-content: start !important;">
                <div class="item-name">
                    <span
                        class="mb-2 <?php if($remainingTotalDaysCover <= 6): ?> h2 text-danger <?php else: ?>  h4 text-primary <?php endif; ?>"><strong
                            class="mr-1">Day Cover:</strong><span
                            class="font-weight-bold"><?php echo e(round($remainingTotalDaysCover)); ?></span></span><br />
                    <span class="mb-1 text-dark"><strong class="mr-1">Current Selling Price:</strong><span
                            class="font-weight-bold"><?php echo e($item->selling_price); ?></span></span><br />
                    <span class="mb-1 text-dark"><strong class="mr-1">Cost:</strong><span
                            class="font-weight-bold"><?php echo e(!empty($getPricesku) && !empty($getPricesku[0]) ? $getPricesku[0] : null); ?></span></span><br />
                    <span class="mb-2"><strong class="mr-1 h3 ">Profit:</strong><span
                            class="font-weight-bold  h3 <?php echo e(!empty($profitCheck) && $profitCheck < 50 ? 'text-danger' : 'text-success'); ?>"><?php echo e(!empty($getPricesku) && !empty($getPricesku[0]) && is_numeric($getPricesku[0]) ? $item->selling_price - (int) trim($getPricesku[0]) : null); ?></span></span><br />
                    <a title="Re-Fetch latest sales and stocks" href="javascript:void()"
                        class="btn btn-outline-primary mt-1"
                        wire:click="reFtechData('<?php echo e(encrypt($item->tsin_id)); ?>','<?php echo e(encrypt($item->offer_id)); ?>')"><span
                            wire:loading wire:target="reFtechData"
                            style="vertical-align: top;!important;margin-right: 5px;!important;"
                            class="spinner-border spinner-border-sm"></span><i class="fa fa-refresh mr-1"></i>Sales /
                        Stock</a>
                </div>
            </div>
            
            


            <div class="item-options">
                <div class="item-name">
                    <span class="mb-1 text-dark"><strong class="mr-1">Stock on the Way</strong></span><br />
                    <span class="mb-1 text-dark"><span
                            class="font-weight-bold text-primary mr-1"><?php echo e(!empty($stockOnWayJhbName) ? $stockOnWayJhbName . ':' . $stockOnWayJhbQty : 'JHB:0'); ?></span><span
                            class="font-weight-bold text-info"><?php echo e(!empty($stockOnWayCptName) ? $stockOnWayCptName . ':' . $stockOnWayCptQty : 'CPT:0'); ?></span></span><br />
                    <span class="mb-1 text-dark"><strong class="mr-1">Unit Sold 30 Days</strong></span><br />
                    <span class="mb-1 text-dark"><span
                            class="font-weight-bold text-primary mr-1"><?php echo e(!empty($salesUnitJhb) ? 'JHB:' . $salesUnitJhb : 'JHB:0'); ?></span><span
                            class="font-weight-bold text-info"><?php echo e(!empty($salesUnitCpt) ? 'CPT:' . $salesUnitCpt : 'CPT:0'); ?></span></span><br />
                </div>
            </div>
            <?php  
                //get sales %
                $percentageJhb = !empty($salesUnitCpt && $salesUnitCpt > 0) && (!empty($salesUnitJhb) && $salesUnitJhb > 0) ? ($salesUnitJhb / ($salesUnitJhb + $salesUnitCpt)) * 100 : (!empty($salesUnitJhb) && $salesUnitJhb > 0 ? 100 : 0);
                $percentageCpt = !empty($salesUnitCpt) && $salesUnitCpt > 0 && (!empty($salesUnitJhb) && $salesUnitJhb > 0) ? ($salesUnitCpt / ($salesUnitCpt + $salesUnitJhb)) * 100 : (!empty($salesUnitCpt) && $salesUnitCpt > 0 ? 100 : 0);

            ?>
            <div class="item-options">
                <div class="row">
                    <div class="col-md-4">
                        <div class="item-name">
                            <span class="mb-1 text-success"><strong class="mr-1">Sales % 30
                                    Days</strong></span><br />
                            <span class="mb-1 text-dark"><strong>JHB
                                    <?php echo e(!empty($percentageJhb) ? round($percentageJhb) : 0); ?>% CPT
                                    <?php echo e(!empty($percentageCpt) ? round($percentageCpt) : 0); ?>%</strong></span><br />
                        </div>
                        <?php
                            $sevenDays = \Carbon\Carbon::today()->subDays(7);
                            $totalSales = $item->takealotOrders->where('order_date', '>=', $sevenDays)->sum('quantity');
                        ?>
                        <div class="item-name">
                            <span class="mb-1 text-success"><strong class="mr-1">7 Days Sales *
                                    2</strong></span><br />
                            <span class="mb-1 text-dark"><strong>Units: <?php echo e($totalSales * 2); ?></strong></span><br />
                        </div>
                    </div>
                    <div class="col-md-4">

                        <div class="item-name">
                            <span class="mb-1 text-success"><strong class="mr-1">Total Sales</strong></span><br />
                            <span class="mb-1 text-dark"><strong>Last 7 Days Sale :
                                    <?php echo e($seven); ?></strong></span><br />
                            <span class="mb-1 text-dark"><strong>Last 15 Days Sale :
                                    <?php echo e($fifteen); ?></strong></span><br />
                            <span class="mb-1 text-dark"><strong>Last 30 Days Sale :
                                    <?php echo e($thirty); ?></strong></span><br />
                            <span class="mb-1 text-dark"><strong>30 Days Returned :
                                    <?php echo e($totalReturned); ?></strong></span><br />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <?php
                            //stock on takealot start
                            // $totalStock=0;
                            $stockAtTakealot = json_decode($item->stock_at_takealot);

                            $stockAtTakealotCptName = !empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                            $stockAtTakealotCptQty = !empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;

                            $stockAtTakealotJhbName = !empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                            $stockAtTakealotJhbQty = !empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;

                            // $totalStock=(!empty($stockAtTakealot[0]) && !empty($stockAtTakealot[1]) && !empty($stockAtTakealot[0]->quantity_available) && !empty($stockAtTakealot[1]->quantity_available)) ? $stockAtTakealot[0]->quantity_available+$stockAtTakealot[1]->quantity_available : 0;
                            //stock on takealot end

                        ?>
                        <?php
                            //Stock Day cover takealot start

                            $stockCover = json_decode($item->stock_cover);
                            $stockCoverCptName = !empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id == 1 ? 'CPT' : null;
                            $stockCoverCptDays = !empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;

                            $stockCoverJhbName = !empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id == 3 ? 'JHB' : null;
                            $stockCoverJhbDays = !empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;

                            //Stock Day cover takealot end

                        ?>
                        <div class="item-options">
                            <div class="item-name">
                                <span class="mb-1 text-dark"><strong class="mr-1">Stock on DC </strong></span><br />
                                <span class="mb-1 text-dark"><span
                                        class="font-weight-bold text-primary mr-1"><?php echo e(!empty($stockAtTakealotJhbName) ? $stockAtTakealotJhbName . ':' . $stockAtTakealotJhbQty : 'JHB:0'); ?></span><span
                                        class="font-weight-bold text-info"><?php echo e(!empty($stockAtTakealotCptName) ? $stockAtTakealotCptName . ':' . $stockAtTakealotCptQty : 'CPT:0'); ?></span></span><br />
                                <span class="mb-1 text-dark"><strong class="mr-1">Stock Day cover
                                    </strong></span><br />
                                <span class="mb-1 text-dark"><span
                                        class="font-weight-bold text-primary mr-1"><?php echo e(!empty($stockCoverJhbName) ? $stockCoverJhbName . ':' . $stockCoverJhbDays : 'JHB:0'); ?></span><span
                                        class="font-weight-bold text-info"><?php echo e(!empty($stockCoverCptName) ? $stockCoverCptName . ':' . $stockCoverCptDays : 'CPT:0'); ?></span></span><br />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                //Stock Day cover takealot start

                $stockCover = json_decode($item->stock_cover);
                $stockCoverCptName = !empty($stockCover[0]->warehouse_id) && $stockCover[0]->warehouse_id == 1 ? 'CPT' : null;
                $stockCoverCptDays = !empty($stockCover[0]->stock_cover_days) ? $stockCover[0]->stock_cover_days : 0;

                $stockCoverJhbName = !empty($stockCover[1]->warehouse_id) && $stockCover[1]->warehouse_id == 3 ? 'JHB' : null;
                $stockCoverJhbDays = !empty($stockCover[1]->stock_cover_days) ? $stockCover[1]->stock_cover_days : 0;

                //Stock Day cover takealot end

            ?>
            <div class="item-options">
                <div class="item-name">
                    <?php
                        $percentageJhb = round($percentageJhb); //53%
                        $percentageCpt = round($percentageCpt); //47%
                        $totalSendUnit = $totalSales * 2; //492
                        $sendJhb = $totalSendUnit * ($percentageJhb / 100) - ($stockOnWayJhbQty + $stockAtTakealotJhbQty);
                        $sendCpt = $totalSendUnit * ($percentageCpt / 100) - ($stockOnWayCptQty + $stockAtTakealotCptQty);
                        $sendNewTotal = $sendJhb + $sendCpt;
                    ?>
                    <span class="mb-1 text-dark"><strong class="mr-1 h3">Send Stock </strong></span><br />
                    <span class="mb-1 text-dark"><span
                            class="font-weight-bold <?php echo e($sendJhb >= 0 ? 'text-primary' : 'text-danger'); ?> mr-1 h2">JHB:
                            <?php echo e(!empty($sendJhb) ? round($sendJhb) : 0); ?></span><span
                            class="font-weight-bold <?php echo e($sendCpt >= 0 ? 'text-info' : 'text-danger'); ?> h2">CPT:
                            <?php echo e(!empty($sendCpt) ? round($sendCpt) : 0); ?></span></span><br />
                    <span class="mb-1 <?php echo e($sendNewTotal >= 0 ? 'text-primary' : 'text-danger'); ?>"><strong
                            class="mr-1 h3 ">Total: <span
                                class="ml-1 <?php echo e($sendNewTotal >= 0 ? 'text-primary' : 'text-danger'); ?>"><?php echo e(round($sendNewTotal)); ?></span></strong></span><br />
                </div>
            </div>
            
            
        </div>
    <?php endif; ?>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/replenishment-offers/list-view.blade.php ENDPATH**/ ?>