<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        
        <div wire:loading>
            <div class="main_div">
                <div class="la-ball-clip-rotate la-2x">
                    <div></div>
                </div>
            </div>
        </div>
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h1 >Subscription & Billing</h1>                        
                    </div>
                </div>
            </div>
        </div>
         <!-- Stats Horizontal Card -->
         <div class="row">
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0">
                                <?php if(!empty(Auth::user()->PackageBuy) && Auth::user()->PackageBuy->packageDetails->package_type=='free'): ?>
                                <?php echo e(Auth::user()->PackageBuy->packageDetails->title); ?> (Free)
                                <?php else: ?>
                                    <?php echo e((!empty(Auth::user()->PackageBuy)) ? Auth::user()->PackageBuy->packageDetails->title : 'N/A'); ?>

                                <?php endif; ?>
                            </h2>
                            <p class="card-text">Current Plan</p>
                        </div>
                        <div class="avatar bg-light-info p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="cpu" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0"><?php echo e((!empty(Auth::user()->PackageBuy)) ? \Carbon\Carbon::parse(Auth::user()->PackageBuy->renew_date)->format('d-m-Y') : 'N/A'); ?></h2>
                            <p class="card-text">Next Billing Date</p>
                        </div>
                        <div class="avatar bg-light-danger p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="calendar" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h2 class="font-weight-bolder mb-0">
                                R<?php echo e((!empty(Auth::user()->PackageBuy) && Auth::user()->PackageBuy->packageDetails->price>0) ? Auth::user()->PackageBuy->packageDetails->price  : '0.00'); ?></h2>
                            <p class="card-text">Billing Amount</p>
                        </div>
                        <div class="avatar bg-light-warning p-50 m-0">
                            <div class="avatar-content">
                                <i data-feather="activity" class="font-medium-5"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h6 class="font-weight-bolder mb-0"><span class="text-capitalize text-<?php echo e((!empty($packageBuy->packageDetails) && $packageBuy->subscription_status=='enabled') ? 'success' : 'danger'); ?>"> <?php echo e((!empty($packageBuy)) ? $packageBuy->subscription_status  : 'Disabled'); ?></span></h6>
                            <p class="card-text">Billing Status</p>
                        </div>
                        <?php if(!empty($packageBuy) && isset($packageBuy->packageDetails) && $packageBuy->packageDetails->plan_type!='basic' && $packageBuy->packageDetails->package_type!='free'): ?>
                        <div class="custom-control custom-switch custom-switch-success d-flex justify-content-center">
                            <input type="checkbox" <?php echo e((!empty($packageBuy) && isset($packageBuy->subscription_status) ) ? '' : 'disabled'); ?> class="custom-control-input" value="<?php echo e((!empty($packageBuy) && isset($packageBuy->subscription_status)) ? 'enabled' : 'disabled'); ?>" wire:change="billingStatus('<?php echo e(encrypt($packageBuy->id)); ?>',$event.target.value)" id="customSwitchh"
                            <?php if($packageBuy->subscription_status=='enabled'): ?> checked <?php endif; ?> />
                            <label class="custom-control-label " for="customSwitchh"> 
                                <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                                <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                            </label>
                        </div>
                        <?php else: ?>
                            <div class="avatar bg-light-success p-50 m-0">
                                <div class="avatar-content"> 
                                    <i data-feather="credit-card" class="font-medium-5"></i>
                                </div>
                            </div>
                        <?php endif; ?>
                        
                    </div>
                </div>
            </div>
        </div> 
        <!--/ Stats Horizontal Card -->
        <div class="row">
            <!--/ Apply billing info -->
            <div class="col-lg-4 col-md-6 col-12">
                <div class="card card-apply-job">
                    <div class="card-body">
                        <?php if(!empty($packageBuy->packageDetails)): ?>
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <div class="media">
                                <div class="media-body">
                                    <h2 class="mb-1">Change Plan</h2>
                                </div>
                            </div>                           
                        </div>
                        <h5 class="apply-job-title">Current Plan</h5>
                        <strong class="card-text mb-1">
                           <?php echo e($packageBuy->packageDetails->title); ?>

                        </strong>
                        <h5 class="apply-job-title">Details</h5>
                        <p class="card-text mb-0"><strong>Shop Account:</strong> <?php echo e((!empty($packageBuy)) ? $packageBuy->packageDetails->seller_accounts : 0); ?>/<?php echo e((!empty(Auth::user()->AllTakealotShops)) ? count(Auth::user()->AllTakealotShops) : 0); ?></p>
                        <p class="card-text mb-0"><strong>Users:</strong> <?php echo e((!empty($packageBuy)) ? $packageBuy->packageDetails->seller_accounts : 0); ?>/1</p>
                        <p class="card-text mb-0"><strong>Repriceable Offers:</strong> <?php echo e((!empty($packageBuy)) ? (($packageBuy->packageDetails->repricable_offers>=5000) ? 'Unlimited' : $packageBuy->packageDetails->repricable_offers) : 0); ?></p>
                        <p class="card-text mb-2"><strong>Billing:</strong> <?php echo e($packageBuy->packageDetails->package_type); ?></p>
                        <?php endif; ?>
                      <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.billing.child.update-plan', [])->html();
} elseif ($_instance->childHasBeenRendered('l4034755238-0')) {
    $componentId = $_instance->getRenderedChildComponentId('l4034755238-0');
    $componentTag = $_instance->getRenderedChildComponentTagName('l4034755238-0');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l4034755238-0');
} else {
    $response = \Livewire\Livewire::mount('seller.billing.child.update-plan', []);
    $html = $response->html();
    $_instance->logRenderedChild('l4034755238-0', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                    </div>
                </div>
            </div>
            <!--/ Apply billing info -->  
            <!--/ Apply billing info -->
            
            <!--/ Apply billing info -->
            <!--/ Apply billing info -->
            
            <!--/ Apply billing info -->
        </div>
    </div>
</div><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/billing/index.blade.php ENDPATH**/ ?>