<div class="app-content content " >
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
      
        <div class="content-body">
           

            <!-- frequently asked questions tabs pills -->
            <section id="faq-tabs">
                <!-- vertical tab pill -->
                <div class="row">
                    <div class="col-lg-3 col-md-4 col-sm-12">
                        <div class="faq-navigation d-flex justify-content-between flex-column mb-2 mb-md-0">
                            <!-- pill tabs navigation -->
                            <ul class="nav nav-pills nav-left flex-column" role="tablist">
                                <!-- payment -->
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(($selectedTab=='api') ? 'active' : ''); ?>" <?php if(empty($apiData->takealot_api_key)): ?> wire:click="$set('selectedTab','api')" <?php endif; ?>>
                                        <i   class="fa fa-plug font-medium-3 mr-1" aria-hidden="true"></i>
                                        <span class="font-weight-bold">Step 1</span>
                                    </a>
                                </li>
                                <!-- delivery -->
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(($selectedTab=='webhook') ? 'active' : ''); ?>" <?php if(!empty($apiData->takealot_api_key)): ?> wire:click="$set('selectedTab','webhook')" <?php endif; ?> >
                                        <i class="fa fa-link font-medium-3 mr-1" aria-hidden="true"></i>
                                        <span class="font-weight-bold">Step 2</span>
                                    </a>
                                </li>
                            </ul>

                        </div>
                    </div>

                    <div class="col-lg-9 col-md-8 col-sm-12">
                        <!-- pill tabs tab content -->
                        <div class="tab-content">
                            <!-- payment panel -->
                            <div role="tabpanel" class="tab-pane <?php echo e(($selectedTab=='api') ? 'active' : ''); ?>" id="faq-payment" aria-labelledby="payment" aria-expanded="true">
                                <!-- icon and header -->
                                <div class="d-flex align-items-center">
                                    <div class="avatar avatar-tag bg-light-primary mr-1">
                                        <i  class="fa fa-plug font-medium-4" aria-hidden="true"></i>
                                    </div>
                                    <div>
                                        <h4 class="mb-0">Takealot Seller API Integration</h4>
                                        <span>Please follow the given instructions</span>
                                    </div>
                                </div>

                                <!-- frequent answer and question  collapse  -->
                                <div class="collapse-margin collapse-icon mt-2" id="faq-payment-qna">
                                    <div class="card">
                                        <div class="card-header" >
                                            <h3 class="lead collapse-title">Past your key here</h3>
                                        </div>

                                        <div id="faq-payment-one" class="collapse show" >
                                            <div class="card-body">
                                                <form class="faq-search-input" wire:submit.prevent="updateTakealotApi(Object.fromEntries(new FormData($event.target)))" method="POST">
                                                    <div class="form-group">
                                                        <label for="takealot_api_key">Takealot Seller API Key</label>
                                                        <input type="text" class="form-control <?php $__errorArgs = ['takealot_api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="takealot_api_key" id="takealot_api_key" value="<?php echo e(!empty($apiData->takealot_api_key) ? $apiData->takealot_api_key : ''); ?>" placeholder="Please Paste Here Takealot API Key">
                                                        <?php $__errorArgs = ['takealot_api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong><?php echo e($message); ?></strong>
                                                        </span>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>  
                                                    </div> 
                                                    <div class="form-group">
                                                        <button class="btn btn-success">Save</button>                                                    
                                                    </div>
                                                </form>
                                                 <div class="mt-1">
                                                    <h5>Instructions on how to find your Seller API Key</h5>
                                                    <p>Your Takealot Seller API can be found in the Seller Portal.</p>
                                                 </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="paymentTwo" >
                                            <span class="lead collapse-title">Step 1</span>
                                        </div>
                                        <div id="faq-payment-two" class="collapse show">
                                            <div class="card-body">
                                                <p>Click this url: <a href="https://seller.takealot.com/api/seller-api" target="_blank">https://seller.takealot.com/api/seller-api</a></p>
                                                <h5>OR</h5>
                                                <p>Login to the Takealot Seller Portal and click API INTEGRATIONS -> Seller API</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mb-1">
                                        <div class="card-header" id="paymentThree" >
                                            <span class="lead collapse-title">Step 2</span>
                                        </div>
                                        <div id="faq-payment-three" class="collapse show" >
                                            <div class="card-body">
                                             <p>Scroll down to the block titled Authentication and copy and paste your API key into the form above</p>
                                             <img class="card-img-top" src="<?php echo e(static_asset('')); ?>uploads/config/api-config-1.png" alt="">
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>

                            <!-- delivery panel -->
                            <div class="tab-pane <?php echo e(($selectedTab=='webhook') ? 'active' : ''); ?>" id="faq-delivery" role="tabpanel" aria-labelledby="delivery" aria-expanded="false">
                                <!-- icon and header -->
                                <div class="d-flex align-items-center">
                                    <div class="avatar avatar-tag bg-light-primary mr-1">
                                        <i  class="fa fa-link font-medium-4"></i>
                                    </div>
                                    <div>
                                        <h4 class="mb-0">Takealot Seller Webhook Integration</h4>
                                        <span>Please follow the given instructions</span>
                                    </div>
                                </div>

                                <!-- frequent answer and question  collapse  -->
                                <div class="collapse-margin collapse-icon mt-2" id="faq-delivery-qna">
                                    <div class="card">
                                        <div class="card-header" id="deliveryOne" >
                                            <span class="lead collapse-title">Copy your Webhook url which provided by Sales Up</span>
                                        </div>

                                        <div id="faq-delivery-one" class="collapse show">
                                            <div class="card-body">
                                                <form class="faq-search-input"  wire:submit.prevent="updateTakealotApiWebHook(Object.fromEntries(new FormData($event.target)))" method="POST">
                                                    <div class="form-group">
                                                        <label for="webhookurl">Copy this webhook url and past it in Takealot webhook url input</label>
                                                        <input type="text" id="webhookurl" class="form-control" value="<?php echo e(env('APP_URL')); ?>/takealot-events/<?php echo e(!empty($apiData->webhook_uuid) ? $apiData->webhook_uuid : 'Url Not Founded! Contact with us.'); ?>" placeholder="Copy this url and past it on takealot webhook" />                                                        
                                                    </div> 
                                                    <div class="form-group">
                                                        <label for="webhook_secret_key">Takealot webhook secret key</label>
                                                        <input type="text" name="webhook_secret_key" id="webhook_secret_key" value="<?php echo e(!empty($apiData->takealot_webhook_secreet) ? $apiData->takealot_webhook_secreet : ''); ?>" class="form-control <?php $__errorArgs = ['webhook_secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="Paste your Takealot webhook secret key" />                                                        
                                                        <?php $__errorArgs = ['webhook_secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong><?php echo e($message); ?></strong>
                                                        </span>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>  
                                                    </div> 
                                                    <div class="form-group">
                                                        <button class="btn btn-success">Save</button>                                                    
                                                    </div>
                                                </form>
                                                 <div class="mt-1">
                                                    <h5>Instructions on how to find your Seller API Key</h5>
                                                    <p>Your Takealot Seller API can be found in the Seller Portal.</p>
                                                 </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="deliveryTwo" >
                                            <span class="lead collapse-title">
                                               Step 1
                                            </span>
                                        </div>
                                        <div id="faq-delivery-two" class="collapse show" >
                                            <div class="card-body">
                                                <p>Click this url: <a href="https://seller.takealot.com/api/webhooks" target="_blank">https://seller.takealot.com/api/webhooks</a></p>
                                                <h5>OR</h5>
                                                <p>Login to the Takealot Seller Portal and click API INTEGRATIONS -> Webhooks</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="deliveryThree" >
                                            <span class="lead collapse-title">Step 2</span>
                                        </div>
                                        <div id="faq-delivery-three" class="collapse show" >
                                            <div class="card-body">
                                                <p>Scroll down to the block titled Configuring Webhooks and click on Create Webhook.</p>
                                                <img class="card-img-top" src="<?php echo e(static_asset('')); ?>uploads/config/Webhook1.png" alt="">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mb-1">
                                        <div class="card-header" id="deliveryFour" >
                                            <span class="lead collapse-title">
                                               Step 3
                                            </span>
                                        </div>
                                        <div id="faq-delivery-four" class="collapse show" >
                                            <div class="card-body">
                                                <p>Create webhook and copy salesup provided webhook url on top and past it unto takealot url and select offer create.offer update,sales status changed and new leadtime order from the dropdown.</p>
                                                <img class="card-img-top" src="<?php echo e(static_asset('')); ?>uploads/config/Webhook2.png" alt="">
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </section>
            <!-- / frequently asked questions tabs pills -->


        </div>
    </div>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/configurations/settings/new-account-config.blade.php ENDPATH**/ ?>