<div >   
    <div class="modal-size-lg d-inline-block">
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#large">
            Update Plan
        </button>
        <!-- Modal -->
        <div wire:ignore.self class="modal fade text-left  modal-primary justify-content-center" id="large" tabindex="-1" role="dialog" aria-labelledby="myModalLabel17" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel17">Change <?php echo e(auth()->user()->PackageBuy->packageDetails->title); ?> Plan</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                       <div class="row">
                        <div class="col-md-12  col-md-12">
                            <ul class="list-inline justify-content-center  d-flex " >
                                <li><a href="javascript:void(0)" class="btn btn-outline-primary  <?php echo e($packageType); ?> <?php echo e(($packageType=='monthly') ? 'active' : ''); ?>" wire:click="$set('packageType','monthly')">Monthly</a></li>
                                <li><a href="javascript:void(0)" class="btn btn-outline-primary ml-1  <?php echo e($packageType); ?> <?php echo e(($packageType=='annually') ? 'active' : ''); ?>" wire:click="$set('packageType','annually')">Annually</a></li>
                            </ul>
                        </div>
                        <div class="col-lg-8  col-md-12">
                            <div class="g-2 row row-cols-lg-2 row-cols-md-2 row-cols-1">
                                <?php if(!empty($package)): ?>
                                <?php $__currentLoopData = $package; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col">
                                    <div class="mb-1 card bg-light border-primary">
                                        <div class="card-body"><div class="card-title h5"><?php echo e($item->title); ?></div>                                       
                                                
                                                
                                                    <?php if($item->price<=0): ?>
                                                    <h3><span>Free</span></h3>
                                                     <?php else: ?>
                                                     <span class="d-flex">                                                       
                                                        <h3>R<span><?php echo e(round($item->price)); ?></span></h3>
                                                        <?php if($item->duration==1): ?>
                                                        <p class="ml-1">Monthly</p>
                                                        <?php else: ?>
                                                        <p class="ml-1">Month x <?php echo e($item->duration); ?></p>
                                                        <?php endif; ?>
                                                     </span>
                                                     <?php endif; ?>
                                                
                                                
                                                <ul style="list-style: none; padding-inline-start: 0px;">
                                                    <li>
                                                        <small>
                                                            <?php if(!empty($item->caption)): ?>
                                                                <p class="card-text"><?php echo e($item->caption); ?></p>
                                                            <?php endif; ?>
                                                        </small>
                                                    </li>
                                                    <hr style="margin-top: 0.1rem; margin-bottom: 0.2rem;">
                                                    <?php $__currentLoopData = $packageDetails->where('order_type','=',$item->order_type)->take(2); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li><?php echo e($detail->title); ?></li>                                   
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </p>
                                            <?php if(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id==$item->id): ?>
                                                  <button type="button" class="btn btn-warning" >Active</button>
                                            <?php else: ?>
                                                   <button type="button" class="btn btn-<?php echo e((!empty($selectedID) && decrypt($selectedID)==$item->id) ? 'success' : 'primary'); ?>" wire:click="$set('selectedID','<?php echo e(encrypt($item->id)); ?>')"><?php echo e((!empty($selectedID) && decrypt($selectedID)==$item->id) ? 'Selected' : 'Choose Plan'); ?></button>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-lg-4 ">
                            <div class="row">
                                <div class="col-lg-12 justify-content-start">
                                    <div class="mb-2 card">
                                        <div class="card-body">
                                            <div class="card-title h5">Summary</div>
                                            <p class="mb-0"><small>Your current plan:<strong> Free</strong></small></p>
                                            <p class="mb-0"><small>Currently paying: <strong><span>R0.00</span>/mo</strong></small></p>
                                        </div>
                                    </div>
                                </div>
                                <?php if(!empty($selectedPackage)): ?>
                                <div class="col-lg-12 justify-content-end">                                    
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="card-title h5">Updated Plan</div>
                                            <p class="mb-0"><small>Title: <span><?php echo e($selectedPackage->title); ?></span></small></p>
                                            <p class="mb-0"><small>Price: <span>R<?php echo e($selectedPackage->price); ?></span></small></p>
                                            <?php if($selectedPackage->type=='annually'): ?>
                                            <p class="mb-0"><small class="text-muted"> <span>R<?php echo e($selectedPackage->price*$selectedPackage->duration); ?></span> will be billed every year.</small></p>
                                            <?php else: ?> 
                                            <p class="mb-0"><small class="text-muted"> <span>R<?php echo e($selectedPackage->price); ?></span> will be billed every month.</small></p>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                       </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-outline-secondary waves-effect" data-dismiss="modal">Close</button>
                        
                        <a href="javascript:void(0)"  wire:click="payNowPlan"  class="btn btn-<?php echo e((!empty($selectedID)) ? 'success' : 'dark'); ?>" ><span wire:loading wire:target="payNowPlan" class="spinner-border spinner-border-sm" ></span> Update Plan</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('custom-scripts'); ?>
    <script>
        document.addEventListener('livewire:load', function () {
            $('#myModal').modal('handleUpdate')
        })
    </script>
    <?php $__env->stopPush(); ?>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/billing/child/update-plan.blade.php ENDPATH**/ ?>