<?php $__env->startSection('content'); ?>
<div class="auth-wrapper auth-v1 px-2">
    <div class="auth-inner py-2">
        <!-- Login v1 -->
        <div class="card mb-0">
            <div class="card-body">
                <a href="<?php echo e(route('index')); ?>" class="brand-logo">
                <img id="auth_logo" src="<?php echo e(static_asset('')); ?>front/assets/images/logo.png" alt="logo"  />
                </a>

                <h4 class="card-title mb-1">Forgot Password? 🔒</h4>
                <p class="card-text mb-2">Enter your email and we'll send you instructions to reset your password</p>

                <?php if(Session::has('message')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <?php echo e(Session::get('message')); ?>

                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
                <?php endif; ?>
                
                <?php if(session('status')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <?php echo e(session('status')); ?>

                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
                <?php endif; ?>
                <form class="auth-login-form mt-2" method="POST" action="<?php echo e(route('password.update')); ?>" >
                    <?php echo csrf_field(); ?>        
                    <div class="form-group">
                        <label for="login-email" class="form-label">Email</label>
                        <input type="text" tabindex="1" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="login-email" name="email" value="<?php echo e($email ?? old('email')); ?>" required autocomplete="email" placeholder="john@example.com" aria-describedby="login-email" autofocus/>
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>                    
                    <button class="btn btn-primary btn-block" tabindex="2">Send</button>
                </form>

                <p class="text-center mt-2">
                    <span>Already have an account?</span>
                    <a href="<?php echo e(route('login')); ?>">
                        <span>Login</span>
                    </a>
                </p>

                <div class="divider my-2">
                    <div class="divider-text">or</div>
                </div>

                <div class="auth-footer-btn d-flex justify-content-center">
                    <a href="<?php echo e(route('index')); ?>">
                        <span>Go to home</span>
                    </a>
                </div>
                
            </div>
        </div>
        <!-- /Login v1 -->
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app-Auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/salesu7/public_html/resources/views/auth/passwords/email.blade.php ENDPATH**/ ?>