<?php $__env->startSection('content'); ?>

    <!--====== APPIE PAGE TITLE PART START ======-->
   
    <div class="appie-page-title-area breadcrumbs-bg-height" >
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="appie-page-title-item text-dark">
                        <nav aria-label="breadcrumb" >
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item "><a class="text-dark" href="<?php echo e(route('index')); ?>">Home</a></li>
                                <li class="breadcrumb-item text-dark" aria-current="page">Service</li>
                            </ol>
                        </nav>
                        <div class="thumb">
                            <img src="<?php echo e(static_asset('')); ?>front/assets/images/fun-fact-thumb.png" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--====== APPIE PAGE TITLE PART ENDS ======-->

    <!--====== APPIE SERVICE DETAILS PART ENDS ======-->

    <section class="appie-service-details-area pt-100 pb-100">
        <div class="container">
            <div class="row">                
                <div class="col-lg-12">
                    <div class="service-details-content">
                        <div class="thumb text-center">
                            <img src="<?php echo e(static_asset('')); ?>front/assets/images/service-details-thumb.png" alt="">
                        </div>
                        <div class="content">
                            <h3 class="title">What we're offering?</h3>
                            <p class="mb-4">If you're an online seller on Takealot, you know how important it is to win the Buybox. And if you don't know what that is, don't worry - it's not a cardboard box filled with "buy" buttons, though that would be pretty cool. Instead, it's the default seller for a particular product on Takealot, and winning it means more sales and more money in your pocket.</p>
                            <p class="mb-4">But how do you win the Buybox? It's a mystery, my friend. Takealot's algorithms are more secretive than a spy agency, so you never know what they're looking for. Maybe they're impressed by your witty product description or your lightning-fast shipping. Or maybe they just like the color of your product.</p>
                            <p class="mb-4">However, there are a few things you can do to increase your chances. For example, make sure your price is competitive. No one wants to pay extra for a product they can get cheaper elsewhere, except maybe for that one guy who likes to overpay for everything just for the fun of it. Also, ensure you have enough stock available in the Takealot warehouse. It's like a game of musical chairs - if your stock runs out, you're out of the game.</p>
                            <p class="mb-4">Now, I know what you're thinking - "But keeping track of the Buybox winner and my competition is so tedious and boring!" And you're not wrong. It's like watching paint dry, except paint drying is more exciting. But fear not, my friend, because SalesUp has got your back. With their Buybox Tracker, you can track and even auto-price your offers on Takealot to maximize your chances of winning the Buybox. And if you don't know what auto-pricing is, it's like having a personal assistant who adjusts your prices based on the competition, except without the coffee runs and annoying small talk.</p>
                            <p class="mb-4">But wait, there's more! With SalesUp's Buybox Tracker, you'll get notifications about Buybox winner changes and new competitive offers. if you're a small business, you can even use SalesUp for free. Yes, you read that right. FREE. It's like finding a unicorn in your backyard, except it's not a unicorn and it won't grant you wishes.</p>
                            <p >So, what are you waiting for? Give SalesUp a try and start winning that Buybox like a pro. Who knows, maybe one day you'll be swimming in so much money that you can buy your own cardboard Buybox filled with actual "buy" buttons.</p>
                        
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!--====== APPIE SERVICE DETAILS PART ENDS ======-->

    <!--====== APPIE PROJECT PART START ======-->
    
    <section class="appie-project-area pb-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="appie-project-box wow animated slideInUp" data-wow-duration="50ms" data-wow-delay="0ms">
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="appie-project-content">
                                    <h3 class="title">Boost your sales on Takealot.</h3>
                                    <p>Join the ranks of successful Takealot entrepreneurs and take your business to new heights.</p>
                                    <div class="input-box mt-30">                                           
                                        <a href="<?php echo e(route('register')); ?>" style="margin-left: 10px;
                                        padding: 0 30px;
                                        border-radius: 6px;
                                        padding: 0 25px;
                                        background: #0e1133;
                                        border: 0;
                                        color: #fff;
                                        line-height: 50px;">Start Now</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="appie-project-thumb">
                            <img src="<?php echo e(static_asset('')); ?>front/assets/images/project-thumb.png" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
    <!--====== APPIE PROJECT PART ENDS ======-->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/salesu7/public_html/resources/views/front/service.blade.php ENDPATH**/ ?>