<div>
     <!-- E-commerce Search Bar Starts -->
     <section id="ecommerce-searchbar" class="ecommerce-searchbar mb-2">
        <div class="row mt-1">
           <div class="col-sm-8">
                 <div class="ecommerce-header-items">
                    
                    <div class="view-options d-flex">
                    <div class=" mr-1">
                          <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                             <option value="" >Show</option>
                             <option value="10" <?php echo e(($entries=='10')   ? 'selected' : ''); ?>>10</option>
                             <option value="20" <?php echo e(($entries=='20')   ? 'selected' : ''); ?>>20</option>
                             <option value="30" <?php echo e(($entries=='30')   ? 'selected' : ''); ?>>30</option>
                             <option value="40" <?php echo e(($entries=='40')   ? 'selected' : ''); ?>>40</option>
                             <option value="50" <?php echo e(($entries=='50')   ? 'selected' : ''); ?>>50</option>
                             <option value="100" <?php echo e(($entries=='100') ? 'selected' : ''); ?>>100</option>
                          </select>
                    </div>
                       
                    </div>
                 </div>
           </div>
           <div class="col-sm-4">
              <div class="input-group input-group-merge">
                    <input type="text" wire:model.change="search" class="form-control search-product" id="shop-search" placeholder="TSIN | Title" aria-label="Search..." aria-describedby="shop-search" />
                    <?php if(isset($search) && !empty($search)): ?>
                    
                        <div class="input-group-append" wire:click="$set('search','')">
                            <span class="input-group-text"><i class="fa fa-close" class="text-muted"></i></span>
                        </div>
                   
                    <?php else: ?>
                          <div class="input-group-append">
                             <span class="input-group-text"><i class="fa fa-search" class="text-muted"></i></span>
                          </div>
                    <?php endif; ?>
              </div>
           </div>
        </div>
  </section>
  <!-- E-commerce Search Bar Ends -->
    <div class="row match-height">
       <!-- Company Table Card -->
       <div class="col-lg-12 col-12">
          <div class="card card-company-table">
            <div class="card-header">
              <h4 class="card-title">Top selling Offers in last 30 days</h4>
            </div>
             <div class="card-body p-0">
                <div class="table-responsive">
                   <table class="table">
                      <thead>
                         <tr>
                            <th>Offer Title</th>
                            <th>In-Stock</th>
                            <th>Leadtime</th>
                            <th>Selling Price</th>
                            <th>Quantity</th>
                            <th>Status</th>
                         </tr>
                      </thead>
                      <tbody wire:init="readyToLoad">
                     
                       <?php if(!empty($topSellingOffers) && count($topSellingOffers)>0): ?>
                        
                       <?php $__currentLoopData = $topSellingOffers->chunk(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chunk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                       <?php $__currentLoopData = $chunk; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $offKey=>$offer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                       
                       <?php                  
                      
                       $class="badge-light-primary";
                   
                       if($offer->status=='Buyable')
                       {
                        $class="badge-light-success";          
                       }
                       if($offer->status=='Not Buyable')
                       {
                        $class="badge-light-danger";
                       }
                       if($offer->status=='Disabled by Seller')
                       {
                        $class="badge-light-dark";
                       } 
                       if($offer->status=='Disabled by Takealot')
                       {
                          $class="badge badge-warning";
                       }
                       $takealotStockTotal=0;
                       $leadTimeStockTotal=0;
                       //stock code started
                       if(!empty($offer->leadtime_stock))
                       {
                          $leadtime_decode=json_decode($offer->leadtime_stock);
                          $leadTimeStockTotal=0;
                          if(!empty($leadtime_decode) && count($leadtime_decode)>0)
                          {
                             foreach($leadtime_decode as $key=>$item)
                             {
                                   $qty=(!empty($item->quantity_available) && isset($item->quantity_available) && $item->quantity_available>0) ? $item->quantity_available :0;
                                   $leadTimeStockTotal=$leadTimeStockTotal+$qty;
                             }
                             
                          }
                       
                       }
                       if(!empty($offer->stock_at_takealot))
                       {
                          $takealotStock_decode=json_decode($offer->stock_at_takealot);
                          if(!empty($takealotStock_decode) && count($takealotStock_decode)>0)
                          {
                             foreach($takealotStock_decode as $key=>$item)
                             {
                                   $qty=(!empty($item->quantity_available) && isset($item->quantity_available)) ? $item->quantity_available : 0;
                                   $takealotStockTotal=$takealotStockTotal+$qty;
                             }
                          }
                    
                       }
                      
                      
                   ?>
                         <tr>
                            
                            <td>
                             <a href="<?php echo e($offer->offer_url); ?>" target="_blank"><p  class="mb-0"><?php echo e($offer->title); ?></p></a>
                             <p  class="mb-0">
                                <span class="badge badge-dark"><a href="javascript:void(0)" onclick="copyToClipboard('sku_<?php echo e($offKey.$offer->tsin_id); ?>')"><i onclick="copyToClipboard('sku_<?php echo e($offKey.$offer->tsin_id); ?>')" class="fa fa-clone mr-25"  title="Copy SKU"></i><span id="sku_<?php echo e($offKey.$offer->tsin_id); ?>"><?php echo e($offer->sku); ?></span></a></span>
                                <span class="badge badge-success"><a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($offKey.$offer->tsin_id); ?>')"><i onclick="copyToClipboard('sku_<?php echo e($offKey.$offer->tsin_id); ?>')" class="fa fa-clone mr-25"  title="Copy TSIN"></i><span id="tsin_<?php echo e($offKey.$offer->tsin_id); ?>"><?php echo e($offer->tsin_id); ?></span></a></span>
                             </p>
                            </td>
                             <td>
                                <p class="mb-0 <?php echo e(($takealotStockTotal>0) ? 'text-success' : 'text-danger'); ?>"><strong><?php echo e($takealotStockTotal); ?></strong></p>
                             </td>
                             <td>
                                <p class="mb-0 <?php echo e(($leadTimeStockTotal>0) ? 'text-success' : 'text-danger'); ?>"><strong><?php echo e($leadTimeStockTotal); ?></strong></p>
                             </td>
                            <td>
                             <strong class="ml-1">R<?php echo e($offer->selling_price); ?></strong>
                            </td>  
                            <td>
                             <strong class="ml-1"><?php echo e($offer->total_quantity); ?></strong>
                            </td>                                                                                      
                            <td><span class="badge badge-pill <?php echo e($class); ?>"><?php echo e($offer->status); ?></span></td>                                               
                         </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                                                           
                         <?php endif; ?> 
                         <?php if(!empty($topSellingOffers) && count($topSellingOffers)<=0 && $readyToLoad == true): ?>
                         <td colspan="7">
                              <span class="text-center">
                              <strong>Offers Not Founded!</strong>
                              </span>
                          </td>                                 
                         <?php endif; ?> 
                         <?php if($readyToLoad == false): ?>
                         <td colspan="7">
                             <div class="d-flex justify-content-center my-1">
                                 <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                             </div>
                          </td>                                
                         <?php endif; ?>  
                      </tbody>
                      
                   </table>
                    <!-- E-commerce Pagination Starts -->
                    <?php if(!empty($topSellingOffers)): ?>                       
                       
                    <section id="ecommerce-pagination">
                       <div class="row">
                             <div class="col-sm-12">
                                <div class="d-flex justify-content-center mr-2 mt-2">
                                   <?php echo e($topSellingOffers->onEachSide(3)->links()); ?>

                                </div>
                             </div>
                       </div>
                    
                    </section>

                 <?php endif; ?>
                 <!-- E-commerce Pagination Ends -->
                </div>
             </div>
          </div>
       </div>
       <!--/ Company Table Card -->                         
       
      
    </div>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/components/dashboard/top-selling-offers.blade.php ENDPATH**/ ?>