<div >
<!-- BEGIN: Content-->

<div class="app-content content ">
   <div class="content-overlay"></div>
   <div class="header-navbar-shadow"></div>
   <div class="content-wrapper">
     
      <div class="content-body">
        <!-- E-commerce Search Bar Starts -->
        <section id="ecommerce-searchbar" class="ecommerce-searchbar mb-2">
            <div class="row mt-1">
               <div class="col-sm-8">
                     <div class="ecommerce-header-items">
                        
                        <div class="view-options d-flex">
                        <div class=" mr-1">
                              <select class="form-control selectBorder" wire:model="entries" name="entries" id="entries">
                                 <option value="" >Show</option>
                                 <option value="10" <?php echo e(($entries=='10')   ? 'selected' : ''); ?>>10</option>
                                 <option value="20" <?php echo e(($entries=='20')   ? 'selected' : ''); ?>>20</option>
                                 <option value="30" <?php echo e(($entries=='30')   ? 'selected' : ''); ?>>30</option>
                                 <option value="40" <?php echo e(($entries=='40')   ? 'selected' : ''); ?>>40</option>
                                 <option value="50" <?php echo e(($entries=='50')   ? 'selected' : ''); ?>>50</option>
                                 <option value="100" <?php echo e(($entries=='100') ? 'selected' : ''); ?>>100</option>
                              </select>
                        </div>
                           
                        </div>
                     </div>
               </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-merge">
                        <input type="text" wire:model.change="search" class="form-control search-product" id="shop-search" placeholder="TSIN | Title" aria-label="Search..." aria-describedby="shop-search" />
                        <?php if(isset($search) && !empty($search)): ?>
                        <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                              <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                             
                        </a>
                        <?php else: ?>
                           <div class="input-group-append">
                              <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                           </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>
        <!-- E-commerce Search Bar Ends -->
         <section>
            <div class="row" id="table-hover-row">
               <div class="col-12">
                  <div class="card">
                     <div class="table-responsive">
                        <table class="table table-hover" id="order">
                           <thead>
                              <tr>
                                 <!-- <th>id</th> -->
                                 <th>Title</th>
                                 <th>Updated Record</th>
                                 <th>Status</th>
                                 <th>Source</th>
                                 <th>Log created at</th>
                              </tr>
                           </thead>
                           <tbody  wire:loading.class="disabledHtml">
                               <?php if(!empty($logHistory)): ?>
                               <?php $__currentLoopData = $logHistory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                               
                              <tr>                                  
                                 <!-- <td><?php echo e($item->th_id); ?></td> -->
                                 <td>
                                    <a href="<?php echo e($item->offer_url); ?>" target="_blank"><?php echo e($item->title); ?></a><br><span class="badge badge-success">
                                    <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key.$item->tsin); ?>')">
                                       <i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN">
                                          </i><span id="tsin_<?php echo e($key.$item->tsin); ?>"><?php echo e($item->tsin); ?></span>
                                       </a></span>
                                 </td>
                                 <?php if($item->type=='repricing'): ?>
                                 <?php
                                     $data=json_decode($item->data);
                                     $old=$data->old;
                                     $new=$data->new;
                                 ?>
                                 <td>
                                   <span>Min R: <strong class="<?php echo e(($old->min_price==$new->min_price) ? '' : 'text-danger'); ?>"><?php echo e($old->min_price); ?></strong> to <strong class="<?php echo e(($old->min_price==$new->min_price) ? '' : 'text-success'); ?>"><?php echo e($new->min_price); ?></strong></span><br/>
                                   <span>Max R: <strong class="<?php echo e(($old->max_price==$new->max_price) ? '' : 'text-danger'); ?>"><?php echo e($old->max_price); ?></strong> to <strong class="<?php echo e(($old->max_price==$new->max_price) ? '' : 'text-success'); ?>"><?php echo e($new->max_price); ?></strong></span><br/>
                                   <span>Status: <strong class="<?php echo e(($old->status==$new->status) ? '' : 'text-danger'); ?>"><?php echo e(($old->status==1) ? 'Active' : 'In-Active'); ?></strong> to <strong class="<?php echo e(($old->status==$new->status) ? '' : 'text-success'); ?>"><?php echo e(($new->status==1) ? 'Active' : 'In-Active'); ?></strong></span><br/>
                                   
                                 </td>
                                 <td>                                 
                                 </td>
                                 <?php endif; ?>   
                                 <?php if($item->type=='webhook' || $item->type=='Re-Pricing' ): ?>
                                 <?php
                                     $data=json_decode($item->data);                                    
                                     $stock=[];
                                     $keyName=null;
                                      if(!empty($data) && !empty($data->selling_price))
                                      {
                                        $keyName='Selling Price';
                                        $newValue=$data->selling_price->new_value;
                                        $oldValue=$data->selling_price->old_value;
                                      }
                                      if(!empty($data) && !empty($data->rrp))
                                      {
                                        $keyName='RRP';
                                        $newValue=$data->rrp->new_value;
                                        $oldValue=$data->rrp->old_value;
                                      }
                                      if(!empty($data) && !empty($data->status->new_value->description))
                                      {
                                        $keyName='Status';
                                        $newValue=$data->status->old_value->description->new_value;
                                        $oldValue=$data->status->old_value->description->old_value;
                                      }
                                      if(!empty($data) && isset($data->repricing_status))
                                      {
                                      
                                        $keyName='Re-Pricing';
                                        $newValue=$data->repricing_status->new_status;
                                        $oldValue=$data->repricing_status->old_status;
                                        
                                      }
                                      if(!empty($data) && !empty($data->stock->takealot_warehouse))
                                      {
                                          foreach($data->stock->takealot_warehouse as $stockkey=>$stockItem)
                                          {
                                             if((!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)))
                                             {
                                                $stock[$stockkey]=[
                                                                     'name'=>'Stock at Takealot',
                                                                     'wearhouse'=>(!empty($stockItem->name)) ? $stockItem->name : (($stockItem->takealot_warehouse_id==1) ? 'CPT' : (($stockItem->takealot_warehouse_id==3) ? 'JHB' : null) ),
                                                                     'newValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)) ? $stockItem->quantity->new_value : 0,
                                                                     'oldValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->old_value)) ? $stockItem->quantity->old_value : 0
                                                                  ];
                                             }
                                             
                                          }                                    
                                      }
                                      if(!empty($data) && !empty($data->stock->merchant_warehouse))
                                      {
                                          $stock=[];
                                          foreach($data->stock->merchant_warehouse as $stockkey=>$stockItem)
                                          {
                                             
                                             if((!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)))
                                             {
                                                
                                                $stock[$stockkey]=[
                                                                     'name'=>'Leadtime Stock',
                                                                     'wearhouse'=>(!empty($stockItem->name)) ? $stockItem->name  : null,
                                                                     'newValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->new_value)) ? $stockItem->quantity->new_value : 0,
                                                                     'oldValue'=>(!empty($stockItem->quantity) && isset($stockItem->quantity->old_value)) ? $stockItem->quantity->old_value : 0
                                                                  ];
                                             }
                                             
                                          }  
                                                                        
                                      }
                                 ?>
                                  <td>
                                    <?php if(!empty($keyName) && ($keyName=='Selling Price' || $keyName=='RRP')): ?>   
                                     <span><span class="text-capitalize"><?php echo e($keyName); ?></span>: <strong>R<?php echo e($oldValue); ?> to <span <?php echo e(($newValue>$oldValue) ? 'text-success' : 'text-danger'); ?>></span> R<?php echo e($newValue); ?></strong></span>
                                    <?php endif; ?>
                                    <?php if(!empty($keyName) && ($keyName=='Status')): ?>   
                                     <p><span class="text-capitalize"><?php echo e($keyName); ?></span>: <strong><?php echo e($oldValue); ?> to <span class="<?php echo e(($newValue=='Buyable') ? 'text-success' : 'text-danger'); ?>"><?php echo e($newValue); ?></span></strong></p>                                    
                                    <?php endif; ?>
                                    <?php if(!empty($keyName) && ($keyName=='Re-Pricing')): ?>   
                                     <p><span class="text-capitalize"><?php echo e($keyName); ?></span>: <strong><?php echo e($oldValue); ?> to <span class="<?php echo e(($newValue=='Winner') ? 'text-success' : 'text-danger'); ?>"><?php echo e($newValue); ?></span></strong></p>                                    
                                    <?php endif; ?>
                                    <?php if(!empty($stock)): ?>   
                                    <?php $__currentLoopData = $stock; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                                    
                                    <p><span class="text-capitalize"><?php echo e($stItem['name']); ?></span>: <strong><?php echo e($stItem['wearhouse']); ?>: <?php echo e($stItem['oldValue']); ?> to <span class="<?php echo e(($stItem['newValue']>=$stItem['oldValue']) ? 'text-success' : 'text:danger'); ?>"><?php echo e($stItem['newValue']); ?></span></strong></p>                                   
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                 </td>                                
                                 <td>   
                                    <?php if((!empty($keyName) && ($keyName=='Selling Price' || $keyName=='RRP'))): ?>   
                                      <li class="<?php echo e(($newValue>$oldValue) ? 'fa fa-arrow-up text-success ml-1' : 'fa fa-arrow-down text-danger ml-1'); ?>"></li>                         
                                    <?php else: ?>
                                      <span></span>
                                    <?php endif; ?>
                                 </td>                                
                                 <?php endif; ?>
                                 <?php if($item->type=='offer'): ?>
                                 <?php
                                   $data=json_decode($item->data);
                                   $old=$data->old;
                                   $new=$data->new;                                      
                                 ?>
                                 <td>
                                   <span>Selling Price: <strong class="<?php echo e(($old->selling_price==$new->selling_price) ? '' : 'text-danger'); ?>"><?php echo e($old->selling_price); ?></strong> to <strong class="<?php echo e(($old->selling_price==$new->selling_price) ? '' : 'text-success'); ?>"><?php echo e($new->selling_price); ?></strong></span><br/>
                                   <span>Status: <strong class="<?php echo e(($old->status==$new->status) ? '' : 'text-danger'); ?>"><?php echo e($old->status); ?></strong> to <strong class="<?php echo e(($old->status==$new->status) ? '' : 'text-success'); ?>"><?php echo e($new->status); ?></strong></span><br/>
                                 </td>    
                                 <td>                                 
                                 </td>                              
                                 <?php endif; ?>
                                 <td><?php echo e($item->type); ?></td>
                                 <td>
                                     <?php
                                      $data=dateTimeSpliteFormate($item->created_at);
                                     ?>
                                    <span><strong><?php echo e($data['time']); ?></strong> - <?php echo e($data['date']); ?></span>
                                 </td>                                 
                              </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             <?php else: ?>

                             <?php endif; ?>
                           </tbody>
                        
                        </table>
                      
                     </div>
                     <?php if(!empty($logHistory)): ?>                       
                     
                        <section >
                           <div class="row">
                              <div class="col-sm-12">
                                    <div class="d-flex justify-content-center mr-2 mt-2">
                                       <?php echo e($logHistory->links()); ?>

                                    </div>
                              </div>
                           </div>                  
                        </section>

                      <?php endif; ?>
                  </div>
               </div>
            </div>
         </section>
      </div>
   </div>
</div>
<!-- END: Content-->
</div>

<?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/tsin/tsin-history.blade.php ENDPATH**/ ?>