
<div>
    <?php if(!empty($item)): ?>
<div class="card ecommerce-card">
    <?php                  

    $class="badge-light-primary";

    if($item->offer->status=='Buyable')
    {
    $class="badge-light-success";

    }
    else if($item->offer->status=='Not Buyable')
    {
    $class="badge-light-danger";
    }
    elseif($item->offer->status=='Disabled by Seller')
    {
    $class="badge-light-dark";
    } 
    elseif($item->offer->status=='Disabled by Takealot')
    {
    $class="badge badge-warning";
    }
    

?>
    <?php if($item->offer->status=='Buyable'): ?>
    <div class="arrow-right bg-<?php echo e(($item->winner==1) ? 'success' : 'danger'); ?>">
        <span><?php echo e(($item->winner==1) ? 'Winner' : 'Loser'); ?></span>
    </div>
    <?php endif; ?>
    <div class="item-img text-center">
        <a  href="<?php echo e($item->offer->offer_url); ?>" target="_blank" title="<?php echo e($item->offer->title); ?>">
            <img class="img-fluid card-img-top" src="<?php echo e($item->offer->image_url); ?>" alt="img-placeholder"></a>
    </div>
    <div class="card-body">
        <div class="item-wrapper">
            <div class="item-rating">
                <ul class="unstyled-list list-inline">
                    <li class="ratings-list-item"> 
                        <span class="badge badge-pill <?php echo e($class); ?>"><?php echo e($item->offer->status); ?></span>  
                        <?php
                            $leadtime_decode=null;
                            $leadtime_qty=null;
                            $leadtime_decode=json_decode($item->offer->leadtime_stock);
                            $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                        ?>
                        <?php if($item->offer->leadtime_days!=null && !empty($leadtime_qty)): ?>                                              
                            <a href="javasecript:void()" class="badge badge-pill badge badge-primary" title="Your Stock Status"> <?php echo e('My SOH :'); ?> <?php echo e($leadtime_qty); ?></span></a>
                        <?php endif; ?>
                        <?php if($item->offer->stock_at_takealot_total>0): ?>
                            <a href="javasecript:void()" class="badge badge-pill badge badge-info" title="Your Stock Status"><?php echo e('In Stock : '); ?> <?php echo e($item->offer->stock_at_takealot_total); ?></span></a>
                        <?php endif; ?>
                        <?php if($item->offer->stock_at_takealot_total<=0 && $item->offer->leadtime_days==null): ?>
                            <a href="javasecript:void()" class="badge badge-pill badge badge-danger" title="Your Stock Status">Out Of Stock</span></a>
                        <?php endif; ?>

                        <?php if(!empty($item->min_price) && $item->min_price==$item->offer->selling_price): ?><span class="badge badge-pill badge badge-danger">Min Price Reached</span><?php endif; ?>
                        <?php if(!empty($item->max_price) && $item->max_price==$item->offer->selling_price): ?><span class="badge badge-pill badge badge-warning">Max Price Reached</span><?php endif; ?>

                        </li>
                    <?php if(!empty($item->takealotOfferDetails->star_rating)): ?><li class="ratings-list-item"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star filled-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>(<?php echo e($item->takealotOfferDetails->star_rating); ?>)</li><?php endif; ?>
                    
                </ul>
            </div>                                        
            <div class="item-name  mb-1">
                <div class="fw-bold text-dark"><strong>Your Price:<span class="ml-1 fw-bold">R<?php echo e($item->offer->selling_price); ?></span></strong></div>
                <div class="fw-bold text-dark"><strong>Wining Price:<span class="ml-1 fw-bold">R<?php echo e($item->winning_price); ?></span></strong></div>
                <div class="fw-bold text-dark"><strong>Sellers:<span class="ml-1 fw-bold"><?php echo e(!empty($item->offer->takealotOfferDetails->total_sellers) ? $item->offer->takealotOfferDetails->total_sellers : 0); ?></span></strong> </div>
                <?php if(!empty($item->winner_account_name)): ?><div class="fw-bold" ><strong class="text-success">Winner:</strong><span class="ml-1 fw-bold"><?php echo e($item->winner_account_name); ?></span></div><?php endif; ?>
                <?php if(!empty($item->stock_status) && $item->takealotShopDetails->takealot_account_name!=$item->winner_account_name): ?><div class="mb-1 text-dark" ><strong class="mr-1">Winner Stock:</strong><?php echo e(($item->stock_status=='Ship 5 to 7 work Days') ? 'Leadtime' : $item->stock_status); ?></div><?php endif; ?>
                <?php if(Auth::user()->id==1): ?><div class="fs-6 text-muted fw-light">Re-Checked At:<span class="ml-1"><?php echo e(timeAgo($item->updated_at)); ?></span></div><?php endif; ?>
                <?php if(Auth::user()->id==1): ?><div class="fs-6 text-muted fw-light">Re-Price At:<span class="ml-1"><?php echo e(timeAgo($item->price_updated_at)); ?></span></div><?php endif; ?>
            </div>
            <div class="mt-1">
                <div class="badge badge-dark mb-1">
                    <a href="javascript:void(0)" onclick="copyToClipboard('sku_<?php echo e($key.$item->offer->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy SKU"></i>
                    <span id="sku_<?php echo e($key.$item->offer->tsin_id); ?>"><?php echo e($item->offer->sku); ?></span></a>
                </div>
                <div class="badge badge-success mb-1">
                    <a href="javascript:void(0)" onclick="copyToClipboard('tsin_<?php echo e($key.$item->offer->tsin_id); ?>')"><i  class="fa fa-clone mr-25" aria-hidden="true" title="Copy TSIN"></i>
                    <span id="tsin_<?php echo e($key.$item->offer->tsin_id); ?>"><?php echo e($item->offer->tsin_id); ?></span></a>
                    <a href="<?php echo e($item->offer->offer_url); ?>" target="_blank"><i class="fa fa-external-link ml-25" aria-hidden="true" title="View On Takealot"></i></a>
                </div>
                
            </div>                                        
            <div>
                <h6 class="item-price">R<?php echo e($item->offer->selling_price); ?></h6>
            </div>
        </div>
        <h6 class="item-name">
            <a class="text-body" href="<?php echo e($item->offer->offer_url); ?>" target="_blank" title="<?php echo e($item->offer->title); ?>"><?php echo e($item->offer->title); ?></a>
            <span class="card-text item-company">By <a href="javascript:void(0)" class="company-name" title="Brand"><?php echo e((!empty($item->offer->takealotOfferDetails->takealotBrands)) ? $item->offer->takealotOfferDetails->takealotBrands->name : 'None'); ?></a></span>
        </h6>
        
    </div>
    <div class="item-options text-center">       
        <button type="button" class="btn btn-outline-primary mt-1" wire:click="$emitUp('getPlidHistory','<?php echo e(encrypt($item->offer->tsin_id)); ?>')" >
            View History
        </button>
    </div>
</div>
<?php endif; ?>
</div>
<?php /**PATH /home/salesu7/public_html/resources/views/livewire/admin/re-pricing/list-view.blade.php ENDPATH**/ ?>