<div wire:ignore.self class="modal modal-slide-in fade" data-backdrop="static" id="updatePricesRow" aria-hidden="true">
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" wire:click="closeModel" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Update Prices</span>
                </h5>
            </div>
            <?php if(!empty($pricesDetails)): ?>
            <div class="modal-body flex-grow-1">
                <h5 class="modal-title">
                    <span class="align-middle"><?php echo e($pricesDetails->title); ?></span>
                </h5>
                <hr/>                 
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Current Selling Price</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="sellingPriceUpdate(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        <?php if($pricesDetails->id!=$editSelling): ?>
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editSelling',<?php echo e($pricesDetails->id); ?>)"><i class="fa fa-edit"></i></a>
                                        <?php else: ?>
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="sellingPriceUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="sellingPriceUpdate" class="fa fa-check"></i>
                                            </button>
                                        <?php endif; ?>                                             
                                    </div>
                                    <input type="number" id="min<?php echo e($pricesDetails->id); ?>" wire:click="$set('editSelling',<?php echo e($pricesDetails->id); ?>)" name="selling_price" <?php if($pricesDetails->id!=$editSelling): ?> readonly <?php else: ?> focus <?php endif; ?> class="form-control <?php $__errorArgs = ['selling_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(!empty($pricesDetails->selling_price) ? $pricesDetails->selling_price : null); ?>" placeholder="R0">
                                    <?php $__errorArgs = ['selling_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                     <input type="text" name="updateFor" value="<?php echo e(encrypt($pricesDetails->id)); ?>" hidden>
                                </div>
                            </form>  
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Product Cost</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="offerCostUpdate(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        <?php if($pricesDetails->id!=$editofferCost): ?>
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editofferCost',<?php echo e($pricesDetails->id); ?>)"><i class="fa fa-edit"></i></a>
                                        <?php else: ?>
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="offerCostUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="offerCostUpdate" class="fa fa-check"></i>
                                            </button>
                                        <?php endif; ?>                                             
                                    </div>
                                    <input type="number" id="min<?php echo e($pricesDetails->id); ?>" wire:click="$set('editofferCost',<?php echo e($pricesDetails->id); ?>)" name="offer_cost" <?php if($pricesDetails->id!=$editofferCost): ?> readonly <?php else: ?> focus <?php endif; ?> class="form-control <?php $__errorArgs = ['offer_cost'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(!empty($pricesDetails->offer_cost) ? $pricesDetails->offer_cost : null); ?>" placeholder="R0">
                                
                                    <?php $__errorArgs = ['offer_cost'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    <input type="text" name="updateFor" value="<?php echo e(encrypt($pricesDetails->id)); ?>" hidden>
                                </div>
                            </form>  
                            
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Takealot commission</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="takealotCommission(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        <?php if($pricesDetails->id!=$editTakealotCommission): ?>
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editTakealotCommission',<?php echo e($pricesDetails->id); ?>)"><i class="fa fa-edit"></i></a>
                                        <?php else: ?>
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="takealotCommission" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="takealotCommission" class="fa fa-check"></i>
                                            </button>
                                        <?php endif; ?>                                             
                                    </div>
                                    <input type="number" id="min<?php echo e($pricesDetails->id); ?>" wire:click="$set('editTakealotCommission',<?php echo e($pricesDetails->id); ?>)" name="takealot_commission" <?php if($pricesDetails->id!=$editTakealotCommission): ?> readonly <?php else: ?> focus <?php endif; ?> class="form-control <?php $__errorArgs = ['takealot_commission'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(!empty($pricesDetails->takealot_commission) ? $pricesDetails->takealot_commission : null); ?>" placeholder="R0">
                                    <?php $__errorArgs = ['takealot_commission'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    <input type="text" name="updateFor" value="<?php echo e(encrypt($pricesDetails->id)); ?>" hidden>
                                </div>
                            </form>  
                           
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Other Costs</label>
                        <div class="col-sm-7">
                              <form class="inputPrice text-center" wire:submit.prevent="otherCost(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        <?php if($pricesDetails->id!=$editOtherCost): ?>
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editOtherCost',<?php echo e($pricesDetails->id); ?>)"><i class="fa fa-edit"></i></a>
                                        <?php else: ?>
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="otherCost" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="otherCost" class="fa fa-check"></i>
                                            </button>
                                        <?php endif; ?>                                             
                                    </div>
                                    <input type="number" id="min<?php echo e($pricesDetails->id); ?>" wire:click="$set('editOtherCost',<?php echo e($pricesDetails->id); ?>)" name="other_costs" <?php if($pricesDetails->id!=$editOtherCost): ?> readonly <?php else: ?> focus <?php endif; ?> class="form-control <?php $__errorArgs = ['other_costs'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(!empty($pricesDetails->other_costs) ? $pricesDetails->other_costs : null); ?>" placeholder="R0">
                                    <?php $__errorArgs = ['other_costs'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    <input type="text" name="updateFor" value="<?php echo e(encrypt($pricesDetails->id)); ?>" hidden>
                                </div>
                            </form>  
                           
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Total Cost</label>
                        <div class="col-sm-7">
                            <h5>R<?php echo e(!empty($pricesDetails->total_cost) ? $pricesDetails->total_cost : 0); ?></h5>
                        </div>
                    </div>
                    
                    <hr class="mt-2 mb-2">
                    <div class="form-group d-flex flex-wrap mb-0">                     
                        <button type="button" class="btn btn-outline-secondary" wire:click="closeModel" data-dismiss="modal">Cancel</button>
                    </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/offers/popUpEditPrices.blade.php ENDPATH**/ ?>