<div>
    <style>
        .inputPrice {
         display: none;
         }
 
         tr:hover .inputPrice {
         display: inline-block;
         }
 
         tr:hover .priceText {
         display: none;
         }
    
    </style>
     <!-- BEGIN: Content-->
     <div class="app-content content ">
         <div class="content-overlay"></div>
         <div class="header-navbar-shadow"></div>
         <div class="content-wrapper">
            <div class="content-header row">
               <div class="content-header-left col-md-9 col-12 mb-2">
                  <div class="row breadcrumbs-top">
                     <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Orders</h2>
                        <div class="breadcrumb-wrapper">
                           <ol class="breadcrumb">
                              <li class="breadcrumb-item">(<?php echo e((!empty($orders) && !empty($orders->total())) ? $orders->total() : 0); ?>) results found
                              </li>
                           </ol>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                  
                  <div class="btn-group btn-group-toggle" >
                    <a href="javascript:void(0)" class="btn btn-primary" wire:click="fetchLatestOrders"><span wire:loading wire:target="fetchLatestOrders"  style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" ></span><i class="fa fa-undo mr-1" class="font-medium-3"></i>Latest Orders</a>
                  </div>
               </div>
            </div>
            <div class="content-body">
             <div class="row mb-1">            
                <div class="col-5">
                   <div class="row">
                     
                     <div class="col-2" style="padding-right: 0.1rem;">
                         <select class="form-control bg-white" wire:model="entries" name="entries" id="entries">
                               <option value="" >Show</option>
                               <option value="10" <?php echo e(($entries=='10')   ? 'selected' : ''); ?>>10</option>
                               <option value="20" <?php echo e(($entries=='20')   ? 'selected' : ''); ?>>20</option>
                               <option value="30" <?php echo e(($entries=='30')   ? 'selected' : ''); ?>>30</option>
                               <option value="40" <?php echo e(($entries=='40')   ? 'selected' : ''); ?>>40</option>
                               <option value="50" <?php echo e(($entries=='50')   ? 'selected' : ''); ?>>50</option>
                               <option value="100" <?php echo e(($entries=='100') ? 'selected' : ''); ?>>100</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem;  padding-left: 0.1rem;">
                         <select class="form-control bg-white" wire:model="orderBy" name="orderBy" id="orderBy">
                               <option value="asc" <?php echo e(($orderBy=='asc') ? 'selected' : ''); ?> >Ascending </option>
                               <option value="desc" <?php echo e(($orderBy=='desc')  ? 'selected' : ''); ?>>Descending</option>
                         </select>
                      </div>
                      <div class="col-3" style="padding-right: 0.1rem; padding-left: 0.1rem;">
                            <select class="form-control bg-white" wire:model="priceSort" name="priceSort" id="priceSort">
                               <option value="" >Sort By Price</option>
                               <option value="lowest">Lowest To Highest Price</option>
                               <option value="highest">Highest To Lowest Price</option>
                            </select>
                      </div>
                   </div>                  
                </div>
                <div class="col-5">                  
                   <div class="input-group input-group-merge">
                      <input type="text" wire:model.change.debounce.500ms="search" class="form-control search-product" id="shop-search" placeholder="TITLE | SKU | TSIN | ORDER ITEM ID | ORDER ID" aria-label="Search..." aria-describedby="shop-search" />
                      <?php if(isset($search) && !empty($search)): ?>
                         <a href="javascript:void(0)" class="input-group-append"  wire:click="$set('search','')">
                               <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-close" class="text-muted"></i></span>
                              
                         </a>
                      <?php else: ?>
                         <div class="input-group-append">
                            <span class="input-group-text"><span wire:loading wire:target="search"  class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="search" class="fa fa-search" class="text-muted"></i></span>
                         </div>
                      <?php endif; ?>
                   </div>
                </div>
                <div class="col-2">   
                   <button class="btn btn-outline-primary btn-block waves-effect waves-float waves-light bg-white" data-toggle="modal" data-target="#filtters"><i class="fa fa-filter"></i> Filters</button>
                               
                </div>
             </div>
               
               <section>
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="table-responsive">
                              <table class="table table-sm" id="offers">
                                 <thead>
                                    <tr>
                                       <th class="text-center font-size-12"></th>
                                       <th class="font-size-12" style="width: 25%;">Product</th>
                                       <th class="text-left font-size-12">Status</th>
                                       <th class="text-left font-size-12" >Date</th>
                                       <th class="text-left font-size-12">Customer</th>
                                       <th class="text-center font-size-12">Quantity</th>
                                       <th class="text-center font-size-12" >Selling price</th>                                      
                                       <th class="text-center font-size-12" >Success fee</th>                                      
                                       <th class="text-center font-size-12" >Fulfillment fee</th>
                                       <th class="text-center font-size-12">Courier collection fee</th>
                                       <th class="text-center font-size-12">Auto ibt fee</th>
                                       <th class="text-center font-size-12">Total fee</th>
                                    </tr>
                                 </thead>
                                 <tbody wire:init="readyToLoad"   wire:loading.class="disabledHtml">
                                 <?php if(!empty($orders) && count($orders)>0): ?>                        
                                 <?php $__currentLoopData = $orders->chunk(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chunk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                         <?php $__currentLoopData = $chunk; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                     
                                              <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('seller.orders.list-view' ,['offer' =>$item,'key'=>$key])->html();
} elseif ($_instance->childHasBeenRendered($item->id)) {
    $componentId = $_instance->getRenderedChildComponentId($item->id);
    $componentTag = $_instance->getRenderedChildComponentTagName($item->id);
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild($item->id);
} else {
    $response = \Livewire\Livewire::mount('seller.orders.list-view' ,['offer' =>$item,'key'=>$key]);
    $html = $response->html();
    $_instance->logRenderedChild($item->id, $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
             
                                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 <?php endif; ?>                  
                                 </tbody>  
                                
                                                            
                              </table>
                               <?php if($readyToLoad == true && empty($orders)): ?>
                               <div class="col-md-12 d-flex justify-content-center">
                                  <span class="text-center">
                                     <strong>(0) orders Found!</strong>
                                  </span>
                               </div>                                 
                               <?php endif; ?> 
                               <?php if($readyToLoad == false): ?>
                                  <div class="col-md-12 d-flex justify-content-center">
                                     <div class="d-flex justify-content-center my-1">
                                        <div class="spinner-border text-primary" role="status" aria-hidden="true"></div>
                                     </div>
                                  </div>
                               <?php endif; ?> 
                              <?php if(!empty($orders)): ?>                      
                                <section id="ecommerce-pagination">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="d-flex justify-content-center mr-2 mt-2">
                                                <?php echo e($orders->onEachSide(3)->links()); ?>

                                            </div>
                                        </div>
                                    </div>                            
                                </section>
                              <?php endif; ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </section>
            </div>
         </div>
      </div>
      <!-- END: Content-->
 
 
 
 
 
 
 
 
      <!-- Filters-->  
 <div  class="modal modal-slide-in fade" id="filtters" aria-hidden="true" wire:ignore.self>
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Filters</span>
                </h5>
            </div>
            <div class="modal-body flex-grow-1">
               
                    <!-- Price Filter starts -->
                    <div class="brands filter-list">
                     <h6 class="filter-title">Sort By Status</h6>                    
                     <ul class="list-unstyled brand-list">
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Shipped to Customer" class="custom-control-input" id="productBrand1" />
                                <label class="custom-control-label" for="productBrand1">Shipped to Customer</label>
                            </div>
                            <span></span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Preparing for Customer" class="custom-control-input" id="productBrand2"  />
                                <label class="custom-control-label" for="productBrand2">Preparing for Customer</label>
                            </div>
                            <span></span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Inter DC Transfer" class="custom-control-input" id="productBrand3" />
                                <label class="custom-control-label" for="productBrand3">Inter DC Transfer</label>
                            </div>
                            <span></span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="New Lead Time Order" class="custom-control-input" id="productBrand4" />
                                <label class="custom-control-label" for="productBrand4">New Lead Time Order</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Draft Shipment" class="custom-control-input" id="productBrand5" />
                                <label class="custom-control-label" for="productBrand5">Draft Shipment</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Confirmed Shipment" class="custom-control-input" id="productBrand6" />
                                <label class="custom-control-label" for="productBrand6">Confirmed Shipment</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Shipped Shipment" class="custom-control-input" id="productBrand7" />
                                <label class="custom-control-label" for="productBrand7">Shipped Shipment</label>
                            </div>
                            <span></span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Checked In Shipment" class="custom-control-input" id="productBrand8" />
                                <label class="custom-control-label" for="productBrand8">Checked In Shipment</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Received Shipment" class="custom-control-input" id="productBrand9" />
                                <label class="custom-control-label" for="productBrand9">Received Shipment</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Cancelled by Customer" class="custom-control-input" id="productBrand11" />
                                <label class="custom-control-label" for="productBrand11">Cancelled by Customer</label>
                            </div>
                            <span></span>
                        </li><li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Cancelled by Takealot - DC Stock Inquiry" class="custom-control-input" id="productBrand12" />
                                <label class="custom-control-label" for="productBrand12">Cancelled by Takealot - DC Stock Inquiry</label>
                            </div>
                            <span></span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Cancelled - Inbound Exception (Short Supplied)" class="custom-control-input" id="productBrand13" />
                                <label class="custom-control-label" for="productBrand13">Cancelled - Inbound Exception (Short Supplied)</label>
                            </div>
                            <span>

                            </span>
                        </li> <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Cancelled - Late" class="custom-control-input" id="productBrand14" />
                                <label class="custom-control-label" for="productBrand14">Cancelled - Late</label>
                            </div>
                            <span>
                              
                            </span>
                        </li> <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Returned" class="custom-control-input" id="productBrand15" />
                                <label class="custom-control-label" for="productBrand15">Returned</label>
                            </div>
                            <span>
                              
                            </span>
                        </li> <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="New Drop Ship Order" class="custom-control-input" id="productBrand16" />
                                <label class="custom-control-label" for="productBrand16">New Drop Ship Order</label>
                            </div>
                            <span>
                              
                            </span>
                        </li> 
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="In Progress Drop Ship Order" class="custom-control-input" id="productBrand22" />
                                <label class="custom-control-label" for="productBrand22">In Progress Drop Ship Order</label>
                            </div>
                            <span>
                              
                            </span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Collected Drop Ship Order" class="custom-control-input" id="productBrand23" />
                                <label class="custom-control-label" for="productBrand23">Collected Drop Ship Order</label>
                            </div>
                            <span>
                              
                            </span>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" wire:model="status" value="Ready To Collect Drop Ship Order" class="custom-control-input" id="productBrand24" />
                                <label class="custom-control-label" for="productBrand24">Ready To Collect Drop Ship Order</label>
                            </div>
                            <span>
                              
                            </span>
                        </li>
                        
                    </ul>
                 </div>
                 <div id="product-categories" class="filter-list">
                     <h6 class="filter-title">Buy Box</h6>
                     <ul class="list-unstyled categories-list">
                         <li>
                             <div class="custom-control custom-radio">
                                 <input type="radio"  value="winner"  wire:model="buybox" id="winner" name="buybox" class="custom-control-input" <?php echo e((!empty($buybox) && $buybox=="winner") ? 'checked' : ''); ?>  />
                                 <label class="custom-control-label" for="winner">Winning</label>
                             </div>
                         </li>
                         <li>
                             <div class="custom-control custom-radio">
                                 <input type="radio" value="losser" wire:model="buybox"  id="losser" name="buybox" <?php echo e((!empty($buybox) && $buybox=="losser") ? 'checked' : ''); ?> class="custom-control-input" />
                                 <label class="custom-control-label" for="losser">Lossing</label>
                             </div>
                         </li>
                         
                     </ul>
                   </div>                  
                  <div id="product-categories2" class="filter-list">
                    <h6 class="filter-title">Stock</h6>
                    <ul class="list-unstyled categories-list">
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio"  value="instock"  wire:model="stockFilter" id="instock" name="stockFilter" class="custom-control-input" <?php echo e((!empty($stockFilter) && $stockFilter=="instock") ? 'checked' : ''); ?>  />
                                <label class="custom-control-label" for="instock">In-Stock</label>
                            </div>
                        </li>
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio" value="leadtime" wire:model="stockFilter"  id="leadtime" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="leadtime") ? 'checked' : ''); ?> class="custom-control-input" />
                                <label class="custom-control-label" for="leadtime">Leadtime</label>
                            </div>
                        </li>
                        <li>
                            <div class="custom-control custom-radio">
                                <input type="radio" value="outofstock" wire:model="stockFilter"  id="outofstock" name="stockFilter" <?php echo e((!empty($stockFilter) && $stockFilter=="outofstock") ? 'checked' : ''); ?> class="custom-control-input" />
                                <label class="custom-control-label" for="outofstock">Out Of Stock</label>
                            </div>
                        </li>
                    </ul>
                  </div>
                    <!-- Clear Filters Starts -->
                    <div id="clear-filters">
                        <button type="button" wire:click="clearFilter" class="btn btn-block btn-primary">Clear All Filters</button>
                    </div>
                    <!-- Clear Filters Ends -->
                
            </div>
        </div>
    </div>
 </div>
 
  <!-- Edits-->  
  <div wire:ignore.self class="modal modal-slide-in fade" data-backdrop="static" id="updateRow" aria-hidden="true">
     <div class="modal-dialog sidebar-lg">
         <div class="modal-content p-0">
             <button type="button" class="close" wire:click="closeModel" data-dismiss="modal" aria-label="Close">×</button>
             <div class="modal-header mb-1">
                 <h5 class="modal-title">
                     <span class="align-middle">Update Offer Details</span>
                 </h5>
             </div>
             <?php if(!empty($rePricingDetails)): ?>
             <div class="modal-body flex-grow-1">
                 <h5 class="modal-title">
                     <span class="align-middle"><?php echo e($rePricingDetails->offer->title); ?></span>
                 </h5>                
                 <h2 class="modal-title">
                     <span class="align-middle">Buy Box</span>
                 </h2>
                 <hr/>
                 <form id="popup1"  class="form-horizontal" wire:submit.prevent="updateOfferDetails(Object.fromEntries(new FormData($event.target)))" >
                     <?php echo csrf_field(); ?>                   
                     <div class="row">
                         <label class="form-label col-form-label col-form-label-md col-sm-5">Repricing</label>
                         <div class="col-sm-7">
                             <div class="custom-control custom-switch custom-switch-success d-flex justify-content-left">
                                 <input type="checkbox" <?php echo e((empty($rePricingDetails->min_price) || empty($rePricingDetails->max_price)) ? 'disabled' : ''); ?> class="custom-control-input" value="<?php echo e(($rePricingDetails->status== 1) ? 0 : 1); ?>" wire:change="updateOfferStatus('<?php echo e(encrypt($rePricingDetails->id)); ?>',$event.target.value)" id="customSwitchh1"
                                 <?php if($rePricingDetails->status==1): ?> checked <?php endif; ?> />
                                 <label class="custom-control-label " for="customSwitchh1"> 
                                     <span class="switch-icon-left"><i class="fa fa-check"></i></span>
                                     <span class="switch-icon-right"><i class="fa fa-close"></i></span>
                                 </label>
                             </div>
                         </div>
                     </div>
                     <hr class="mt-2 mb-2">
                     <div class="row">
                         <label class="form-label col-form-label col-form-label-md col-sm-5">Current Price</label>
                         <div class="col-sm-7">
                             <div class="input-group input-group justify-content-center" >                   
                                 <div class="input-group-prepend">      
                                   <span class="input-group-text">R</span>
                                 </div>
                                 <input type="number" disabled class="form-control" value="<?php echo e(($rePricingDetails->offer->selling_price>0 ? $rePricingDetails->offer->selling_price : null)); ?>" placeholder="R0">
                             </div>
                         </div>
                     </div>
                     <hr class="mt-2 mb-2">
                     <div class="row">
                         <label class="form-label col-form-label col-form-label-md col-sm-5">Min Price</label>
                         <div class="col-sm-7">
                             <div class="input-group input-group justify-content-center" >                   
                                 <div class="input-group-prepend">      
                                   <span class="input-group-text">R</span>
                                 </div>
                                 <input type="number"  name="minPrice"  class="form-control <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(($rePricingDetails->min_price>0 ? $rePricingDetails->min_price : null)); ?>" placeholder="R0">
                             </div>
                             
                             <?php $__errorArgs = ['minPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                             <span class="invalid-feedback" role="alert">
                                 <strong><?php echo e($message); ?></strong>
                             </span>
                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                         </div>
                     </div>
                     <hr class="mt-2 mb-2">
                     <div class="row">
                         <label class="form-label col-form-label col-form-label-md col-sm-5">Max Price</label>
                         <div class="col-sm-7">
                             <div class="input-group input-group justify-content-center">                   
                                 <div class="input-group-prepend">      
                                   <span class="input-group-text">R</span>
                                 </div>
                                 <input type="number"  name="maxPrice"  class="form-control <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(($rePricingDetails->max_price>0 ? $rePricingDetails->max_price : null)); ?>" placeholder="R0">
                             </div>
                             <?php $__errorArgs = ['maxPrice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                             <span class="invalid-feedback" role="alert">
                                 <strong><?php echo e($message); ?></strong>
                             </span>
                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                         </div>
                     </div>
                     <hr class="mt-2 mb-2">
                     <div class="row">
                         <?php
                             $leadtime_decode=null;
                             $leadtime_qty=0;
                             $leadtime_decode=json_decode($rePricingDetails->offer->leadtime_stock);
                             $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                         ?>
                         <label class="form-label col-form-label col-form-label-md col-sm-5">Leadtime SOH</label>
                         <div class="col-sm-7">
                             <div class="input-group input-group justify-content-center">                   
                                 <div class="input-group-prepend">      
                                     <span class="input-group-text">SOH</span>
                                 </div>
                                 <input type="number"  name="my_soh"  class="form-control <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($leadtime_qty); ?>" placeholder="0">
                             </div>
                             <?php $__errorArgs = ['my_soh'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                             <span class="invalid-feedback" role="alert">
                                 <strong><?php echo e($message); ?></strong>
                             </span>
                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                         </div>                            
                         <input type="text" name="updateFor" value="<?php echo e(encrypt($rePricingDetails->id)); ?>" hidden>
                     </div>
                     <hr class="mt-2 mb-2">
                     <div class="form-group d-flex flex-wrap mb-0">
                         
                         <button type="submit" class="btn btn-outline-primary btn-wishlist waves-effect waves-float waves-light  mr-1" >
                             Update Repricing
                             </button>  
                         <button type="button" class="btn btn-outline-secondary" wire:click="closeModel" data-dismiss="modal">Cancel</button>
                     </div>
                 </form>
             </div>
             <?php endif; ?>
         </div>
     </div>
 </div>
 
 </div><?php /**PATH /home/salesu7/public_html/resources/views/livewire/seller/orders/index.blade.php ENDPATH**/ ?>